<?php defined('ABSPATH') || exit;
/**
 * Plugin Name:       JKD Theme Core Plugin
 * Plugin URI:        https://themeforest.net/item/qreatix-interactive-portfolio-wordpress-theme/31728964
 * Description:       Core plugin for Qreatix Theme
 * Version:           1.9.7
 * Requires at least: 5.0
 * Requires PHP:      7.4
 * Author:            jkdevstudio
 * Author URI:        https://themeforest.net/user/jkdevstudio
 * Text Domain:       jkd-core
 * Domain Path:       /lang
 * License:           GPL v2 or later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 */

if (!defined('THEME_SLUG')):

    define('THEME_SLUG', 'qreatix-wp');

endif;

/* get theme activation */
$theme_activation = get_option(THEME_SLUG . '_jkdevstudioactivation');

/* include external modules */
include_once('vendor/entry.php');

/* check if activation is true */
if ($theme_activation):

    /* include plugin modules */
    include_once('modules/entry.php');

    /* create new core plugin instance */
    new JKD_Core(array(
        /* plugin name */
        'name' => esc_html('Qreatix Core Plugin'),
        /* plugin slug */
        'slug' => 'jkd-core',
        /* plugin prefix */
        'prefix' => 'jk-',
        /* plugin version */
        'version' => '1.9.6',
        /* plugin path */
        'plugin_path' => plugin_dir_path(__FILE__),
        /* plugin url */
        'plugin_url' => plugin_dir_url(__FILE__),
        /* github repo slug */
        'update_repo_slug' => 'jkd-wp-qreatix-core',
        /* github local update path */
        'update_local_path' => __FILE__,
        /* github repo url */
        'update_repo_url' => 'https://jk-studio-dev.com/updates/themes/qreatix/plugin/plugin.json',
    ));

endif;

