<?php defined('ABSPATH') || exit;
/*
 *
 */

/**
 * Class JKD_Blog
 */
class JKD_Blog extends JKD_Core
{

    /**
     * JKD_Blog constructor.
     */
    public function __construct()
    {

        /* init blog */
        $this->init();

    }

    /**
     * init
     */
    public function init()
    {

        /* register load more ajax handler */
        add_action('wp_ajax_nopriv_jkd_ajax_blog_load_more', [$this, 'ajax_load_more']);
        add_action('wp_ajax_jkd_ajax_blog_load_more', [$this, 'ajax_load_more']);

        /* register likes ajax handler */
        add_action('wp_ajax_nopriv_jkd_ajax_likes', [$this, 'set_post_like']);
        add_action('wp_ajax_jkd_ajax_likes', [$this, 'set_post_like']);

        /* register load more ajax handler (planes) */
        add_action('wp_ajax_nopriv_jkd_ajax_blog_load_more_planes', [$this, 'ajax_load_more_planes']);
        add_action('wp_ajax_jkd_ajax_blog_load_more_planes', [$this, 'ajax_load_more_planes']);

    }

    /**
     *
     */
    public static function set_post_like()
    {

        $post_id = (int)$_POST['post_id'];

        $ip = JKD_Helper::get_ip_address();

        if (empty($post_id) || empty($ip)) exit();

        $current_liker = get_transient('post_like_' . $post_id . '_' . $ip);

        if (!$current_liker):

            set_transient('post_like_' . $post_id . '_' . $ip, true, 60 * 60 * 24);

            $old_value = get_option('post_likes_' . $post_id) ? get_option('post_likes_' . $post_id) : 0;

            $old_value++;

            update_option('post_likes_' . $post_id, $old_value);

            print_r('plus');

        else:

            delete_transient('post_like_' . $post_id . '_' . $ip);

            $old_value = get_option('post_likes_' . $post_id) ? get_option('post_likes_' . $post_id) : 0;

            $old_value--;

            if ($old_value < 0) $old_value = 0;

            update_option('post_likes_' . $post_id, $old_value);

            print_r('minus');

        endif;

        die();

    }

    /**
     * ajax handler : load more planes
     */
    public function ajax_load_more_planes()
    {

        /* paged */
        $paged = $_POST['paged'] ? $_POST['paged'] : 1;

        /* counter */
        $counter = $_POST['counter'] ? $_POST['counter'] : 0;

        /* posts per page */
        $posts_per_page = get_option('posts_per_page', 9);

        /* blog args */
        $blog_args = array(
            'order' => 'DESC',
            'posts_per_page' => $posts_per_page,
            'ignore_sticky_posts' => true,
            'paged' => $paged,
        );

        /* blog query */
        $blog_query = new WP_Query($blog_args);

        /* blog query loop */
        if ($blog_query->have_posts()) :

            while ($blog_query->have_posts()) : $blog_query->the_post();

                $image_id = get_post_thumbnail_id(get_the_ID());

                if (!empty($image_id)):

                    echo JKD_Theme::render_image($image_id,
                        'jk-wide-size-medium');

                    /* counter increment */
                    $counter++;

                endif;

            endwhile;

        endif;

        /* exit */
        die();

    }

    /**
     * ajax handler : load more
     */
    public function ajax_load_more()
    {

        /* paged */
        $paged = $_POST['paged'] ? $_POST['paged'] : 1;

        $blog_type = get_theme_mod('blog-type', 'classic');

        /* posts per page */
        $posts_per_page = get_option('posts_per_page',9);

        /* blog args */
        $blog_args = array(
            'order' => 'DESC',
            'posts_per_page' => $posts_per_page,
            'ignore_sticky_posts' => true,
            'paged' => $paged,
        );

        /* blog query */
        $blog_query = new WP_Query($blog_args);

        /* blog loop */
        if ($blog_query->have_posts()) :

            while ($blog_query->have_posts()) : $blog_query->the_post();

                if ($blog_type === 'reveal'):

                    /* item render */
                    JKD_Core::template('blog/reveal/item');

                elseif ($blog_type === 'grid'):

                    /* item render */
                    JKD_Core::template('blog/grid/item');

                elseif ($blog_type === 'classic'):

                    /* item render */
                    JKD_Core::template('blog/classic/item');

                endif;

            endwhile;

        endif;

        /* exit */
        die();

    }

}
