<?php defined('ABSPATH') || exit;
/*
 *
 */

/**
 * Class JKD_Core
 */
class JKD_Core
{

    /**
     * @var string
     */
    public static $name = '';

    /**
     * @var string
     */
    public static $slug = '';

    /**
     * @var string
     */
    public static $prefix = '';

    /**
     * @var string
     */
    public static $version = '';

    /**
     * @var string
     */
    public static $plugin_path = '';

    /**
     * @var string
     */
    public static $plugin_url = '';

    /**
     * @var array
     */
    public static $children = array();

    /**
     * @var array
     */
    public static $variants = array();

    /**
     * @var string
     */
    protected $update_repo_url = '';

    /**
     * @var string
     */
    protected $update_local_path = '';

    /**
     * @var string
     */
    protected $update_repo_slug = '';

    /**
     * @return string
     */
    public function getUpdateRepoUrl()
    {

        /* return update  repo url */
        return $this->update_repo_url;

    }

    /**
     * @param string $update_repo_url
     */
    public function setUpdateRepoUrl($update_repo_url)
    {

        /* set update  repo url */
        $this->update_repo_url = $update_repo_url;

    }

    /**
     * @return string
     */
    public function getUpdateLocalPath()
    {

        /* return update  local update path */
        return $this->update_local_path;

    }

    /**
     * @param string $update_local_path
     */
    public function setUpdateLocalPath($update_local_path)
    {

        /* set update  local update path */
        $this->update_local_path = $update_local_path;

    }

    /**
     * @return string
     */
    public function getUpdateRepoSlug()
    {

        /* return update  repo slug */
        return $this->update_repo_slug;

    }

    /**
     * @param string $update_repo_slug
     */
    public function setUpdateRepoSlug($update_repo_slug)
    {

        /* set update  repo slug */
        $this->update_repo_slug = $update_repo_slug;

    }

    /**
     * @return string
     */
    public static function getName()
    {

        /* return name */
        return self::$name;

    }

    /**
     * @param string $name
     */
    public static function setName($name)
    {

        /* set name */
        self::$name = $name;

    }

    /**
     * @return string
     */
    public static function getSlug()
    {

        /* return slug */
        return self::$slug;

    }

    /**
     * @param string $slug
     */
    public static function setSlug($slug)
    {

        /* set slug */
        self::$slug = $slug;

    }

    /**
     * @return string
     */
    public static function getPrefix()
    {

        /* get prefix */
        return self::$prefix;

    }

    /**
     * @param string $prefix
     */
    public static function setPrefix($prefix)
    {

        /* set prefix */
        self::$prefix = $prefix;

    }

    /**
     * @return string
     */
    public static function getVersion()
    {

        /* get version */
        return self::$version;

    }

    /**
     * @param string $version
     */
    public static function setVersion($version)
    {

        /* set version */
        self::$version = $version;

    }

    /**
     * @return string
     */
    public static function getPluginPath()
    {

        /* get plugin_path */
        return self::$plugin_path;

    }

    /**
     * @param string $plugin_path
     */
    public static function setPluginPath($plugin_path)
    {

        /* set plugin_path */
        self::$plugin_path = $plugin_path;

    }

    /**
     * @return string
     */
    public static function getPluginUrl()
    {

        /* get plugin_url */
        return self::$plugin_url;

    }

    /**
     * @param string $plugin_url
     */
    public static function setPluginUrl($plugin_url)
    {

        /* set plugin_url */
        self::$plugin_url = $plugin_url;

    }

    /**
     * @return array
     */
    public static function getChildren()
    {

        /* get children */
        return self::$children;

    }

    /**
     * @param array $children
     */
    public static function setChildren($children)
    {

        /* set children */
        self::$children = $children;

    }

    /**
     * @return array
     */
    public static function getVariants()
    {

        /* get variants */
        return self::$variants;

    }

    /**
     * @param array $variants
     */
    public static function setVariants($variants)
    {

        /* set variants */
        self::$variants = $variants;

    }

    /**
     * JKD_Core constructor.
     */
    public function __construct($args)
    {

        /* setup  repo slug */
        if (!empty($args['update_repo_slug'])):

            /* new value */
            $this->setUpdateRepoSlug($args['update_repo_slug']);

        else:

            /* default value */
            $this->setUpdateRepoSlug(plugin_dir_path(__FILE__));

        endif;

        /* setup  local update path */
        if (!empty($args['update_local_path'])):

            /* new value */
            $this->setUpdateLocalPath($args['update_local_path']);

        else:

            /* default value */
            $this->setUpdateLocalPath(plugin_dir_path(__FILE__));

        endif;

        /* setup  repo url */
        if (!empty($args['update_repo_url'])):

            /* new value */
            $this->setUpdateRepoUrl($args['update_repo_url']);

        else:

            /* default value */
            $this->setUpdateRepoUrl(plugin_dir_path(__FILE__));

        endif;

        /* setup plugin path */
        if (!empty($args['plugin_path'])):

            /* new value */
            $this->setPluginPath($args['plugin_path']);

        else:

            /* default value */
            $this->setPluginPath(plugin_dir_path(__FILE__));

        endif;

        /* setup plugin url */
        if (!empty($args['plugin_url'])):

            /* new value */
            $this->setPluginUrl($args['plugin_url']);

        else:

            /* default value */
            $this->setPluginUrl(plugin_dir_url(__FILE__));

        endif;

        /* setup version of plugin */
        if (!empty($args['version'])):

            /* new value */
            $this->setVersion($args['version']);

        else:

            /* default value */
            $this->setVersion('1.6.8');

        endif;

        /* setup plugin name */
        if (!empty($args['name'])):

            /* new value */
            $this->setName($args['name']);

        else:

            /* default value */
            $this->setName('JKD Theme Core Plugin');

        endif;

        /* setup plugin slug */
        if (!empty($args['slug'])):

            /* new value */
            $this->setSlug($args['slug']);

        else:

            /* default value */
            $this->setSlug('jkd-core');

        endif;

        /* setup plugin prefix */
        if (!empty($args['prefix'])):

            /* new value */
            $this->setPrefix($args['prefix']);

        else:

            /* default value */
            $this->setPrefix(self::$prefix . '');

        endif;

        /* init plugin */
        $this->init_plugin();

    }

    /**
     * init plugin
     */
    public function init_plugin()
    {

        $theme_activation = get_option(THEME_SLUG . '_jkdevstudioactivation');

        if ($theme_activation):

            add_filter('the_content', [$this, 'content_injection']);

            /* plugin translation */
            add_action('init', [$this, 'i18n']);

            /* init plugin modules */
            add_action('init', [$this, 'init_modules']);

            /* init ajax */
            add_action('init', [$this, 'init_ajax']);

            /* register image sizes */
            add_action('init', [$this, 'register_image_sizes']);

            /* enqueue scripts lib */
            add_action('wp_enqueue_scripts', [$this, 'enqueue_scripts_lib']);

            /* enqueue styles lib */
            add_action('wp_enqueue_scripts', [$this, 'enqueue_styles_lib']);

            /* enqueue scripts theme */
            add_action('wp_enqueue_scripts', [$this, 'enqueue_scripts_theme']);

            /* enqueue styles theme */
            add_action('wp_enqueue_scripts', [$this, 'enqueue_styles_theme']);

            /* enqueue theme admin styles */
            add_action('admin_head', [$this, 'enqueue_admin_styles']);

            /* enqueue theme admin scripts */
            add_action('admin_head', [$this, 'enqueue_admin_scripts']);

            add_action('wp_enqueue_scripts', [$this, 'inline_enqueue_styles']);

            /* change portfolio archive per page */
            add_action('pre_get_posts', [$this, 'change_portfolio_archive_per_page']);

            /* customizer styles */
            add_action('customize_controls_print_styles', [$this, 'customizer_styles'], 999);

            /* added custom upload extensions (mime types) */
            add_filter('mime_types', [$this, 'custom_upload_extensions']);

            /* init widgets */
            add_action('elementor/widgets/widgets_registered', [$this, 'init_widgets']);

            /* register categories */
            add_action('elementor/elements/categories_registered', [$this, 'registered_categories']);

            add_filter('elementor/controls/animations/additional_animations', [$this, 'custom_animations']);

            add_action('elementor/element/before_section_end', [$this, 'default_widgets_injection'], 10, 3);

            add_action('elementor/element/section/section_typo/after_section_end', [$this, 'default_section_injection'], 10, 2);

            if (!is_admin()):

                /*  */
                add_filter('authenticate', [$this, 'custom_authenticate_username_password'], 30, 3);

                /*  */
                add_action('wp_login_failed', [$this, 'my_front_end_login_fail']);

            endif;

            /* check if exists Puc */
            if (class_exists('Puc_v4_Factory')):

                /* init theme updates */
                add_action('init', [$this, 'init_theme_updates']);

            endif;

        endif;

    }

    /**
     * init theme updates
     */
    public function init_theme_updates()
    {

        /* build update checker */
        Puc_v4_Factory::buildUpdateChecker(
            $this->getUpdateRepoUrl(),
            $this->getUpdateLocalPath(),
            $this->getUpdateRepoSlug()
        );

    }

    /**
     * @param $content
     *
     * @return mixed|string
     */
    public function content_injection($content)
    {

        wp_reset_postdata();

        if (is_page()):

            $page_id = get_the_ID();

            $categories_catalogue = get_theme_mod('shop-categories-catalogue-main-page');

            $custom_page_template = JKD_Helper::get_field('field_page_template');

            if ((int)$page_id === (int)$categories_catalogue):

                ob_start();

                JKD_Core::template('shop/categories-catalogue');

                $output = ob_get_contents();

                ob_end_clean();

                $content .= $output;

            elseif ($custom_page_template):

                ob_start();

                JKD_Core::template('front-scene/front-scene');

                $output = ob_get_contents();

                ob_end_clean();

                $content .= $output;

            elseif (comments_open(get_the_ID()) || get_comments_number(get_the_ID())):

                ob_start();

                ?>

                <div class="comments-wrapper">

                    <div class="comments-inner-wrapper container">

                        <?php

                        comments_template();

                        ?>

                    </div>

                </div>

                <?php

                $output = ob_get_contents();

                ob_end_clean();

                $content .= $output;

            endif;

        endif;

        wp_reset_postdata();

        return $content;

    }

    /**
     *
     */
    public function enqueue_admin_styles()
    {


    }

    /**
     *
     */
    public function enqueue_admin_scripts()
    {

        /* check if isotope script exists */
        if (!wp_script_is(self::$prefix . 'isotope', 'registered')):

            /* enqueue isotope script */
            wp_enqueue_script(self::$prefix . 'isotope', self::$plugin_url . 'assets/js/lib/isotope.min.js', array('jquery', 'imagesloaded'),
                self::$version, false);

        endif;

    }

    /**
     *
     */
    public function inline_enqueue_styles()
    {

        $height = get_theme_mod('nav-height', esc_attr(80));

        $mobile_height = get_theme_mod('nav-mobile-height', esc_attr(70));

        $width = get_theme_mod('nav-height', esc_attr(70));

        $typography_h1_xl = get_theme_mod('typography_h1_xl', array(
            'font-size' => esc_attr('46px'),
            'letter-spacing' => esc_attr('-0.05em'),
        ));

        $typography_h1_lg = get_theme_mod('typography_h1_lg', array(
            'font-size' => esc_attr('38.44px'),
            'letter-spacing' => esc_attr('-0.04em'),
        ));

        $typography_h1_md = get_theme_mod('typography_h1_md', array(
            'font-size' => esc_attr('34.17px'),
            'letter-spacing' => esc_attr('-0.03em'),
        ));

        $typography_h1_sm = get_theme_mod('typography_h1_sm', array(
            'font-size' => esc_attr('30.38px'),
            'letter-spacing' => esc_attr('-0.02em'),
        ));

        $typography_h2_xl = get_theme_mod('typography_h2_xl', array(
            'font-size' => esc_attr('38px'),
            'letter-spacing' => esc_attr('-0.04em'),
        ));

        $typography_h2_lg = get_theme_mod('typography_h2_lg', array(
            'font-size' => esc_attr('34.17px'),
            'letter-spacing' => esc_attr('-0.03em'),
        ));

        $typography_h2_md = get_theme_mod('typography_h2_md', array(
            'font-size' => esc_attr('30.38px'),
            'letter-spacing' => esc_attr('-0.02em'),
        ));

        $typography_h2_sm = get_theme_mod('typography_h2_sm', array(
            'font-size' => esc_attr('24px'),
            'letter-spacing' => esc_attr('-0.01em'),
        ));

        $typography_h3_xl = get_theme_mod('typography_h3_xl', array(
            'font-size' => esc_attr('34.17px'),
            'letter-spacing' => esc_attr('-0.03em'),
        ));

        $typography_h3_lg = get_theme_mod('typography_h3_lg', array(
            'font-size' => esc_attr('30.38px'),
            'letter-spacing' => esc_attr('-0.02em'),
        ));

        $typography_h3_md = get_theme_mod('typography_h3_md', array(
            'font-size' => esc_attr('24px'),
            'letter-spacing' => esc_attr('-0.01em'),
        ));

        $typography_h3_sm = get_theme_mod('typography_h3_sm', array(
            'font-size' => esc_attr('24px'),
            'letter-spacing' => esc_attr('-0.01em'),
        ));

        $typography_h4_xl = get_theme_mod('typography_h4_xl', array(
            'font-size' => esc_attr('30.38px'),
            'letter-spacing' => esc_attr('-0.02em'),
        ));

        $typography_h4_lg = get_theme_mod('typography_h4_lg', array(
            'font-size' => esc_attr('24px'),
            'letter-spacing' => esc_attr('-0.01em'),
        ));

        $typography_h4_md = get_theme_mod('typography_h4_md', array(
            'font-size' => esc_attr('24px'),
            'letter-spacing' => esc_attr('-0.01em'),
        ));

        $typography_h4_sm = get_theme_mod('typography_h4_sm', array(
            'font-size' => esc_attr('24px'),
            'letter-spacing' => esc_attr('-0.01em'),
        ));

        $typography_h5_xl = get_theme_mod('typography_h5_xl', array(
            'font-size' => esc_attr('24px'),
            'letter-spacing' => esc_attr('-0.01em'),
        ));

        $typography_h5_lg = get_theme_mod('typography_h5_lg', array(
            'font-size' => esc_attr('20px'),
            'letter-spacing' => esc_attr('0em'),
        ));

        $typography_h5_md = get_theme_mod('typography_h5_md', array(
            'font-size' => esc_attr('20px'),
            'letter-spacing' => esc_attr('0em'),
        ));

        $typography_h5_sm = get_theme_mod('typography_h5_sm', array(
            'font-size' => esc_attr('20px'),
            'letter-spacing' => esc_attr('0em'),
        ));

        $typography_h6_xl = get_theme_mod('typography_h6_xl', array(
            'font-size' => esc_attr('18px'),
            'letter-spacing' => esc_attr('0em'),
        ));

        $typography_h6_lg = get_theme_mod('typography_h6_lg', array(
            'font-size' => esc_attr('18px'),
            'letter-spacing' => esc_attr('0em'),
        ));

        $typography_h6_md = get_theme_mod('typography_h6_md', array(
            'font-size' => esc_attr('18px'),
            'letter-spacing' => esc_attr('0em'),
        ));

        $typography_h6_sm = get_theme_mod('typography_h6_sm', array(
            'font-size' => esc_attr('18px'),
            'letter-spacing' => esc_attr('0em'),
        ));

        $default_color_scheme_selection_bg_color = get_theme_mod('default_color_scheme_selection_bg_color', esc_attr('#141827'));

        $default_color_scheme_selection_color = get_theme_mod('default_color_scheme_selection_color', esc_attr('#ffffff'));

        $default_color_scheme_bg_color = get_theme_mod('default_color_scheme_bg_color', esc_attr('#ffffff'));

        $default_color_scheme_bg_secondary_color = get_theme_mod('default_color_scheme_bg_secondary_color', esc_attr('#f1f1f1'));

        $default_color_scheme_heading_color = get_theme_mod('default_color_scheme_heading_color', esc_attr('#141827'));

        $default_color_scheme_dark_color = get_theme_mod('default_color_scheme_dark_color', esc_attr('#141827'));

        $default_color_scheme_inverted_color = get_theme_mod('default_color_scheme_inverted_color', esc_attr('#ffffff'));

        $default_color_scheme_text_color = get_theme_mod('default_color_scheme_text_color', esc_attr('#141827'));

        $default_color_scheme_border_color = get_theme_mod('default_color_scheme_border_color', esc_attr('rgba(152, 152, 152, 0.3)'));

        $dark_color_scheme_selection_bg_color = get_theme_mod('dark_color_scheme_selection_bg_color', esc_attr('#ffffff'));

        $dark_color_scheme_selection_color = get_theme_mod('dark_color_scheme_selection_color', esc_attr('#151515'));

        $dark_color_scheme_bg_color = get_theme_mod('dark_color_scheme_bg_color', esc_attr('#151515'));

        $dark_color_scheme_bg_secondary_color = get_theme_mod('dark_color_scheme_bg_secondary_color', esc_attr('#1c1c1c'));

        $dark_color_scheme_heading_color = get_theme_mod('dark_color_scheme_heading_color', esc_attr('#ffffff'));

        $dark_color_scheme_dark_color = get_theme_mod('dark_color_scheme_dark_color', esc_attr('#151515'));

        $dark_color_scheme_inverted_color = get_theme_mod('dark_color_scheme_inverted_color', esc_attr('#121212'));

        $dark_color_scheme_text_color = get_theme_mod('dark_color_scheme_text_color', esc_attr('#ffffff'));

        $dark_color_scheme_border_color = get_theme_mod('dark_color_scheme_border_color', esc_attr('rgba(255, 255, 255, 0.15)'));


        $inline_css = "
        
        :root{
            --navigation-mobile-height: {$mobile_height}px;
        }
                
        :root, body[data-color-scheme=default] {
            --jkd-bg-color: {$default_color_scheme_bg_color}!important;
            --jkd-bg-color-secondary: {$default_color_scheme_bg_secondary_color}!important;
            --jkd-heading-color: {$default_color_scheme_heading_color}!important;
            --jkd-dark-color: {$default_color_scheme_dark_color}!important;
            --jkd-inverted-color: {$default_color_scheme_inverted_color}!important;
            --jkd-text-color: {$default_color_scheme_text_color}!important;
            --jkd-border-color: {$default_color_scheme_border_color}!important;
            --jkd-selection-bg-color: {$default_color_scheme_selection_bg_color}!important;
            --jkd-selection-color: {$default_color_scheme_selection_color}!important;
        }

        body[data-color-scheme=dark] {
            --jkd-bg-color: {$dark_color_scheme_bg_color}!important;
            --jkd-bg-color-secondary: {$dark_color_scheme_bg_secondary_color}!important;
            --jkd-heading-color: {$dark_color_scheme_heading_color}!important;
            --jkd-dark-color: {$dark_color_scheme_dark_color}!important;
            --jkd-inverted-color: {$dark_color_scheme_inverted_color}!important;
            --jkd-text-color: {$dark_color_scheme_text_color}!important;
            --jkd-border-color: {$dark_color_scheme_border_color}!important;
            --jkd-selection-bg-color: {$dark_color_scheme_selection_bg_color}!important;
            --jkd-selection-color: {$dark_color_scheme_selection_color}!important;
        }
        
        .global-navigation-default,.global-navigation-overlay{
            --jkd-navigation-height: {$height}px !important;
        }
        
        .global-navigation-side {
            --navigation-width: {$width}px !important;
        }
        
        h1{
        font-size: {$typography_h1_xl['font-size']}!important;
        letter-spacing: {$typography_h1_xl['letter-spacing']}!important;
        }
        
        h2{
     font-size: {$typography_h2_xl['font-size']}!important;
        letter-spacing: {$typography_h2_xl['letter-spacing']}!important;
        }
        
        h3{
     font-size: {$typography_h3_xl['font-size']}!important;
        letter-spacing: {$typography_h3_xl['letter-spacing']}!important;
        }
        
        h4{
     font-size: {$typography_h4_xl['font-size']}!important;
        letter-spacing: {$typography_h4_xl['letter-spacing']}!important;
        }
        
        h5{
     font-size: {$typography_h5_xl['font-size']}!important;
        letter-spacing: {$typography_h5_xl['letter-spacing']}!important;
        }
        
        h6, .woof_container_inner h4{
     font-size: {$typography_h6_xl['font-size']}!important;
        letter-spacing: {$typography_h6_xl['letter-spacing']}!important;
        }
        
        @media(max-width: 1024px){
        
            h1{
            font-size: {$typography_h1_lg['font-size']}!important;
        letter-spacing: {$typography_h1_lg['letter-spacing']}!important;
            }
        
            h2{
            font-size: {$typography_h2_lg['font-size']}!important;
        letter-spacing: {$typography_h2_lg['letter-spacing']}!important;
            }
        
            h3{
               font-size: {$typography_h3_lg['font-size']}!important;
        letter-spacing: {$typography_h3_lg['letter-spacing']}!important;
            }
        
            h4{
             font-size: {$typography_h4_lg['font-size']}!important;
        letter-spacing: {$typography_h4_lg['letter-spacing']}!important;
            }
        
            h5{
           font-size: {$typography_h5_lg['font-size']}!important;
        letter-spacing: {$typography_h5_lg['letter-spacing']}!important;
            }
        
            h6, .woof_container_inner h4{
           font-size: {$typography_h6_lg['font-size']}!important;
        letter-spacing: {$typography_h6_lg['letter-spacing']}!important;
            }
        
        }
        
        @media(max-width: 768px){
        
            h1{
              font-size: {$typography_h1_md['font-size']}!important;
        letter-spacing: {$typography_h1_md['letter-spacing']}!important;
            }
        
            h2{
              font-size: {$typography_h2_md['font-size']}!important;
        letter-spacing: {$typography_h2_md['letter-spacing']}!important;
            }
        
            h3{
              font-size: {$typography_h3_md['font-size']}!important;
        letter-spacing: {$typography_h3_md['letter-spacing']}!important;
            }
        
            h4{
              font-size: {$typography_h4_md['font-size']}!important;
        letter-spacing: {$typography_h4_md['letter-spacing']}!important;
            }
        
            h5{
              font-size: {$typography_h5_md['font-size']}!important;
        letter-spacing: {$typography_h5_md['letter-spacing']}!important;
            }
        
            h6, .woof_container_inner h4{
              font-size: {$typography_h6_md['font-size']}!important;
        letter-spacing: {$typography_h6_md['letter-spacing']}!important;
            }
        
        }
        
        @media(max-width: 576px){
        
            h1{
              font-size: {$typography_h1_sm['font-size']}!important;
        letter-spacing: {$typography_h1_sm['letter-spacing']}!important;
            }
        
            h2{
              font-size: {$typography_h2_sm['font-size']}!important;
        letter-spacing: {$typography_h2_sm['letter-spacing']}!important;
            }
        
            h3{
              font-size: {$typography_h3_sm['font-size']}!important;
        letter-spacing: {$typography_h3_sm['letter-spacing']}!important;
            }
        
            h4{
              font-size: {$typography_h4_sm['font-size']}!important;
        letter-spacing: {$typography_h4_sm['letter-spacing']}!important;
            }
        
            h5{
           font-size: {$typography_h5_sm['font-size']}!important;
        letter-spacing: {$typography_h5_sm['letter-spacing']}!important;
            }
        
            h6, .woof_container_inner h4{
              font-size: {$typography_h6_sm['font-size']}!important;
        letter-spacing: {$typography_h6_sm['letter-spacing']}!important;
            }
        
        }
                
        ";

        wp_add_inline_style(self::$prefix . 'main', $inline_css);

    }

    /**
     * enqueue scripts
     */
    public function enqueue_scripts_lib()
    {

        wp_deregister_script('swiper');

        /* check if swiper scripts exists */
        if (!wp_script_is('swiper', 'registered')):

            /* enqueue swiper scripts */
            wp_register_script('swiper', self::$plugin_url . 'assets/js/lib/swiper.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if waypoints script exists */
        if (!wp_script_is(self::$prefix . 'waypoints') && !wp_script_is('elementor-waypoints-js')):

            /* enqueue waypoints script */
            wp_enqueue_script(self::$prefix . 'waypoints', self::$plugin_url . 'assets/js/lib/waypoints.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

            /* dequeue elementor waypoints */
            wp_dequeue_script('elementor-waypoints-js');

        endif;

        /* check if photo-swipe script exists */
        if (!wp_script_is(self::$prefix . 'photo-swipe', 'registered')):

            /* enqueue photo-swipe script */
            wp_register_script(self::$prefix . 'photo-swipe', self::$plugin_url . 'assets/js/lib/photoswipe.min.js', array('jquery', 'imagesloaded'),
                self::$version, false);

            /* enqueue photo-swipe-ui script */
            wp_register_script(self::$prefix . 'photo-swipe-ui', self::$plugin_url . 'assets/js/lib/photoswipe-ui-default.min.js', array('jquery', 'imagesloaded'),
                self::$version, false);

        endif;

        /* check if jarallax script exists */
        if (!wp_script_is(self::$prefix . 'jarallax')):

            /* enqueue jarallax script */
            wp_enqueue_script(self::$prefix . 'jarallax', self::$plugin_url . 'assets/js/lib/jarallax.min.js', array('jquery', 'imagesloaded'),
                self::$version, false);

        endif;

        /* check if isotope script exists */
        if (!wp_script_is(self::$prefix . 'isotope', 'registered')):

            /* enqueue isotope script */
            wp_register_script(self::$prefix . 'isotope', self::$plugin_url . 'assets/js/lib/isotope.min.js', array('jquery', 'imagesloaded'),
                self::$version, false);

        endif;

        /* check if scroll to script exists */
        if (!wp_script_is(self::$prefix . 'scroll-to-plugin', 'registered')):

            /* enqueue scroll to script */
            wp_register_script(self::$prefix . 'scroll-to-plugin', self::$plugin_url . 'assets/js/lib/scroll-to-plugin.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if curtains script exists */
        if (!wp_script_is(self::$prefix . 'curtains', 'registered')):

            /* enqueue curtains script */
            wp_register_script(self::$prefix . 'curtains', self::$plugin_url . 'assets/js/lib/curtains.umd.min.js', array('jquery', 'imagesloaded'),
                self::$version, false);

        endif;

        /* check if draggable script exists */
        if (!wp_script_is(self::$prefix . 'draggable', 'registered')):

            /* enqueue draggable script */
            wp_register_script(self::$prefix . 'draggable', self::$plugin_url . 'assets/js/lib/draggable.min.js', array('jquery', 'imagesloaded'),
                self::$version, false);

        endif;

        /* check if marquee script exists */
        if (!wp_script_is(self::$prefix . 'marquee-lib', 'registered')):

            /* enqueue marquee script */
            wp_register_script(self::$prefix . 'marquee-lib', self::$plugin_url . 'assets/js/lib/marquee.min.js', array('jquery', 'imagesloaded'),
                self::$version, false);

        endif;

        /* check if tilt script exists */
        if (!wp_script_is(self::$prefix . 'tilt', 'registered')):

            /* enqueue tilt script */
            wp_register_script(self::$prefix . 'tilt', self::$plugin_url . 'assets/js/lib/tilt.min.js', array('jquery', 'imagesloaded'),
                self::$version, false);

        endif;

        if (get_theme_mod('general-tooltips-toggle', true)):

            /* check if popper script exists */
            if (!wp_script_is(self::$prefix . 'popper')):

                /* enqueue popper script */
                wp_enqueue_script(self::$prefix . 'popper', self::$plugin_url . 'assets/js/lib/popper.min.js', array('jquery', 'imagesloaded'),
                    self::$version, false);

            endif;

            /* check if tippy script exists */
            if (!wp_script_is(self::$prefix . 'tippy')):

                /* enqueue tippy script */
                wp_enqueue_script(self::$prefix . 'tippy', self::$plugin_url . 'assets/js/lib/tippy.min.js', array('jquery', 'imagesloaded'),
                    self::$version, true);

            endif;

        endif;

        /* check if plyr script exists */
        if (!wp_script_is(self::$prefix . 'plyr', 'registered')):

            /* enqueue plyr script */
            wp_register_script(self::$prefix . 'plyr', self::$plugin_url . 'assets/js/lib/plyr.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if paroller-lib script exists */
        if (!wp_script_is(self::$prefix . 'paroller-lib', 'registered')):

            /* enqueue paroller-lib script */
            wp_register_script(self::$prefix . 'paroller-lib', self::$plugin_url . 'assets/js/lib/paroller.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

    }

    /**
     *
     */
    public function enqueue_scripts_theme()
    {

        /* check if blog script exists */
        if (!wp_script_is(self::$prefix . 'blog', 'registered')):

            /* enqueue blog script */
            wp_register_script(self::$prefix . 'blog', self::$plugin_url . 'assets/js/theme/blog.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if blog-single script exists */
        if (!wp_script_is(self::$prefix . 'blog-single', 'registered')):

            /* enqueue blog-single script */
            wp_register_script(self::$prefix . 'blog-single', self::$plugin_url . 'assets/js/theme/blogsingle.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if events script exists */
        if (!wp_script_is(self::$prefix . 'events', 'registered') && function_exists('tribe_is_not_min_php_version') && tribe_is_event_query()):

            /* enqueue events script */
            wp_enqueue_script(self::$prefix . 'events', self::$plugin_url . 'assets/js/theme/events.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if portfolio script exists */
        if (!wp_script_is(self::$prefix . 'portfolio', 'registered')):

            /* enqueue portfolio script */
            wp_register_script(self::$prefix . 'portfolio', self::$plugin_url . 'assets/js/theme/portfolio.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if portfolio-single script exists */
        if (!wp_script_is(self::$prefix . 'portfolio-single', 'registered')):

            /* enqueue portfolio-single script */
            wp_register_script(self::$prefix . 'portfolio-single', self::$plugin_url . 'assets/js/theme/portfoliosingle.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if navigation-default script exists */
        if (!wp_script_is(self::$prefix . 'navigation-default', 'registered')):

            /* enqueue navigation-default script */
            wp_register_script(self::$prefix . 'navigation-default', self::$plugin_url . 'assets/js/theme/navigationdefault.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if navigation-side script exists */
        if (!wp_script_is(self::$prefix . 'navigation-side', 'registered')):

            /* enqueue navigation-side script */
            wp_register_script(self::$prefix . 'navigation-side', self::$plugin_url . 'assets/js/theme/navigationside.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if navigation-overlay script exists */
        if (!wp_script_is(self::$prefix . 'navigation-overlay', 'registered')):

            /* enqueue navigation-overlay script */
            wp_register_script(self::$prefix . 'navigation-overlay', self::$plugin_url . 'assets/js/theme/navigationoverlay.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if navigation-bottom script exists */
        if (!wp_script_is(self::$prefix . 'navigation-bottom', 'registered')):

            /* enqueue navigation-bottom script */
            wp_register_script(self::$prefix . 'navigation-bottom', self::$plugin_url . 'assets/js/theme/navigationbottom.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if navigation-mobile script exists */
        if (!wp_script_is(self::$prefix . 'navigation-mobile', 'registered')):

            /* enqueue navigation-mobile script */
            wp_register_script(self::$prefix . 'navigation-mobile', self::$plugin_url . 'assets/js/theme/navigationmobile.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if career script exists */
        if (!wp_script_is(self::$prefix . 'career', 'registered')):

            /* enqueue career script */
            wp_register_script(self::$prefix . 'career', self::$plugin_url . 'assets/js/theme/career.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if circular-gallery script exists */
        if (!wp_script_is(self::$prefix . 'circular-gallery', 'registered')):

            /* enqueue circular-gallery script */
            wp_register_script(self::$prefix . 'circular-gallery', self::$plugin_url . 'assets/js/theme/circulargallery.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if distortion-links script exists */
        if (!wp_script_is(self::$prefix . 'distortion-links', 'registered')):

            /* enqueue distortion-links script */
            wp_register_script(self::$prefix . 'distortion-links', self::$plugin_url . 'assets/js/theme/distortionlinks.min.js', array('jquery', 'imagesloaded', self::$prefix . 'curtains'),
                self::$version, true);

        endif;

        /* check if draggable-slider script exists */
        if (!wp_script_is(self::$prefix . 'draggable-slider', 'registered')):

            /* enqueue draggable-slider script */
            wp_register_script(self::$prefix . 'draggable-slider', self::$plugin_url . 'assets/js/theme/draggableslider.min.js', array('jquery', 'imagesloaded', 'swiper', self::$prefix . 'draggable'),
                self::$version, true);

        endif;

        /* check if events-calendar script exists */
        if (!wp_script_is(self::$prefix . 'events-calendar', 'registered')):

            /* enqueue events-calendar script */
            wp_register_script(self::$prefix . 'events-calendar', self::$plugin_url . 'assets/js/theme/eventscalendar.min.js', array('jquery', 'imagesloaded', 'swiper'),
                self::$version, true);

        endif;

        /* check if blog-two-side script exists */
        if (!wp_script_is(self::$prefix . 'blog-two-side', 'registered')):

            /* enqueue blog-two-side script */
            wp_register_script(self::$prefix . 'blog-two-side', self::$plugin_url . 'assets/js/theme/blogtwoside.min.js', array('jquery', 'imagesloaded', 'swiper'),
                self::$version, true);

        endif;

        /* check if horizontal-slider script exists */
        if (!wp_script_is(self::$prefix . 'horizontal-slider', 'registered')):

            /* enqueue horizontal-slider script */
            wp_register_script(self::$prefix . 'horizontal-slider', self::$plugin_url . 'assets/js/theme/horizontalslider.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if interactive-showcase script exists */
        if (!wp_script_is(self::$prefix . 'interactive-showcase', 'registered')):

            /* enqueue interactive-showcase script */
            wp_register_script(self::$prefix . 'interactive-showcase', self::$plugin_url . 'assets/js/theme/interactiveshowcase.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if letters-showcase script exists */
        if (!wp_script_is(self::$prefix . 'letters-showcase', 'registered')):

            /* enqueue letters-showcase script */
            wp_register_script(self::$prefix . 'letters-showcase', self::$plugin_url . 'assets/js/theme/lettersshowcase.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if minimal-list script exists */
        if (!wp_script_is(self::$prefix . 'minimal-list', 'registered')):

            /* enqueue minimal-list script */
            wp_register_script(self::$prefix . 'minimal-list', self::$plugin_url . 'assets/js/theme/minimallist.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if organic-slider script exists */
        if (!wp_script_is(self::$prefix . 'organic-slider', 'registered')):

            /* enqueue organic-slider script */
            wp_register_script(self::$prefix . 'organic-slider', self::$plugin_url . 'assets/js/theme/organicslider.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if products-showcase script exists */
        if (!wp_script_is(self::$prefix . 'products-showcase', 'registered')):

            /* enqueue products-showcase script */
            wp_register_script(self::$prefix . 'products-showcase', self::$plugin_url . 'assets/js/theme/productsshowcase.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if product-slider script exists */
        if (!wp_script_is(self::$prefix . 'product-slider', 'registered')):

            /* enqueue product-slider script */
            wp_register_script(self::$prefix . 'product-slider', self::$plugin_url . 'assets/js/theme/productsslider.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if tiles-grid script exists */
        if (!wp_script_is(self::$prefix . 'tiles-grid', 'registered')):

            /* enqueue tiles-grid script */
            wp_register_script(self::$prefix . 'tiles-grid', self::$plugin_url . 'assets/js/theme/tilesgrid.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if titles-slider script exists */
        if (!wp_script_is(self::$prefix . 'titles-slider', 'registered')):

            /* enqueue titles-slider script */
            wp_register_script(self::$prefix . 'titles-slider', self::$plugin_url . 'assets/js/theme/titlesslider.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if webgl-slider script exists */
        if (!wp_script_is(self::$prefix . 'webgl-slider', 'registered')):

            /* enqueue webgl-slider script */
            wp_register_script(self::$prefix . 'webgl-slider', self::$plugin_url . 'assets/js/theme/webglslider.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if images-gallery script exists */
        if (!wp_script_is(self::$prefix . 'images-gallery', 'registered')):

            /* enqueue images-gallery script */
            wp_register_script(self::$prefix . 'images-gallery', self::$plugin_url . 'assets/js/theme/imagesgallery.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if showcase-slider script exists */
        if (!wp_script_is(self::$prefix . 'showcase-slider', 'registered')):

            /* enqueue showcase-slider script */
            wp_register_script(self::$prefix . 'showcase-slider', self::$plugin_url . 'assets/js/theme/showcaseslider.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if showcase-carousel script exists */
        if (!wp_script_is(self::$prefix . 'showcase-carousel', 'registered')):

            /* enqueue showcase-carousel script */
            wp_register_script(self::$prefix . 'showcase-carousel', self::$plugin_url . 'assets/js/theme/showcasecarousel.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if portfolio-columns script exists */
        if (!wp_script_is(self::$prefix . 'portfolio-columns', 'registered')):

            /* enqueue portfolio-columns script */
            wp_register_script(self::$prefix . 'portfolio-columns', self::$plugin_url . 'assets/js/theme/portfoliocolumns.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if reveal-columns script exists */
        if (!wp_script_is(self::$prefix . 'reveal-columns', 'registered')):

            /* enqueue reveal-columns script */
            wp_register_script(self::$prefix . 'reveal-columns', self::$plugin_url . 'assets/js/theme/revealcolumns.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if visual-gallery script exists */
        if (!wp_script_is(self::$prefix . 'visual-gallery', 'registered')):

            /* enqueue visual-gallery script */
            wp_register_script(self::$prefix . 'visual-gallery', self::$plugin_url . 'assets/js/theme/visualgallery.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if interactive-slider script exists */
        if (!wp_script_is(self::$prefix . 'interactive-slider', 'registered')):

            /* enqueue interactive-slider script */
            wp_register_script(self::$prefix . 'interactive-slider', self::$plugin_url . 'assets/js/theme/interactiveslider.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if rotated-links script exists */
        if (!wp_script_is(self::$prefix . 'rotated-links', 'registered')):

            /* enqueue rotated-links script */
            wp_register_script(self::$prefix . 'rotated-links', self::$plugin_url . 'assets/js/theme/rotatedlinks.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if accordions script exists */
        if (!wp_script_is(self::$prefix . 'accordions', 'registered')):

            /* enqueue accordions script */
            wp_register_script(self::$prefix . 'accordions', self::$plugin_url . 'assets/js/theme/accordions.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if fixed-social-list script exists */
        if (!wp_script_is(self::$prefix . 'fixed-social-list', 'registered')):

            /* enqueue fixed-social-list script */
            wp_register_script(self::$prefix . 'fixed-social-list', self::$plugin_url . 'assets/js/theme/fixedsociallist.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if authorization script exists */
        if (!wp_script_is(self::$prefix . 'authorization', 'registered')):

            /* enqueue authorization script */
            wp_register_script(self::$prefix . 'authorization', self::$plugin_url . 'assets/js/theme/authorization.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if comments script exists */
        if (!wp_script_is(self::$prefix . 'comments', 'registered')):

            /* enqueue comments script */
            wp_register_script(self::$prefix . 'comments', self::$plugin_url . 'assets/js/theme/comments.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if categories-catalogue script exists */
        if (!wp_script_is(self::$prefix . 'categories-catalogue', 'registered')):

            /* enqueue categories-catalogue script */
            wp_register_script(self::$prefix . 'categories-catalogue', self::$plugin_url . 'assets/js/theme/categoriescatalogue.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if cursor script exists */
        if (!wp_script_is(self::$prefix . 'cursor', 'registered')):

            /* enqueue cursor script */
            wp_register_script(self::$prefix . 'cursor', self::$plugin_url . 'assets/js/theme/cursor.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if marquee script exists */
        if (!wp_script_is(self::$prefix . 'marquee', 'registered')):

            /* enqueue marquee script */
            wp_register_script(self::$prefix . 'marquee', self::$plugin_url . 'assets/js/theme/marquee.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if newsletter script exists */
        if (!wp_script_is(self::$prefix . 'newsletter', 'registered')):

            /* enqueue newsletter script */
            wp_register_script(self::$prefix . 'newsletter', self::$plugin_url . 'assets/js/theme/newsletter.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if page-progress-bar script exists */
        if (!wp_script_is(self::$prefix . 'page-progress-bar', 'registered')):

            /* enqueue page-progress-bar script */
            wp_register_script(self::$prefix . 'page-progress-bar', self::$plugin_url . 'assets/js/theme/pageprogressbar.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if paroller script exists */
        if (!wp_script_is(self::$prefix . 'paroller', 'registered')):

            /* enqueue paroller script */
            wp_register_script(self::$prefix . 'paroller', self::$plugin_url . 'assets/js/theme/paroller.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if scroll-top-button script exists */
        if (!wp_script_is(self::$prefix . 'scroll-top-button', 'registered')):

            /* enqueue scroll-top-button script */
            wp_register_script(self::$prefix . 'scroll-top-button', self::$plugin_url . 'assets/js/theme/scrolltopbutton.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if search-form script exists */
        if (!wp_script_is(self::$prefix . 'search-form', 'registered')):

            /* enqueue search-form script */
            wp_register_script(self::$prefix . 'search-form', self::$plugin_url . 'assets/js/theme/searchform.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if shopping-cart script exists */
        if (!wp_script_is(self::$prefix . 'shopping-cart', 'registered')):

            /* enqueue shopping-cart script */
            wp_register_script(self::$prefix . 'shopping-cart', self::$plugin_url . 'assets/js/theme/shoppingcart.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

        endif;

        /* check if main script exists */
        if (!wp_script_is(self::$prefix . 'main')):

            /* enqueue main script */
            wp_enqueue_script(self::$prefix . 'main', self::$plugin_url . 'assets/js/theme/main.min.js', array('jquery', 'imagesloaded'),
                self::$version, true);

            /* localize jkd_ajax object */
            wp_localize_script(self::$prefix . 'main', 'jkd_ajax', array(
                'ajaxurl' => site_url() . '/wp-admin/admin-ajax.php'
            ));

        endif;

    }

    /**
     * enqueue styles
     */
    public function enqueue_styles_lib()
    {

        wp_deregister_style('swiper');

        /* check if swiper styles exists */
        if (!wp_style_is(self::$prefix . 'swiper', 'registered')):

            /* enqueue swiper styles */
            wp_register_style('swiper', self::$plugin_url . 'assets/css/lib/swiper.min.css');

        endif;

        if (get_theme_mod('general-tooltips-toggle', true)):

            /* check if tippy styles exists */
            if (!wp_style_is(self::$prefix . 'tippy')):

                /* enqueue tippy styles */
                wp_enqueue_style(self::$prefix . 'tippy', self::$plugin_url . 'assets/css/lib/tippy.min.css');

            endif;

        endif;

        /* check if plyr styles exists */
        if (!wp_style_is(self::$prefix . 'plyr', 'registered')):

            /* enqueue plyr styles */
            wp_register_style(self::$prefix . 'plyr', self::$plugin_url . 'assets/css/lib/plyr.min.css');

        endif;

        /* check if photo-swipe styles exists */
        if (!wp_style_is(self::$prefix . 'photo-swipe', 'registered') && !wp_style_is('photo-swipe')):

            /* enqueue photo-swipe styles */
            wp_register_style(self::$prefix . 'photo-swipe', self::$plugin_url . 'assets/css/lib/photoswipe.min.css');

            wp_register_style(self::$prefix . 'photo-swipe-ui', self::$plugin_url . 'assets/css/lib/photoswipe-default.min.css');

        endif;

    }

    /**
     *
     */
    public function enqueue_styles_theme()
    {

        /* get rtl global var from the customizer */
        $rtl = get_theme_mod('general-rtl-toggle', false);

        if (!empty($_GET['rtl'])):

            $rtl = $_GET['rtl'];

        endif;

        $suffix = array();

        /* $_GET query for the rtl */
        if (!empty($_GET['rtl'])):

            /* get rtl var from the $_GET query */
            $rtl = $_GET['rtl'];

        endif;

        if ($rtl):

            array_push($suffix, '.rtl');

        endif;

        $suffix = implode('', $suffix);

        /* check if career styles exists */
        if (!wp_style_is(self::$prefix . 'career', 'registered')):

            /* enqueue career styles */
            wp_register_style(self::$prefix . 'career', self::$plugin_url . 'assets/css/theme/career' . $suffix . '.min.css');

        endif;

        /* check if blog styles exists */
        if (!wp_style_is(self::$prefix . 'blog', 'registered')):

            /* enqueue blog styles */
            wp_register_style(self::$prefix . 'blog', self::$plugin_url . 'assets/css/theme/blog' . $suffix . '.min.css');

        endif;

        /* check if blog-single styles exists */
        if (!wp_style_is(self::$prefix . 'blog-single', 'registered')):

            /* enqueue blog-single styles */
            wp_register_style(self::$prefix . 'blog-single', self::$plugin_url . 'assets/css/theme/blogsingle' . $suffix . '.min.css');

        endif;

        /* check if events style exists */
        if (!wp_style_is(self::$prefix . 'events', 'registered') && function_exists('tribe_is_not_min_php_version') && tribe_is_event_query()):

            /* enqueue events style */
            wp_enqueue_style(self::$prefix . 'events', self::$plugin_url . 'assets/css/theme/events' . $suffix . '.min.css');

        endif;

        /* check if portfolio styles exists */
        if (!wp_style_is(self::$prefix . 'portfolio', 'registered')):

            /* enqueue portfolio styles */
            wp_register_style(self::$prefix . 'portfolio', self::$plugin_url . 'assets/css/theme/portfolio' . $suffix . '.min.css');

        endif;

        /* check if portfolio-single styles exists */
        if (!wp_style_is(self::$prefix . 'portfolio-single', 'registered')):

            /* enqueue portfolio-single styles */
            wp_register_style(self::$prefix . 'portfolio-single', self::$plugin_url . 'assets/css/theme/portfoliosingle' . $suffix . '.min.css');

        endif;

        /* check if navigation-default styles exists */
        if (!wp_style_is(self::$prefix . 'navigation-default', 'registered')):

            /* enqueue navigation-default styles */
            wp_register_style(self::$prefix . 'navigation-default', self::$plugin_url . 'assets/css/theme/navigationdefault' . $suffix . '.min.css');

        endif;

        /* check if navigation-side styles exists */
        if (!wp_style_is(self::$prefix . 'navigation-side', 'registered')):

            /* enqueue navigation-side styles */
            wp_register_style(self::$prefix . 'navigation-side', self::$plugin_url . 'assets/css/theme/navigationside' . $suffix . '.min.css');

        endif;

        /* check if navigation-overlay styles exists */
        if (!wp_style_is(self::$prefix . 'navigation-overlay', 'registered')):

            /* enqueue navigation-overlay styles */
            wp_register_style(self::$prefix . 'navigation-overlay', self::$plugin_url . 'assets/css/theme/navigationoverlay' . $suffix . '.min.css');

        endif;

        /* check if navigation-bottom styles exists */
        if (!wp_style_is(self::$prefix . 'navigation-bottom', 'registered')):

            /* enqueue navigation-bottom styles */
            wp_register_style(self::$prefix . 'navigation-bottom', self::$plugin_url . 'assets/css/theme/navigationbottom' . $suffix . '.min.css');

        endif;

        /* check if navigation-mobile styles exists */
        if (!wp_style_is(self::$prefix . 'navigation-mobile', 'registered')):

            /* enqueue navigation-mobile styles */
            wp_register_style(self::$prefix . 'navigation-mobile', self::$plugin_url . 'assets/css/theme/navigationmobile' . $suffix . '.min.css');

        endif;

        /* check if blog-two-side styles exists */
        if (!wp_style_is(self::$prefix . 'blog-two-side', 'registered')):

            /* enqueue blog-two-side styles */
            wp_register_style(self::$prefix . 'blog-two-side', self::$plugin_url . 'assets/css/theme/blogtwoside' . $suffix . '.min.css');

        endif;

        /* check if circular-gallery styles exists */
        if (!wp_style_is(self::$prefix . 'circular-gallery', 'registered')):

            /* enqueue circular-gallery styles */
            wp_register_style(self::$prefix . 'circular-gallery', self::$plugin_url . 'assets/css/theme/circulargallery' . $suffix . '.min.css');

        endif;

        /* check if distortion-links styles exists */
        if (!wp_style_is(self::$prefix . 'distortion-links', 'registered')):

            /* enqueue distortion-links styles */
            wp_register_style(self::$prefix . 'distortion-links', self::$plugin_url . 'assets/css/theme/distortionlinks' . $suffix . '.min.css');

        endif;

        /* check if draggable-slider styles exists */
        if (!wp_style_is(self::$prefix . 'draggable-slider', 'registered')):

            /* enqueue draggable-slider styles */
            wp_register_style(self::$prefix . 'draggable-slider', self::$plugin_url . 'assets/css/theme/draggableslider' . $suffix . '.min.css');

        endif;

        /* check if events-calendar styles exists */
        if (!wp_style_is(self::$prefix . 'events-calendar', 'registered')):

            /* enqueue events-calendar styles */
            wp_register_style(self::$prefix . 'events-calendar', self::$plugin_url . 'assets/css/theme/eventscalendar' . $suffix . '.min.css');

        endif;

        /* check if horizontal-slider styles exists */
        if (!wp_style_is(self::$prefix . 'horizontal-slider', 'registered')):

            /* enqueue horizontal-slider styles */
            wp_register_style(self::$prefix . 'horizontal-slider', self::$plugin_url . 'assets/css/theme/horizontalslider' . $suffix . '.min.css');

        endif;

        /* check if images-gallery styles exists */
        if (!wp_style_is(self::$prefix . 'images-gallery', 'registered')):

            /* enqueue images-gallery styles */
            wp_register_style(self::$prefix . 'images-gallery', self::$plugin_url . 'assets/css/theme/imagesgallery' . $suffix . '.min.css');

        endif;

        /* check if interactive-showcase styles exists */
        if (!wp_style_is(self::$prefix . 'interactive-showcase', 'registered')):

            /* enqueue interactive-showcase styles */
            wp_register_style(self::$prefix . 'interactive-showcase', self::$plugin_url . 'assets/css/theme/interactiveshowcase' . $suffix . '.min.css');

        endif;

        /* check if letters-showcase styles exists */
        if (!wp_style_is(self::$prefix . 'letters-showcase', 'registered')):

            /* enqueue letters-showcase styles */
            wp_register_style(self::$prefix . 'letters-showcase', self::$plugin_url . 'assets/css/theme/lettersshowcase' . $suffix . '.min.css');

        endif;

        /* check if minimal-list styles exists */
        if (!wp_style_is(self::$prefix . 'minimal-list', 'registered')):

            /* enqueue minimal-list styles */
            wp_register_style(self::$prefix . 'minimal-list', self::$plugin_url . 'assets/css/theme/minimallist' . $suffix . '.min.css');

        endif;

        /* check if organic-slider styles exists */
        if (!wp_style_is(self::$prefix . 'organic-slider', 'registered')):

            /* enqueue organic-slider styles */
            wp_register_style(self::$prefix . 'organic-slider', self::$plugin_url . 'assets/css/theme/organicslider' . $suffix . '.min.css');

        endif;

        /* check if products-showcase styles exists */
        if (!wp_style_is(self::$prefix . 'products-showcase', 'registered')):

            /* enqueue products-showcase styles */
            wp_register_style(self::$prefix . 'products-showcase', self::$plugin_url . 'assets/css/theme/productsshowcase' . $suffix . '.min.css');

        endif;

        /* check if product-slider styles exists */
        if (!wp_style_is(self::$prefix . 'product-slider', 'registered')):

            /* enqueue product-slider styles */
            wp_register_style(self::$prefix . 'product-slider', self::$plugin_url . 'assets/css/theme/productsslider' . $suffix . '.min.css');

        endif;

        /* check if tiles-grid styles exists */
        if (!wp_style_is(self::$prefix . 'tiles-grid', 'registered')):

            /* enqueue tiles-grid styles */
            wp_register_style(self::$prefix . 'tiles-grid', self::$plugin_url . 'assets/css/theme/tilesgrid' . $suffix . '.min.css');

        endif;

        /* check if titles-slider styles exists */
        if (!wp_style_is(self::$prefix . 'titles-slider', 'registered')):

            /* enqueue titles-slider styles */
            wp_register_style(self::$prefix . 'titles-slider', self::$plugin_url . 'assets/css/theme/titlesslider' . $suffix . '.min.css');

        endif;

        /* check if webgl-slider styles exists */
        if (!wp_style_is(self::$prefix . 'webgl-slider', 'registered')):

            /* enqueue webgl-slider styles */
            wp_register_style(self::$prefix . 'webgl-slider', self::$plugin_url . 'assets/css/theme/webglslider' . $suffix . '.min.css');

        endif;

        /* check if showcase-slider styles exists */
        if (!wp_style_is(self::$prefix . 'showcase-slider', 'registered')):

            /* enqueue showcase-slider styles */
            wp_register_style(self::$prefix . 'showcase-slider', self::$plugin_url . 'assets/css/theme/showcaseslider' . $suffix . '.min.css');

        endif;

        /* check if showcase-carousel styles exists */
        if (!wp_style_is(self::$prefix . 'showcase-carousel', 'registered')):

            /* enqueue showcase-carousel styles */
            wp_register_style(self::$prefix . 'showcase-carousel', self::$plugin_url . 'assets/css/theme/showcasecarousel' . $suffix . '.min.css');

        endif;

        /* check if portfolio-columns styles exists */
        if (!wp_style_is(self::$prefix . 'portfolio-columns', 'registered')):

            /* enqueue portfolio-columns styles */
            wp_register_style(self::$prefix . 'portfolio-columns', self::$plugin_url . 'assets/css/theme/portfoliocolumns' . $suffix . '.min.css');

        endif;

        /* check if reveal-columns styles exists */
        if (!wp_style_is(self::$prefix . 'reveal-columns', 'registered')):

            /* enqueue reveal-columns styles */
            wp_register_style(self::$prefix . 'reveal-columns', self::$plugin_url . 'assets/css/theme/revealcolumns' . $suffix . '.min.css');

        endif;

        /* check if visual-gallery styles exists */
        if (!wp_style_is(self::$prefix . 'visual-gallery', 'registered')):

            /* enqueue visual-gallery styles */
            wp_register_style(self::$prefix . 'visual-gallery', self::$plugin_url . 'assets/css/theme/visualgallery' . $suffix . '.min.css');

        endif;

        /* check if rotated-links styles exists */
        if (!wp_style_is(self::$prefix . 'rotated-links', 'registered')):

            /* enqueue rotated-links styles */
            wp_register_style(self::$prefix . 'rotated-links', self::$plugin_url . 'assets/css/theme/rotatedlinks' . $suffix . '.min.css');

        endif;

        /* check if interactive-slider styles exists */
        if (!wp_style_is(self::$prefix . 'interactive-slider', 'registered')):

            /* enqueue interactive-slider styles */
            wp_register_style(self::$prefix . 'interactive-slider', self::$plugin_url . 'assets/css/theme/interactiveslider' . $suffix . '.min.css');

        endif;

        /* check if fixed-social-list styles exists */
        if (!wp_style_is(self::$prefix . 'fixed-social-list', 'registered')):

            /* enqueue fixed-social-list styles */
            wp_register_style(self::$prefix . 'fixed-social-list', self::$plugin_url . 'assets/css/theme/fixedsociallist' . $suffix . '.min.css');

        endif;

        /* check if accordions styles exists */
        if (!wp_style_is(self::$prefix . 'accordions')):

            /* enqueue accordions styles */
            wp_enqueue_style(self::$prefix . 'accordions', self::$plugin_url . 'assets/css/theme/accordions' . $suffix . '.min.css');

        endif;

        /* check if authorization styles exists */
        if (!wp_style_is(self::$prefix . 'authorization')):

            /* enqueue authorization styles */
            wp_enqueue_style(self::$prefix . 'authorization', self::$plugin_url . 'assets/css/theme/authorization' . $suffix . '.min.css');

        endif;

        /* check if comments styles exists */
        if (!wp_style_is(self::$prefix . 'comments', 'registered')):

            /* enqueue comments styles */
            wp_register_style(self::$prefix . 'comments', self::$plugin_url . 'assets/css/theme/comments' . $suffix . '.min.css');

        endif;

        /* check if error styles exists */
        if (!wp_style_is(self::$prefix . 'error', 'registered')):

            /* enqueue error styles */
            wp_register_style(self::$prefix . 'error', self::$plugin_url . 'assets/css/theme/error' . $suffix . '.min.css');

        endif;

        /* check if categories-catalogue styles exists */
        if (!wp_style_is(self::$prefix . 'categories-catalogue', 'registered')):

            /* enqueue categories-catalogue styles */
            wp_register_style(self::$prefix . 'categories-catalogue', self::$plugin_url . 'assets/css/theme/categoriescatalogue' . $suffix . '.min.css');

        endif;

        /* check if cursor styles exists */
        if (!wp_style_is(self::$prefix . 'cursor', 'registered')):

            /* enqueue cursor styles */
            wp_register_style(self::$prefix . 'cursor', self::$plugin_url . 'assets/css/theme/cursor' . $suffix . '.min.css');

        endif;

        /* check if marquee styles exists */
        if (!wp_style_is(self::$prefix . 'marquee', 'registered')):

            /* enqueue marquee styles */
            wp_register_style(self::$prefix . 'marquee', self::$plugin_url . 'assets/css/theme/marquee' . $suffix . '.min.css');

        endif;

        /* check if newsletter styles exists */
        if (!wp_style_is(self::$prefix . 'newsletter')):

            /* enqueue newsletter styles */
            wp_enqueue_style(self::$prefix . 'newsletter', self::$plugin_url . 'assets/css/theme/newsletter' . $suffix . '.min.css');

        endif;

        /* check if page-progress-bar styles exists */
        if (!wp_style_is(self::$prefix . 'page-progress-bar')):

            /* enqueue page-progress-bar styles */
            wp_enqueue_style(self::$prefix . 'page-progress-bar', self::$plugin_url . 'assets/css/theme/pageprogressbar' . $suffix . '.min.css');

        endif;

        /* check if scroll-top-button styles exists */
        if (!wp_style_is(self::$prefix . 'scroll-top-button')):

            /* enqueue scroll-top-button styles */
            wp_enqueue_style(self::$prefix . 'scroll-top-button', self::$plugin_url . 'assets/css/theme/scrolltopbutton' . $suffix . '.min.css');

        endif;

        /* check if search-form styles exists */
        if (!wp_style_is(self::$prefix . 'search-form')):

            /* enqueue search-form styles */
            wp_enqueue_style(self::$prefix . 'search-form', self::$plugin_url . 'assets/css/theme/searchform' . $suffix . '.min.css');

        endif;

        /* check if shopping-cart styles exists */
        if (!wp_style_is(self::$prefix . 'shopping-cart')):

            /* enqueue shopping-cart styles */
            wp_enqueue_style(self::$prefix . 'shopping-cart', self::$plugin_url . 'assets/css/theme/shoppingcart' . $suffix . '.min.css');

        endif;

        /* check if main styles exists */
        if (!wp_style_is(self::$prefix . 'main')):

            /* enqueue main styles */
            wp_enqueue_style(self::$prefix . 'main', self::$plugin_url . 'assets/css/theme/main' . $suffix . '.min.css');

        endif;

    }

    /**
     * init plugin translation
     */
    public function i18n()
    {

        /* load plugin textdomain jkd-core */
        load_plugin_textdomain('jkd-core', false, basename(dirname(__FILE__)) . '/lang');

    }

    /**
     * register image sizes
     */
    public function register_image_sizes()
    {

        /* square-size-extra-small */
        add_image_size(self::$prefix . 'square-size-extra-small', 300, 300, true);

        /* square-size-small */
        add_image_size(self::$prefix . 'square-size-small', 540, 540, true);

        /* square-size-medium */
        add_image_size(self::$prefix . 'square-size-medium', 768, 768, true);

        /* square-size-large */
        add_image_size(self::$prefix . 'square-size-large', 1024, 1024, true);

        /* square-size-extra-large */
        add_image_size(self::$prefix . 'square-size-extra-large', 1440, 1440, true);

        /* square-size-full */
        add_image_size(self::$prefix . 'square-size-full', 1920, 1920, true);

        /* wide-size-extra-small */
        add_image_size(self::$prefix . 'wide-size-extra-small', 300, 200, true);

        /* wide-size-smal */
        add_image_size(self::$prefix . 'wide-size-small', 540, 360, true);

        /* wide-size-medium */
        add_image_size(self::$prefix . 'wide-size-medium', 768, 512, true);

        /* wide-size-large */
        add_image_size(self::$prefix . 'wide-size-large', 1024, 683, true);

        /* wide-size-extra-large */
        add_image_size(self::$prefix . 'wide-size-extra-large', 1440, 960, true);

        /* wide-size-full */
        add_image_size(self::$prefix . 'wide-size-full', 1920, 1080, true);

        /* wide-size-ultra-full */
        add_image_size(self::$prefix . 'wide-size-ultra-full', 1920, 768, true);

        /* vertical-size-extra-small */
        add_image_size(self::$prefix . 'vertical-size-extra-small', 200, 300, true);

        /* vertical-size-small */
        add_image_size(self::$prefix . 'vertical-size-small', 360, 540, true);

        /* vertical-size-medium */
        add_image_size(self::$prefix . 'vertical-size-medium', 512, 768, true);

        /* vertical-size-large */
        add_image_size(self::$prefix . 'vertical-size-large', 683, 1024, true);

        /* vertical-size-extra-large */
        add_image_size(self::$prefix . 'vertical-size-extra-large', 960, 1440, true);

        /* vertical-size-full */
        add_image_size(self::$prefix . 'vertical-size-full', 1080, 1920, true);

    }

    /**
     * @param $existing_mimes
     *
     * @return mixed
     */
    public function custom_upload_extensions($existing_mimes)
    {

        /* added svg to current mimes array */
        $existing_mimes['svg'] = 'image/svg+xml';

        /* added otf to current mimes array */
        $existing_mimes['otf'] = 'application/x-font-otf';

        /* added ttf to current mimes array */
        $existing_mimes['ttf'] = 'application/x-font-ttf';

        /* added eot to current mimes array */
        $existing_mimes['eot'] = 'application/x-font-eot';

        /* added woff to current mimes array */
        $existing_mimes['woff'] = 'application/x-font-woff';

        /* added woff2 to current mimes array */
        $existing_mimes['woff2'] = 'application/x-font-woff2';

        /* return mimes with new ones */
        return $existing_mimes;

    }

    /**
     * @param $user
     * @param $username
     * @param $password
     *
     * @return \WP_Error|\WP_User
     */
    public function custom_authenticate_username_password($user, $username, $password)
    {

        if (is_a($user, 'WP_User')) {

            return $user;

        }

        if (empty($username) || empty($password)) {

            $error = new WP_Error();

            $user = new WP_Error('authentication_failed', __('ERROR: Invalid username or incorrect password.', 'jkd-core'));

            return $error;

        }
    }

    /**
     * @param $username
     */
    public function my_front_end_login_fail($username)
    {

        $referrer = wp_get_referer();

        if (!empty($referrer) && !strstr($referrer, 'wp-login') && !strstr($referrer, 'wp-admin')) {

            wp_redirect(add_query_arg('login', 'failed', $referrer));

            exit;

        }

    }

    /**
     * @param $query
     */
    public function change_portfolio_archive_per_page($query)
    {

        /* check if current page portfolio or portfolio related */
        if (is_post_type_archive('portfolio') || is_tax('portfolio-categories') || is_tax('portfolio-tags')) :

            /* set posts per page for portfolio loop */
            $query->set('posts_per_page', get_theme_mod('portfolio-archive-number-of-items', 9));

        endif;

    }

    /**
     * customizer styles
     */
    public function customizer_styles()
    {

        /* check if Kirki class exists */
        if (class_exists('Kirki')):

            ?>

            <style>

                #customize-control-primary-font-variant, #customize-control-text-font-variant {
                    display: none !important;
                }

            </style>

        <?php

        endif;

    }

    /**
     *
     */
    public function init_ajax()
    {

        /* register load more slider ajax handler */
        add_action('wp_ajax_nopriv_jkd_ajax_images_gallery_load_more', [$this, 'ajax_images_gallery_load_more']);
        add_action('wp_ajax_jkd_ajax_images_gallery_load_more', [$this, 'ajax_images_gallery_load_more']);

        /* register comments ajax loading handler */
        add_action('wp_ajax_nopriv_jkd_ajax_comments_loading', [$this, 'ajax_comments_loading']);
        add_action('wp_ajax_jkd_ajax_comments_loading', [$this, 'ajax_comments_loading']);

        /* register comments ajax load more handler */
        add_action('wp_ajax_nopriv_jkd_ajax_comments_load_more', [$this, 'ajax_comments_load_more']);
        add_action('wp_ajax_jkd_ajax_comments_load_more', [$this, 'ajax_comments_load_more']);

    }

    /**
     *
     */
    public function ajax_comments_load_more()
    {

        global $post;

        $post = get_post($_POST['post_id']);

        if (!empty($post)):

            $cpage = $_POST['cpage'] ? $_POST['cpage'] : 1;

            if (!empty($cpage)):

                setup_postdata($post);

                wp_list_comments(array(
                    'avatar_size' => 100,
                    'page' => $cpage,
                    'per_page' => get_option('comments_per_page'),
                    'style' => 'ul',
                    'short_ping' => true,
                    'callback' => ['JKD_Theme', 'comment_template']
                ));

            endif;

        endif;

        die();

    }

    /**
     *
     */
    public function ajax_comments_loading()
    {

        $comment = wp_handle_comment_submission(wp_unslash($_POST));

        if (is_wp_error($comment)) :

            $error_data = intval($comment->get_error_data());

            if (!empty($error_data)) :

                wp_die('<p>' . $comment->get_error_message() . '</p>', __('Comment Submission Failure', 'jkd-core'), array('response' => $error_data, 'back_link' => true));

            else :

                wp_die('Unknown error');

            endif;

        endif;

        $user = wp_get_current_user();

        do_action('set_comment_cookies', $comment, $user);

        $comment_depth = 1;

        $comment_parent = $comment->comment_parent;

        while ($comment_parent):

            $comment_depth++;

            $parent_comment = get_comment($comment_parent);

            $comment_parent = $parent_comment->comment_parent;

        endwhile;

        $GLOBALS['comment'] = $comment;

        $GLOBALS['comment_depth'] = $comment_depth;

        ?>

        <!-- comment -->
        <li id="comment-<?php comment_ID(); ?>" <?php comment_class(empty($args['has_children']) ? '' : 'parent', $comment); ?>>

            <!-- comment body -->
            <div class="comment-body">

                <!-- author avatar -->
                <div class="author-avatar">

                    <?php

                    /* check if avatar size is empty */
                    if (empty($args['avatar_size'])):

                        /* avatar size */
                        $avatar_size = 100;

                    else:

                        /* avatar size */
                        $avatar_size = $args['avatar_size'];

                    endif;

                    /* output avatar */
                    echo get_avatar($comment, $avatar_size);

                    /* unset avatar size */
                    unset($avatar_size);

                    ?>

                </div>

                <!-- comment content -->
                <div class="comment-content">

                    <div class="name-wrapper">

                        <!-- author name -->
                        <h6 class="author-name">

                            <?php

                            /* comment author link */
                            comment_author_link();

                            ?>

                        </h6>

                        <!-- date wrapper -->
                        <div class="date-wrapper">

                            <!-- date -->
                            <p class="date">

                                <?php

                                /* output comment date */
                                printf(esc_html('%1$s at %2$s'), get_comment_date(), get_comment_time());

                                ?>

                            </p>

                            <?php

                            /* output edit comment link */
                            edit_comment_link(esc_html__('Edit', 'jkd-core'),
                                '<p class="edit-button">',
                                '</p>');

                            ?>

                        </div>

                    </div>

                    <!-- comment text -->
                    <div class="comment-text entry-content">

                        <?php

                        /* output comment text */
                        comment_text();

                        /* output comment reply link */
                        comment_reply_link(array(
                            'reply_text' => esc_html__('Reply', 'jkd-core'),
                            'depth' => 5,
                            'max_depth' => 10,
                            'before' => '<span class="reply-link-wrapper">',
                            'after' => '</span>'
                        ), $comment);

                        ?>

                    </div>

                    <?php if ('0' == $comment->comment_approved) : ?>

                        <!-- comment awaiting moderation -->
                        <p class="comment-awaiting-moderation">

                            <?php echo esc_html__('Your comment is awaiting moderation.', 'jkd-core'); ?>

                        </p>

                    <?php endif; ?>

                </div>

            </div>

        </li>

        <?php

        die();

    }

    /**
     *
     */
    public function ajax_images_gallery_load_more()
    {

        $paged = (int)$_POST['paged'];

        $page_id = $_POST['page_id'];

        $images = JKD_Helper::get_field('field_gallery_images', $page_id);

        if (!empty($images)):

            $field_gallery_count = (int)JKD_Helper::get_field('field_items_count', $page_id);

            $images_length = count($images);

            $offset = ($paged - 1) * $field_gallery_count;

            $length = $field_gallery_count;

            if ($offset < $images_length):

                if ($length > ($images_length - $offset)):

                    $length = $images_length - $offset;

                endif;

                $images = array_slice($images, $offset, $length);

                if ($images):

                    foreach ($images as $image_id):

                        $atts['image_id'] = $image_id;

                        $atts['hidden'] = true;

                        JKD_Core::template('front-scene/images-gallery/item', $atts);

                    endforeach;

                    if (($offset + $length) === $images_length):

                        ?>

                        <figure style="display: none;"
                                class="last-item-hidden grid-item <?php if (!empty($atts['hidden']) && $atts['hidden']): ?>hidden-item<?php endif; ?>"></figure>

                    <?php

                    endif;

                endif;

            endif;

        endif;

        die();

    }

    /**
     * init modules
     */
    public function init_modules()
    {

        /* portfolio instance */
        new JKD_Portfolio();

        /* templates instance */
        new JKD_ACF();

        /* blog instance */
        new JKD_Blog();

        /* navigation instance */
        new JKD_Navigation();

        /* init customizer settings */
        new JKD_Customizer();

        JKD_Parallax::instance();

        $career_slug = get_theme_mod('career-custom-slug', 'career');

        /* register career post type */
        register_post_type('career', [
            'label' => null,
            'labels' => [
                'name' => esc_html__('Career', 'jkd-core'),
                'singular_name' => esc_html__('Item', 'jkd-core'),
                'add_new' => esc_html__('Add New', 'jkd-core'),
                'add_new_item' => esc_html__('Add New Position', 'jkd-core'),
                'edit_item' => esc_html__('Edit Position', 'jkd-core'),
                'new_item' => esc_html__('New Position', 'jkd-core'),
                'view_item' => esc_html__('View Position', 'jkd-core'),
                'search_items' => esc_html__('Search Position', 'jkd-core'),
                'not_found' => esc_html__('Not Found', 'jkd-core'),
                'not_found_in_trash' => esc_html__('Not Found in Trash', 'jkd-core'),
                'menu_name' => esc_html__('Career', 'jkd-core'),
            ],
            'description' => '',
            'public' => true,
            'show_in_menu' => null,
            'show_in_rest' => false,
            'rest_base' => null,
            'menu_position' => null,
            'menu_icon' => 'dashicons-groups',
            'hierarchical' => true,
            'supports' => ['title', 'editor', 'author', 'thumbnail', 'excerpt',],
            'taxonomies' => array(),
            'has_archive' => false,
            'query_let' => true,
            'rewrite' => array('slug' => $career_slug),
        ]);

    }

    /**
     * @param $path
     * @param array $atts
     */
    public static function template($path, $atts = array())
    {

        $override_path = get_template_directory() . '/jkd-templates/' . $path . '.php';

        $real_path = JKD_Core::$plugin_path . 'templates/' . $path . '.php';

        if (is_file($override_path)):

            include($override_path);

        elseif (is_file($real_path)):

            include($real_path);

        else:

            echo esc_html__('No such template in ', 'jkd-core') . esc_url($real_path);

        endif;

    }

    /**
     * @param $template_name
     * @param null $part_name
     *
     * @return false|string
     */
    public static function load_template_part($path, $atts = array())
    {

        ob_start();

        JKD_Core::template($path, $atts);

        $var = ob_get_contents();

        ob_end_clean();

        return $var;

    }

    /**
     * init widgets
     */
    public function init_widgets()
    {

        /* check if exists elementor */
        if (function_exists('elementor_load_plugin_textdomain')):

            /* check if accordions widget is not exists */
            if (!class_exists('jkd_accordions_widget')):

                /* require accordions widget file */
                require_once(self::$plugin_path . 'widgets/class-jkd-accordions.php');

                /* register accordions widget */
                \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \jkd_accordions_widget());

            endif;

            /* check if button widget is not exists */
            if (!class_exists('jkd_button_widget')):

                /* require button widget file */
                require_once(self::$plugin_path . 'widgets/class-jkd-button.php');

                /* register button widget */
                \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \jkd_button_widget());

            endif;

            /* check if career list widget is not exists */
            if (!class_exists('jkd_career_list_widget')):

                /* require career list widget file */
                require_once(self::$plugin_path . 'widgets/class-jkd-career-list.php');

                /* register career list widget */
                \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \jkd_career_list_widget());

            endif;

            /* check if form widget is not exists */
            if (!class_exists('jkd_cf7_form_widget')):

                /* require cf7 widget file */
                require_once(self::$plugin_path . 'widgets/class-jkd-cf7.php');

                /* register cf7 widget */
                \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \jkd_cf7_form_widget());

            endif;

            /* check if social widget is not exists */
            if (!class_exists('jkd_social_widget')):

                /* require social widget file */
                require_once(self::$plugin_path . 'widgets/class-jkd-social.php');

                /* register social widget */
                \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \jkd_social_widget());

            endif;

            /* check if ticker widget is not exists */
            if (!class_exists('jkd_ticker_text_widget')):

                /* require ticker widget file */
                require_once(self::$plugin_path . 'widgets/class-jkd-ticker.php');

                /* register ticker widget */
                \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \jkd_ticker_text_widget());

            endif;

            /* check if team member widget is not exists */
            if (!class_exists('jkd_team_member_widget')):

                /* require team member widget file */
                require_once(self::$plugin_path . 'widgets/class-jkd-team-member.php');

                /* register team member widget */
                \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \jkd_team_member_widget());

            endif;

            /* check if paroller widget is not exists */
            if (!class_exists('jkd_paroller_image_widget')):

                /* require paroller widget file */
                require_once(self::$plugin_path . 'widgets/class-jkd-paroller-image.php');

                /* register paroller widget */
                \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \jkd_paroller_image_widget());

            endif;

        endif;

    }

    /**
     * @param $elements_manager
     */
    public function registered_categories($elements_manager)
    {

        /* check if exists elementor */
        if (function_exists('elementor_load_plugin_textdomain')):

            /* add new category for widgets */
            $elements_manager->add_category(
                'jkd-widgets',
                [
                    'title' => esc_html__('JKD Widgets', 'jkd-core'),
                    'icon' => '',
                ]
            );

        endif;

    }

    /**
     * breadcrumbs render method
     */
    public static function the_breadcrumbs()
    {

        $text['home'] = esc_html__('Home', 'jkd-core');

        $text['category'] = '%s';

        $text['search'] = esc_html__('Search results for "%s"', 'jkd-core');

        $text['tag'] = esc_html__('Tag "%s"', 'jkd-core');

        $text['category'] = esc_html__('Category "%s"', 'jkd-core');

        $text['author'] = esc_html__('Posts by "%s"', 'jkd-core');

        $text['404'] = esc_html__('Error page', 'jkd-core');

        $text['page'] = esc_html__('Page "%s"', 'jkd-core');

        $text['cpage'] = esc_html__('Comments page "%s"', 'jkd-core');

        $text['blog'] = esc_html__('Blog', 'jkd-core');

        $wrap_before = '<div class="jkd-breadcrumbs" itemscope itemtype="http://schema.org/BreadcrumbList">';

        $wrap_after = '</div>';

        $sep = '<span class="breadcrumbs-separator">' . '<i class="ri-arrow-drop-right-line"></i>' . '</span>';

        $before = '<span class="breadcrumbs-current breadcrumbs-item">';

        $after = '</span>';

        $show_on_home = 1;

        $show_home_link = 1;

        $show_current = 1;

        $show_last_sep = 1;

        global $post;

        $home_url = esc_url(home_url('/'));

        $link = '<span itemscope itemtype="http://schema.org/ListItem" class="breadcrumbs-item">';

        $link .= '<a class="breadcrumbs-link" href="%1$s"><span>%2$s</span></a>';

        $link .= '</span>';

        $parent_id = ($post) ? $post->post_parent : '';

        $home_link = sprintf($link, $home_url, $text['home'], 1);

        if (class_exists('WooCommerce') && is_product()):

            $show_current = 0;

            $show_last_sep = 0;

        endif;

        if (is_home()) :

            if ($show_on_home):

                echo JKD_Theme::check_for_empty($wrap_before . $home_link . $sep . $before . $text['blog'] . $after . $wrap_after);

            endif;

        else:

            $position = 0;

            echo JKD_Theme::check_for_empty($wrap_before);

            if ($show_home_link) :

                $position += 1;

                echo JKD_Theme::check_for_empty($home_link);

            endif;

            if (is_category() || is_tax('portfolio-categories') || class_exists('WooCommerce') && is_product_category()) :

                $parents = get_ancestors(get_query_var('cat'), 'category');

                foreach (array_reverse($parents) as $cat) :

                    $position += 1;

                    if ($position > 1) echo JKD_Theme::check_for_empty($sep);

                    echo sprintf($link, get_category_link($cat), get_cat_name($cat), $position);

                endforeach;

                if (get_query_var('paged')) :

                    $position += 1;

                    $cat = get_query_var('cat');

                    echo JKD_Theme::check_for_empty($sep) . sprintf($link, get_category_link($cat), get_cat_name($cat), $position);

                    echo JKD_Theme::check_for_empty($sep) . $before . sprintf($text['page'], get_query_var('paged')) . $after;

                else :

                    if ($show_current) :

                        if ($position >= 1):

                            echo JKD_Theme::check_for_empty($sep);

                        endif;

                        echo JKD_Theme::check_for_empty($before) . sprintf($text['category'], single_cat_title('', false)) . $after;

                    elseif ($show_last_sep):

                        echo JKD_Theme::check_for_empty($sep);

                    endif;

                endif;

            elseif (is_search()) :

                if (get_query_var('paged')) :

                    $position += 1;

                    if ($show_home_link):

                        echo JKD_Theme::check_for_empty($sep);

                    endif;

                    echo sprintf($link, $home_url . '?s=' . get_search_query(), sprintf($text['search'], get_search_query()), $position);

                    echo JKD_Theme::check_for_empty($sep) . $before . sprintf($text['page'], get_query_var('paged')) . $after;

                else :

                    if ($show_current) :

                        if ($position >= 1):

                            echo JKD_Theme::check_for_empty($sep);

                        endif;

                        echo JKD_Theme::check_for_empty($before) . sprintf($text['search'], get_search_query()) . $after;

                    elseif ($show_last_sep):

                        echo JKD_Theme::check_for_empty($sep);

                    endif;

                endif;

            elseif (is_year()) :

                if ($show_home_link && $show_current):

                    echo JKD_Theme::check_for_empty($sep);

                endif;

                if ($show_current):

                    echo JKD_Theme::check_for_empty($before) . get_query_var('year') . $after;

                elseif ($show_home_link && $show_last_sep) :

                    echo JKD_Theme::check_for_empty($sep);

                endif;

            elseif (is_month()) :

                if ($show_home_link):

                    echo JKD_Theme::check_for_empty($sep);

                endif;

                $position += 1;

                echo sprintf($link, get_year_link(get_query_var('year')), get_query_var('year'), $position);

                if ($show_current):

                    echo JKD_Theme::check_for_empty($sep) . $before . DateTime::createFromFormat('m', get_query_var('monthnum'))->format('F') . $after;

                elseif ($show_last_sep):

                    echo JKD_Theme::check_for_empty($sep);

                endif;

            elseif (is_day()) :

                if ($show_home_link):

                    echo JKD_Theme::check_for_empty($sep);

                endif;

                $position += 1;

                echo sprintf($link, get_year_link(get_query_var('year')), get_query_var('year'), $position) . $sep;

                $position += 1;

                echo sprintf($link, get_month_link(get_query_var('year'), get_query_var('monthnum')), DateTime::createFromFormat('m', get_query_var('monthnum'))->format('F'), $position);

                if ($show_current):

                    echo JKD_Theme::check_for_empty($sep) . $before . DateTime::createFromFormat('d', get_query_var('day'))->format('d') . $after;

                elseif ($show_last_sep):

                    echo JKD_Theme::check_for_empty($sep);

                endif;

            elseif (is_single() && !is_attachment()) :

                if (get_post_type() != 'post') :

                    $position += 1;

                    $post_type = get_post_type_object(get_post_type());

                    if ($position > 1):

                        echo JKD_Theme::check_for_empty($sep);

                    endif;

                    echo sprintf($link, get_post_type_archive_link($post_type->name), $post_type->labels->name, $position);

                    if ($show_current):

                        echo JKD_Theme::check_for_empty($sep) . $before . get_the_title() . $after;

                    elseif ($show_last_sep):

                        echo JKD_Theme::check_for_empty($sep);

                    endif;

                else :

                    $cat = get_the_category();

                    $catID = $cat[0]->cat_ID;

                    $parents = get_ancestors($catID, 'category');

                    $parents = array_reverse($parents);

                    $parents[] = $catID;

                    foreach ($parents as $cat) :

                        $position += 1;

                        if ($position > 1):

                            echo JKD_Theme::check_for_empty($sep);

                        endif;

                        echo sprintf($link, get_category_link($cat), get_cat_name($cat), $position);

                    endforeach;

                    if (get_query_var('cpage')) :

                        $position += 1;

                        echo JKD_Theme::check_for_empty($sep) . sprintf($link, get_permalink(), get_the_title(), $position);

                        echo JKD_Theme::check_for_empty($sep) . $before . sprintf($text['cpage'], get_query_var('cpage')) . $after;

                    else :

                        if ($show_current):

                            echo JKD_Theme::check_for_empty($sep) . $before . get_the_title() . $after;

                        elseif ($show_last_sep):

                            echo JKD_Theme::check_for_empty($sep);

                        endif;

                    endif;

                endif;

            elseif (is_post_type_archive()) :

                $post_type = get_post_type_object(get_post_type());

                if (get_query_var('paged')) :

                    $position += 1;

                    if ($position > 1):

                        echo JKD_Theme::check_for_empty($sep);

                    endif;

                    echo sprintf($link, get_post_type_archive_link($post_type->name), $post_type->label, $position);

                    echo JKD_Theme::check_for_empty($sep) . $before . sprintf($text['page'], get_query_var('paged')) . $after;

                else:

                    if ($show_home_link && $show_current):

                        echo JKD_Theme::check_for_empty($sep);

                    endif;

                    if ($show_current):

                        echo JKD_Theme::check_for_empty($before) . $post_type->label . $after;

                    elseif ($show_home_link && $show_last_sep):

                        echo JKD_Theme::check_for_empty($sep);

                    endif;

                endif;

            elseif (is_attachment()) :

                $parent = get_post($parent_id);

                $cat = get_the_category($parent->ID);

                $catID = $cat[0]->cat_ID;

                $parents = get_ancestors($catID, 'category');

                $parents = array_reverse($parents);

                $parents[] = $catID;

                foreach ($parents as $cat) :

                    $position += 1;

                    if ($position > 1):

                        echo JKD_Theme::check_for_empty($sep);

                    endif;

                    echo sprintf($link, get_category_link($cat), get_cat_name($cat), $position);

                endforeach;

                $position += 1;

                echo JKD_Theme::check_for_empty($sep) . sprintf($link, get_permalink($parent), $parent->post_title, $position);

                if ($show_current):

                    echo JKD_Theme::check_for_empty($sep) . $before . get_the_title() . $after;

                elseif ($show_last_sep):

                    echo JKD_Theme::check_for_empty($sep);

                endif;

            elseif (is_page() && !$parent_id) :

                if ($show_home_link && $show_current):

                    echo JKD_Theme::check_for_empty($sep);

                endif;

                if ($show_current):

                    echo JKD_Theme::check_for_empty($before) . get_the_title() . $after;

                elseif ($show_home_link && $show_last_sep):

                    echo JKD_Theme::check_for_empty($sep);

                endif;

            elseif (is_page() && $parent_id) :

                $parents = get_post_ancestors(get_the_ID());

                foreach (array_reverse($parents) as $pageID) :

                    $position += 1;

                    if ($position > 1):

                        echo JKD_Theme::check_for_empty($sep);

                    endif;

                    echo sprintf($link, get_page_link($pageID), get_the_title($pageID), $position);

                endforeach;

                if ($show_current):

                    echo JKD_Theme::check_for_empty($sep) . $before . get_the_title() . $after;

                elseif ($show_last_sep):

                    echo JKD_Theme::check_for_empty($sep);

                endif;

            elseif (is_tag() || is_tax('portfolio-tags') || class_exists('WooCommerce') && is_product_tag()) :

                if (get_query_var('paged')) :

                    $position += 1;

                    $tagID = get_query_var('tag_id');

                    echo JKD_Theme::check_for_empty($sep) . sprintf($link, get_tag_link($tagID), single_tag_title('', false), $position);

                    echo JKD_Theme::check_for_empty($sep) . $before . sprintf($text['page'], get_query_var('paged')) . $after;

                else :

                    if ($show_home_link && $show_current):

                        echo JKD_Theme::check_for_empty($sep);

                    endif;

                    if ($show_current):

                        echo JKD_Theme::check_for_empty($before) . sprintf($text['tag'], single_tag_title('', false)) . $after;

                    elseif ($show_home_link && $show_last_sep):

                        echo JKD_Theme::check_for_empty($sep);

                    endif;

                endif;

            elseif (is_author()) :

                $author = get_userdata(get_query_var('author'));

                if (get_query_var('paged')) :

                    $position += 1;

                    echo JKD_Theme::check_for_empty($sep) . sprintf($link, get_author_posts_url($author->ID), sprintf($text['author'], $author->display_name), $position);

                    echo JKD_Theme::check_for_empty($sep) . $before . sprintf($text['page'], get_query_var('paged')) . $after;

                else :

                    if ($show_home_link && $show_current) echo JKD_Theme::check_for_empty($sep);

                    if ($show_current) echo JKD_Theme::check_for_empty($before) . sprintf($text['author'], $author->display_name) . $after;

                    elseif ($show_home_link && $show_last_sep) echo JKD_Theme::check_for_empty($sep);

                endif;

            elseif (is_404()) :

                if ($show_home_link && $show_current):

                    echo JKD_Theme::check_for_empty($sep);

                endif;

                if ($show_current):

                    echo JKD_Theme::check_for_empty($before) . $text['404'] . $after;

                elseif ($show_last_sep):

                    echo JKD_Theme::check_for_empty($sep);

                endif;

            elseif (has_post_format() && !is_singular()) :

                if ($show_home_link && $show_current):

                    echo JKD_Theme::check_for_empty($sep);

                endif;

                echo get_post_format_string(get_post_format());

            endif;

            echo JKD_Theme::check_for_empty($wrap_after);

        endif;

    }

    /**
     * @param $section
     * @param $args
     */
    public function default_section_injection($section, $args)
    {

        $section->start_controls_section(
            'jkd_section',
            [
                'label' => __('JKD Settings', 'jkd-core'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        $section->add_control(
            'secondary_background',
            [
                'label' => __('Secondary Background', 'jkd-core'),
                'type' => Elementor\Controls_Manager::SWITCHER,
                'return_value' => 'secondary-bg',
                'prefix_class' => 'jkd-',
            ]
        );

        $section->end_controls_section();

    }

    /**
     * @param $section
     * @param $section_id
     * @param $args
     */
    public function default_widgets_injection($section, $section_id, $args)
    {

        if ($section->get_name() == 'heading' && $section_id == 'section_title_style') :

            $section->add_control(
                'title_opacity',
                [
                    'type' => \Elementor\Controls_Manager::SLIDER,
                    'label' => esc_html__('Opacity', 'jkd-core'),
                    'range' => [
                        'px' => [
                            'min' => 0.01,
                            'step' => 0.01,
                            'max' => 1,
                        ],
                    ],
                    'default' => [
                        'unit' => 'px',
                        'size' => 1,
                    ],
                    'selectors' => [
                        '{{WRAPPER}} .elementor-heading-title' => 'opacity: {{SIZE}}',
                    ],
                ]
            );

        elseif ($section->get_name() == 'text-editor' && $section_id == 'section_style') :

            $section->add_control(
                'title_opacity',
                [
                    'type' => \Elementor\Controls_Manager::SLIDER,
                    'label' => esc_html__('Opacity', 'jkd-core'),
                    'range' => [
                        'px' => [
                            'min' => 0.01,
                            'step' => 0.01,
                            'max' => 1,
                        ],
                    ],
                    'default' => [
                        'unit' => 'px',
                        'size' => 1,
                    ],
                    'selectors' => [
                        '{{WRAPPER}} p' => 'opacity: {{SIZE}}',
                    ],
                ]
            );

        endif;

    }

    /**
     * @return array[]
     */
    public function custom_animations()
    {

        return array(
            'JKD Animations' => [
                'fade-in-up' => esc_html__('Fade In Up', 'jkd-core'),
            ],
        );

    }

}
