<?php defined('ABSPATH') || exit;
/*
 *
 */

/**
 * Class JKD_Customizer
 */
class JKD_Customizer extends JKD_Core
{

    /**
     * JKD_Customizer constructor.
     */
    public function __construct()
    {

        /* init */
        $this->init();

    }

    /**
     * init
     */
    public function init()
    {

        /* kirki init */
        $this->kirki_init();

        /* kirki general */
        $this->kirki_general();

        /* kirki branding */
        $this->kirki_branding();

        /* kirki social */
        $this->kirki_social();

        /* kirki typography */
        $this->kirki_typography();

        /* kirki color scheme */
        $this->kirki_color_scheme();

        /* kirki navigation */
        $this->kirki_navigation();

        /* kirki comments */
        $this->kirki_comments();

        /* kirki newsletter */
        $this->kirki_newsletter();

        /* kirki authorization */
        $this->kirki_authorization();

        /* kirki search form */
        $this->kirki_search_form();

        /* kirki cta */
        $this->kirki_cta();

        /* kirki footer */
        $this->kirki_footer();

        /* kirki error page */
        $this->kirki_error_page();

        /* kirki blog */
        $this->kirki_blog();

        /* kirki single post */
        $this->single_post();

        /* kirki portfolio */
        $this->kirki_portfolio();

        /* kirki single portfolio */
        $this->kirki_single_project();

        if (class_exists('WooCommerce')):

            /* kirki shop */
            $this->kirki_shop();

            /* kirki single product */
            $this->kirki_single_product();

        endif;

        if (function_exists('tribe_is_not_min_php_version')):

            /* kirki events */
            $this->kirki_events();

        endif;

        /* kirki career */
        $this->kirki_career();

    }

    /**
     * init
     */
    public function kirki_init()
    {

        if (class_exists('Kirki')):

            Kirki::add_config('jkd-theme',
                array(
                    'capability' => 'read',
                    'option_type' => 'theme_mod',
                    'disable_output' => false
                )
            );

            Kirki::add_panel('theme_options', array(
                'priority' => 1,
                'title' => esc_attr__('Theme Options', 'jkd-core'),
            ));

        endif;

    }

    /**
     * general
     */
    public function kirki_general()
    {

        if (class_exists('Kirki')):

            Kirki::add_section('theme_options_general', array(
                'title' => esc_attr__('General', 'jkd-core'),
                'description' => esc_attr__('Here You can customize the general theme values', 'jkd-core'),
                'panel' => 'theme_options',
                'priority' => 1,
            ));

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'general-total-ajaxify-toggle',
                'label' => esc_attr__('Total AJAXify', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled total AJAXify mode (significantly improves optimization, but at the same time may not work well for users with slow Internet or on a weak server)', 'jkd-core'),
                'section' => 'theme_options_general',
                'default' => false,
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'general-tooltips-toggle',
                'label' => esc_attr__('Tooltips', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled the tooltip labels.', 'jkd-core'),
                'section' => 'theme_options_general',
                'default' => false,
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'general-rtl-toggle',
                'label' => esc_attr__('RTL', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled RTL', 'jkd-core'),
                'section' => 'theme_options_general',
                'default' => false,
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'auto-detection-color-scheme-toggle',
                'label' => esc_attr__('Auto-detection Color Scheme', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled the auto-detection color scheme', 'jkd-core'),
                'section' => 'theme_options_general',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'default-color-scheme',
                'label' => esc_attr__('Default Color Scheme', 'jkd-core'),
                'description' => esc_attr__('Select the default color scheme', 'jkd-core'),
                'section' => 'theme_options_general',
                'default' => 'default',
                'choices' => [
                    'default' => esc_attr__('Default', 'jkd-core'),
                    'dark' => esc_attr__('Dark', 'jkd-core'),
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'scroll-top-button-toggle',
                'label' => esc_attr__('Scroll Top Button', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the scroll top button', 'jkd-core'),
                'section' => 'theme_options_general',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'following-cursor-toggle',
                'label' => esc_attr__('Following Cursor', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the following cursor', 'jkd-core'),
                'section' => 'theme_options_general',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'fixed-social-list-toggle',
                'label' => esc_attr__('Fixed Social List', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the fixed social list', 'jkd-core'),
                'section' => 'theme_options_general',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'page-progress-bar-toggle',
                'label' => esc_attr__('Page Progress Bar', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the page progress bar', 'jkd-core'),
                'section' => 'theme_options_general',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'page-preloader-toggle',
                'label' => esc_attr__('Page Preloader', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the preloader', 'jkd-core'),
                'section' => 'theme_options_general',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'navigation-toggle',
                'label' => esc_attr__('Navigation', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the navigation layout', 'jkd-core'),
                'section' => 'theme_options_general',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'footer-toggle',
                'label' => esc_attr__('Footer', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the footer layout', 'jkd-core'),
                'section' => 'theme_options_general',
                'default' => '1',
            ]);

            if (function_exists('elementor_load_plugin_textdomain')):

                $templates = JKD_Helper::get_elementor_templates('section');

                if (!empty($templates)):

                    $formatted_templates = array();

                    $formatted_templates['none'] = esc_html__('None', 'jkd-core');

                    foreach ($templates as $template):

                        $formatted_templates[$template['template_id']] = $template['title'];

                    endforeach;

                    Kirki::add_field('jkd-theme', [
                        'type' => 'repeater',
                        'label' => esc_attr__('Before Content Sections', 'jkd-core'),
                        'description' => esc_attr__('Add your Before Section', 'jkd-core'),
                        'section' => 'theme_options_general',
                        'priority' => 10,
                        'button_label' => esc_attr__('Add new Before section', 'jkd-core'),
                        'settings' => 'before-content-sections',
                        'row_label' => [
                            'type' => 'text',
                            'value' => esc_attr__('Before Template', 'jkd-core'),
                        ],
                        'fields' => [
                            'template' => [
                                'type' => 'select',
                                'label' => esc_attr__('Before Template', 'jkd-core'),
                                'description' => esc_attr__('Select the Before template', 'jkd-core'),
                                'choices' => $formatted_templates,
                            ],
                        ]

                    ]);

                    Kirki::add_field('jkd-theme', [
                        'type' => 'repeater',
                        'label' => esc_attr__('After Content Sections', 'jkd-core'),
                        'description' => esc_attr__('Add your After Section', 'jkd-core'),
                        'section' => 'theme_options_general',
                        'priority' => 10,
                        'button_label' => esc_attr__('Add new After section', 'jkd-core'),
                        'settings' => 'after-content-sections',
                        'row_label' => [
                            'type' => 'text',
                            'value' => esc_attr__('After Template', 'jkd-core'),
                        ],
                        'fields' => [
                            'template' => [
                                'type' => 'select',
                                'label' => esc_attr__('After Template', 'jkd-core'),
                                'description' => esc_attr__('Select the After template', 'jkd-core'),
                                'choices' => $formatted_templates,
                            ],
                        ]

                    ]);

                endif;

            endif;

        endif;

    }

    /**
     * branding
     */
    public function kirki_branding()
    {

        if (class_exists('Kirki')):

            Kirki::add_section('theme_options_branding', array(
                'title' => esc_attr__('Branding', 'jkd-core'),
                'description' => esc_attr__('Here You can customize the general branding values', 'jkd-core'),
                'panel' => 'theme_options',
                'priority' => 2,
            ));

            Kirki::add_field('jkd-theme', [
                'type' => 'image',
                'settings' => 'branding-logotype',
                'label' => esc_attr__('Logotype', 'jkd-core'),
                'description' => esc_attr__('Upload your Logotype', 'jkd-core'),
                'section' => 'theme_options_branding',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'image',
                'settings' => 'branding-logotype-dark',
                'label' => esc_attr__('Logotype Dark', 'jkd-core'),
                'description' => esc_attr__('Upload your Logotype (Dark Version)', 'jkd-core'),
                'section' => 'theme_options_branding',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'slider',
                'settings' => 'branding-logotype-width',
                'label' => esc_attr__('Logotype Width', 'jkd-core'),
                'description' => esc_attr__('Enter logotype width', 'jkd-core'),
                'section' => 'theme_options_branding',
                'default' => 150,
                'choices' => [
                    'min' => 20,
                    'max' => 300,
                    'step' => 1,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'image',
                'settings' => 'branding-mini-logotype',
                'label' => esc_attr__('Mini Logotype', 'jkd-core'),
                'description' => esc_attr__('Upload your Mini Logotype', 'jkd-core'),
                'section' => 'theme_options_branding',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'image',
                'settings' => 'branding-mini-logotype-dark',
                'label' => esc_attr__('Mini Logotype Dark', 'jkd-core'),
                'description' => esc_attr__('Upload your Mini Logotype (Dark Version)', 'jkd-core'),
                'section' => 'theme_options_branding',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'slider',
                'settings' => 'branding-logotype-mobile-width',
                'label' => esc_attr__('Mini Logotype Width', 'jkd-core'),
                'description' => esc_attr__('Enter mini logotype width', 'jkd-core'),
                'section' => 'theme_options_branding',
                'default' => 75,
                'choices' => [
                    'min' => 20,
                    'max' => 300,
                    'step' => 1,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'text',
                'settings' => 'branding-copyright',
                'label' => esc_attr__('Copyright', 'jkd-core'),
                'description' => esc_attr__('Input your copyright (use {year} to display current year)', 'jkd-core'),
                'section' => 'theme_options_branding',
                'default' => esc_attr__('© {year} Qreatix, Inc. All rights reserved.', 'jkd-core'),
            ]);

        endif;

    }

    /**
     * social
     */
    public function kirki_social()
    {

        if (class_exists('Kirki')):

            Kirki::add_section('theme_options_social', array(
                'title' => esc_attr__('Social', 'jkd-core'),
                'description' => esc_attr__('Here You can customize the general social values', 'jkd-core'),
                'panel' => 'theme_options',
                'priority' => 3,
            ));

            Kirki::add_field('jkd-theme', [
                'type' => 'repeater',
                'label' => esc_attr__('Social Icons', 'jkd-core'),
                'description' => esc_attr__('Add your social', 'jkd-core'),
                'section' => 'theme_options_social',
                'priority' => 10,
                'row_label' => [
                    'type' => 'text',
                    'value' => esc_attr__('Social Value', 'jkd-core'),
                ],
                'button_label' => esc_attr__('Add new social', 'jkd-core'),
                'settings' => 'social-list',
                'default' => [
                    [
                        'social_text' => 'fb',
                        'social_url' => 'https://facebook.com/',
                    ],
                ],
                'fields' => [
                    'social_text' => [
                        'type' => 'text',
                        'label' => esc_attr__('Social Title', 'jkd-core'),
                        'default' => esc_attr__('fb', 'jkd-core'),
                        'description' => esc_attr__('Input the social title', 'jkd-core'),
                    ],
                    'social_icon' => [
                        'type' => 'select',
                        'label' => esc_attr__('Social Icon', 'jkd-core'),
                        'description' => esc_attr__('Select the social icon', 'jkd-core'),
                        'choices' => JKD_Helper::get_remix_social_icons()
                    ],
                    'social_url' => [
                        'type' => 'text',
                        'label' => esc_attr__('Social URL', 'jkd-core'),
                        'default' => esc_attr__('https://facebook.com/', 'jkd-core'),
                        'description' => esc_attr__('Input the social URL', 'jkd-core'),
                    ],
                ]

            ]);

        endif;

    }

    /**
     * typography
     */
    public function kirki_typography()
    {

        if (class_exists('Kirki')):

            Kirki::add_section('theme_options_typography', array(
                'title' => esc_attr__('Typography', 'jkd-core'),
                'description' => esc_attr__('Here You can customize the general typography values', 'jkd-core'),
                'panel' => 'theme_options',
                'priority' => 4,
            ));

            Kirki::add_field('jkd-theme', array(
                'type' => 'typography',
                'settings' => 'primary-font',
                'section' => 'theme_options_typography',
                'label' => esc_attr__('Primary Font', 'jkd-core'),
                'description' => esc_attr__('Select the primary font', 'jkd-core'),
                'default' => array(
                    'font-family' => 'Archivo'
                ),
                'output' => array(
                    array(
                        'choice' => 'font-family',
                        'element' => ':root',
                        'property' => '--jkd-heading-font',
                        'context' => array('editor', 'front'),
                    )
                )
            ));

            Kirki::add_field('jkd-theme', array(
                'type' => 'typography',
                'settings' => 'text-font',
                'section' => 'theme_options_typography',
                'label' => esc_attr__('Text Font', 'jkd-core'),
                'description' => esc_attr__('Select the text font', 'jkd-core'),
                'default' => array(
                    'font-family' => 'Archivo'
                ),
                'output' => array(
                    array(
                        'choice' => 'font-family',
                        'element' => ':root',
                        'property' => '--jkd-text-font',
                        'context' => array('editor', 'front'),
                    )
                )
            ));

            /* H1 */

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h1_xl',
                'label' => esc_attr__('H1 (XL)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '46px',
                    'letter-spacing' => '-0.05em',
                ],

            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h1_lg',
                'label' => esc_attr__('H1 (LG)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '38.44px',
                    'letter-spacing' => '-0.04em',
                ],

            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h1_md',
                'label' => esc_attr__('H1 (MD)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '34.17px',
                    'letter-spacing' => '-0.03em',
                ],

            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h1_sm',
                'label' => esc_attr__('H1 (SM)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '30.38px',
                    'letter-spacing' => '-0.02em',
                ],

            ]);

            /* H2 */

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h2_xl',
                'label' => esc_attr__('H2 (XL)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '38px',
                    'letter-spacing' => '-0.04em',
                ],

            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h2_lg',
                'label' => esc_attr__('H2 (LG)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '34.17px',
                    'letter-spacing' => '-0.03em',
                ],

            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h2_md',
                'label' => esc_attr__('H2 (MD)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '30.38px',
                    'letter-spacing' => '-0.02em',
                ],

            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h2_sm',
                'label' => esc_attr__('H2 (SM)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '24px',
                    'letter-spacing' => '-0.01em',
                ],

            ]);

            /* H3 */

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h3_xl',
                'label' => esc_attr__('H3 (XL)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '34.17px',
                    'letter-spacing' => '-0.03em',
                ],

            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h3_lg',
                'label' => esc_attr__('H3 (LG)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '30.38px',
                    'letter-spacing' => '-0.02em',
                ],

            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h3_md',
                'label' => esc_attr__('H3 (MD)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '24px',
                    'letter-spacing' => '-0.01em',
                ],

            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h3_sm',
                'label' => esc_attr__('H3 (SM)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '24px',
                    'letter-spacing' => '-0.01em',
                ],

            ]);

            /* H4 */

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h4_xl',
                'label' => esc_attr__('H4 (XL)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '30.38px',
                    'letter-spacing' => ' -0.02em',
                ],

            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h4_lg',
                'label' => esc_attr__('H4 (LG)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '24px',
                    'letter-spacing' => '-0.01em',
                ],

            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h4_md',
                'label' => esc_attr__('H4 (MD)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '24px',
                    'letter-spacing' => '-0.01em',
                ],

            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h4_sm',
                'label' => esc_attr__('H4 (SM)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '24px',
                    'letter-spacing' => '-0.01em',
                ],

            ]);

            /* H5 */

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h5_xl',
                'label' => esc_attr__('H5 (XL)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '24px',
                    'letter-spacing' => '-0.01em',
                ],

            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h5_lg',
                'label' => esc_attr__('H5 (LG)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '20px',
                    'letter-spacing' => '0em',
                ],

            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h5_md',
                'label' => esc_attr__('H5 (MD)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '20px',
                    'letter-spacing' => '0em',
                ],

            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h5_sm',
                'label' => esc_attr__('H5 (SM)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '20px',
                    'letter-spacing' => '0em',
                ],

            ]);

            /* H6 */

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h6_xl',
                'label' => esc_attr__('H6 (XL)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '18px',
                    'letter-spacing' => '0em',
                ],

            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h6_lg',
                'label' => esc_attr__('H6 (LG)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '18px',
                    'letter-spacing' => '0em',
                ],

            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h6_md',
                'label' => esc_attr__('H6 (MD)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '18px',
                    'letter-spacing' => '0em',
                ],

            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'typography',
                'settings' => 'typography_h6_sm',
                'label' => esc_attr__('H6 (SM)', 'jkd-core'),
                'section' => 'theme_options_typography',
                'default' => [
                    'font-size' => '18px',
                    'letter-spacing' => '0em',
                ],

            ]);

        endif;

    }

    /**
     * color scheme
     */
    public function kirki_color_scheme()
    {

        if (class_exists('Kirki')):

            Kirki::add_section('theme_options_color_scheme', array(
                'title' => esc_attr__('Color Scheme', 'jkd-core'),
                'description' => esc_attr__('Here You can customize the general color scheme values', 'jkd-core'),
                'panel' => 'theme_options',
                'priority' => 5,
            ));

            /* Default Color Scheme */

            Kirki::add_field('jkd-theme', [
                'type' => 'color',
                'settings' => 'default_color_scheme_selection_bg_color',
                'label' => esc_attr__('(Default) Selection Background Color', 'jkd-core'),
                'description' => esc_attr__('Choose the selection background color', 'jkd-core'),
                'section' => 'theme_options_color_scheme',
                'default' => '#141827',
                'choices' => [
                    'alpha' => true,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'color',
                'settings' => 'default_color_scheme_selection_color',
                'label' => esc_attr__('(Default) Selection Color', 'jkd-core'),
                'description' => esc_attr__('Choose the selection color', 'jkd-core'),
                'section' => 'theme_options_color_scheme',
                'default' => '#ffffff',
                'choices' => [
                    'alpha' => true,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'color',
                'settings' => 'default_color_scheme_bg_color',
                'label' => esc_attr__('(Default) Background Color', 'jkd-core'),
                'description' => esc_attr__('Choose the background color', 'jkd-core'),
                'section' => 'theme_options_color_scheme',
                'default' => '#ffffff',
                'choices' => [
                    'alpha' => true,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'color',
                'settings' => 'default_color_scheme_bg_secondary_color',
                'label' => esc_attr__('(Default) Secondary Background Color', 'jkd-core'),
                'description' => esc_attr__('Choose the secondary background color', 'jkd-core'),
                'section' => 'theme_options_color_scheme',
                'default' => '#f1f1f1',
                'choices' => [
                    'alpha' => true,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'color',
                'settings' => 'default_color_scheme_heading_color',
                'label' => esc_attr__('(Default) Heading Color', 'jkd-core'),
                'description' => esc_attr__('Choose the heading color', 'jkd-core'),
                'section' => 'theme_options_color_scheme',
                'default' => '#141827',
                'choices' => [
                    'alpha' => true,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'color',
                'settings' => 'default_color_scheme_dark_color',
                'label' => esc_attr__('(Default) Dark Color', 'jkd-core'),
                'description' => esc_attr__('Choose the dark color', 'jkd-core'),
                'section' => 'theme_options_color_scheme',
                'default' => '#141827',
                'choices' => [
                    'alpha' => true,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'color',
                'settings' => 'default_color_scheme_inverted_color',
                'label' => esc_attr__('(Default) Inverted Color', 'jkd-core'),
                'description' => esc_attr__('Choose the inverted color', 'jkd-core'),
                'section' => 'theme_options_color_scheme',
                'default' => '#ffffff',
                'choices' => [
                    'alpha' => true,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'color',
                'settings' => 'default_color_scheme_text_color',
                'label' => esc_attr__('(Default) Text Color', 'jkd-core'),
                'description' => esc_attr__('Choose the text color', 'jkd-core'),
                'section' => 'theme_options_color_scheme',
                'default' => '#141827',
                'choices' => [
                    'alpha' => true,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'color',
                'settings' => 'default_color_scheme_border_color',
                'label' => esc_attr__('(Default) Border Color', 'jkd-core'),
                'description' => esc_attr__('Choose the border color', 'jkd-core'),
                'section' => 'theme_options_color_scheme',
                'default' => 'rgba(152, 152, 152, 0.3)',
                'choices' => [
                    'alpha' => true,
                ],
            ]);

            /* Dark Color Scheme */

            Kirki::add_field('jkd-theme', [
                'type' => 'color',
                'settings' => 'dark_color_scheme_selection_bg_color',
                'label' => esc_attr__('(Dark) Selection Background Color', 'jkd-core'),
                'description' => esc_attr__('Choose the selection background color', 'jkd-core'),
                'section' => 'theme_options_color_scheme',
                'default' => '#ffffff',
                'choices' => [
                    'alpha' => true,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'color',
                'settings' => 'dark_color_scheme_selection_color',
                'label' => esc_attr__('(Dark) Selection Color', 'jkd-core'),
                'description' => esc_attr__('Choose the selection color', 'jkd-core'),
                'section' => 'theme_options_color_scheme',
                'default' => '#151515',
                'choices' => [
                    'alpha' => true,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'color',
                'settings' => 'dark_color_scheme_bg_color',
                'label' => esc_attr__('(Dark) Background Color', 'jkd-core'),
                'description' => esc_attr__('Choose the background color', 'jkd-core'),
                'section' => 'theme_options_color_scheme',
                'default' => '#151515',
                'choices' => [
                    'alpha' => true,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'color',
                'settings' => 'dark_color_scheme_bg_secondary_color',
                'label' => esc_attr__('(Dark) Secondary Background Color', 'jkd-core'),
                'description' => esc_attr__('Choose the secondary background color', 'jkd-core'),
                'section' => 'theme_options_color_scheme',
                'default' => '#1c1c1c',
                'choices' => [
                    'alpha' => true,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'color',
                'settings' => 'dark_color_scheme_heading_color',
                'label' => esc_attr__('(Dark) Heading Color', 'jkd-core'),
                'description' => esc_attr__('Choose the heading color', 'jkd-core'),
                'section' => 'theme_options_color_scheme',
                'default' => '#ffffff',
                'choices' => [
                    'alpha' => true,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'color',
                'settings' => 'dark_color_scheme_dark_color',
                'label' => esc_attr__('(Dark) Dark Color', 'jkd-core'),
                'description' => esc_attr__('Choose the dark color', 'jkd-core'),
                'section' => 'theme_options_color_scheme',
                'default' => '#151515',
                'choices' => [
                    'alpha' => true,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'color',
                'settings' => 'dark_color_scheme_inverted_color',
                'label' => esc_attr__('(Dark) Inverted Color', 'jkd-core'),
                'description' => esc_attr__('Choose the inverted color', 'jkd-core'),
                'section' => 'theme_options_color_scheme',
                'default' => '#121212',
                'choices' => [
                    'alpha' => true,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'color',
                'settings' => 'dark_color_scheme_text_color',
                'label' => esc_attr__('(Dark) Text Color', 'jkd-core'),
                'description' => esc_attr__('Choose the text color', 'jkd-core'),
                'section' => 'theme_options_color_scheme',
                'default' => '#ffffff',
                'choices' => [
                    'alpha' => true,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'color',
                'settings' => 'dark_color_scheme_border_color',
                'label' => esc_attr__('(Dark) Border Color', 'jkd-core'),
                'description' => esc_attr__('Choose the border color', 'jkd-core'),
                'section' => 'theme_options_color_scheme',
                'default' => 'rgba(255, 255, 255, 0.15)',
                'choices' => [
                    'alpha' => true,
                ],
            ]);

        endif;

    }

    /**
     * navigation
     */
    public function kirki_navigation()
    {

        if (class_exists('Kirki')):

            Kirki::add_section('theme_options_navigation', array(
                'title' => esc_attr__('Navigation', 'jkd-core'),
                'description' => esc_attr__('Here You can customize the general navigation values', 'jkd-core'),
                'panel' => 'theme_options',
                'priority' => 6,
            ));

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'nav-type',
                'label' => esc_attr__('Navigation Style', 'jkd-core'),
                'description' => esc_attr__('Select the navigation style', 'jkd-core'),
                'section' => 'theme_options_navigation',
                'default' => 'default',
                'choices' => [
                    'default' => esc_attr__('Default', 'jkd-core'),
                    'overlay' => esc_attr__('Overlay', 'jkd-core'),
                    'side' => esc_attr__('Side', 'jkd-core'),
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'slider',
                'settings' => 'nav-height',
                'label' => esc_attr__('Navigation Height', 'jkd-core'),
                'description' => esc_attr__('Input navigation height', 'jkd-core'),
                'section' => 'theme_options_navigation',
                'default' => 80,
                'choices' => [
                    'min' => 50,
                    'max' => 200,
                    'step' => 1,
                ],
                'active_callback' => [
                    [
                        'setting' => 'nav-type',
                        'operator' => 'contains',
                        'value' => array('default', 'overlay')
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'slider',
                'settings' => 'nav-mobile-height',
                'label' => esc_attr__('Navigation Mobile Height', 'jkd-core'),
                'description' => esc_attr__('Input navigation mobile height', 'jkd-core'),
                'section' => 'theme_options_navigation',
                'default' => 70,
                'choices' => [
                    'min' => 50,
                    'max' => 200,
                    'step' => 1,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'slider',
                'settings' => 'nav-width',
                'label' => esc_attr__('Navigation Width', 'jkd-core'),
                'description' => esc_attr__('Input navigation width', 'jkd-core'),
                'section' => 'theme_options_navigation',
                'default' => 70,
                'choices' => [
                    'min' => 50,
                    'max' => 200,
                    'step' => 1,
                ],
                'active_callback' => [
                    [
                        'setting' => 'nav-type',
                        'operator' => 'contains',
                        'value' => array('side')
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'nav-position',
                'label' => esc_attr__('Navigation Position', 'jkd-core'),
                'description' => esc_attr__('Select the navigation position', 'jkd-core'),
                'section' => 'theme_options_navigation',
                'default' => 'static',
                'choices' => [
                    'static' => esc_attr__('Static', 'jkd-core'),
                    'sticky' => esc_attr__('Sticky', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'nav-type',
                        'operator' => 'contains',
                        'value' => array('default', 'overlay')
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'nav-layout',
                'label' => esc_attr__('Navigation Layout', 'jkd-core'),
                'description' => esc_attr__('Select the navigation layout', 'jkd-core'),
                'section' => 'theme_options_navigation',
                'default' => 'wide',
                'choices' => [
                    'boxed' => esc_attr__('Boxed', 'jkd-core'),
                    'wide' => esc_attr__('Wide', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'nav-type',
                        'operator' => 'contains',
                        'value' => array('default', 'overlay')
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'nav-megamenu-style',
                'label' => esc_attr__('Megamenu Style', 'jkd-core'),
                'description' => esc_attr__('Select the megamenu style', 'jkd-core'),
                'section' => 'theme_options_navigation',
                'default' => 'style-1',
                'choices' => [
                    'style-1' => esc_attr__('Style 1', 'jkd-core'),
                    'style-2' => esc_attr__('Style 2', 'jkd-core'),
                    'style-3' => esc_attr__('Style 3', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'nav-type',
                        'operator' => 'contains',
                        'value' => array('default')
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'nav-logotype-toggle',
                'label' => esc_attr__('Logotype', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the logotype', 'jkd-core'),
                'section' => 'theme_options_navigation',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'nav-color-switcher-toggle',
                'label' => esc_attr__('Color Switcher', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the color switcher', 'jkd-core'),
                'section' => 'theme_options_navigation',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'nav-labels-toggle',
                'label' => esc_attr__('Labels', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the toggle labels (before icons)', 'jkd-core'),
                'section' => 'theme_options_navigation',
                'default' => '1',
                'active_callback' => [
                    [
                        'setting' => 'nav-type',
                        'operator' => 'contains',
                        'value' => array('overlay')
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'nav-newsletter-toggle',
                'label' => esc_attr__('Newsletter', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the newsletter toggle', 'jkd-core'),
                'section' => 'theme_options_navigation',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'nav-my-account-toggle',
                'label' => esc_attr__('My Account', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the "my account" toggle and login/registration popup', 'jkd-core'),
                'section' => 'theme_options_navigation',
                'default' => '1',
            ]);

            if (class_exists('WooCommerce')):

                Kirki::add_field('jkd-theme', [
                    'type' => 'toggle',
                    'settings' => 'nav-cart-toggle',
                    'label' => esc_attr__('Cart', 'jkd-core'),
                    'description' => esc_attr__('If true - will be displayed the shop cart', 'jkd-core'),
                    'section' => 'theme_options_navigation',
                    'default' => '1',
                ]);

                Kirki::add_field('jkd-theme', [
                    'type' => 'toggle',
                    'settings' => 'nav-cart-ajax-toggle',
                    'label' => esc_attr__('AJAX Cart', 'jkd-core'),
                    'description' => esc_attr__('If true - will be enabled the ajax shopping cart', 'jkd-core'),
                    'section' => 'theme_options_navigation',
                    'default' => '1',
                ]);

                Kirki::add_field('jkd-theme', [
                    'type' => 'radio-buttonset',
                    'settings' => 'nav-cart-style',
                    'label' => esc_attr__('Cart Style', 'jkd-core'),
                    'description' => esc_attr__('Select the cart style', 'jkd-core'),
                    'section' => 'theme_options_navigation',
                    'default' => 'sub-menu',
                    'choices' => [
                        'default' => esc_attr__('Default', 'jkd-core'),
                        'sub-menu' => esc_attr__('Sub Menu', 'jkd-core'),
                        'panel' => esc_attr__('Panel', 'jkd-core'),
                    ],
                    'active_callback' => [
                        [
                            'setting' => 'nav-cart-toggle',
                            'operator' => '==',
                            'value' => 1
                        ],
                        [
                            'setting' => 'nav-type',
                            'operator' => 'contains',
                            'value' => array('default', 'overlay', 'side')
                        ],
                    ],
                ]);

                if (function_exists('tinv_get_option_defaults')):

                    Kirki::add_field('jkd-theme', [
                        'type' => 'toggle',
                        'settings' => 'nav-wishlist-toggle',
                        'label' => esc_attr__('Wishlist', 'jkd-core'),
                        'description' => esc_attr__('If true - will be displayed the wishlist', 'jkd-core'),
                        'section' => 'theme_options_navigation',
                        'default' => '1',
                    ]);

                endif;

            endif;

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'nav-overlay-logotype-toggle',
                'label' => esc_attr__('Overlay Logotype', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the logotype (overlay menu)', 'jkd-core'),
                'section' => 'theme_options_navigation',
                'default' => '1',
                'active_callback' => [
                    [
                        'setting' => 'nav-type',
                        'operator' => 'contains',
                        'value' => array('overlay')
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'nav-overlay-copyright-toggle',
                'label' => esc_attr__('Overlay Copyright', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the copyright (overlay menu)', 'jkd-core'),
                'section' => 'theme_options_navigation',
                'default' => '1',
                'active_callback' => [
                    [
                        'setting' => 'nav-type',
                        'operator' => 'contains',
                        'value' => array('overlay')
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'nav-overlay-social-toggle',
                'label' => esc_attr__('Overlay Social List', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the social list (overlay menu)', 'jkd-core'),
                'section' => 'theme_options_navigation',
                'default' => '1',
                'active_callback' => [
                    [
                        'setting' => 'nav-type',
                        'operator' => 'contains',
                        'value' => array('overlay')
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'nav-side-copyright-toggle',
                'label' => esc_attr__('Copyright', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the copyright', 'jkd-core'),
                'section' => 'theme_options_navigation',
                'default' => '1',
                'active_callback' => [
                    [
                        'setting' => 'nav-type',
                        'operator' => 'contains',
                        'value' => array('side')
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'repeater',
                'label' => esc_attr__('Additional Icons', 'jkd-core'),
                'description' => esc_attr__('Add your additional icons', 'jkd-core'),
                'section' => 'theme_options_navigation',
                'priority' => 10,
                'button_label' => esc_attr__('Add new icon', 'jkd-core'),
                'settings' => 'navigation-additional-icons-list',
                'row_label' => [
                    'type' => 'text',
                    'value' => esc_attr__('Additional Icon', 'jkd-core'),
                ],
                'default' => [
                    [
                        'text' => esc_html('Chat'),
                        'icon' => 'ri-message-2-line',
                        'url' => '#',
                    ],
                ],
                'fields' => [
                    'text' => [
                        'type' => 'text',
                        'label' => esc_attr__('Title (only for overlay navigation / tooltips)', 'jkd-core'),
                        'default' => esc_attr__('Title', 'jkd-core'),
                        'description' => esc_attr__('Input the icon title', 'jkd-core'),
                    ],
                    'icon' => [
                        'type' => 'select',
                        'label' => esc_attr__('Icon', 'jkd-core'),
                        'description' => esc_attr__('Select the icon', 'jkd-core'),
                        'choices' => JKD_Helper::get_remix_common_icons()
                    ],
                    'url' => [
                        'type' => 'text',
                        'label' => esc_attr__('URL', 'jkd-core'),
                        'default' => esc_attr__('#', 'jkd-core'),
                        'description' => esc_attr__('Input the URL', 'jkd-core'),
                    ],
                ]

            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'nav-mobile-social-toggle',
                'label' => esc_attr__('Mobile Social Icons', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the social icons in mobile menu', 'jkd-core'),
                'section' => 'theme_options_general',
                'default' => '1',
            ]);

        endif;

    }

    /**
     *
     */
    public function kirki_comments()
    {

        if (class_exists('Kirki')):

            Kirki::add_section('theme_options_comments', array(
                'title' => esc_attr__('Comments', 'jkd-core'),
                'description' => esc_attr__('Here You can customize the general comments values', 'jkd-core'),
                'panel' => 'theme_options',
                'priority' => 7,
            ));

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'comments-ajax-submission-toggle',
                'label' => esc_attr__('Ajax Submission', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled the ajax comments submission', 'jkd-core'),
                'section' => 'theme_options_comments',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'comments-pagination-type',
                'label' => esc_attr__('Pagination Type', 'jkd-core'),
                'description' => esc_attr__('Select the pagination type', 'jkd-core'),
                'section' => 'theme_options_comments',
                'default' => 'default',
                'choices' => [
                    'default' => esc_attr__('Default', 'jkd-core'),
                    'load-more' => esc_attr__('Load More', 'jkd-core'),
                ],
            ]);

        endif;

    }

    /**
     *
     */
    public function kirki_newsletter()
    {

        if (class_exists('Kirki')):

            Kirki::add_section('theme_options_newsletter', array(
                'title' => esc_attr__('Newsletter', 'jkd-core'),
                'description' => esc_attr__('Here You can customize the general newsletter values', 'jkd-core'),
                'panel' => 'theme_options',
                'priority' => 8,
            ));

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'newsletter-form-toggle',
                'label' => esc_attr__('Newsletter Modal Toggle/Popup', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the newsletter modal toggle/popup', 'jkd-core'),
                'section' => 'theme_options_newsletter',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'number',
                'settings' => 'newsletter-form-delay-before-showing',
                'label' => esc_attr__('Delay before showing', 'jkd-core'),
                'description' => esc_attr__('Input delay before showing (ms)', 'jkd-core'),
                'section' => 'theme_options_newsletter',
                'default' => 3000,
                'choices' => [
                    'min' => 100,
                    'max' => 100000,
                    'step' => 1,
                ],
                'active_callback' => [
                    [
                        'setting' => 'newsletter-form-toggle',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'text',
                'settings' => 'newsletter-form-title',
                'label' => esc_attr__('Form Title', 'jkd-core'),
                'description' => esc_attr__('Input form title', 'jkd-core'),
                'section' => 'theme_options_newsletter',
                'active_callback' => [
                    [
                        'setting' => 'newsletter-form-toggle',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'text',
                'settings' => 'newsletter-form-subtitle',
                'label' => esc_attr__('Form Subtitle', 'jkd-core'),
                'description' => esc_attr__('Input form subtitle', 'jkd-core'),
                'section' => 'theme_options_newsletter',
                'active_callback' => [
                    [
                        'setting' => 'newsletter-form-toggle',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'text',
                'settings' => 'newsletter-form-shortcode',
                'label' => esc_attr__('Form Shortcode', 'jkd-core'),
                'description' => esc_attr__('Input form shortcode', 'jkd-core'),
                'section' => 'theme_options_newsletter',
                'active_callback' => [
                    [
                        'setting' => 'newsletter-form-toggle',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'newsletter-modal-avoid-checkbox-toggle',
                'label' => esc_attr__('Avoid Checkbox', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the avoid modal checkbox (if checked === true THEN auto-showing will be disabled)', 'jkd-core'),
                'section' => 'theme_options_newsletter',
                'default' => '1',
                'active_callback' => [
                    [
                        'setting' => 'newsletter-form-toggle',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'image',
                'settings' => 'newsletter-form-image',
                'label' => esc_attr__('Modal Image', 'jkd-core'),
                'description' => esc_attr__('Upload modal image', 'jkd-core'),
                'section' => 'theme_options_newsletter',
                'choices' => [
                    'save_as' => 'id',
                ],
                'active_callback' => [
                    [
                        'setting' => 'newsletter-form-toggle',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

        endif;

    }

    /**
     *
     */
    public function kirki_authorization()
    {

        if (class_exists('Kirki')):

            Kirki::add_section('theme_options_authorization', array(
                'title' => esc_attr__('Authorization', 'jkd-core'),
                'description' => esc_attr__('Here You can customize the general authorization values', 'jkd-core'),
                'panel' => 'theme_options',
                'priority' => 9,
            ));

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'authorization-modal-toggle',
                'label' => esc_attr__('Authorization Modal Toggle/Popup', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the authorization modal toggle/popup', 'jkd-core'),
                'section' => 'theme_options_authorization',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'image',
                'settings' => 'authorization-modal-image',
                'label' => esc_attr__('Modal Image', 'jkd-core'),
                'description' => esc_attr__('Upload modal image', 'jkd-core'),
                'section' => 'theme_options_authorization',
                'choices' => [
                    'save_as' => 'id',
                ],
                'active_callback' => [
                    [
                        'setting' => 'authorization-modal-toggle',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

        endif;

    }

    /**
     *
     */
    public function kirki_search_form()
    {

        if (class_exists('Kirki')):

            Kirki::add_section('theme_options_search_form', array(
                'title' => esc_attr__('Search Form', 'jkd-core'),
                'description' => esc_attr__('Here You can customize the general search form values', 'jkd-core'),
                'panel' => 'theme_options',
                'priority' => 10,
            ));

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'search-form-toggle',
                'label' => esc_attr__('Search Form', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the search form', 'jkd-core'),
                'section' => 'theme_options_search_form',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'search-form-ajax-search',
                'label' => esc_attr__('Ajax Search', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled ajax search handler', 'jkd-core'),
                'section' => 'theme_options_search_form',
                'default' => '1',
                'active_callback' => [
                    [
                        'setting' => 'search-form-toggle',
                        'operator' => '==',
                        'value' => '1',
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'search-form-toggle-location',
                'label' => esc_attr__('Search Form Toggle Location', 'jkd-core'),
                'description' => esc_attr__('Select the sidebar alignment', 'jkd-core'),
                'section' => 'theme_options_search_form',
                'default' => 'sticky',
                'choices' => [
                    'sticky' => esc_attr__('Sticky', 'jkd-core'),
                    'navigation' => esc_attr__('Navigation', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'search-form-toggle',
                        'operator' => '==',
                        'value' => '1',
                    ],
                ],
            ]);

        endif;

    }

    /**
     * cta
     */
    public function kirki_cta()
    {

        if (class_exists('Kirki')):

            Kirki::add_section('theme_options_cta', array(
                'title' => esc_attr__('CTA', 'jkd-core'),
                'description' => esc_attr__('Here You can customize the general CTA values', 'jkd-core'),
                'panel' => 'theme_options',
                'priority' => 16,
            ));

            Kirki::add_field('theme_config_id', [
                'type' => 'text',
                'settings' => 'cta-title',
                'label' => esc_attr__('CTA Title', 'jkd-core'),
                'section' => 'theme_options_cta',
                'description' => esc_attr__('Input the CTA title', 'jkd-core'),
                'default' => esc_attr__('Realize Your Ideas', 'jkd-core')
            ]);

            Kirki::add_field('theme_config_id', [
                'type' => 'text',
                'settings' => 'cta-subtitle',
                'label' => esc_attr__('CTA Subtitle', 'jkd-core'),
                'section' => 'theme_options_cta',
                'description' => esc_attr__('Input the CTA subtitle', 'jkd-core'),
                'default' => esc_attr__('We build epic, realtime interactive experiences to blow people’s minds.', 'jkd-core')
            ]);

            Kirki::add_field('theme_config_id', [
                'type' => 'text',
                'settings' => 'cta-shortcode',
                'label' => esc_attr__('CTA Shortcode', 'jkd-core'),
                'section' => 'theme_options_cta',
                'description' => esc_attr__('Input the CTA shortcode', 'jkd-core'),
            ]);

        endif;

    }

    /**
     * footer
     */
    public function kirki_footer()
    {

        if (class_exists('Kirki')):

            Kirki::add_section('theme_options_footer', array(
                'title' => esc_attr__('Footer', 'jkd-core'),
                'description' => esc_attr__('Here You can customize the general footer values', 'jkd-core'),
                'panel' => 'theme_options',
                'priority' => 17,
            ));

            Kirki::add_field('theme_config_id', [
                'type' => 'text',
                'settings' => 'footer-title-email',
                'label' => esc_attr__('E-Mail Title', 'jkd-core'),
                'section' => 'theme_options_footer',
                'description' => esc_attr__('Input the E-Mail title', 'jkd-core'),
            ]);

            Kirki::add_field('theme_config_id', [
                'type' => 'text',
                'settings' => 'footer-email',
                'label' => esc_attr__('E-Mail', 'jkd-core'),
                'section' => 'theme_options_footer',
                'description' => esc_attr__('Input the E-Mail', 'jkd-core'),
            ]);

            Kirki::add_field('theme_config_id', [
                'type' => 'text',
                'settings' => 'footer-title-phone',
                'label' => esc_attr__('Phone Title', 'jkd-core'),
                'section' => 'theme_options_footer',
                'description' => esc_attr__('Input the Phone title', 'jkd-core'),
            ]);

            Kirki::add_field('theme_config_id', [
                'type' => 'text',
                'settings' => 'footer-phone',
                'label' => esc_attr__('Phone', 'jkd-core'),
                'section' => 'theme_options_footer',
                'description' => esc_attr__('Input the Phone', 'jkd-core'),
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'footer-copyright',
                'label' => esc_attr__('Copyright', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the copyright', 'jkd-core'),
                'section' => 'theme_options_footer',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'footer-social',
                'label' => esc_attr__('Social List', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the social list', 'jkd-core'),
                'section' => 'theme_options_footer',
                'default' => '1',
            ]);

        endif;

    }

    /**
     * error page
     */
    public function kirki_error_page()
    {

        if (class_exists('Kirki')):

            Kirki::add_section('theme_options_error', array(
                'title' => esc_attr__('Error Page', 'jkd-core'),
                'description' => esc_attr__('Here You can customize the Error Page values', 'jkd-core'),
                'panel' => 'theme_options',
                'priority' => 18,
            ));

            Kirki::add_field('theme_config_id', [
                'type' => 'text',
                'settings' => 'error-page-title',
                'label' => esc_attr__('Error Title', 'jkd-core'),
                'section' => 'theme_options_error',
                'default' => esc_attr__('Oops! Page not Found.', 'jkd-core'),
                'description' => esc_attr__('Input the Error Page Title', 'jkd-core'),
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'error-page-links',
                'label' => esc_attr__('Additional Links', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed additional links (error menu)', 'jkd-core'),
                'section' => 'theme_options_error',
                'default' => '1',
            ]);

        endif;

    }

    /**
     * blog
     */
    public function kirki_blog()
    {

        if (class_exists('Kirki')):

            Kirki::add_section('theme_options_blog', array(
                'title' => esc_attr__('Blog', 'jkd-core'),
                'description' => esc_attr__('Here You can customize the general blog values', 'jkd-core'),
                'panel' => 'theme_options',
                'priority' => 19,
            ));

            Kirki::add_field('jkd-theme', [
                'type' => 'select',
                'settings' => 'blog-type',
                'label' => esc_attr__('Blog Type', 'jkd-core'),
                'description' => esc_attr__('Select the type of blog page', 'jkd-core'),
                'section' => 'theme_options_blog',
                'default' => 'classic',
                'choices' => [
                    'classic' => esc_attr__('Classic', 'jkd-core'),
                    'reveal' => esc_attr__('Reveal Links', 'jkd-core'),
                    'grid' => esc_attr__('Grid', 'jkd-core'),
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'select',
                'settings' => 'blog-grid-type',
                'label' => esc_attr__('Grid Type', 'jkd-core'),
                'description' => esc_attr__('Select the type of blog grid', 'jkd-core'),
                'section' => 'theme_options_blog',
                'default' => 'classic',
                'choices' => [
                    'fitRows' => esc_attr__('Tiles', 'jkd-core'),
                    'masonry' => esc_attr__('Masonry', 'jkd-core'),
                    // 'packery' => esc_attr__('Metro', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'blog-type',
                        'operator' => 'contains',
                        'value' => array('grid'),
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'select',
                'settings' => 'blog-hover-style',
                'label' => esc_attr__('Blog Hover Style', 'jkd-core'),
                'description' => esc_attr__('Select the blog hover style', 'jkd-core'),
                'section' => 'theme_options_blog',
                'default' => 'default',
                'choices' => [
                    'default' => esc_attr__('Default', 'jkd-core'),
                    'fade' => esc_attr__('Fade', 'jkd-core'),
                    'zoom' => esc_attr__('Zoom', 'jkd-core'),
                    'zoom-out' => esc_attr__('Zoom Out', 'jkd-core'),
                    'zoom-fade' => esc_attr__('Zoom + Fade', 'jkd-core'),
                    'zoom-out-fade' => esc_attr__('Zoom Out + Fade', 'jkd-core'),
                    'tilt' => esc_attr__('Tilt', 'jkd-core'),
                    'tilt-boxed' => esc_attr__('Tilt Boxed', 'jkd-core'),
                    'tilt-zoom' => esc_attr__('Tilt Zoom', 'jkd-core'),
                    'tilt-zoom-out' => esc_attr__('Tilt Zoom Out', 'jkd-core'),
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'blog-sticky-post',
                'label' => esc_attr__('Sticky Post Section', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled sticky post section', 'jkd-core'),
                'section' => 'theme_options_blog',
                'default' => '1',
                'active_callback' => [
                    [
                        'setting' => 'blog-type',
                        'operator' => 'contains',
                        'value' => array('grid'),
                    ]
                ],
            ]);

            wp_reset_postdata();

            $custom_query = new WP_Query(array(
                'order' => 'DESC',
                'post_type' => 'post',
                'posts_per_page' => -1,
            ));

            $posts = array();

            if (!empty($custom_query) && !empty($custom_query->posts)):

                foreach ($custom_query->posts as $post):

                    if (!empty($post->ID) && !empty($post->post_title)):

                        $posts[$post->ID] = $post->post_title;

                    endif;

                endforeach;

            endif;

            Kirki::add_field('jkd-theme', [
                'type' => 'select',
                'settings' => 'blog-sticky-post-select',
                'label' => esc_attr__('Sticky Post', 'jkd-core'),
                'description' => esc_attr__('Select the sticky post', 'jkd-core'),
                'section' => 'theme_options_blog',
                'choices' => $posts,
                'active_callback' => [
                    [
                        'setting' => 'blog-type',
                        'operator' => 'contains',
                        'value' => array('grid'),
                    ],
                    [
                        'setting' => 'blog-sticky-post',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

            wp_reset_postdata();

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'blog-sticky-columns',
                'label' => esc_attr__('Sticky Columns', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled sticky columns animation', 'jkd-core'),
                'section' => 'theme_options_blog',
                'default' => '0',
                'active_callback' => [
                    [
                        'setting' => 'blog-type',
                        'operator' => 'contains',
                        'value' => array('grid'),
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'blog-filter',
                'label' => esc_attr__('Filters Section', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled filters section', 'jkd-core'),
                'section' => 'theme_options_blog',
                'default' => '1',
                'active_callback' => [
                    [
                        'setting' => 'blog-type',
                        'operator' => 'contains',
                        'value' => array('grid'),
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'blog-sidebar',
                'label' => esc_attr__('Sidebar', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled sidebar area', 'jkd-core'),
                'section' => 'theme_options_blog',
                'default' => '0',
                'active_callback' => [
                    [
                        'setting' => 'blog-type',
                        'operator' => 'contains',
                        'value' => array('grid', 'classic'),
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'blog-sidebar-alignment',
                'label' => esc_attr__('Sidebar Alignment', 'jkd-core'),
                'description' => esc_attr__('Select the sidebar alignment', 'jkd-core'),
                'section' => 'theme_options_blog',
                'default' => 'left',
                'choices' => [
                    'left' => esc_attr__('Left', 'jkd-core'),
                    'right' => esc_attr__('Right', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'blog-sidebar',
                        'operator' => '==',
                        'value' => 1,
                    ],
                    [
                        'setting' => 'blog-type',
                        'operator' => 'contains',
                        'value' => array('grid', 'classic'),
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'blog-display-featured-image',
                'label' => esc_attr__('Display Featured Image', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the featured image', 'jkd-core'),
                'section' => 'theme_options_blog',
                'default' => '1',
                'active_callback' => [
                    [
                        'setting' => 'blog-type',
                        'operator' => 'contains',
                        'value' => array('grid'),
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'blog-display-date',
                'label' => esc_attr__('Display Date', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the post date', 'jkd-core'),
                'section' => 'theme_options_blog',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'blog-display-category-label',
                'label' => esc_attr__('Display Category Label', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the category label', 'jkd-core'),
                'section' => 'theme_options_blog',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'blog-display-author',
                'label' => esc_attr__('Display Author Box', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the author box', 'jkd-core'),
                'section' => 'theme_options_blog',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'blog-display-excerpt',
                'label' => esc_attr__('Display Excerpt', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the excerpt', 'jkd-core'),
                'section' => 'theme_options_blog',
                'default' => '1',
                'active_callback' => [
                    [
                        'setting' => 'blog-type',
                        'operator' => 'contains',
                        'value' => array('grid', 'classic'),
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'number',
                'settings' => 'blog-grid-number-of-columns',
                'label' => esc_attr__('Number of columns', 'jkd-core'),
                'description' => esc_attr__('Input number of grid columns', 'jkd-core'),
                'section' => 'theme_options_blog',
                'default' => 2,
                'choices' => [
                    'min' => 1,
                    'max' => 4,
                    'step' => 1,
                ],
                'active_callback' => [
                    [
                        'setting' => 'blog-type',
                        'operator' => 'contains',
                        'value' => array('grid'),
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'number',
                'settings' => 'blog-grid-offset',
                'label' => esc_attr__('Columns offset', 'jkd-core'),
                'description' => esc_attr__('Input number of grid offset', 'jkd-core'),
                'section' => 'theme_options_blog',
                'default' => 15,
                'choices' => [
                    'min' => 5,
                    'max' => 100,
                    'step' => 1,
                ],
                'active_callback' => [
                    [
                        'setting' => 'blog-type',
                        'operator' => 'contains',
                        'value' => array('grid'),
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'blog-pagination',
                'label' => esc_attr__('Blog Pagination', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled pagination', 'jkd-core'),
                'section' => 'theme_options_blog',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'blog-pagination-type',
                'label' => esc_attr__('Pagination Type', 'jkd-core'),
                'description' => esc_attr__('Select the pagination type', 'jkd-core'),
                'section' => 'theme_options_blog',
                'default' => 'default',
                'choices' => [
                    'default' => esc_attr__('Default', 'jkd-core'),
                    'load-more' => esc_attr__('Load More', 'jkd-core'),
                    'infinite-load' => esc_attr__('Infinite Load', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'blog-pagination',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'blog-archive-pagination-alignment',
                'label' => esc_attr__('Pagination Alignment', 'jkd-core'),
                'description' => esc_attr__('Select the pagination alignment', 'jkd-core'),
                'section' => 'theme_options_blog',
                'default' => 'center',
                'choices' => [
                    'left' => esc_attr__('Left', 'jkd-core'),
                    'center' => esc_attr__('Center', 'jkd-core'),
                    'right' => esc_attr__('Right', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'blog-pagination',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'blog-banner-toggle',
                'label' => esc_attr__('Banner', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled blog banner', 'jkd-core'),
                'section' => 'theme_options_blog',
                'default' => true,
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'blog-banner-alignment',
                'label' => esc_attr__('Banner Alignment', 'jkd-core'),
                'description' => esc_attr__('Select the banner alignment', 'jkd-core'),
                'section' => 'theme_options_blog',
                'default' => 'top',
                'choices' => [
                    'top' => esc_attr__('Top', 'jkd-core'),
                    'bottom' => esc_attr__('Bottom', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'blog-banner-toggle',
                        'operator' => '==',
                        'value' => '1',
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'image',
                'settings' => 'blog-banner-background',
                'label' => esc_attr__('Banner Background', 'jkd-core'),
                'description' => esc_attr__('Upload your Banner Background', 'jkd-core'),
                'section' => 'theme_options_blog',
                'active_callback' => [
                    [
                        'setting' => 'blog-banner-toggle',
                        'operator' => '==',
                        'value' => '1',
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'text',
                'settings' => 'blog-banner-text',
                'label' => esc_attr__('Banner Text', 'jkd-core'),
                'description' => esc_attr__('Input your blog banner text', 'jkd-core'),
                'section' => 'theme_options_blog',
                'default' => esc_attr__('Hurry up! Get 15% off now for a limited time offer.', 'jkd-core'),
                'active_callback' => [
                    [
                        'setting' => 'blog-banner-toggle',
                        'operator' => '==',
                        'value' => '1',
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'text',
                'settings' => 'blog-banner-button-text',
                'label' => esc_attr__('Banner Button Text', 'jkd-core'),
                'description' => esc_attr__('Input your blog banner button text', 'jkd-core'),
                'section' => 'theme_options_blog',
                'default' => esc_attr__('Learn More', 'jkd-core'),
                'active_callback' => [
                    [
                        'setting' => 'blog-banner-toggle',
                        'operator' => '==',
                        'value' => '1',
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'url',
                'settings' => 'blog-banner-button-link',
                'label' => esc_attr__('Banner Button Link', 'jkd-core'),
                'description' => esc_attr__('Input your blog banner button link', 'jkd-core'),
                'section' => 'theme_options_blog',
                'active_callback' => [
                    [
                        'setting' => 'blog-banner-toggle',
                        'operator' => '==',
                        'value' => '1',
                    ],
                ],
            ]);

        endif;

    }

    /**
     *
     */
    public function single_post()
    {

        if (class_exists('Kirki')):

            Kirki::add_section('theme_options_single_post', array(
                'title' => esc_attr__('Single Post', 'jkd-core'),
                'description' => esc_attr__('Here You can customize the general single post values', 'jkd-core'),
                'panel' => 'theme_options',
                'priority' => 20,
            ));

            Kirki::add_field('jkd-theme', [
                'type' => 'select',
                'settings' => 'single-post-style',
                'label' => esc_attr__('Style', 'jkd-core'),
                'description' => esc_attr__('Select the style of single post', 'jkd-core'),
                'section' => 'theme_options_single_post',
                'default' => 'simple',
                'choices' => array(
                    'simple' => esc_attr__('Simple', 'jkd-core'),
                    'sticky-header' => esc_attr__('Sticky Header', 'jkd-core'),
                    'full-width' => esc_attr__('Full Width', 'jkd-core'),
                    'parallax-header' => esc_attr__('Parallax Header', 'jkd-core'),
                ),
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'single-post-views',
                'label' => esc_attr__('Display Views Counter', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed views counter', 'jkd-core'),
                'section' => 'theme_options_single_post',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'single-post-likes',
                'label' => esc_attr__('Display Like Button', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed likes counter / like button', 'jkd-core'),
                'section' => 'theme_options_single_post',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'single-post-sidebar',
                'label' => esc_attr__('Sidebar', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled sidebar', 'jkd-core'),
                'section' => 'theme_options_single_post',
                'default' => '0',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'single-post-sidebar-alignment',
                'label' => esc_attr__('Sidebar Alignment', 'jkd-core'),
                'description' => esc_attr__('Select the sidebar alignment', 'jkd-core'),
                'section' => 'theme_options_single_post',
                'default' => 'left',
                'choices' => [
                    'left' => esc_attr__('Left', 'jkd-core'),
                    'right' => esc_attr__('Right', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'single-post-sidebar',
                        'operator' => '==',
                        'value' => '1',
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'single-post-recent',
                'label' => esc_attr__('Recent Posts', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled recent posts', 'jkd-core'),
                'section' => 'theme_options_single_post',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'single-post-recent-style',
                'label' => esc_attr__('Recent Style', 'jkd-core'),
                'description' => esc_attr__('Select the style of recent posts section', 'jkd-core'),
                'section' => 'theme_options_single_post',
                'default' => 'list',
                'choices' => [
                    'list' => esc_attr__('List', 'jkd-core'),
                    'slider' => esc_attr__('Slider', 'jkd-core'),
                    'minimal' => esc_attr__('Minimal', 'jkd-core'),
                    //  'injected' => esc_attr__('Injected', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'single-post-recent',
                        'operator' => '==',
                        'value' => '1',
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'single-post-recent-by',
                'label' => esc_attr__('Recent By', 'jkd-core'),
                'description' => esc_attr__('Select which terms will be used to get recent posts', 'jkd-core'),
                'section' => 'theme_options_single_post',
                'default' => 'categories',
                'choices' => [
                    'categories' => esc_attr__('Categories', 'jkd-core'),
                    'tags' => esc_attr__('Tags', 'jkd-core'),
                    'author' => esc_attr__('Author', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'single-post-recent',
                        'operator' => '==',
                        'value' => '1',
                    ],
                    [
                        'setting' => 'single-post-recent-style',
                        'operator' => 'contains',
                        'value' => array('list', 'slider', 'minimal')
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'number',
                'settings' => 'single-post-number-of-recent-items',
                'label' => esc_attr__('Number of Posts', 'jkd-core'),
                'description' => esc_attr__('Input number of displayed recent items', 'jkd-core'),
                'section' => 'theme_options_single_post',
                'default' => 6,
                'choices' => [
                    'min' => 1,
                    'max' => 100,
                    'step' => 1,
                ],
                'active_callback' => [
                    [
                        'setting' => 'single-post-recent',
                        'operator' => '==',
                        'value' => '1',
                    ],
                    [
                        'setting' => 'single-post-recent-style',
                        'operator' => 'contains',
                        'value' => array('list', 'slider', 'minimal')
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'single-post-navigation',
                'label' => esc_attr__('Single Post Navigation', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled single post navigation', 'jkd-core'),
                'section' => 'theme_options_single_post',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'single-post-share-toggle',
                'label' => esc_attr__('Share Toggle', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled share toggle', 'jkd-core'),
                'section' => 'theme_options_single_post',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'multicheck',
                'settings' => 'single-post-share-list',
                'label' => esc_attr__('Sharing List', 'jkd-core'),
                'section' => 'theme_options_single_post',
                'priority' => 10,
                'choices' => [
                    'twitter' => esc_attr__('twitter', 'jkd-core'),
                    'pinterest' => esc_attr__('pinterest', 'jkd-core'),
                    'facebook' => esc_attr__('facebook', 'jkd-core'),
                    'linkedin' => esc_attr__('linkedin', 'jkd-core'),
                    'tumblr' => esc_attr__('tumblr', 'jkd-core'),
                    'reddit' => esc_attr__('reddit', 'jkd-core'),
                    'xing' => esc_attr__('xing', 'jkd-core'),
                    'email' => esc_attr__('email', 'jkd-core'),
                    'skype' => esc_attr__('skype', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'single-post-share-toggle',
                        'operator' => '==',
                        'value' => true,
                    ]
                ],
            ]);

        endif;

    }

    /**
     * portfolio
     */
    public function kirki_portfolio()
    {

        if (class_exists('Kirki')):

            Kirki::add_section('theme_options_portfolio', array(
                'title' => esc_attr__('Portfolio', 'jkd-core'),
                'description' => esc_attr__('Here You can customize the general portfolio values', 'jkd-core'),
                'panel' => 'theme_options',
                'priority' => 21,
            ));

            Kirki::add_field('jkd-theme', [
                'type' => 'text',
                'settings' => 'portfolio-custom-slug',
                'label' => esc_attr__('Custom Slug', 'jkd-core'),
                'description' => esc_attr__('Input your portfolio custom slug (will be used in archive URL)', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => esc_attr('portfolio'),
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'select',
                'settings' => 'portfolio-hover-style',
                'label' => esc_attr__('Portfolio Hover Style', 'jkd-core'),
                'description' => esc_attr__('Select the portfolio hover style', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => 'default',
                'choices' => [
                    'default' => esc_attr__('Default', 'jkd-core'),
                    'fade' => esc_attr__('Fade', 'jkd-core'),
                    'zoom' => esc_attr__('Zoom', 'jkd-core'),
                    'zoom-out' => esc_attr__('Zoom Out', 'jkd-core'),
                    'zoom-fade' => esc_attr__('Zoom + Fade', 'jkd-core'),
                    'zoom-out-fade' => esc_attr__('Zoom Out + Fade', 'jkd-core'),
                    'tilt' => esc_attr__('Tilt', 'jkd-core'),
                    'tilt-boxed' => esc_attr__('Tilt Boxed', 'jkd-core'),
                    'tilt-zoom' => esc_attr__('Tilt Zoom', 'jkd-core'),
                    'tilt-zoom-out' => esc_attr__('Tilt Zoom Out', 'jkd-core'),
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'page-header-portfolio-toggle',
                'label' => esc_attr__('Page Header', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled page header', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'page-header-portfolio-bottom-border',
                'label' => esc_attr__('Enable Bottom Border', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled the bottom border', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => '1',
                'active_callback' => [
                    [
                        'setting' => 'page-header-portfolio-toggle',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'page-header-portfolio-style',
                'label' => esc_attr__('Style', 'jkd-core'),
                'description' => esc_attr__('Select the style of page header', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => 'default',
                'choices' => array(
                    'default' => esc_attr__('Default', 'jkd-core'),
                    'classic' => esc_attr__('Classic', 'jkd-core'),
                    'minimal' => esc_attr__('Minimal', 'jkd-core'),
                ),
                'active_callback' => [
                    [
                        'setting' => 'page-header-portfolio-toggle',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'page-header-portfolio-alignment',
                'label' => esc_attr__('Alignment', 'jkd-core'),
                'description' => esc_attr__('Select the alignment of page header', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => 'center',
                'choices' => array(
                    'left' => esc_attr__('Left', 'jkd-core'),
                    'center' => esc_attr__('Center', 'jkd-core'),
                    'right' => esc_attr__('Right', 'jkd-core'),
                ),
                'active_callback' => [
                    [
                        'setting' => 'page-header-portfolio-toggle',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'page-header-portfolio-breadcrumbs-toggle',
                'label' => esc_attr__('Breadcrumbs', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the page header breadcrumbs', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => '1',
                'active_callback' => [
                    [
                        'setting' => 'page-header-portfolio-toggle',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'portfolio-masonry-toggle',
                'label' => esc_attr__('Masonry Layout', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled masonry layout', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'portfolio-date-toggle',
                'label' => esc_attr__('Display Date', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the item date', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'portfolio-author-toggle',
                'label' => esc_attr__('Display Author', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the author', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'portfolio-featured-image-toggle',
                'label' => esc_attr__('Display Featured Image', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the featured image', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'portfolio-link-icon-toggle',
                'label' => esc_attr__('Display Link Icon', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the link icon', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'portfolio-actions',
                'label' => esc_attr__('Portfolio Actions', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled actions panel', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'portfolio-actions-alignment',
                'label' => esc_attr__('Actions Alignment', 'jkd-core'),
                'description' => esc_attr__('Select the alignment of portfolio actions', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => 'default',
                'choices' => array(
                    'default' => esc_attr__('Default', 'jkd-core'),
                    'fixed' => esc_attr__('fixed', 'jkd-core'),
                    'sticky' => esc_attr__('fixed', 'jkd-core'),
                ),
                'active_callback' => [
                    [
                        'setting' => 'portfolio-actions',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'portfolio-actions-filters',
                'label' => esc_attr__('Filters', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled filters', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => '1',
                'active_callback' => [
                    [
                        'setting' => 'portfolio-actions',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'portfolio-filter-count-labels',
                'label' => esc_attr__('Count Labels', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled filter category count labels', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => '1',
                'active_callback' => [
                    [
                        'setting' => 'portfolio-actions',
                        'operator' => '==',
                        'value' => 1,
                    ],
                    [
                        'setting' => 'portfolio-actions-filters',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'portfolio-actions-direction',
                'label' => esc_attr__('Direction Arrows', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled direction arrows', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => '1',
                'active_callback' => [
                    [
                        'setting' => 'portfolio-actions',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'number',
                'settings' => 'portfolio-archive-number-of-columns',
                'label' => esc_attr__('Portfolio Columns', 'jkd-core'),
                'description' => esc_attr__('Input number of displayed columns on portfolio archive', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => 3,
                'choices' => [
                    'min' => 1,
                    'max' => 6,
                    'step' => 1,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'slider',
                'settings' => 'portfolio-items-offset',
                'label' => esc_attr__('Items Offset', 'jkd-core'),
                'description' => esc_attr__('Input items offset', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => 30,
                'choices' => [
                    'min' => 0,
                    'max' => 100,
                    'step' => 1,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'number',
                'settings' => 'portfolio-archive-number-of-items',
                'label' => esc_attr__('Portfolio Items Limit', 'jkd-core'),
                'description' => esc_attr__('Input number of displayed items on portfolio archive', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => 9,
                'choices' => [
                    'min' => 1,
                    'max' => 100,
                    'step' => 1,
                ],
            ]);


            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'portfolio-pagination',
                'label' => esc_attr__('Portfolio Pagination', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled pagination', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'portfolio-archive-pagination-type',
                'label' => esc_attr__('Pagination Type', 'jkd-core'),
                'description' => esc_attr__('Select the pagination type', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => 'default',
                'choices' => [
                    'default' => esc_attr__('Default', 'jkd-core'),
                    'load-more' => esc_attr__('Load More', 'jkd-core'),
                    'infinite-load' => esc_attr__('Infinite Load', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'portfolio-pagination',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'portfolio-archive-pagination-alignment',
                'label' => esc_attr__('Pagination Alignment', 'jkd-core'),
                'description' => esc_attr__('Select the pagination alignment', 'jkd-core'),
                'section' => 'theme_options_portfolio',
                'default' => 'center',
                'choices' => [
                    'left' => esc_attr__('Left', 'jkd-core'),
                    'center' => esc_attr__('Center', 'jkd-core'),
                    'right' => esc_attr__('Right', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'portfolio-pagination',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

        endif;

    }

    /**
     *
     */
    public function kirki_single_project()
    {

        if (class_exists('Kirki')):

            Kirki::add_section('theme_options_single_project', array(
                'title' => esc_attr__('Single Project', 'jkd-core'),
                'description' => esc_attr__('Here You can customize the general single project values', 'jkd-core'),
                'panel' => 'theme_options',
                'priority' => 22,
            ));

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'single-project-style',
                'label' => esc_attr__('Project Style', 'jkd-core'),
                'description' => esc_attr__('Select the pagination alignment', 'jkd-core'),
                'section' => 'theme_options_single_project',
                'default' => 'default',
                'choices' => [
                    'default' => esc_attr__('Default', 'jkd-core'),
                    'full-width' => esc_attr__('Full Width', 'jkd-core'),
                    'side' => esc_attr__('Side', 'jkd-core'),
                    'Sticky' => esc_attr__('Sticky', 'jkd-core'),
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'single-project-recent',
                'label' => esc_attr__('Recent Posts', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled recent posts', 'jkd-core'),
                'section' => 'theme_options_single_project',
                'default' => '1',
            ]);

            /*

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'single-project-recent-style',
                'label' => esc_attr__('Recent Style', 'jkd-core'),
                'description' => esc_attr__('Select the style of recent projects section', 'jkd-core'),
                'section' => 'theme_options_single_project',
                'default' => 'list',
                'choices' => [
                    'list' => esc_attr__('List', 'jkd-core'),
                    'slider' => esc_attr__('Slider', 'jkd-core'),
                    'minimal' => esc_attr__('Minimal', 'jkd-core'),
                    //  'injected' => esc_attr__('Injected', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'single-project-recent',
                        'operator' => '==',
                        'value' => '1',
                    ],
                ],
            ]);

            */

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'single-project-recent-by',
                'label' => esc_attr__('Recent By', 'jkd-core'),
                'description' => esc_attr__('Select which terms will be used to get recent posts', 'jkd-core'),
                'section' => 'theme_options_single_project',
                'default' => 'categories',
                'choices' => [
                    'categories' => esc_attr__('Categories', 'jkd-core'),
                    'tags' => esc_attr__('Tags', 'jkd-core'),
                    'author' => esc_attr__('Author', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'single-project-recent',
                        'operator' => '==',
                        'value' => '1',
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'number',
                'settings' => 'single-project-number-of-recent-items',
                'label' => esc_attr__('Number of Projects', 'jkd-core'),
                'description' => esc_attr__('Input number of displayed recent items', 'jkd-core'),
                'section' => 'theme_options_single_project',
                'default' => 6,
                'choices' => [
                    'min' => 1,
                    'max' => 100,
                    'step' => 1,
                ],
                'active_callback' => [
                    [
                        'setting' => 'single-project-recent',
                        'operator' => '==',
                        'value' => '1',
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'single-project-navigation',
                'label' => esc_attr__('Single Post Navigation', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled single project navigation', 'jkd-core'),
                'section' => 'theme_options_single_project',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'single-project-share-toggle',
                'label' => esc_attr__('Share Toggle', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled share toggle', 'jkd-core'),
                'section' => 'theme_options_single_project',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'multicheck',
                'settings' => 'single-project-share-list',
                'label' => esc_attr__('Sharing List', 'jkd-core'),
                'section' => 'theme_options_single_project',
                'priority' => 10,
                'choices' => [
                    'twitter' => esc_attr__('twitter', 'jkd-core'),
                    'pinterest' => esc_attr__('pinterest', 'jkd-core'),
                    'facebook' => esc_attr__('facebook', 'jkd-core'),
                    'linkedin' => esc_attr__('linkedin', 'jkd-core'),
                    'tumblr' => esc_attr__('tumblr', 'jkd-core'),
                    'reddit' => esc_attr__('reddit', 'jkd-core'),
                    'xing' => esc_attr__('xing', 'jkd-core'),
                    'email' => esc_attr__('email', 'jkd-core'),
                    'skype' => esc_attr__('skype', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'single-project-share-toggle',
                        'operator' => '==',
                        'value' => true,
                    ]
                ],
            ]);

        endif;

    }

    /**
     * shop
     */
    public function kirki_shop()
    {

        if (class_exists('Kirki')):

            Kirki::add_section('theme_options_shop', array(
                'title' => esc_attr__('Shop', 'jkd-core'),
                'description' => esc_attr__('Here You can customize the general shop values', 'jkd-core'),
                'panel' => 'theme_options',
                'priority' => 23,
            ));

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'shop-style',
                'label' => esc_attr__('Shop Style', 'jkd-core'),
                'description' => esc_attr__('Select the style of shop page', 'jkd-core'),
                'section' => 'theme_options_shop',
                'default' => 'default',
                'choices' => array(
                    'default' => esc_attr__('Default', 'jkd-core'),
                    'minimal' => esc_attr__('Minimal', 'jkd-core'),
                ),
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'shop-pagination-type',
                'label' => esc_attr__('Pagination Type', 'jkd-core'),
                'description' => esc_attr__('Select the pagination type', 'jkd-core'),
                'section' => 'theme_options_shop',
                'default' => 'default',
                'choices' => [
                    'default' => esc_attr__('Default', 'jkd-core'),
                    'load-more' => esc_attr__('Load More', 'jkd-core'),
                    'infinite-load' => esc_attr__('Infinite Load', 'jkd-core'),
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'shop-pagination-alignment',
                'label' => esc_attr__('Pagination Alignment', 'jkd-core'),
                'description' => esc_attr__('Select the pagination alignment', 'jkd-core'),
                'section' => 'theme_options_shop',
                'default' => 'left',
                'choices' => [
                    'left' => esc_attr__('Left', 'jkd-core'),
                    'center' => esc_attr__('Center', 'jkd-core'),
                    'right' => esc_attr__('Right', 'jkd-core'),
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'shop-filter-sidebar',
                'label' => esc_attr__('Filters Sidebar', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled filters sidebar', 'jkd-core'),
                'section' => 'theme_options_shop',
                'default' => true,
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'shop-filter-sidebar-type',
                'label' => esc_attr__('Filter Sidebar Type', 'jkd-core'),
                'description' => esc_attr__('Select the filter sidebar type', 'jkd-core'),
                'section' => 'theme_options_shop',
                'default' => 'default',
                'choices' => [
                    'default' => esc_attr__('Default', 'jkd-core'),
                    'fixed' => esc_attr__('Fixed', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'shop-filter-sidebar',
                        'operator' => '==',
                        'value' => '1',
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'shop-filter-sidebar-alignment',
                'label' => esc_attr__('Filter Sidebar alignment', 'jkd-core'),
                'description' => esc_attr__('Select the filter sidebar alignment', 'jkd-core'),
                'section' => 'theme_options_shop',
                'default' => 'left',
                'choices' => [
                    'left' => esc_attr__('Left', 'jkd-core'),
                    'right' => esc_attr__('Right', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'shop-filter-sidebar',
                        'operator' => '==',
                        'value' => '1',
                    ],
                    [
                        'setting' => 'shop-filter-sidebar-type',
                        'operator' => '==',
                        'value' => 'default',
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'shop-filter-toggle-type',
                'label' => esc_attr__('Filter Toggle Type', 'jkd-core'),
                'description' => esc_attr__('Select the filter toggle type', 'jkd-core'),
                'section' => 'theme_options_shop',
                'default' => 'default',
                'choices' => [
                    'default' => esc_attr__('Default', 'jkd-core'),
                    'minimal' => esc_attr__('Minimal', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'shop-filter-sidebar',
                        'operator' => '==',
                        'value' => '1',
                    ],
                    [
                        'setting' => 'shop-filter-sidebar-type',
                        'operator' => '==',
                        'value' => 'fixed',
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'number',
                'settings' => 'shop-number-of-grid-column',
                'label' => esc_attr__('Grid Columns', 'jkd-core'),
                'description' => esc_attr__('Input number of grid columns', 'jkd-core'),
                'section' => 'theme_options_shop',
                'default' => 4,
                'choices' => [
                    'min' => 1,
                    'max' => 6,
                    'step' => 1,
                ],
                'active_callback' => [
                    [
                        'setting' => 'shop-related-products',
                        'operator' => '==',
                        'value' => '1',
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'number',
                'settings' => 'shop-items-offset',
                'label' => esc_attr__('Items Offset', 'jkd-core'),
                'description' => esc_attr__('Input number of items offset', 'jkd-core'),
                'section' => 'theme_options_shop',
                'default' => 15,
                'choices' => [
                    'min' => 0,
                    'max' => 100,
                    'step' => 1,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'number',
                'settings' => 'shop-number-of-items',
                'label' => esc_attr__('Grid Items', 'jkd-core'),
                'description' => esc_attr__('Input number of grid items', 'jkd-core'),
                'section' => 'theme_options_shop',
                'default' => 12,
                'choices' => [
                    'min' => 1,
                    'max' => 12,
                    'step' => 1,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'shop-cross-sells-products',
                'label' => esc_attr__('Cross-Sells Products', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled cross-sells products section', 'jkd-core'),
                'section' => 'theme_options_shop',
                'default' => true,
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'number',
                'settings' => 'shop-number-of-cross-sells-items',
                'label' => esc_attr__('Cross-Sells Items Limit', 'jkd-core'),
                'description' => esc_attr__('Input number of cross-sells items limit', 'jkd-core'),
                'section' => 'theme_options_shop',
                'default' => 5,
                'choices' => [
                    'min' => 1,
                    'max' => 100,
                    'step' => 1,
                ],
                'active_callback' => [
                    [
                        'setting' => 'shop-cross-sells-products',
                        'operator' => '==',
                        'value' => '1',
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'slider',
                'settings' => 'shop-newest-items-treshhold',
                'label' => esc_attr__('Newest Items Threshold', 'jkd-core'),
                'description' => esc_attr__('Input the newest threshold (in days, used for "new" badge)', 'jkd-core'),
                'section' => 'theme_options_shop',
                'default' => 3,
                'choices' => [
                    'min' => 1,
                    'max' => 90,
                    'step' => 1,
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'shop-banner-toggle',
                'label' => esc_attr__('Banner', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled shop banner', 'jkd-core'),
                'section' => 'theme_options_shop',
                'default' => true,
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'shop-banner-alignment',
                'label' => esc_attr__('Banner Alignment', 'jkd-core'),
                'description' => esc_attr__('Select the banner alignment', 'jkd-core'),
                'section' => 'theme_options_shop',
                'default' => 'top',
                'choices' => [
                    'top' => esc_attr__('Top', 'jkd-core'),
                    'bottom' => esc_attr__('Bottom', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'shop-banner-toggle',
                        'operator' => '==',
                        'value' => '1',
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'image',
                'settings' => 'shop-banner-background',
                'label' => esc_attr__('Banner Background', 'jkd-core'),
                'description' => esc_attr__('Upload your Banner Background', 'jkd-core'),
                'section' => 'theme_options_shop',
                'active_callback' => [
                    [
                        'setting' => 'shop-banner-toggle',
                        'operator' => '==',
                        'value' => '1',
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'text',
                'settings' => 'shop-banner-text',
                'label' => esc_attr__('Banner Text', 'jkd-core'),
                'description' => esc_attr__('Input your shop banner text', 'jkd-core'),
                'section' => 'theme_options_shop',
                'default' => esc_attr__('Hurry up! Get 15% off now for a limited time offer.', 'jkd-core'),
                'active_callback' => [
                    [
                        'setting' => 'shop-banner-toggle',
                        'operator' => '==',
                        'value' => '1',
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'text',
                'settings' => 'shop-banner-button-text',
                'label' => esc_attr__('Banner Button Text', 'jkd-core'),
                'description' => esc_attr__('Input your shop banner button text', 'jkd-core'),
                'section' => 'theme_options_shop',
                'default' => esc_attr__('Learn More', 'jkd-core'),
                'active_callback' => [
                    [
                        'setting' => 'shop-banner-toggle',
                        'operator' => '==',
                        'value' => '1',
                    ],
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'url',
                'settings' => 'shop-banner-button-link',
                'label' => esc_attr__('Banner Button Link', 'jkd-core'),
                'description' => esc_attr__('Input your shop banner button link', 'jkd-core'),
                'section' => 'theme_options_shop',
                'active_callback' => [
                    [
                        'setting' => 'shop-banner-toggle',
                        'operator' => '==',
                        'value' => '1',
                    ],
                ],
            ]);

            $pages = get_pages();

            if (!empty($pages)):

                $sorted_pages = array();

                foreach ($pages as $page):

                    if (!empty($page->ID) && !empty($page->post_title)):

                        $sorted_pages[$page->ID] = $page->post_title;

                    endif;

                endforeach;

                Kirki::add_field('jkd-theme', array(
                    'type' => 'select',
                    'settings' => 'shop-categories-catalogue-main-page',
                    'section' => 'theme_options_shop',
                    'label' => esc_attr__('Categories Catalogue Page', 'jkd-core'),
                    'description' => esc_attr__('Select the categories catalogue page', 'jkd-core'),
                    'choices' => $sorted_pages,
                ));

            endif;

        endif;

    }

    /**
     *
     */
    public function kirki_single_product()
    {

        if (class_exists('Kirki')):

            Kirki::add_section('theme_options_single_product', array(
                'title' => esc_attr__('Single Product', 'jkd-core'),
                'description' => esc_attr__('Here You can customize the general single product values', 'jkd-core'),
                'panel' => 'theme_options',
                'priority' => 24,
            ));

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'shop-single-product-type',
                'label' => esc_attr__('Product Style', 'jkd-core'),
                'description' => esc_attr__('Select the product style', 'jkd-core'),
                'section' => 'theme_options_single_product',
                'default' => 'default',
                'choices' => [
                    'default' => esc_attr__('Default', 'jkd-core'),
                    'two-side' => esc_attr__('Two Side', 'jkd-core'),
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'shop-image-ratio',
                'label' => esc_attr__('Image Ratio', 'jkd-core'),
                'description' => esc_attr__('Select the image ratio', 'jkd-core'),
                'section' => 'theme_options_single_product',
                'default' => 'square',
                'choices' => array(
                    'square' => esc_attr__('Square', 'jkd-core'),
                    'vertical' => esc_attr__('Vertical', 'jkd-core'),
                ),
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'shop-single-product-summary-alignment',
                'label' => esc_attr__('Product Summary Alignment', 'jkd-core'),
                'description' => esc_attr__('Select the summary alignment', 'jkd-core'),
                'section' => 'theme_options_single_product',
                'default' => 'right',
                'choices' => [
                    'left' => esc_attr__('Left', 'jkd-core'),
                    'right' => esc_attr__('Right', 'jkd-core'),
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'shop-product-zoom-toggle',
                'label' => esc_attr__('Hover Zoom', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled zoom effect on image hover', 'jkd-core'),
                'section' => 'theme_options_single_product',
                'default' => true,
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'shop-related-products',
                'label' => esc_attr__('Related Products', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled related products section', 'jkd-core'),
                'section' => 'theme_options_single_product',
                'default' => true,
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'number',
                'settings' => 'shop-number-of-related-items',
                'label' => esc_attr__('Related Items Limit', 'jkd-core'),
                'description' => esc_attr__('Input number of related items limit', 'jkd-core'),
                'section' => 'theme_options_single_product',
                'default' => 5,
                'choices' => [
                    'min' => 1,
                    'max' => 100,
                    'step' => 1,
                ],
                'active_callback' => [
                    [
                        'setting' => 'shop-related-products',
                        'operator' => '==',
                        'value' => '1',
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'shop-upsells-products',
                'label' => esc_attr__('Upsells Products', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled upsells products section', 'jkd-core'),
                'section' => 'theme_options_single_product',
                'default' => true,
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'number',
                'settings' => 'shop-number-of-upsells-items',
                'label' => esc_attr__('Upsells Items Limit', 'jkd-core'),
                'description' => esc_attr__('Input number of upsells items limit', 'jkd-core'),
                'section' => 'theme_options_single_product',
                'default' => 5,
                'choices' => [
                    'min' => 1,
                    'max' => 100,
                    'step' => 1,
                ],
                'active_callback' => [
                    [
                        'setting' => 'shop-upsells-products',
                        'operator' => '==',
                        'value' => '1',
                    ]
                ],
            ]);

        endif;

    }

    /**
     *
     */
    public function kirki_events()
    {

        if (class_exists('Kirki')):

            Kirki::add_section('theme_options_events', array(
                'title' => esc_attr__('Events', 'jkd-core'),
                'description' => esc_attr__('Here You can customize the general events values', 'jkd-core'),
                'panel' => 'theme_options',
                'priority' => 25,
            ));

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'page-header-events-toggle',
                'label' => esc_attr__('Page Header', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled page header', 'jkd-core'),
                'section' => 'theme_options_events',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'page-header-events-bottom-border',
                'label' => esc_attr__('Enable Bottom Border', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled the bottom border', 'jkd-core'),
                'section' => 'theme_options_events',
                'default' => '1',
                'active_callback' => [
                    [
                        'setting' => 'page-header-events-toggle',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'page-header-events-style',
                'label' => esc_attr__('Style', 'jkd-core'),
                'description' => esc_attr__('Select the style of page header', 'jkd-core'),
                'section' => 'theme_options_events',
                'default' => 'default',
                'choices' => array(
                    'default' => esc_attr__('Default', 'jkd-core'),
                    'classic' => esc_attr__('Classic', 'jkd-core'),
                    'minimal' => esc_attr__('Minimal', 'jkd-core'),
                ),
                'active_callback' => [
                    [
                        'setting' => 'page-header-events-toggle',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'radio-buttonset',
                'settings' => 'page-header-events-alignment',
                'label' => esc_attr__('Alignment', 'jkd-core'),
                'description' => esc_attr__('Select the alignment of page header', 'jkd-core'),
                'section' => 'theme_options_events',
                'default' => 'center',
                'choices' => array(
                    'left' => esc_attr__('Left', 'jkd-core'),
                    'center' => esc_attr__('Center', 'jkd-core'),
                    'right' => esc_attr__('Right', 'jkd-core'),
                ),
                'active_callback' => [
                    [
                        'setting' => 'page-header-events-toggle',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'page-header-events-breadcrumbs-toggle',
                'label' => esc_attr__('Breadcrumbs', 'jkd-core'),
                'description' => esc_attr__('If true - will be displayed the page header breadcrumbs', 'jkd-core'),
                'section' => 'theme_options_events',
                'default' => '1',
                'active_callback' => [
                    [
                        'setting' => 'page-header-events-toggle',
                        'operator' => '==',
                        'value' => 1,
                    ]
                ],
            ]);

        endif;

    }

    /**
     *
     */
    public function kirki_career()
    {

        if (class_exists('Kirki')):

            Kirki::add_section('theme_options_career', array(
                'title' => esc_attr__('Career', 'jkd-core'),
                'description' => esc_attr__('Here You can customize the general career values', 'jkd-core'),
                'panel' => 'theme_options',
                'priority' => 26,
            ));

            Kirki::add_field('jkd-theme', [
                'type' => 'text',
                'settings' => 'career-custom-slug',
                'label' => esc_attr__('Custom Slug', 'jkd-core'),
                'description' => esc_attr__('Input your career custom slug (will be used in archive URL)', 'jkd-core'),
                'section' => 'theme_options_career',
                'default' => esc_attr('career'),
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'toggle',
                'settings' => 'career-share-toggle',
                'label' => esc_attr__('Share Toggle', 'jkd-core'),
                'description' => esc_attr__('If true - will be enabled share toggle', 'jkd-core'),
                'section' => 'theme_options_career',
                'default' => '1',
            ]);

            Kirki::add_field('jkd-theme', [
                'type' => 'multicheck',
                'settings' => 'career-share-list',
                'label' => esc_attr__('Sharing List', 'jkd-core'),
                'section' => 'theme_options_career',
                'priority' => 10,
                'choices' => [
                    'twitter' => esc_attr__('twitter', 'jkd-core'),
                    'pinterest' => esc_attr__('pinterest', 'jkd-core'),
                    'facebook' => esc_attr__('facebook', 'jkd-core'),
                    'vk' => esc_attr__('vk', 'jkd-core'),
                    'linkedin' => esc_attr__('linkedin', 'jkd-core'),
                    'tumblr' => esc_attr__('tumblr', 'jkd-core'),
                    'reddit' => esc_attr__('reddit', 'jkd-core'),
                    'xing' => esc_attr__('xing', 'jkd-core'),
                    'email' => esc_attr__('email', 'jkd-core'),
                    'telegram' => esc_attr__('telegram', 'jkd-core'),
                    'skype' => esc_attr__('skype', 'jkd-core'),
                ],
                'active_callback' => [
                    [
                        'setting' => 'career-share-toggle',
                        'operator' => '==',
                        'value' => true,
                    ]
                ],
            ]);

        endif;

    }

}
