<?php defined('ABSPATH') || exit;
/*
 *
 */


/**
 * Class JKD_Share
 */
class JKD_Share extends JKD_Core
{

    /**
     * JKD_Portfolio constructor.
     */
    public function __construct()
    {

        /* init portfolio */
        $this->init();

    }

    /**
     * init
     */
    public function init()
    {


    }

    /**
     * @param $post_title
     * @param $post_url
     * @param $post_thumb
     * @param $post_excerpt
     *
     * @return string
     */
    public static function get_twitter_share_link($post_title, $post_url, $post_thumb, $post_excerpt)
    {

        return esc_url('https://twitter.com/intent/tweet?text=' . $post_excerpt . '\x20' . $post_url);

    }

    /**
     * @param $post_title
     * @param $post_url
     * @param $post_thumb
     * @param $post_excerpt
     *
     * @return string
     */
    public static function get_pinterest_share_link($post_title, $post_url, $post_thumb, $post_excerpt)
    {

        return esc_url('https://www.pinterest.com/pin/create/button/?url=' . $post_url . '&media=' . $post_thumb);

    }

    /**
     * @param $post_title
     * @param $post_url
     * @param $post_thumb
     * @param $post_excerpt
     *
     * @return string
     */
    public static function get_facebook_share_link($post_title, $post_url, $post_thumb, $post_excerpt)
    {

        return esc_url('https://www.facebook.com/sharer.php?u=' . $post_url);

    }

    /**
     * @param $post_title
     * @param $post_url
     * @param $post_thumb
     * @param $post_excerpt
     *
     * @return string
     */
    public static function get_vk_share_link($post_title, $post_url, $post_thumb, $post_excerpt)
    {

        return esc_url('https://vkontakte.ru/share.php?url=' . $post_url . '&title=' . $post_title . '&description=' . $post_excerpt . '&image=' . $post_thumb);

    }

    /**
     * @param $post_title
     * @param $post_url
     * @param $post_thumb
     * @param $post_excerpt
     *
     * @return string
     */
    public static function get_linkedin_share_link($post_title, $post_url, $post_thumb, $post_excerpt)
    {

        return esc_url('https://www.linkedin.com/shareArticle?mini=true&url=' . $post_url . '&title=' . $post_title . '&summary=' . $post_excerpt . '&source=' . $post_url);

    }

    /**
     * @param $post_title
     * @param $post_url
     * @param $post_thumb
     * @param $post_excerpt
     *
     * @return string
     */
    public static function get_tumblr_share_link($post_title, $post_url, $post_thumb, $post_excerpt)
    {

        return esc_url('https://tumblr.com/share/link?url=' . $post_url);

    }

    /**
     * @param $post_title
     * @param $post_url
     * @param $post_thumb
     * @param $post_excerpt
     *
     * @return string
     */
    public static function get_reddit_share_link($post_title, $post_url, $post_thumb, $post_excerpt)
    {

        return esc_url('https://reddit.com/submit?url=' . $post_url . '&title=' . $post_title);

    }

    /**
     * @param $post_title
     * @param $post_url
     * @param $post_thumb
     * @param $post_excerpt
     *
     * @return string
     */
    public static function get_xing_share_link($post_title, $post_url, $post_thumb, $post_excerpt)
    {

        return esc_url('https://www.xing.com/app/user?op=share&url=' . $post_url);

    }

    /**
     * @param $post_title
     * @param $post_url
     * @param $post_thumb
     * @param $post_excerpt
     *
     * @return string
     */
    public static function get_email_share_link($post_title, $post_url, $post_thumb, $post_excerpt)
    {

        return esc_url('mailto:?subject=' . $post_title . '&body=' . $post_excerpt . '\n' . $post_url);

    }

    /**
     * @param $post_title
     * @param $post_url
     * @param $post_thumb
     * @param $post_excerpt
     *
     * @return string
     */
    public static function get_skype_share_link($post_title, $post_url, $post_thumb, $post_excerpt)
    {

        return esc_url('https://web.skype.com/share?url=' . $post_url);

    }

    /**
     * @param $post_id
     *
     * @return string
     */
    public static function get_social_sharing_url($post_id)
    {

        return urlencode(get_permalink($post_id));

    }

    /**
     * @param $post_id
     *
     * @return string
     */
    public static function get_social_sharing_title($post_id)
    {

        return htmlspecialchars(urlencode(html_entity_decode(get_the_title($post_id), ENT_COMPAT, 'UTF-8')), ENT_COMPAT, 'UTF-8');

    }

    /**
     * @param $post_id
     *
     * @return string
     */
    public static function get_social_sharing_excerpt($post_id)
    {

        return htmlspecialchars(urlencode(html_entity_decode(get_the_excerpt($post_id), ENT_COMPAT, 'UTF-8')), ENT_COMPAT, 'UTF-8');

    }

    /**
     * @param $post_id
     *
     * @return array|false
     */
    public static function get_social_sharing_thumbnail($post_id)
    {

        if (!empty(get_post_thumbnail_id($post_id))):

            return wp_get_attachment_image_src(get_post_thumbnail_id($post_id), 'full');

        else:

            return 0;

        endif;

    }

    /**
     * @param $post_id
     * @param string $type
     */
    public static function the_twitter_share_link_render($post_id, $type = 'default')
    {

        $title = self::get_social_sharing_title($post_id);

        $url = self::get_social_sharing_url($post_id);

        $thumbnail = self::get_social_sharing_thumbnail($post_id)[0];

        $excerpt = self::get_social_sharing_excerpt($post_id);

        if ($type === 'default'):

            ?>

            <a href="<?php echo esc_url(self::get_twitter_share_link($title, $url, $thumbnail, $excerpt)); ?>"
               target="_blank" class="share-link share-link-default  share-link-twitter">

                <i class="ri-twitter-line"></i>

            </a>

        <?php

        endif;

        if ($type === 'simple'):

            ?>

            <a href="<?php echo esc_url(self::get_twitter_share_link($title, $url, $thumbnail, $excerpt)); ?>"
               class="share-link share-link-simple share-link-twitter">

                <?php echo esc_html('Twitter'); ?>

            </a>

        <?php

        endif;

    }

    /**
     * @param $post_id
     * @param string $type
     */
    public static function the_pinterest_share_link_render($post_id, $type = 'default')
    {

        $title = self::get_social_sharing_title($post_id);

        $url = self::get_social_sharing_url($post_id);

        $excerpt = self::get_social_sharing_excerpt($post_id);

        $thumbnail = self::get_social_sharing_thumbnail($post_id)[0];

        if ($type === 'default'):

            ?>

            <a href="<?php echo esc_url(self::get_pinterest_share_link($title, $url, $thumbnail, $excerpt)); ?>"
               target="_blank" class="share-link share-link-default  share-link-pinterest">

                <i class="ri-pinterest-line"></i>

            </a>

        <?php

        endif;

        if ($type === 'simple'):

            ?>

            <a href="<?php echo esc_url(self::get_pinterest_share_link($title, $url, $thumbnail, $excerpt)); ?>"
               class="share-link share-link-simple share-link-pinterest">

                <?php echo esc_html('Pinterest'); ?>

            </a>

        <?php

        endif;

    }

    /**
     * @param $post_id
     * @param string $type
     */
    public static function the_facebook_share_link_render($post_id, $type = 'default')
    {

        $title = self::get_social_sharing_title($post_id);

        $url = self::get_social_sharing_url($post_id);

        $excerpt = self::get_social_sharing_excerpt($post_id);

        $thumbnail = self::get_social_sharing_thumbnail($post_id)[0];

        if ($type === 'default'):

            ?>

            <a href="<?php echo esc_url(self::get_facebook_share_link($title, $url, $thumbnail, $excerpt)); ?>"
               target="_blank" class="share-link share-link-default  share-link-facebook">

                <i class="ri-facebook-line"></i>

            </a>

        <?php

        endif;

        if ($type === 'simple'):

            ?>

            <a href="<?php echo esc_url(self::get_facebook_share_link($title, $url, $thumbnail, $excerpt)); ?>"
               class="share-link share-link-simple share-link-facebook">

                <?php echo esc_html('Facebook'); ?>

            </a>

        <?php

        endif;

    }

    /**
     * @param $post_id
     * @param string $type
     */
    public static function the_linkedin_share_link_render($post_id, $type = 'default')
    {

        $title = self::get_social_sharing_title($post_id);

        $url = self::get_social_sharing_url($post_id);

        $excerpt = self::get_social_sharing_excerpt($post_id);

        $thumbnail = self::get_social_sharing_thumbnail($post_id)[0];

        if ($type === 'default'):

            ?>

            <a href="<?php echo esc_url(self::get_linkedin_share_link($title, $url, $thumbnail, $excerpt)); ?>"
               target="_blank" class="share-link share-link-default  share-link-linkedin">

                <i class="ri-linkedin-line"></i>

            </a>

        <?php

        endif;

        if ($type === 'simple'):

            ?>

            <a href="<?php echo esc_url(self::get_linkedin_share_link($title, $url, $thumbnail, $excerpt)); ?>"
               class="share-link share-link-simple share-link-linkedin">

                <?php echo esc_html('Linkedin'); ?>

            </a>

        <?php

        endif;

    }

    /**
     * @param $post_id
     * @param string $type
     */
    public static function the_tumblr_share_link_render($post_id, $type = 'default')
    {

        $title = self::get_social_sharing_title($post_id);

        $url = self::get_social_sharing_url($post_id);

        $excerpt = self::get_social_sharing_excerpt($post_id);

        $thumbnail = self::get_social_sharing_thumbnail($post_id)[0];

        if ($type === 'default'):

            ?>

            <a href="<?php echo esc_url(self::get_tumblr_share_link($title, $url, $thumbnail, $excerpt)); ?>"
               target="_blank" class="share-link share-link-default  share-link-tumblr">

                <i class="ri-tumblr-line"></i>

            </a>

        <?php

        endif;

        if ($type === 'simple'):

            ?>

            <a href="<?php echo esc_url(self::get_tumblr_share_link($title, $url, $thumbnail, $excerpt)); ?>"
               class="share-link share-link-simple share-link-tumblr">

                <?php echo esc_html('Tumblr'); ?>

            </a>

        <?php

        endif;

    }

    /**
     * @param $post_id
     * @param string $type
     */
    public static function the_reddit_share_link_render($post_id, $type = 'default')
    {

        $title = self::get_social_sharing_title($post_id);

        $url = self::get_social_sharing_url($post_id);

        $excerpt = self::get_social_sharing_excerpt($post_id);

        $thumbnail = self::get_social_sharing_thumbnail($post_id)[0];

        if ($type === 'default'):

            ?>

            <a href="<?php echo esc_url(self::get_reddit_share_link($title, $url, $thumbnail, $excerpt)); ?>"
               target="_blank" class="share-link share-link-default  share-link-reddit">

                <i class="ri-reddit-line"></i>

            </a>

        <?php

        endif;

        if ($type === 'simple'):

            ?>

            <a href="<?php echo esc_url(self::get_reddit_share_link($title, $url, $thumbnail, $excerpt)); ?>"
               class="share-link share-link-simple share-link-reddit">

                <?php echo esc_html('Reddit'); ?>

            </a>

        <?php

        endif;

    }

    /**
     * @param $post_id
     * @param string $type
     */
    public static function the_xing_share_link_render($post_id, $type = 'default')
    {

        $title = self::get_social_sharing_title($post_id);

        $url = self::get_social_sharing_url($post_id);

        $excerpt = self::get_social_sharing_excerpt($post_id);

        $thumbnail = self::get_social_sharing_thumbnail($post_id)[0];

        if ($type === 'default'):

            ?>

            <a href="<?php echo esc_url(self::get_xing_share_link($title, $url, $thumbnail, $excerpt)); ?>"
               target="_blank" class="share-link share-link-default  share-link-xing">

                <i class="ri-xing-line"></i>

            </a>

        <?php

        endif;

        if ($type === 'simple'):

            ?>

            <a href="<?php echo esc_url(self::get_xing_share_link($title, $url, $thumbnail, $excerpt)); ?>"
               class="share-link share-link-simple share-link-xing">

                <?php echo esc_html('Xing'); ?>

            </a>

        <?php

        endif;

    }

    /**
     * @param $post_id
     * @param string $type
     */
    public static function the_email_share_link_render($post_id, $type = 'default')
    {

        $title = self::get_social_sharing_title($post_id);

        $url = self::get_social_sharing_url($post_id);

        $excerpt = self::get_social_sharing_excerpt($post_id);

        $thumbnail = self::get_social_sharing_thumbnail($post_id)[0];

        if ($type === 'default'):

            ?>

            <a href="<?php echo esc_url(self::get_email_share_link($title, $url, $thumbnail, $excerpt)); ?>"
               target="_blank" class="share-link share-link-default  share-link-email">

                <i class="ri-mail-line"></i>

            </a>

        <?php

        endif;

        if ($type === 'simple'):

            ?>

            <a href="<?php echo esc_url(self::get_email_share_link($title, $url, $thumbnail, $excerpt)); ?>"
               class="share-link share-link-simple share-link-email">

                <?php echo esc_html('Email'); ?>

            </a>

        <?php

        endif;

    }

    /**
     * @param $post_id
     * @param string $type
     */
    public static function the_skype_share_link_render($post_id, $type = 'default')
    {

        $title = self::get_social_sharing_title($post_id);

        $url = self::get_social_sharing_url($post_id);

        $excerpt = self::get_social_sharing_excerpt($post_id);

        $thumbnail = self::get_social_sharing_thumbnail($post_id)[0];

        if ($type === 'default'):

            ?>

            <a href="<?php echo esc_url(self::get_skype_share_link($title, $url, $thumbnail, $excerpt)); ?>"
               target="_blank" class="share-link share-link-default  share-link-skype">

                <i class="ri-skype-line"></i>

            </a>

        <?php

        endif;

        if ($type === 'simple'):

            ?>

            <a href="<?php echo esc_url(self::get_skype_share_link($title, $url, $thumbnail, $excerpt)); ?>"
               class="share-link share-link-simple share-link-skype">

                <?php echo esc_html('Skype'); ?>

            </a>

        <?php

        endif;

    }

    /**
     * @param $list
     * @param $post_id
     */
    public static function render_share_list($list, $post_id)
    {

        ?>

        <ul class="share-list">

            <?php foreach ($list as $item): ?>

            <li class="list-item">

               <?php

               if($item==='twitter'):

                   self::the_twitter_share_link_render($post_id);

               elseif($item==='pinterest'):

                    self::the_pinterest_share_link_render($post_id);

               elseif($item==='facebook'):

                    self::the_facebook_share_link_render($post_id);

               elseif($item==='linkedin'):

                    self::the_linkedin_share_link_render($post_id);

               elseif($item==='tumblr'):

                self::the_tumblr_share_link_render($post_id);

               elseif($item==='reddit'):

                    self::the_reddit_share_link_render($post_id);

               elseif($item==='xing'):

                    self::the_xing_share_link_render($post_id);

               elseif($item==='email'):

                    self::the_email_share_link_render($post_id);

               elseif($item==='skype'):

                    self::the_skype_share_link_render($post_id);

               endif;

               ?>

            </li>

        <?php endforeach; ?>

        </ul>

        <?php

    }

}
