<?php defined('ABSPATH') || exit;
/*
 *
 */

$blog_banner_alignment = get_theme_mod('blog-banner-alignment', 'top');

if (!empty($_GET['banner_alignment'])):

    $blog_banner_alignment = $_GET['banner_alignment'];

endif;

$blog_banner_background = get_theme_mod('blog-banner-background');

if (!empty($_GET['banner_background'])):

    $blog_banner_background = $_GET['banner_background'];

endif;

if (!empty($_GET['banner_background']) && $_GET['banner_background'] === 'no-background'):

    $blog_banner_background = false;

endif;

$blog_banner_text = get_theme_mod('blog-banner-text', esc_html__('Hurry up! Get 15% off now for a limited time offer.', 'jkd-core'));

if (!empty($_GET['banner_text'])):

    $blog_banner_text = $_GET['banner_text'];

endif;

$blog_banner_button_text = get_theme_mod('blog-banner-button-text', esc_html__('Learn Mode', 'jkd-core'));

if (!empty($_GET['banner_button_text'])):

    $blog_banner_button_text = $_GET['banner_button_text'];

endif;

$blog_banner_button_link = get_theme_mod('blog-banner-button-link', '#');

if (!empty($_GET['banner_button_link'])):

    $blog_banner_button_link = $_GET['banner_button_link'];

endif;

$blog_grid_offset = get_theme_mod('blog-grid-offset', 15);

if (!empty($_GET['offset'])):

    $blog_grid_offset = $_GET['offset'];

endif;

$classes = array();

array_push($classes, 'blog-banner-' . $blog_banner_alignment);

if (empty($blog_banner_background)):

    array_push($classes, 'no-background');

else:

    array_push($classes, 'background-enabled');

endif;

$classes = implode(' ', $classes);

?>

<div class="blog-banner grid-item <?php echo esc_attr($classes); ?>" style="padding: <?php echo esc_attr($blog_grid_offset);?>px">

    <div class="inner-wrapper container">

        <div class="image-wrapper" style="background-image: url(<?php echo esc_url($blog_banner_background); ?>);">

        </div>

        <p class="banner-text">

            <?php echo esc_html($blog_banner_text); ?>

        </p>

        <div class="button-wrapper">

            <a href="<?php echo esc_url($blog_banner_button_link); ?>"
               class="jkd-button <?php if (empty($blog_banner_background)): ?>default-border-style <?php else: ?> white-border-style <?php endif; ?> animation-fill size-extra-small">

                <?php echo esc_html($blog_banner_button_text); ?>

                <?php

                $rtl = get_theme_mod('general-rtl-toggle', false);

                if (!empty($_GET['rtl'])):

                    $rtl = $_GET['rtl'];

                endif;

                if ($rtl):

                    ?>

                    <i class="ri-arrow-left-line right-icon"></i>

                <?php

                else:

                    ?>

                    <i class="ri-arrow-right-line right-icon"></i>

                <?php

                endif;

                ?>

            </a>

        </div>

    </div>

</div>
