<?php defined('ABSPATH') || exit;
/*
 *
 */

$title = get_the_title();

$tags = get_the_tags();

$category = get_the_category();

$date = get_the_date();

$post_format = get_post_format();

$excerpt = get_the_excerpt();

$blog_grid_offset = get_theme_mod('blog-grid-offset', 15);

$blog_display_featured_image = get_theme_mod('blog-display-date', 1);

$grid_type = get_theme_mod('blog-grid-type', 'tiles');

if (!empty($_GET['grid_type'])):

    $grid_type = $_GET['grid_type'];

endif;

if (!empty($_GET['featured_image']) && $_GET['featured_image'] === 'on'):

    $blog_display_featured_image = true;

endif;

if (!empty($_GET['featured_image']) && $_GET['featured_image'] === 'off'):

    $blog_display_featured_image = false;

endif;

$blog_display_date = get_theme_mod('blog-display-date', 1);

if (!empty($_GET['date']) && $_GET['date'] === 'on'):

    $blog_display_date = true;

endif;

if (!empty($_GET['date']) && $_GET['date'] === 'off'):

    $blog_display_date = false;

endif;

$blog_display_category_label = get_theme_mod('blog-display-category-label', 1);

if (!empty($_GET['category']) && $_GET['category'] === 'on'):

    $blog_display_category_label = true;

endif;

if (!empty($_GET['category']) && $_GET['category'] === 'off'):

    $blog_display_category_label = false;

endif;

$blog_display_author = get_theme_mod('blog-display-author', 1);

if (!empty($_GET['author']) && $_GET['author'] === 'on'):

    $blog_display_author = true;

endif;

if (!empty($_GET['author']) && $_GET['author'] === 'off'):

    $blog_display_author = false;

endif;

$blog_display_excerpt = get_theme_mod('blog-display-excerpt', 1);

if (!empty($_GET['excerpt']) && $_GET['excerpt'] === 'on'):

    $blog_display_excerpt = true;

endif;

if (!empty($_GET['excerpt']) && $_GET['excerpt'] === 'off'):

    $blog_display_excerpt = false;

endif;

if ($blog_display_author):

    $author_id = get_the_author_meta('ID');

    $author_name = get_the_author();

    $author_url = get_author_posts_url($author_id);

    $author_avatar_url = get_avatar_url($author_id);

endif;

$hover_style = get_theme_mod('blog-hover-style', 'default');

if (!empty($_GET['hover'])):

    $hover_style = $_GET['hover'];

endif;

$post_format = get_post_format();

$classes = array();

$classes = implode(' ', $classes);

?>

    <article <?php post_class('post-article grid-item post-article-hidden'); ?>
            style="padding: <?php echo esc_attr($blog_grid_offset); ?>px;">

        <div class="post-inner">

            <?php if ($post_format === 'quote' && $blog_display_featured_image): ?>

                <div class="quote-wrapper <?php if ($hover_style === 'tilt' || $hover_style === 'tilt-boxed' || $hover_style === 'tilt-zoom' || $hover_style === 'tilt-zoom-out'): ?>js-tilt<?php endif; ?>">

                    <div class="quote-icon">

                        <i class="ri-double-quotes-l"></i>

                    </div>

                    <div class="post-body">

                        <?php if (!empty($title)) : ?>

                            <h5 class="title">

                                <a href="<?php the_permalink(); ?>" class="multiline-hover">

                                    <?php echo esc_html(wp_trim_words($title, 25, '...')); ?>

                                </a>

                            </h5>

                        <?php endif; ?>

                        <?php if ($blog_display_author): ?>

                            <a class="author-wrapper" href="<?php echo esc_url($author_url); ?>">

                                        <span class="author-image">

                                            <img src="<?php echo esc_url($author_avatar_url); ?>"

                                                 alt="<?php echo esc_attr($author_name); ?>"

                                                 class="img-fluid">

                                        </span>

                                <span class="name">

                                          <span class="before-name">

                                                <?php echo esc_html__('By ', 'jkd-core'); ?>

                                          </span>

                                            <?php echo esc_html($author_name); ?>

                                        </span>

                            </a>

                        <?php endif; ?>

                    </div>

                </div>

            <?php elseif ($post_format === 'aside' && $blog_display_featured_image): ?>

                <div class="aside-wrapper">

                    <div class="post-body">

                        <?php if (!empty($date) && $blog_display_date): ?>

                            <p class="date">

                                <?php echo esc_html($date); ?>

                            </p>

                        <?php endif; ?>

                        <?php if (!empty($title)) : ?>

                            <h5 class="title">

                                <a href="<?php the_permalink(); ?>" class="multiline-hover">

                                    <?php echo esc_html(wp_trim_words($title, 25, '...')); ?>

                                </a>

                            </h5>

                        <?php endif; ?>

                        <?php if ($blog_display_author): ?>

                            <a class="author-wrapper" href="<?php echo esc_url($author_url); ?>">

                                        <span class="author-image">

                                            <img src="<?php echo esc_url($author_avatar_url); ?>"

                                                 alt="<?php echo esc_attr($author_name); ?>"

                                                 class="img-fluid">

                                        </span>

                                <span class="name">

                                          <span class="before-name">

                                                <?php echo esc_html__('By ', 'jkd-core'); ?>

                                          </span>

                                            <?php echo esc_html($author_name); ?>

                                        </span>

                            </a>

                        <?php endif; ?>

                    </div>

                </div>

            <?php elseif ($post_format === 'link'): ?>

                <div class="link-wrapper">

                    <div class="post-body">

                        <?php if (!empty($date) && $blog_display_date): ?>

                            <p class="date">

                                <?php echo esc_html($date); ?>

                            </p>

                        <?php endif; ?>

                        <?php if (!empty($title)) : ?>

                            <h5 class="title">

                                <a href="<?php the_permalink(); ?>">

                                    <i class="ri-link"></i>

                                    <span>

                                        <?php echo esc_html(wp_trim_words($title, 25, '...')); ?>

                                    </span>

                                </a>

                            </h5>

                        <?php endif; ?>

                        <?php if ($blog_display_author): ?>

                            <a class="author-wrapper" href="<?php echo esc_url($author_url); ?>">

                                        <span class="author-image">

                                            <img src="<?php echo esc_url($author_avatar_url); ?>"

                                                 alt="<?php echo esc_attr($author_name); ?>"

                                                 class="img-fluid">

                                        </span>

                                <span class="name">

                                          <span class="before-name">

                                                <?php echo esc_html__('By ', 'jkd-core'); ?>

                                          </span>

                                            <?php echo esc_html($author_name); ?>

                                        </span>

                            </a>

                        <?php endif; ?>

                    </div>

                </div>

            <?php elseif ($post_format === 'audio' && $blog_display_featured_image):

                wp_enqueue_script(JKD_Core::$prefix . 'plyr');

                wp_enqueue_style(JKD_Core::$prefix . 'plyr');

                $field_post_audio_file = JKD_Helper::get_field('field_post_audio_file');

                ?>

                <div class="post-body">

                    <?php if (!empty($date) && $blog_display_date): ?>

                        <p class="date">

                            <?php echo esc_html($date); ?>

                        </p>

                    <?php endif; ?>

                    <?php if (!empty($title)) : ?>

                        <h5 class="title">

                            <a href="<?php the_permalink(); ?>" class="multiline-hover">

                                <?php echo esc_html(wp_trim_words($title, 8, '...')); ?>

                            </a>

                        </h5>

                    <?php endif;

                    if (!empty($field_post_audio_file)):

                        ?>

                        <div class="audio-wrapper">

                            <audio class="audio-player player" controls>

                                <source src="<?php echo esc_url($field_post_audio_file); ?>" type="audio/mp3"/>

                            </audio>

                        </div>

                    <?php endif; ?>

                    <?php if ($blog_display_author): ?>

                        <a class="author-wrapper" href="<?php echo esc_url($author_url); ?>">

                                        <span class="author-image">

                                            <img src="<?php echo esc_url($author_avatar_url); ?>"

                                                 alt="<?php echo esc_attr($author_name); ?>"

                                                 class="img-fluid">

                                        </span>

                            <span class="name">

                                          <span class="before-name">

                                                <?php echo esc_html__('By ', 'jkd-core'); ?>

                                          </span>

                                            <?php echo esc_html($author_name); ?>

                                        </span>

                        </a>

                    <?php endif; ?>

                </div>

            <?php elseif ($post_format === 'video' && $blog_display_featured_image):

                wp_enqueue_script(JKD_Core::$prefix . 'plyr');

                wp_enqueue_style(JKD_Core::$prefix . 'plyr');

                $video_type = JKD_Helper::get_field('field_post_video');

                ?>

                <div class="video-wrapper <?php if ($hover_style === 'tilt' || $hover_style === 'tilt-boxed' || $hover_style === 'tilt-zoom' || $hover_style === 'tilt-zoom-out'): ?>js-tilt<?php endif; ?>">

                    <?php if ($video_type === 'youtube'):

                        $url = JKD_Helper::get_field('field_post_video_url');

                        if (!empty($url)):

                            ?>

                            <div class="plyr__video-embed video-player player">

                                <iframe src="<?php echo esc_url($url); ?>&amp;iv_load_policy=3&amp;modestbranding=0&amp;playsinline=0&amp;showinfo=0&amp;rel=0&amp;enablejsapi=1"
                                        allowfullscreen
                                        allowtransparency
                                        allow="autoplay">

                                </iframe>

                            </div>

                        <?php endif;

                    elseif ($video_type === 'vimeo'):

                        $url = JKD_Helper::get_field('field_post_video_url');

                        if (!empty($url)):

                            ?>

                            <div class="plyr__video-embed video-player player">

                                <iframe src="<?php echo esc_url($url); ?>&amp;byline=false&amp;portrait=false&amp;title=false&amp;speed=true&amp;transparent=0&amp;gesture=media">

                                </iframe>

                            </div>

                        <?php endif; ?>

                    <?php elseif ($video_type === 'html'):

                        $file = JKD_Helper::get_field('field_post_video_file');

                        if (!empty($file)):

                            ?>

                            <video class="video-player player" playsinline controls>

                                <source src="<?php echo esc_url($file); ?>" type="video/mp4"/>

                            </video>

                        <?php endif; ?>

                    <?php endif; ?>

                </div>

                <div class="post-body">

                    <?php if (!empty($date) && $blog_display_date): ?>

                        <p class="date">

                            <?php echo esc_html($date); ?>

                        </p>

                    <?php endif; ?>

                    <?php if (!empty($title)) : ?>

                        <h5 class="title">

                            <a href="<?php the_permalink(); ?>" class="multiline-hover">

                                <?php echo esc_html(wp_trim_words($title, 8, '...')); ?>

                            </a>

                        </h5>

                    <?php endif; ?>

                    <?php if ($blog_display_author): ?>

                        <a class="author-wrapper" href="<?php echo esc_url($author_url); ?>">

                                        <span class="author-image">

                                            <img src="<?php echo esc_url($author_avatar_url); ?>"

                                                 alt="<?php echo esc_attr($author_name); ?>"

                                                 class="img-fluid">

                                        </span>

                            <span class="name">

                                          <span class="before-name">

                                                <?php echo esc_html__('By ', 'jkd-core'); ?>

                                          </span>

                                            <?php echo esc_html($author_name); ?>

                                        </span>

                        </a>

                    <?php endif; ?>

                </div>

            <?php elseif ($post_format === 'gallery' && $blog_display_featured_image):

                wp_enqueue_script('swiper');

                wp_enqueue_style('swiper');

                $field_blog_item_gallery = JKD_Helper::get_field('field_post_gallery');

                ?>

                <div class="gallery-wrapper">

                    <div class="swiper-container gallery-slider <?php if ($hover_style === 'tilt' || $hover_style === 'tilt-boxed' || $hover_style === 'tilt-zoom' || $hover_style === 'tilt-zoom-out'): ?>js-tilt<?php endif; ?>"
                         id="<?php echo esc_attr('gallery-item-' . get_the_ID()); ?>">

                        <div class="swiper-wrapper">

                            <?php foreach ($field_blog_item_gallery as $item): ?>

                                <?php if (!empty($item)): ?>

                                    <div class="swiper-slide image-wrapper">

                                        <?php

                                        echo JKD_Theme::render_image($item,
                                            'jk-square-size-small');

                                        ?>

                                    </div>

                                <?php endif; ?>

                            <?php endforeach; ?>

                        </div>

                        <div class="pagination-wrapper">

                        </div>

                        <div class="navigation-wrapper">

                            <div class="navigation-button navigation-button-prev">

                                <?php

                                $rtl = get_theme_mod('general-rtl-toggle', false);

                                if (!empty($_GET['rtl'])):

                                    $rtl = $_GET['rtl'];

                                endif;

                                if ($rtl):

                                    ?>

                                    <i class="ri-arrow-right-line"></i>

                                <?php

                                else:

                                    ?>

                                    <i class="ri-arrow-left-line"></i>

                                <?php

                                endif;

                                ?>

                            </div>

                            <div class="navigation-button navigation-button-next">

                                <?php

                                $rtl = get_theme_mod('general-rtl-toggle', false);

                                if (!empty($_GET['rtl'])):

                                    $rtl = $_GET['rtl'];

                                endif;

                                if ($rtl):

                                    ?>

                                    <i class="ri-arrow-left-line"></i>

                                <?php

                                else:

                                    ?>

                                    <i class="ri-arrow-right-line"></i>

                                <?php

                                endif;

                                ?>

                            </div>

                        </div>

                    </div>

                    <div class="post-body">

                        <?php if (!empty($date) && $blog_display_date): ?>

                            <p class="date">

                                <?php echo esc_html($date); ?>

                            </p>

                        <?php endif; ?>

                        <?php if (!empty($title)) : ?>

                            <h5 class="title">

                                <a href="<?php the_permalink(); ?>" class="multiline-hover">

                                    <?php echo esc_html(wp_trim_words($title, 8, '...')); ?>

                                </a>

                            </h5>

                        <?php endif; ?>

                        <?php if ($blog_display_author): ?>

                            <a class="author-wrapper" href="<?php echo esc_url($author_url); ?>">

                                        <span class="author-image">

                                            <img src="<?php echo esc_url($author_avatar_url); ?>"

                                                 alt="<?php echo esc_attr($author_name); ?>"

                                                 class="img-fluid">

                                        </span>

                                <span class="name">

                                          <span class="before-name">

                                                <?php echo esc_html__('By ', 'jkd-core'); ?>

                                          </span>

                                            <?php echo esc_html($author_name); ?>

                                        </span>

                            </a>

                        <?php endif; ?>

                    </div>

                </div>

            <?php elseif ($post_format === 'image' && has_post_thumbnail() && $blog_display_featured_image): ?>

                <a class="image-wrapper <?php if ($hover_style === 'tilt' || $hover_style === 'tilt-boxed' || $hover_style === 'tilt-zoom' || $hover_style === 'tilt-zoom-out'): ?>js-tilt<?php endif; ?>"
                   href="<?php the_permalink(); ?>"
                   style="background-image: url(<?php echo esc_url(get_the_post_thumbnail_url(get_the_ID(), 'jk-square-size-small')); ?>)">

                    <div class="post-body">

                        <?php if (!empty($date) && $blog_display_date): ?>

                            <p class="date">

                                <?php echo esc_html($date); ?>

                            </p>

                        <?php endif; ?>

                        <?php if (!empty($title)) : ?>

                            <h5 class="title">

                                <?php echo esc_html(wp_trim_words($title, 8, '...')); ?>

                            </h5>

                        <?php endif; ?>

                        <?php if ($blog_display_author): ?>

                            <span class="author-wrapper" href="<?php echo esc_url($author_url); ?>">

                                        <span class="author-image">

                                            <img src="<?php echo esc_url($author_avatar_url); ?>"

                                                 alt="<?php echo esc_attr($author_name); ?>"

                                                 class="img-fluid">

                                        </span>

                                <span class="name">

                                          <span class="before-name">

                                                <?php echo esc_html__('By ', 'jkd-core'); ?>

                                          </span>

                                            <?php echo esc_html($author_name); ?>

                                        </span>

                            </span>

                        <?php endif; ?>

                    </div>

                </a>

            <?php else: ?>

                <?php if (has_post_thumbnail() && $blog_display_featured_image): ?>

                    <a class="post-header image-wrapper <?php if ($hover_style === 'tilt' || $hover_style === 'tilt-boxed' || $hover_style === 'tilt-zoom' || $hover_style === 'tilt-zoom-out'): ?>js-tilt<?php endif; ?>"
                       href="<?php echo esc_url(get_permalink()); ?>">

                        <?php if ($blog_display_category_label && !empty($category)): ?>

                            <span class="category-label">

                                <?php echo esc_html($category[0]->name); ?>

                            </span>

                        <?php endif;

                        $image_id = get_post_thumbnail_id(get_the_ID());

                        if ($grid_type === 'masonry'):

                            echo JKD_Theme::render_image($image_id,
                                'medium');

                        elseif ($grid_type === 'fitRows'):

                            echo JKD_Theme::render_image($image_id,
                                'jk-vertical-size-small');

                        endif;

                        ?>

                    </a>

                <?php endif; ?>

                <?php if (get_post_type() === 'page'): ?>

                    <a class="post-header image-wrapper <?php if ($hover_style === 'tilt' || $hover_style === 'tilt-boxed' || $hover_style === 'tilt-zoom' || $hover_style === 'tilt-zoom-out'): ?>js-tilt<?php endif; ?>"
                       href="<?php echo esc_url(get_permalink()); ?>">

                        <?php

                        if (has_post_thumbnail()):

                            $image_id = get_post_thumbnail_id(get_the_ID());

                            if ($grid_type === 'masonry'):

                                echo JKD_Theme::render_image($image_id,
                                    'medium');

                            elseif ($grid_type === 'fitRows'):

                                echo JKD_Theme::render_image($image_id,
                                    'jk-vertical-size-small');

                            endif;

                            ?>

                        <?php else:

                            ?>

                            <div class="color-overlay">

                                <h5 class="title">

                                    <?php echo esc_html(get_the_title()); ?>

                                </h5>

                            </div>

                        <?php endif; ?>

                    </a>

                <?php endif; ?>

                <div class="post-body <?php if (!$blog_display_featured_image): ?>without-image<?php endif; ?>">

                    <?php if (get_post_type() !== 'page'): ?>

                        <?php if (!empty($date) && $blog_display_date): ?>

                            <p class="date">

                                <?php echo esc_html($date); ?>

                            </p>

                        <?php endif; ?>

                        <?php if (!empty($title)) : ?>

                            <h5 class="title">

                                <a href="<?php the_permalink(); ?>" class="multiline-hover">

                                    <?php echo esc_html(wp_trim_words($title, 8, '...')); ?>

                                </a>

                            </h5>

                        <?php endif; ?>

                        <?php if (!empty($excerpt) && $blog_display_excerpt): ?>

                            <p class="excerpt">

                                <?php echo esc_html(wp_trim_words($excerpt, 15, '...')); ?>

                            </p>

                        <?php endif; ?>

                    <?php endif; ?>

                    <?php if ($blog_display_author): ?>

                        <a class="author-wrapper" href="<?php echo esc_url($author_url); ?>">

                                        <span class="author-image">

                                            <img src="<?php echo esc_url($author_avatar_url); ?>"

                                                 alt="<?php echo esc_attr($author_name); ?>"

                                                 class="img-fluid">

                                        </span>

                            <span class="name">

                                          <span class="before-name">

                                                <?php echo esc_html__('By ', 'jkd-core'); ?>

                                          </span>

                                            <?php echo esc_html($author_name); ?>

                                        </span>

                        </a>

                    <?php endif; ?>

                </div>

            <?php endif; ?>

        </div>

    </article>

<?php
