<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_reset_postdata();

$sticky_post = get_theme_mod('blog-sticky-post-select');

$title = get_the_title($sticky_post);

$category = get_the_category($sticky_post);

$date = get_the_date('', $sticky_post);

$excerpt = get_the_excerpt($sticky_post);

$image_id = get_post_thumbnail_id($sticky_post);

?>

<div class="blog-sticky-header">

    <div class="sticky-inner container">

        <?php if (has_post_thumbnail()): ?>

            <div class="post-image">

                <a class="image-wrapper" href="<?php echo esc_url(get_permalink($sticky_post)); ?>">

                    <?php if (!empty($category)): ?>

                        <span class="category-label">

                    <?php echo esc_html($category[0]->name); ?>

                </span>

                    <?php endif; ?>

                    <?php

                    echo JKD_Theme::render_image($image_id,
                        'jk-square-size-medium');

                    ?>

                </a>

            </div>

        <?php endif; ?>

        <div class="post-content">

            <?php if (!empty($date)): ?>

                <p class="date">

                    <?php echo esc_html($date); ?>

                </p>

            <?php endif; ?>

            <?php if (!empty($title)): ?>

                <h1 class="title">

                    <a href="<?php echo esc_url(get_permalink($sticky_post)); ?>" class="multiline-hover">

                        <?php echo esc_html(wp_trim_words($title, 10, '...')); ?>

                    </a>

                </h1>

            <?php endif; ?>

            <?php if (!empty($excerpt)): ?>

                <p class="excerpt">

                    <?php echo esc_html(wp_trim_words($excerpt, 25, '...')); ?>

                </p>

            <?php endif; ?>

            <div class="read-more-wrapper">

                <a href="<?php echo esc_url(get_permalink($sticky_post)); ?>"
                   class="jkd-button default-border-style size-extra-large animation-fill">

                    <?php echo esc_html__('Read More', 'jkd-core'); ?>

                </a>

            </div>

        </div>

    </div>

</div>

<?php wp_reset_postdata(); ?>
