<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_enqueue_script(JKD_Core::$prefix . 'isotope');

$sticky_post = get_theme_mod('blog-sticky-post-select');

$blog_grid_number_of_columns = get_theme_mod('blog-grid-number-of-columns', 3);

if (!empty($_GET['columns'])):

    $blog_grid_number_of_columns = $_GET['columns'];

endif;

$grid_type = get_theme_mod('blog-grid-type', 'tiles');

if (!empty($_GET['grid_type'])):

    $grid_type = $_GET['grid_type'];

endif;

$blog_grid_offset = get_theme_mod('blog-grid-offset', 15);

if (!empty($_GET['offset'])):

    $blog_grid_offset = $_GET['offset'];

endif;

$sticky_post_toggle = get_theme_mod('blog-sticky-post', 1);

if (!empty($_GET['sticky_post']) && $_GET['sticky_post'] === 'on'):

    $sticky_post_toggle = true;

endif;

if (!empty($_GET['sticky_post']) && $_GET['sticky_post'] === 'off'):

    $sticky_post_toggle = false;

endif;

$filter_toggle = get_theme_mod('blog-filter', 1);

if (!empty($_GET['filter']) && $_GET['filter'] === 'on'):

    $filter_toggle = true;

endif;

if (!empty($_GET['filter']) && $_GET['filter'] === 'off'):

    $filter_toggle = false;

endif;

$sticky_columns = get_theme_mod('blog-sticky-columns', 0);

if (!empty($_GET['sticky_columns']) && $_GET['sticky_columns'] === 'on'):

    $sticky_columns = true;

endif;

if (!empty($_GET['sticky_columns']) && $_GET['sticky_columns'] === 'off'):

    $sticky_columns = false;

endif;

$sidebar_toggle = get_theme_mod('blog-sidebar', 1);

if (!empty($_GET['sidebar']) && $_GET['sidebar'] === 'on'):

    $sidebar_toggle = true;

endif;

if (!empty($_GET['sidebar']) && $_GET['sidebar'] === 'off'):

    $sidebar_toggle = false;

endif;

$sidebar_alignment = get_theme_mod('blog-sidebar-alignment', 'left');

if (!empty($_GET['sidebar_alignment'])):

    $sidebar_alignment = $_GET['sidebar_alignment'];

endif;

$hover_style = get_theme_mod('blog-hover-style', 'default');

if (!empty($_GET['hover'])):

    $hover_style = $_GET['hover'];

endif;

$classes = array();

array_push($classes, 'hover-style-' . $hover_style);

if($sticky_columns):

    array_push($classes, 'sticky-columns');

endif;

$classes = implode(' ', $classes);

if ($hover_style === 'tilt' || $hover_style === 'tilt-boxed' || $hover_style === 'tilt-zoom' || $hover_style === 'tilt-zoom-out'):

    wp_enqueue_script(JKD_Core::$prefix . 'tilt');

endif;

?>

<div class="grid-inner <?php echo esc_attr('columns-' . $blog_grid_number_of_columns); ?>">

    <?php

    if ($sticky_post_toggle && is_home()):

        /* sticky render */
        JKD_Core::template('blog/grid/sticky');

    endif;

    ?>

    <div class="blog-grid-inner container <?php if (is_active_sidebar('blog-sidebar') && $sidebar_toggle): ?> sidebar-enabled <?php endif; ?>">

        <div class="isotope-wrapper">

            <?php

            if ($filter_toggle && is_category() || is_home()):

                /* filter render */
                JKD_Core::template('blog/grid/filter');

            endif;

            ?>

            <div class="blog-grid <?php echo esc_attr($classes); ?>"
                 style="margin: -<?php echo esc_attr($blog_grid_offset); ?>px;"
                 data-grid-type="<?php echo esc_attr($grid_type); ?>">

                <?php

                $count = 0;

                if (have_posts()) : while (have_posts()) :the_post();

                    $count++;

                    $banner_toggle = get_theme_mod('blog-banner-toggle', 1);

                    $banner_alignment = get_theme_mod('blog-banner-alignment', 'top');

                    if (!empty($_GET['banner'])):

                        $banner_toggle = $_GET['banner'];

                    endif;

                    if ($banner_toggle):

                        if (($count === (int)$blog_grid_number_of_columns + 1 && $banner_alignment === 'top')
                            || $count === (int)$blog_grid_number_of_columns * 2 + 1 && $banner_alignment === 'bottom'):

                            JKD_Core::template('blog/banner');

                        endif;

                    endif;

                    if (get_the_ID() !== $sticky_post):

                        /* item render */
                        JKD_Core::template('blog/grid/item');

                    endif;

                endwhile;

                endif;

                ?>

            </div>

        </div>

        <?php if (is_active_sidebar('blog-sidebar') && $sidebar_toggle): ?>

            <aside class="sidebar <?php echo esc_attr('sidebar-' . $sidebar_alignment); ?>">

                <?php

                dynamic_sidebar('blog-sidebar');

                ?>

            </aside>

        <?php endif; ?>

    </div>

</div>
