<?php defined('ABSPATH') || exit;
/*
 *
 */

$post=get_post();

/* get post category */
$category = get_the_category();

$title = get_the_title();

$blog_display_date = get_theme_mod('blog-display-date', 1);

$blog_display_category_label = get_theme_mod('blog-display-category-label', 1);

$blog_display_author = get_theme_mod('blog-display-author', 1);

if ($blog_display_author):

    $author_id = get_the_author_meta('ID');

    $author_name = get_the_author();

    $author_url = get_author_posts_url($author_id);

    $author_avatar_url = get_avatar_url($author_id);

endif;

if (!empty($post) && get_option(THEME_SLUG. '_jkdevstudioactivation')):

    ?>

    <!-- post article -->
    <article <?php post_class('post-article post-article-hidden'); ?>
            id="<?php echo esc_attr(get_the_ID()); ?>">

        <!-- article inner -->
        <div class="article-inner">

            <?php if ($blog_display_date || ($blog_display_category_label && !empty($category))): ?>

                <!-- overflow wrapper -->
                <div class="overflow-wrapper">

                    <!-- meta wrapper -->
                    <div class="meta-wrapper">

                        <?php if ($blog_display_date): ?>

                            <!-- date -->
                            <p class="date">

                                <?php echo esc_html(get_the_date('d M, Y')); ?>

                            </p>

                        <?php endif; ?>

                        <?php if ($blog_display_category_label && !empty($category)): ?>

                            <p class="category-before">

                                <?php echo esc_html__('in', 'jkd-core'); ?>

                            </p>

                            <!-- category name -->
                            <a class="category-name" href="<?php esc_url(get_term_link($category[0]->term_id)); ?>">

                                <?php echo esc_html($category[0]->name); ?>

                            </a>

                        <?php endif; ?>

                    </div>

                </div>

            <?php endif; ?>

            <?php if (!empty($title)): ?>

                <!-- overflow wrapper -->
                <div class="overflow-wrapper">

                    <!-- title side -->
                    <div class="title-side">

                        <!-- post title -->
                        <h2 class="post-title ">

                            <a class="multiline-hover" href="<?php the_permalink(); ?>">

                                <?php echo esc_html(wp_trim_words($title, 10, '...')); ?>

                            </a>

                        </h2>

                    </div>

                </div>

            <?php endif; ?>

            <?php if ($blog_display_author): ?>

                <!-- overflow wrapper -->
                <div class="overflow-wrapper">

                    <a class="author-wrapper" href="<?php echo esc_url($author_url); ?>">

                    <span class="author-image">

                        <img src="<?php echo esc_url($author_avatar_url); ?>"

                             alt="<?php echo esc_attr($author_name); ?>"

                             class="img-fluid">

                    </span>

                        <span class="name">

                        <span class="before-name">

                            <?php echo esc_html__('By ', 'jkd-core'); ?>

                        </span>

                        <?php echo esc_html($author_name); ?>

                    </span>

                    </a>

                </div>

            <?php endif; ?>

        </div>

    </article>

<?php

endif;
