<?php defined('ABSPATH') || exit;
/*
 *
 */

$single_post_style = get_theme_mod('single-post-style', 'simple');

if (!empty($_GET['style'])):

    $single_post_style = $_GET['style'];

endif;

$single_post_sidebar = get_theme_mod('single-post-sidebar', '0');

if (!empty($_GET['sidebar']) && $_GET['sidebar'] === 'on'):

    $single_post_sidebar = true;

endif;

if (!empty($_GET['sidebar']) && $_GET['sidebar'] === 'off'):

    $single_post_sidebar = false;

endif;

$single_post_sidebar_alignment = get_theme_mod('single-post-sidebar-alignment', 'left');

if (!empty($_GET['sidebar_alignment'])):

    $single_post_sidebar_alignment = $_GET['sidebar_alignment'];

endif;

$single_post_recent = get_theme_mod('single-post-recent', '1');

if (!empty($_GET['recent']) && $_GET['recent'] === 'on'):

    $single_post_recent = true;

endif;

if (!empty($_GET['recent']) && $_GET['recent'] === 'off'):

    $single_post_recent = false;

endif;

$single_post_recent_style = get_theme_mod('single-post-recent-style', 'list');

if (!empty($_GET['recent_style'])):

    $single_post_recent_style = $_GET['recent_style'];

endif;

$single_post_recent_by = get_theme_mod('single-post-recent-by', 'categories');

if (!empty($_GET['recent_by'])):

    $single_post_recent_by = $_GET['recent_by'];

endif;

$single_post_number_of_recent_items = get_theme_mod('single-post-number-of-recent-items', 6);

if (!empty($_GET['recent_number'])):

    $single_post_number_of_recent_items = $_GET['recent_number'];

endif;

$single_post_navigation = get_theme_mod('single-post-navigation', '1');

$content = get_the_content();

$post_format = get_post_format();

$title = get_the_title();

$date = get_the_date();

$last_modified_date = JKD_Helper::get_last_updated_date();

$reading_time = JKD_Helper::get_reading_time($content);

$author_id = get_the_author_meta('ID');

$author_name = get_the_author();

$author_url = get_author_posts_url($author_id);

$author_avatar_url = get_avatar_url($author_id);

$categories = get_the_category();

$tags = get_the_tags();

$ip = JKD_Helper::get_ip_address();

/* next prev post */
$prev_post = get_previous_post();

/* gen next post */
$next_post = get_next_post();

JKD_Helper::set_post_view(get_the_ID());

$post_views = JKD_Helper::get_post_views(get_the_ID());

$post_likes = JKD_Helper::get_post_likes(get_the_ID());

$views_toggle = get_theme_mod('single-post-views', '1');

$likes_toggle = get_theme_mod('single-post-views', '1');

$share_toggle = get_theme_mod('single-post-share-toggle', '1');

$share_list = get_theme_mod('single-post-share-list');

$current_like = get_transient('post_like_' . get_the_ID() . '_' . $ip);

$field_author_toggle = JKD_Helper::get_field('field_author');

$field_date_toggle = JKD_Helper::get_field('field_date');

$field_last_update_toggle = JKD_Helper::get_field('field_last_update');

$field_reading_time_toggle = JKD_Helper::get_field('field_reading_time');

$field_categories_toggle = JKD_Helper::get_field('field_categories');

$field_tags_toggle = JKD_Helper::get_field('field_tags');

?>

<div class="single-post-wrapper">

    <div class="inner-wrapper">

        <div class="post-header">

            <div class="title-wrapper container">

                <?php if (!empty($title)): ?>

                    <h1 class="post-title">

                        <?php echo esc_html($title); ?>

                    </h1>

                <?php endif; ?>

                <div class="info-wrapper">

                    <p class="post-format-type">

                        <?php if ($post_format === 'aside'): ?>

                            <i class="ri-edit-line"></i>

                            <?php echo esc_html__('Aside', 'jkd-core'); ?>

                        <?php elseif ($post_format === 'audio'): ?>

                            <i class="ri-music-2-line"></i>

                            <?php echo esc_html__('Audio', 'jkd-core'); ?>

                        <?php elseif ($post_format === 'gallery'): ?>

                            <i class="ri-gallery-line"></i>

                            <?php echo esc_html__('Gallery', 'jkd-core'); ?>

                        <?php elseif ($post_format === 'image'): ?>

                            <i class="ri-image-line"></i>

                            <?php echo esc_html__('Image', 'jkd-core'); ?>

                        <?php elseif ($post_format === 'link'): ?>

                            <i class="ri-link"></i>

                            <?php echo esc_html__('Link', 'jkd-core'); ?>

                        <?php elseif ($post_format === 'quote'): ?>

                            <i class="ri-double-quotes-l"></i>

                            <?php echo esc_html__('Quote', 'jkd-core'); ?>

                        <?php elseif ($post_format === 'video'): ?>

                            <i class="ri-play-mini-line"></i>

                            <?php echo esc_html__('Video', 'jkd-core'); ?>

                        <?php else: ?>

                            <i class="ri-file-text-line"></i>

                            <?php echo esc_html__('Standard', 'jkd-core'); ?>

                        <?php endif; ?>

                    </p>

                    <?php if (is_sticky()): ?>

                        <p class="featured-article-text">

                            <i class="ri-pushpin-line"></i>

                            <?php echo esc_html__('Featured Article', 'jkd-core'); ?>

                        </p>

                    <?php endif; ?>


                    <?php if ($views_toggle && !empty($post_views)): ?>

                        <p class="views">

                            <i class="ri-eye-line"></i>

                            <?php echo esc_html__('Views: ', 'jkd-core') . esc_html($post_views); ?>

                        </p>

                    <?php endif; ?>

                    <?php if ($likes_toggle): ?>

                        <p class="like-button <?php if ($current_like): ?>liked<?php endif; ?>">

                            <span class="icon-wrapper">

                                <i class="ri-heart-line unliked-icon"></i>

                                <i class="ri-heart-fill liked-icon"></i>

                            </span>

                            <?php echo esc_html__('Likes: ', 'jkd-core'); ?>

                            <span class="counter">

                                 <?php echo esc_html($post_likes); ?>

                            </span>

                        </p>

                    <?php endif; ?>

                </div>

            </div>

            <div class="featured-wrapper">

                <?php if ($post_format === 'audio'):

                    $field_post_audio_file = JKD_Helper::get_field('field_post_audio_file');

                    if (!empty($field_post_audio_file)):

                        wp_enqueue_script(JKD_Core::$prefix . 'plyr');

                        wp_enqueue_style(JKD_Core::$prefix . 'plyr');

                        ?>

                        <div class="single-audio-wrapper container">

                            <h5 class="audio-title">

                                <?php echo esc_html__('Listen to this post'); ?>

                            </h5>

                            <div class="audio-wrapper">

                                <audio class="audio-player player" controls>

                                    <source src="<?php echo esc_url($field_post_audio_file); ?>" type="audio/mp3"/>

                                </audio>

                            </div>

                        </div>

                    <?php endif; ?>

                <?php endif; ?>

                <?php if ($post_format === 'gallery'):

                    wp_enqueue_script('swiper');

                    wp_enqueue_style('swiper');

                    $field_blog_item_gallery = JKD_Helper::get_field('field_post_gallery');

                    if (!empty($field_blog_item_gallery)):

                        ?>

                        <div class="single-gallery-wrapper container">

                            <div class="swiper-container single-gallery-slider">

                                <div class="swiper-wrapper">

                                    <?php foreach ($field_blog_item_gallery as $item): ?>

                                        <?php if (!empty($item)): ?>

                                            <div class="swiper-slide image-wrapper">

                                                <?php

                                                echo JKD_Theme::render_image($item,
                                                    'jk-wide-size-full');

                                                ?>

                                            </div>

                                        <?php endif; ?>

                                    <?php endforeach; ?>

                                </div>

                                <div class="pagination-wrapper">

                                </div>

                                <div class="navigation-wrapper">

                                    <div class="navigation-button navigation-button-prev">

                                        <?php

                                        $rtl = get_theme_mod('general-rtl-toggle', false);

                                        if (!empty($_GET['rtl'])):

                                            $rtl = $_GET['rtl'];

                                        endif;

                                        if ($rtl):

                                            ?>

                                            <i class="ri-arrow-right-line"></i>

                                        <?php

                                        else:

                                            ?>

                                            <i class="ri-arrow-left-line"></i>

                                        <?php

                                        endif;

                                        ?>

                                    </div>

                                    <div class="navigation-button navigation-button-next">

                                        <?php

                                        $rtl = get_theme_mod('general-rtl-toggle', false);

                                        if (!empty($_GET['rtl'])):

                                            $rtl = $_GET['rtl'];

                                        endif;

                                        if ($rtl):

                                            ?>

                                            <i class="ri-arrow-left-line"></i>

                                        <?php

                                        else:

                                            ?>

                                            <i class="ri-arrow-right-line"></i>

                                        <?php

                                        endif;

                                        ?>

                                    </div>

                                </div>

                            </div>

                        </div>

                    <?php endif; ?>

                <?php elseif ($post_format === 'video'):

                    wp_enqueue_script(JKD_Core::$prefix . 'plyr');

                    wp_enqueue_style(JKD_Core::$prefix . 'plyr');

                    $video_type = JKD_Helper::get_field('field_post_video');

                    ?>

                    <div class="single-video-wrapper container">

                        <?php if ($video_type === 'youtube'):

                            $url = JKD_Helper::get_field('field_post_video_url');

                            if (!empty($url)):

                                ?>

                                <div class="plyr__video-embed video-player player">

                                    <iframe src="<?php echo esc_url($url); ?>&amp;iv_load_policy=3&amp;modestbranding=0&amp;playsinline=0&amp;showinfo=0&amp;rel=0&amp;enablejsapi=1"
                                            allowfullscreen
                                            allowtransparency
                                            allow="autoplay">

                                    </iframe>

                                </div>

                            <?php endif;

                        elseif ($video_type === 'vimeo'):

                            $url = JKD_Helper::get_field('field_post_video_url');

                            if (!empty($url)):

                                ?>

                                <div class="plyr__video-embed video-player player">

                                    <iframe src="<?php echo esc_url($url); ?>&amp;byline=false&amp;portrait=false&amp;title=false&amp;speed=true&amp;transparent=0&amp;gesture=media">

                                    </iframe>

                                </div>

                            <?php endif; ?>

                        <?php elseif ($video_type === 'html'):

                            $file = JKD_Helper::get_field('field_post_video_file');

                            if (!empty($file)):

                                ?>

                                <video class="video-player player" playsinline controls>

                                    <source src="<?php echo esc_url($file); ?>" type="video/mp4"/>

                                </video>

                            <?php endif; ?>

                        <?php endif; ?>

                    </div>

                <?php else: ?>

                    <?php if (has_post_thumbnail()): ?>

                        <div class="featured-image container">

                            <div class="image-wrapper"
                                 style="background-image: url(<?php echo esc_url(get_the_post_thumbnail_url(get_the_ID(), 'full')); ?>)">

                            </div>

                        </div>

                    <?php endif; ?>

                <?php endif; ?>

            </div>

            <div class="meta-wrapper container">

                <ul class="meta-list">

                    <?php if ($field_author_toggle): ?>

                        <li class="meta-item author-item">

                            <p class="meta-title">

                                <?php echo esc_html__('Author', 'jkd-core'); ?>

                            </p>

                            <div class="meta-value">

                                <a class="author-name" href="<?php echo esc_url($author_url); ?>">

                                    <?php echo esc_html($author_name); ?>

                                </a>

                            </div>

                        </li>

                    <?php endif; ?>

                    <?php if (!empty($date) && $field_date_toggle): ?>

                        <li class="meta-item published-date-item">

                            <p class="meta-title">

                                <?php echo esc_html__('Publish Date', 'jkd-core'); ?>

                            </p>

                            <div class="meta-value">

                                <span>

                                    <?php echo esc_html($date); ?>

                                </span>

                            </div>

                        </li>

                    <?php endif; ?>

                    <?php if (!empty($last_modified_date) && $field_last_update_toggle): ?>

                        <li class="meta-item last-update-item">

                            <p class="meta-title">

                                <?php echo esc_html__('Last Update', 'jkd-core'); ?>

                            </p>

                            <div class="meta-value">

                               <span>

                                    <?php echo esc_html($last_modified_date); ?>

                               </span>

                            </div>

                        </li>

                    <?php endif; ?>

                    <?php if (!empty($reading_time) && $field_reading_time_toggle): ?>

                        <li class="meta-item reading-time-item">

                            <p class="meta-title">

                                <?php echo esc_html__('Reading Time', 'jkd-core'); ?>

                            </p>

                            <div class="meta-value">

                            <span>

                                    <?php echo esc_html($reading_time); ?>

                            </span>

                            </div>

                        </li>

                    <?php endif; ?>

                    <?php if ($field_categories_toggle): ?>

                        <li class="meta-item categories-item">

                            <p class="meta-title">

                                <?php echo esc_html__('Categories', 'jkd-core'); ?>

                            </p>

                            <div class="meta-value">

                                <ul class="terms-list">

                                    <?php foreach ($categories as $category): ?>

                                        <li class="term-item">

                                            <a href="<?php echo esc_url(get_term_link($category->term_id)); ?>">

                                                <?php echo esc_html($category->name); ?>

                                            </a>

                                        </li>

                                    <?php endforeach; ?>

                                </ul>

                            </div>

                        </li>

                    <?php endif; ?>

                    <?php if ($field_tags_toggle): ?>

                        <li class="meta-item tags-item">

                            <p class="meta-title">

                                <?php echo esc_html__('Tags', 'jkd-core'); ?>

                            </p>

                            <div class="meta-value">

                                <ul class="terms-list">

                                    <?php foreach ($tags as $tag): ?>

                                        <li class="term-item">

                                            <a href="<?php echo esc_url(get_term_link($tag->term_id)); ?>">

                                                <?php echo esc_html($tag->name); ?>

                                            </a>

                                        </li>

                                    <?php endforeach; ?>

                                </ul>

                            </div>

                        </li>

                    <?php endif; ?>

                </ul>

            </div>

        </div>

        <div class="post-body">

            <?php the_content(); ?>

        </div>

        <?php if ($share_toggle && !empty($share_list)): ?>

            <div class="share-wrapper container">

                <p class="share-title">

                    <?php echo esc_html__('Share: ', 'jkd-core'); ?>

                </p>

                <?php JKD_Share::render_share_list($share_list, get_the_ID()); ?>

            </div>

        <?php endif; ?>

        <?php if ($single_post_recent):

            $args = array(
                'ignore_sticky_posts' => 1,
                'posts_per_page' => $single_post_number_of_recent_items,
                'order' => 'DESC',
                'post__not_in' => array(get_the_ID())
            );

            if ($single_post_recent_by === 'categories'):

                $recent_categories = array();

                foreach ($categories as $category):

                    array_push($recent_categories, $category->term_id);

                endforeach;

                $args['category__in'] = $recent_categories;

            endif;

            if ($single_post_recent_by === 'tags'):

                $recent_tags = array();

                foreach ($tags as $tag):

                    array_push($recent_tags, $tag->term_id);

                endforeach;

                $args['tag__in'] = $recent_tags;

            endif;

            if ($single_post_recent_by === 'author'):

                $args['author__in'] = array($author_id);

            endif;

            $the_query = new WP_Query($args);

            if ($the_query->have_posts() && $the_query->found_posts > 3) :

                if ($single_post_recent_style === 'list'):

                    ?>

                    <div class="recent-posts-wrapper list-style container">

                        <h5 class="recent-posts-title">

                            <?php echo esc_html__('Recent Posts', 'jkd-core'); ?>

                        </h5>

                        <?php

                        if ($the_query->have_posts()) :

                            ?>

                            <ul class="recent-posts-list">

                                <?php while ($the_query->have_posts()) : $the_query->the_post();

                                    $post_date = get_the_date();

                                    $post_title = get_the_title();

                                    $post_author_id = get_the_author_meta('ID');

                                    $post_author_name = get_the_author();

                                    $post_author_url = get_author_posts_url($author_id);

                                    $post_author_avatar_url = get_avatar_url($post_author_id);

                                    $post_thumbnail_id = get_post_thumbnail_id();

                                    $post_category = get_the_category();

                                    ?>

                                    <li <?php post_class('post-article'); ?>>

                                        <div class="post-inner">

                                            <?php if (has_post_thumbnail()): ?>

                                                <a class="recent-post-header" href="<?php the_permalink(); ?>">

                                                   <span class="category-label">

                                <?php echo esc_html($post_category[0]->name); ?>

                            </span>

                                                    <?php

                                                    echo JKD_Theme::render_image($post_thumbnail_id,
                                                        'jk-square-size-small');

                                                    ?>

                                                </a>

                                            <?php endif; ?>

                                            <div class="recent-post-body">

                                                <?php if (!empty($post_date)): ?>

                                                    <p class="date">

                                                        <?php echo esc_html($post_date); ?>

                                                    </p>

                                                <?php endif; ?>

                                                <?php if (!empty($post_title)) : ?>

                                                    <h6 class="title">

                                                        <a href="<?php the_permalink(); ?>" class="multiline-hover">

                                                            <?php echo esc_html(wp_trim_words($post_title, 8, '...')); ?>

                                                        </a>

                                                    </h6>

                                                <?php endif; ?>

                                                <a class="author-wrapper"
                                                   href="<?php echo esc_url($post_author_url); ?>">

                                        <span class="author-image">

                                            <img src="<?php echo esc_url($post_author_avatar_url); ?>"

                                                 alt="<?php echo esc_attr($post_author_name); ?>"

                                                 class="img-fluid">

                                        </span>

                                                    <span class="name">

                                          <span class="before-name">

                                                <?php echo esc_html__('By ', 'jkd-core'); ?>

                                          </span>

                                            <?php echo esc_html($post_author_name); ?>

                                        </span>

                                                </a>

                                            </div>

                                        </div>

                                    </li>

                                <?php endwhile; ?>

                            </ul>

                        <?php endif; ?>

                    </div>

                <?php elseif ($single_post_recent_style === 'slider'):

                    wp_enqueue_script('swiper');

                    wp_enqueue_style('swiper');

                    ?>

                    <div class="recent-posts-wrapper slider-style container">

                        <h5 class="recent-posts-title">

                            <?php echo esc_html__('Recent Posts', 'jkd-core'); ?>

                        </h5>

                        <?php

                        if ($the_query->have_posts()) :

                            ?>

                            <div class="recent-posts-slider-wrapper">

                                <div class="swiper-container recent-posts-slider">

                                    <div class="swiper-wrapper">

                                        <?php while ($the_query->have_posts()) : $the_query->the_post();

                                            $post_date = get_the_date();

                                            $post_title = get_the_title();

                                            $post_author_id = get_the_author_meta('ID');

                                            $post_author_name = get_the_author();

                                            $post_author_url = get_author_posts_url($author_id);

                                            $post_author_avatar_url = get_avatar_url($post_author_id);

                                            $post_thumbnail_id = get_post_thumbnail_id();

                                            $post_category = get_the_category();

                                            ?>

                                            <div <?php post_class('swiper-slide post-article'); ?>>

                                                <div class="post-inner">

                                                    <?php if (has_post_thumbnail()): ?>

                                                        <a class="recent-post-header" href="<?php the_permalink(); ?>">

                                                   <span class="category-label">

                                                       <?php echo esc_html($post_category[0]->name); ?>

                                                   </span>

                                                            <?php

                                                            echo JKD_Theme::render_image($post_thumbnail_id,
                                                                'jk-square-size-small');

                                                            ?>

                                                        </a>

                                                    <?php endif; ?>

                                                    <div class="recent-post-body">

                                                        <?php if (!empty($post_date)): ?>

                                                            <p class="date">

                                                                <?php echo esc_html($post_date); ?>

                                                            </p>

                                                        <?php endif; ?>

                                                        <?php if (!empty($post_title)) : ?>

                                                            <h6 class="title">

                                                                <a href="<?php the_permalink(); ?>"
                                                                   class="multiline-hover">

                                                                    <?php echo esc_html(wp_trim_words($post_title, 8, '...')); ?>

                                                                </a>

                                                            </h6>

                                                        <?php endif; ?>

                                                        <a class="author-wrapper"
                                                           href="<?php echo esc_url($post_author_url); ?>">

                                        <span class="author-image">

                                            <img src="<?php echo esc_url($post_author_avatar_url); ?>"

                                                 alt="<?php echo esc_attr($post_author_name); ?>"

                                                 class="img-fluid">

                                        </span>

                                                            <span class="name">

                                          <span class="before-name">

                                                <?php echo esc_html__('By ', 'jkd-core'); ?>

                                          </span>

                                            <?php echo esc_html($post_author_name); ?>

                                        </span>

                                                        </a>

                                                    </div>

                                                </div>

                                            </div>

                                        <?php endwhile; ?>

                                    </div>

                                    <div class="pagination-wrapper">

                                    </div>

                                </div>

                                <div class="navigation-wrapper">

                                    <div class="navigation-button navigation-button-prev">

                                        <?php

                                        $rtl = get_theme_mod('general-rtl-toggle', false);

                                        if (!empty($_GET['rtl'])):

                                            $rtl = $_GET['rtl'];

                                        endif;

                                        if ($rtl):

                                            ?>

                                            <i class="ri-arrow-right-line"></i>

                                        <?php

                                        else:

                                            ?>

                                            <i class="ri-arrow-left-line"></i>

                                        <?php

                                        endif;

                                        ?>

                                    </div>

                                    <div class="navigation-button navigation-button-next">

                                        <?php

                                        $rtl = get_theme_mod('general-rtl-toggle', false);

                                        if (!empty($_GET['rtl'])):

                                            $rtl = $_GET['rtl'];

                                        endif;

                                        if ($rtl):

                                            ?>

                                            <i class="ri-arrow-left-line"></i>

                                        <?php

                                        else:

                                            ?>

                                            <i class="ri-arrow-right-line"></i>

                                        <?php

                                        endif;

                                        ?>

                                    </div>

                                </div>

                            </div>

                        <?php endif; ?>

                    </div>

                <?php elseif ($single_post_recent_style === 'minimal'): ?>

                    <div class="recent-posts-wrapper minimal-style container">

                        <h5 class="recent-posts-title">

                            <?php echo esc_html__('Recent Posts', 'jkd-core'); ?>

                        </h5>

                        <?php

                        if ($the_query->have_posts()) :

                            ?>

                            <ul class="recent-posts-list">

                                <?php while ($the_query->have_posts()) : $the_query->the_post();

                                    $post_date = get_the_date();

                                    $post_title = get_the_title();

                                    $post_author_id = get_the_author_meta('ID');

                                    $post_author_name = get_the_author();

                                    $post_author_url = get_author_posts_url($author_id);

                                    $post_author_avatar_url = get_avatar_url($post_author_id);

                                    ?>

                                    <li <?php post_class('post-article'); ?>>

                                        <div class="post-inner">

                                            <div class="recent-post-body">

                                                <?php if (!empty($post_date)): ?>

                                                    <p class="date">

                                                        <?php echo esc_html($post_date); ?>

                                                    </p>

                                                <?php endif; ?>

                                                <?php if (!empty($post_title)) : ?>

                                                    <h6 class="title">

                                                        <a href="<?php the_permalink(); ?>" class="multiline-hover">

                                                            <?php echo esc_html(wp_trim_words($post_title, 10, '...')); ?>

                                                        </a>

                                                    </h6>

                                                <?php endif; ?>

                                                <a class="author-wrapper"
                                                   href="<?php echo esc_url($post_author_url); ?>">

                                        <span class="author-image">

                                            <img src="<?php echo esc_url($post_author_avatar_url); ?>"

                                                 alt="<?php echo esc_attr($post_author_name); ?>"

                                                 class="img-fluid">

                                        </span>

                                                    <span class="name">

                                          <span class="before-name">

                                                <?php echo esc_html__('By ', 'jkd-core'); ?>

                                          </span>

                                            <?php echo esc_html($post_author_name); ?>

                                        </span>

                                                </a>

                                            </div>

                                        </div>

                                    </li>

                                <?php endwhile; ?>

                            </ul>

                        <?php endif; ?>

                    </div>

                <?php endif; ?>

            <?php endif; ?>

        <?php endif; ?>

        <div class="post-footer">

            <div class="footer-inner-wrapper">

                <?php if ($single_post_navigation && (!empty($prev_post) || !empty($next_post))): ?>

                    <div class="single-post-navigation">

                        <div class="navigation-inner container">

                            <?php if (!empty($prev_post)): ?>

                                <div class="prev-box nav-box">

                                    <?php if (has_post_thumbnail($prev_post->ID)): ?>

                                        <a class="image-side"
                                           href="<?php the_permalink($prev_post->ID); ?>">

                                            <?php

                                            $prev_image_id = get_post_thumbnail_id($prev_post->ID);

                                            echo JKD_Theme::render_image($prev_image_id,
                                                'jk-square-size-extra-small');

                                            ?>

                                        </a>

                                    <?php endif; ?>

                                    <div class="content-side">

                                   <span class="upper-text">

                                        <?php echo esc_html__('Previous Article', 'jkd-core'); ?>

                                   </span>

                                        <h6 class="post-title">

                                            <a href="<?php echo esc_url(get_permalink($prev_post->ID)); ?>"
                                               class="multiline-hover">

                                                <?php echo esc_html(wp_trim_words(get_the_title($prev_post->ID), 10, '...')); ?>

                                            </a>

                                        </h6>

                                    </div>

                                </div>

                            <?php else: ?>

                                <br>

                            <?php endif; ?>

                            <?php if (!empty($next_post)): ?>

                                <div class="next-box nav-box">

                                    <div class="content-side">

                                   <span class="upper-text">

                                        <?php echo esc_html__('Next Article', 'jkd-core'); ?>

                                   </span>

                                        <h6 class="post-title">

                                            <a href="<?php the_permalink($next_post->ID); ?>"
                                               class="multiline-hover">

                                                <?php echo esc_html(wp_trim_words(get_the_title($next_post->ID), 10, '...')); ?>

                                            </a>

                                        </h6>

                                    </div>

                                    <?php if (has_post_thumbnail($next_post->ID)): ?>

                                        <a class="image-side"
                                           href="<?php echo esc_url(get_permalink($next_post->ID)); ?>">

                                            <?php

                                            $next_image_id = get_post_thumbnail_id($next_post->ID);

                                            echo JKD_Theme::render_image($next_image_id,
                                                'jk-square-size-extra-small');

                                            ?>

                                        </a>

                                    <?php endif; ?>

                                </div>

                            <?php else: ?>

                                <br>

                            <?php endif; ?>

                        </div>

                    </div>

                <?php endif; ?>

                <?php if (comments_open() || get_comments_number()) : ?>

                    <div class="comments-wrapper">

                        <?php

                        comments_template();

                        ?>

                    </div>

                <?php endif; ?>

            </div>

        </div>

    </div>

</div>
