<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_enqueue_script(JKD_Core::$prefix . 'career');

wp_enqueue_style(JKD_Core::$prefix . 'career');

$image_id = get_post_thumbnail_id();

$field_position_location = JKD_Helper::get_field('field_position_location');

$field_position_category = JKD_Helper::get_field('field_position_category');

$field_position_working_hours = JKD_Helper::get_field('field_position_working_hours');

$title = get_the_title();

?>

<div class="career-single-wrapper">

    <div class="inner-wrapper container">

        <div class="career-inner">

            <div class="left-side">

                <div class="header-wrapper">

                    <?php

                    echo JKD_Theme::render_image($image_id,
                        'jk-square-size-small');

                    ?>

                </div>

            </div>

            <div class="right-side">

                <div class="side-inner">

                    <h2 class="position-title">

                        <?php echo esc_html($title); ?>

                    </h2>

                    <?php if (!empty($field_position_category) || !empty($field_position_category) || !empty($field_position_location)): ?>

                        <ul class="meta-list">

                            <?php if (!empty($field_position_category)): ?>

                                <li class="meta-item">

                                    <i class="ri-timer-2-line"></i>

                                    <span>

                                    <?php echo esc_html($field_position_working_hours); ?>

                                </span>

                                </li>

                            <?php endif; ?>

                            <?php if (!empty($field_position_category)): ?>

                                <li class="meta-item">

                                    <i class="ri-price-tag-3-line"></i>

                                    <span>

                                    <?php echo esc_html($field_position_category); ?>

                                </span>

                                </li>

                            <?php endif; ?>

                            <?php if (!empty($field_position_location)): ?>

                                <li class="meta-item">

                                    <i class="ri-map-pin-line"></i>

                                    <span>

                                    <?php echo esc_html($field_position_location); ?>

                                </span>

                                </li>

                            <?php endif; ?>

                        </ul>

                    <?php endif; ?>

                    <div class="body-wrapper">

                        <?php the_content(); ?>

                    </div>

                    <?php if (comments_open() || get_comments_number()) : ?>

                        <div class="comments-wrapper">

                            <?php

                            comments_template();

                            ?>

                        </div>

                    <?php endif; ?>

                </div>

            </div>

        </div>

    </div>

</div>
