<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_reset_postdata();

$cta_toggle = get_field('field_cta');

if (!empty($_GET['cta']) && $_GET['cta'] === 'on'):

    $cta_toggle = true;

endif;

if (!empty($_GET['cta']) && $_GET['cta'] === 'off'):

    $cta_toggle = false;

endif;

if ($cta_toggle):

    $cta_title = get_theme_mod('cta-title', esc_html__('Realize Your Ideas', 'jkd-core'));

    $cta_subtitle = get_theme_mod('cta-subtitle', esc_html__('We build epic, realtime interactive experiences to blow people’s minds.', 'jkd-core'));

    $cta_shortcode = get_theme_mod('cta-shortcode');

    ?>

    <section class="cta-section">

        <div class="inner-wrapper container">

            <?php if (!empty($cta_title)): ?>

                <h2 class="cta-title">

                    <?php echo esc_html($cta_title); ?>

                </h2>

            <?php endif; ?>

            <?php if (!empty($cta_subtitle)): ?>

                <p class="cta-subtitle">

                            <span>

                            <?php echo esc_html($cta_subtitle); ?>

                            </span>

                </p>

            <?php endif; ?>

            <?php if (!empty($cta_shortcode)): ?>

                <div class="shortcode-wrapper">

                    <?php

                    echo do_shortcode($cta_shortcode);

                    ?>

                </div>

            <?php endif; ?>

        </div>

    </section>

<?php

endif;

wp_reset_postdata();
