<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_reset_postdata();

$footer_toggle = JKD_Helper::get_field('field_footer', get_the_ID());

if (!empty($_GET['footer']) && $_GET['footer'] === 'on'):

    $footer_toggle = true;

endif;

if (!empty($_GET['footer']) && $_GET['footer'] === 'off'):

    $footer_toggle = false;

endif;

if ($footer_toggle):

    $footer_title_email = get_theme_mod('footer-title-email');

    $footer_email = get_theme_mod('footer-email');

    $footer_title_phone = get_theme_mod('footer-title-phone');

    $footer_phone = str_replace(' ', '', get_theme_mod('footer-phone'));

    $copyright = get_theme_mod('branding-copyright');

    $copyright = str_replace('{year}', date('Y'), $copyright);

    $social = get_theme_mod('social-list');

    $copyright_toggle = get_theme_mod('footer-copyright', 1);

    $social_toggle = get_theme_mod('footer-social', 1);

    $search_form_toggle = get_theme_mod('search-form-toggle', 1);

    $search_form_toggle_location = get_theme_mod('search-form-toggle-location', 'sticky');

    $classes = array();

    if (empty($footer_title_email) && empty($footer_email) && empty($footer_title_phone) && empty($footer_phone)):

        array_push($classes,'footer-simple');

    endif;

    $classes = implode(' ',$classes);

    ?>

    <footer class="footer <?php echo esc_attr($classes);?>">

        <div class="inner-wrapper container">

            <?php if (!empty($footer_title_email) || !empty($footer_email) || !empty($footer_title_phone) || !empty($footer_phone)): ?>

                <div class="contact-wrapper">

                    <?php if (!empty($footer_title_email) || !empty($footer_email)): ?>

                        <div class="left-side">

                            <div class="email-wrapper contact-info">

                                <?php if (!empty($footer_title_email)): ?>

                                    <h6 class="contact-upper-title">

                                 <span>

                                      <?php echo esc_html($footer_title_email); ?>

                                 </span>

                                    </h6>

                                <?php endif; ?>

                                <?php if (!empty($footer_email)): ?>

                                    <h3 class="contact-title">

                                        <a href="<?php echo esc_attr('mailto:' . $footer_email); ?>">

                                            <?php echo esc_html($footer_email); ?>

                                        </a>

                                    </h3>

                                <?php endif; ?>

                            </div>

                        </div>

                    <?php endif; ?>

                    <?php if (!empty($footer_title_phone) || !empty($footer_phone)): ?>

                        <div class="right-side">

                            <div class="phone-wrapper contact-info">

                                <?php if (!empty($footer_title_phone)): ?>

                                    <h6 class="contact-upper-title">

                                    <span>

                                        <?php echo esc_html($footer_title_phone); ?>

                                    </span>

                                    </h6>

                                <?php endif; ?>

                                <?php if (!empty($footer_phone)): ?>

                                    <h3 class="contact-title">

                                        <a href="<?php echo esc_attr('tel:' . $footer_phone); ?>">

                                            <?php echo esc_html($footer_phone); ?>

                                        </a>

                                    </h3>

                                <?php endif; ?>

                            </div>

                        </div>

                    <?php endif; ?>

                </div>

            <?php endif; ?>

            <div class="bottom-side">

                <?php if (!empty($copyright) && $copyright_toggle): ?>

                    <p class="copyright">

                        <?php echo esc_html($copyright); ?>

                    </p>

                <?php endif; ?>

                <?php if (!empty($social) && $social_toggle): ?>

                    <ul class="social-list">

                        <?php foreach ($social as $setting) : ?>

                            <li>

                                <a href="<?php echo esc_url($setting['social_url']); ?>">

                                    <?php if (!empty($setting['social_icon'])): ?>

                                        <i class="<?php echo esc_html(($setting['social_icon'])); ?>"></i>

                                    <?php endif; ?>

                                </a>

                            </li>

                        <?php endforeach; ?>

                    </ul>

                <?php endif; ?>

            </div>

        </div>

    </footer>

<?php

endif;

wp_reset_postdata();
