<?php defined('ABSPATH') || exit;
/*
 *
 */

$title = get_the_title();

$counter = $atts['counter'];

$author_id = get_the_author_meta('ID');

$author_name = get_the_author();

$author_url = get_author_posts_url($author_id);

$author_avatar_url = get_avatar_url($author_id);

$date = get_the_date();

$category = get_the_category();

$excerpt = get_the_excerpt();

if (has_post_thumbnail()):

    ?>

    <div class="swiper-slide">

        <div class="content-inner">

                                    <span class="counter">

                            <?php

                            if ($atts['counter'] < 10):

                                echo esc_html('0' . $atts['counter']);

                            elseif ($atts['counter'] >= 10):

                                echo esc_html($atts['counter']);

                            endif;

                            ?>

                        </span>

            <div class="author-avatar-wrapper">

                <a class="author-avatar" href="<?php echo esc_url($author_url); ?>">

                    <img src="<?php echo esc_url($author_avatar_url) ?>"
                         alt="<?php echo esc_html($author_name); ?>">

                </a>

            </div>

            <?php if (!empty($date) || $category): ?>

                <div class="meta-wrapper">

                    <?php if (!empty($date)): ?>

                        <p class="meta-item date">

                               <span>

                                    <?php echo esc_html($date); ?>

                               </span>

                        </p>

                    <?php endif; ?>

                    <?php if (!empty($category)): ?>

                        <a class="meta-item category"
                           href="<?php echo esc_url(get_category_link($category[0]->term_id)); ?>">

                                <span>

                                    <?php echo esc_html($category[0]->name); ?>

                                </span>

                        </a>

                    <?php endif; ?>

                </div>

            <?php endif; ?>

            <?php if (!empty($title)): ?>

                <div class="title-wrapper">

                    <h2 class="post-title">

                        <a href="<?php the_permalink(); ?>" class="multiline-hover">

                            <?php echo esc_html(wp_trim_words($title, 10, '...')); ?>

                        </a>

                    </h2>

                </div>

            <?php endif; ?>

            <?php if (!empty($excerpt)): ?>

                <div class="excerpt-wrapper">

                    <p class="excerpt">

                        <?php echo esc_html(wp_trim_words($excerpt, 25, '...')); ?>

                    </p>

                </div>

            <?php endif; ?>

            <div class="read-more-wrapper">

                <a href="<?php the_permalink(); ?>"
                   class="jkd-button default-style animation-slide size-large">

                                <span>

                                    <span>

                                        <?php echo esc_html__('Read More', 'jkd-core'); ?>

                                        <?php

                                        $rtl = get_theme_mod('general-rtl-toggle', false);

                                        if (!empty($_GET['rtl'])):

                                            $rtl = $_GET['rtl'];

                                        endif;

                                        if ($rtl):

                                            ?>

                                            <i class="ri-arrow-left-line right-icon"></i>

                                        <?php

                                        else:

                                            ?>

                                            <i class="ri-arrow-right-line right-icon"></i>

                                        <?php

                                        endif;

                                        ?>

                                    </span>

                                </span>

                </a>

            </div>

            <span class="reading-time">

                                    <?php echo esc_html__('Reading Time: ', 'jkd-core') . JKD_Helper::get_reading_time(get_the_content()); ?>

                                </span>

        </div>

    </div>

<?php endif; ?>
