<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_reset_postdata();

/* enqueue swiper scripts */
wp_enqueue_script('swiper');

/* enqueue swiper styles */
wp_enqueue_style('swiper');

/* enqueue scene scripts */
wp_enqueue_script(JKD_Core::$prefix . 'blog-two-side');

/* enqueue scene styles */
wp_enqueue_style(JKD_Core::$prefix . 'blog-two-side');

/* get posts count */
$posts_count = JKD_Helper::get_field('field_items_count');

/* generate WP_Query */
$args = array(
    'posts_per_page' => $posts_count,
    'order' => 'DESC',
    'post_type' => 'post',
);
$the_query = new WP_Query($args);

/* atts */
$atts = array(
    'counter' => 0
);

if (!empty($the_query)):

    ?>

    <div class="left-side">

        <div class="swiper-container content-slider">

            <div class="swiper-wrapper">

                <?php

                if ($the_query->have_posts()) :

                    while ($the_query->have_posts()) : $the_query->the_post();

                        $atts['counter']++;

                        JKD_Core::template('front-scene/blog-two-side/item', $atts);

                    endwhile; ?>

                <?php endif; ?>

            </div>

            <div class="scrollbar-wrapper">

                <div class="swiper-scrollbar"></div>

            </div>

        </div>

    </div>

    <div class="right-side">

        <div class="swiper-container images-slider">

            <div class="swiper-wrapper">

                <?php

                if ($the_query->have_posts()) :

                    while ($the_query->have_posts()) : $the_query->the_post();

                        JKD_Core::template('front-scene/blog-two-side/image');

                    endwhile;

                endif;

                ?>

                <div class="image-overlay">

                </div>

            </div>

        </div>

        <div class="navigation-wrapper">

            <div class="prev-arrow arrow-button">

                <?php

                $rtl = get_theme_mod('general-rtl-toggle', false);

                if (!empty($_GET['rtl'])):

                    $rtl = $_GET['rtl'];

                endif;

                if ($rtl):

                    ?>

                    <i class="ri-arrow-right-line"></i>

                <?php

                else:

                    ?>

                    <i class="ri-arrow-left-line"></i>

                <?php

                endif;

                ?>

            </div>

            <div class="next-arrow arrow-button">

                <?php

                $rtl = get_theme_mod('general-rtl-toggle', false);

                if (!empty($_GET['rtl'])):

                    $rtl = $_GET['rtl'];

                endif;

                if ($rtl):

                    ?>

                    <i class="ri-arrow-left-line"></i>

                <?php

                else:

                    ?>

                    <i class="ri-arrow-right-line"></i>

                <?php

                endif;

                ?>

            </div>

            <div class="next-count">

                <?php

                $atts['counter'] = 0;

                if ($the_query->have_posts()) :

                    while ($the_query->have_posts()) : $the_query->the_post();

                        ?>

                        <span class="count-item">

                        <?php

                        $atts['counter']++;

                        if ($atts['counter'] < 10):

                            echo esc_html('0' . $atts['counter']);

                        elseif ($atts['counter'] >= 10):

                            echo esc_html($atts['counter']);

                        endif;

                        ?>

                    </span>

                    <?php

                    endwhile;

                endif;

                ?>

            </div>

            <div class="next-title">

                <?php

                if ($the_query->have_posts()) :

                    while ($the_query->have_posts()) : $the_query->the_post();

                        $title = get_the_title();

                        if (!empty($title) && has_post_thumbnail()):

                            ?>

                            <h6 class="title">

                                <?php echo esc_html(wp_trim_words($title, 8, '...')); ?>

                            </h6>

                        <?php

                        endif;

                    endwhile;

                endif;

                ?>

            </div>

        </div>

    </div>

<?php

endif;

wp_reset_postdata();
