<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_enqueue_script(JKD_Core::$prefix . 'distortion-links');

wp_enqueue_script(JKD_Core::$prefix . 'curtains');

wp_enqueue_style(JKD_Core::$prefix . 'distortion-links');

JKD_Core::template('other/shaders/navigation-shader');

$posts_count = JKD_Helper::get_field('field_items_count');

$args = array(
    'posts_per_page' => $posts_count,
    'order' => 'DESC',
    'post_type' => 'portfolio',
);

$field_page_portfolio_filters = JKD_Helper::get_field('field_page_portfolio_filters');

if ($field_page_portfolio_filters):

    $field_page_portfolio_filters_type = JKD_Helper::get_field('field_page_portfolio_filters_type');

    if ($field_page_portfolio_filters_type === 'categories'):

        $field_page_portfolio_filter_by_categories = JKD_Helper::get_field('field_page_portfolio_filter_by_categories');

    endif;

    if ($field_page_portfolio_filters_type === 'tags'):

        $field_page_portfolio_filter_by_tags = JKD_Helper::get_field('field_page_portfolio_filter_by_tags');

    endif;

endif;

if (!empty($field_page_portfolio_filter_by_categories)):

    $args['tax_query'] = array(
        array(
            'taxonomy' => 'portfolio-categories',
            'field' => 'id',
            'terms' => $field_page_portfolio_filter_by_categories
        )
    );

endif;

if (!empty($field_page_portfolio_filter_by_tags)):

    $args['tax_query'] = array(
        array(
            'taxonomy' => 'portfolio-tags',
            'field' => 'id',
            'terms' => $field_page_portfolio_filter_by_tags
        )
    );

endif;

$the_query = new WP_Query($args);

$counter = 0;

$atts = array(
    'counter' => 0
);

if (!empty($the_query)):

    ?>

    <div class="distortion-links">

        <div class="distortion-canvas-wrapper">

            <div class="distortion-canvas"></div>

            <section class="distortion-items-textures">

                <img src="<?php echo esc_url(JKD_Helper::get_plugin_folder_path('assets/img/displacement0.jpg')); ?>"
                     data-sampler="displacement"
                     alt="<?php echo esc_html__('webgl displacement', 'jkd-core'); ?>">

                <?php if ($the_query->have_posts()) : ?>

                    <?php while ($the_query->have_posts()) : $the_query->the_post();

                        $image_id = get_post_thumbnail_id(get_the_ID());

                        if (!empty($image_id)):

                            echo JKD_Theme::render_image($image_id,
                                'jk-wide-size-full');

                        endif;

                    endwhile; ?>

                <?php endif; ?>

            </section>

        </div>

        <div class="links-wrapper">

            <?php if ($the_query->have_posts()) : ?>

                <?php while ($the_query->have_posts()) : $the_query->the_post();

                    $field_portfolio_item_type = JKD_Helper::get_field('field_portfolio_item_type');

                    if ($field_portfolio_item_type !== 'gif' && $field_portfolio_item_type !== 'video'):

                        $atts['counter']++;

                        JKD_Core::template('front-scene/distortion-links/item', $atts);

                    endif;

                endwhile; ?>

            <?php endif; ?>

        </div>

    </div>

<?php endif; ?>
