<?php defined('ABSPATH') || exit;
/*
 *
 */

$title = get_the_title();

$category = get_the_terms(get_the_ID(), 'portfolio-categories');

$date = get_the_date();

$counter = $atts['counter'];

$excerpt = get_the_excerpt();

$author_id = get_the_author_meta('ID');

$author_name = get_the_author();

$author_url = get_author_posts_url($author_id);

$author_avatar_url = get_avatar_url($author_id);

?>

    <div class="swiper-slide">

        <div class="content-wrapper">

            <a class="author-wrapper" href="<?php echo esc_url($author_url); ?>">

                                        <span class="author-image">

                                            <img src="<?php echo esc_url($author_avatar_url); ?>"

                                                 alt="<?php echo esc_attr($author_name); ?>"

                                                 class="img-fluid">

                                        </span>

                <span class="name">

                                          <span class="before-name">

                                                <?php echo esc_html__('By ', 'jkd-core'); ?>

                                          </span>

                                            <?php echo esc_html($author_name); ?>

                                        </span>

            </a>

            <h1 class="post-title extra-h1">

                <a href="<?php the_permalink(); ?>">

                    <?php echo esc_html(wp_trim_words($title, 10, '...')) ?>

                </a>

            </h1>

            <div class="meta-wrapper">

                <a class="category"
                   href="<?php echo esc_url(get_term_link($category[0]->term_id)); ?>">

                <span>

                        <?php echo esc_html__('In ', 'jkd-core') . $category[0]->name; ?>

                </span>

                </a>

                <p class="date">

                  <span>

                        <?php echo esc_html($date); ?>

                  </span>

                </p>

            </div>

            <div class="read-more-wrapper">

                <a href="<?php the_permalink(); ?>"
                   class="jkd-button default-style animation-slide size-large">

                                <span>

                                    <span>

                                        <?php echo esc_html__('Explore Project', 'jkd-core'); ?>

                                        <?php

                                        $rtl = get_theme_mod('general-rtl-toggle', false);

                                        if (!empty($_GET['rtl'])):

                                            $rtl = $_GET['rtl'];

                                        endif;

                                        if ($rtl):

                                            ?>

                                            <i class="ri-arrow-left-line right-icon"></i>

                                        <?php

                                        else:

                                            ?>

                                            <i class="ri-arrow-right-line right-icon"></i>

                                        <?php

                                        endif;

                                        ?>

                                    </span>

                                </span>

                </a>

            </div>

        </div>

    </div>

<?php
