<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_enqueue_script(JKD_Core::$prefix . 'draggable-slider');

wp_enqueue_script(JKD_Core::$prefix . 'draggable');

wp_enqueue_style(JKD_Core::$prefix . 'draggable-slider');

wp_enqueue_script('swiper');

wp_enqueue_style('swiper');

$posts_count = JKD_Helper::get_field('field_items_count');

$args = array(
    'posts_per_page' => $posts_count,
    'order' => 'DESC',
    'post_type' => 'portfolio',
);

$field_page_portfolio_filters = JKD_Helper::get_field('field_page_portfolio_filters');

if ($field_page_portfolio_filters):

    $field_page_portfolio_filters_type = JKD_Helper::get_field('field_page_portfolio_filters_type');

    if ($field_page_portfolio_filters_type === 'categories'):

        $field_page_portfolio_filter_by_categories = JKD_Helper::get_field('field_page_portfolio_filter_by_categories');

    endif;

    if ($field_page_portfolio_filters_type === 'tags'):

        $field_page_portfolio_filter_by_tags = JKD_Helper::get_field('field_page_portfolio_filter_by_tags');

    endif;

endif;

if (!empty($field_page_portfolio_filter_by_categories)):

    $args['tax_query'] = array(
        array(
            'taxonomy' => 'portfolio-categories',
            'field' => 'id',
            'terms' => $field_page_portfolio_filter_by_categories
        )
    );

endif;

if (!empty($field_page_portfolio_filter_by_tags)):

    $args['tax_query'] = array(
        array(
            'taxonomy' => 'portfolio-tags',
            'field' => 'id',
            'terms' => $field_page_portfolio_filter_by_tags
        )
    );

endif;

$the_query = new WP_Query($args);

$atts = array(
    'counter' => 0
);

if (!empty($the_query)):

    ?>

    <div class="draggable-slider">

        <div class="side content-side">

            <div class="slider-content-side">

                <div class="swiper-wrapper">

                    <?php while ($the_query->have_posts()) : $the_query->the_post();

                        $atts['counter']++;

                        JKD_Core::template('front-scene/draggable-slider/item', $atts);

                    endwhile;

                    ?>

                </div>

            </div>

        </div>

        <div class="draggable-button-wrapper">

            <div class="draggable-button">

                <div class="drag-icon upper-button">

                    <i class="ri-arrow-up-line"></i>

                </div>

                <div class="slider-pagination">

                </div>

                <div class="drag-icon down-button">

                    <i class="ri-arrow-down-line"></i>

                </div>

            </div>

        </div>

        <div class="side image-side">

            <div class="slider-image-side">

                <div class="swiper-wrapper">

                    <?php

                    if ($the_query->have_posts()) : ?>

                        <?php

                        while ($the_query->have_posts()) : $the_query->the_post();

                            ?>

                            <div class="swiper-slide">

                                <div class="image-wrapper"
                                     style="background-image: url('<?php the_post_thumbnail_url('jk-square-size-large'); ?>')">

                                </div>

                            </div>

                        <?php

                        endwhile;

                    endif;

                    ?>

                </div>

            </div>

        </div>

    </div>

<?php

endif;
