<?php defined('ABSPATH') || exit;
/*
 *
 */

$title = get_the_title();

$id = get_the_ID();

$counter = $atts['counter'];

$full_address = tribe_get_full_address($id);

$start_date = tribe_get_start_date(null);

$end_date = tribe_get_end_date(null, false);

$orginizer = tribe_get_organizer($id);

$cats = get_the_terms($id, 'tribe_events_cat');

?>

<div class="swiper-slide">

    <div class="inner-slide"
         style="background-image: url(<?php echo esc_url(get_the_post_thumbnail_url(get_the_ID(), 'jk-wide-size-full')); ?>)">

        <div class="content-wrapper container">

            <a class="orginizer" href="<?php echo esc_url(tribe_get_organizer_link(get_the_ID())); ?>">

                <?php echo esc_html__('by ','jkd-core' ) . $orginizer; ?>

            </a>

            <div class="title-wrapper">

                <h1 class="event-title">

                    <a href="<?php the_permalink(); ?>" class="multiline-hover">

                        <?php echo esc_html(wp_trim_words($title, 10, '...')) ?>

                    </a>

                </h1>

                <a href="<?php echo esc_url(get_term_link($cats[0]->term_id)) ?>" class="category">

                    <?php echo esc_html($cats[0]->name); ?>

                </a>

            </div>

            <div class="event-meta">

                <div class="meta-item event-date">

                    <i class="ri-time-line meta-icon"></i>

                    <div class="meta-content">

                        <?php

                        echo $start_date;

                        ?>

                    </div>

                </div>

                <?php if (tribe_has_venue(get_the_ID())): ?>

                    <div class="meta-item event-location">

                        <i class="ri-map-pin-2-line meta-icon"></i>

                        <div class="meta-content">

                            <?php

                            echo $full_address;

                            ?>

                        </div>

                    </div>

                <?php endif; ?>

            </div>

            <div class="read-more-wrapper">

                <a href="<?php the_permalink(); ?>"
                   class="jkd-button white-border-style animation-fill size-large">

                    <?php echo esc_html__('Reserve a Place', 'jkd-core'); ?>

                    <?php

                    $rtl = get_theme_mod('general-rtl-toggle', false);

                    if (!empty($_GET['rtl'])):

                        $rtl = $_GET['rtl'];

                    endif;

                    if ($rtl):

                        ?>

                        <i class="ri-arrow-left-line right-icon"></i>

                    <?php

                    else:

                        ?>

                        <i class="ri-arrow-right-line right-icon"></i>

                    <?php

                    endif;

                    ?>

                </a>

            </div>

        </div>

    </div>

</div>
