<?php defined('ABSPATH') || exit;

wp_enqueue_script('swiper');

wp_enqueue_style('swiper');

wp_enqueue_script(JKD_Core::$prefix . 'events-calendar');

wp_enqueue_style(JKD_Core::$prefix . 'events-calendar');

$posts_count = JKD_Helper::get_field('field_items_count');

$args = array(
    'posts_per_page' => $posts_count,
    'post_type' => 'tribe_events',
);

$args['orderby'] = 'meta_value';
$args['meta_key'] = '_EventStartDate';
$args['order'] = 'ASC';

$the_query = new WP_Query($args);

$counter = 0;

$atts = array(
    'counter' => 0
);

?>


<div class="events-calendar">

    <div class="background-slider-wrapper">

        <div class="swiper-container background-slider">

            <div class="swiper-wrapper">

                <?php

                if (!empty($the_query)):

                    if ($the_query->have_posts()) :

                        while ($the_query->have_posts()) : $the_query->the_post();

                            $atts['counter']++;

                            JKD_Core::template('front-scene/events-calendar/item', $atts);

                        endwhile;

                    endif;

                endif;

                ?>

            </div>

        </div>

    </div>

    <div class="navigation-slider-wrapper">

        <div class="slider-inner container">

            <div class="next-arrow navigation-arrow">

                <?php

                $rtl = get_theme_mod('general-rtl-toggle', false);

                if (!empty($_GET['rtl'])):

                    $rtl = $_GET['rtl'];

                endif;

                if ($rtl):

                    ?>

                    <i class="ri-arrow-left-line"></i>

                <?php

                else:

                    ?>

                    <i class="ri-arrow-right-line"></i>

                <?php

                endif;

                ?>

            </div>

            <div class="prev-arrow navigation-arrow">

                <?php

                $rtl = get_theme_mod('general-rtl-toggle', false);

                if (!empty($_GET['rtl'])):

                    $rtl = $_GET['rtl'];

                endif;

                if ($rtl):

                    ?>

                    <i class="ri-arrow-right-line"></i>

                <?php

                else:

                    ?>

                    <i class="ri-arrow-left-line"></i>

                <?php

                endif;

                ?>

            </div>

            <div class="swiper-container navigation-slider">

                <div class="swiper-wrapper">

                    <?php

                    if (!empty($the_query)):

                        if ($the_query->have_posts()) :

                            while ($the_query->have_posts()) : $the_query->the_post();

                                $full_address = tribe_get_full_address(get_the_ID());

                                $start_date_d = tribe_get_start_date(null, false, 'd');

                                $start_date_m = tribe_get_start_date(null, false, 'M');

                                $end_date = tribe_get_end_date(null, false);

                                $title = get_the_title();

                                $orginizer = tribe_get_organizer(get_the_ID());

                                ?>

                                <div class="swiper-slide">

                                    <div class="navigation-event">

                                        <div class="event-title">

                                            <div class="event-date">

                                                <span class="day">

                                                    <?php echo esc_html($start_date_d); ?>

                                                </span>

                                                <span class="month">

                                                     <?php echo esc_html($start_date_m); ?>

                                                </span>

                                            </div>

                                            <div class="title-side">

                                                <h6 class="title">

                                                    <?php echo esc_html(wp_trim_words($title, 10, '...')); ?>

                                                </h6>

                                                <?php if (tribe_has_organizer(get_the_ID())): ?>

                                                    <span class="orginizer">

                                                       <?php echo esc_html($orginizer); ?>

                                                </span>

                                                <?php endif; ?>

                                            </div>

                                        </div>

                                        <?php if (tribe_has_venue(get_the_ID())): ?>

                                            <div class="event-location">

                                                <i class="ri-map-pin-2-line meta-icon"></i>

                                                <div class="location">

                                                    <?php echo $full_address; ?>

                                                </div>

                                            </div>

                                        <?php endif; ?>

                                    </div>

                                </div>

                            <?php

                            endwhile;

                        endif;

                    endif;

                    ?>

                </div>

            </div>

        </div>

    </div>

</div>
