<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_enqueue_script(JKD_Core::$prefix . 'isotope');

wp_enqueue_style(JKD_Core::$prefix . 'isotope');

wp_enqueue_script(JKD_Core::$prefix . 'photo-swipe');

wp_enqueue_script(JKD_Core::$prefix . 'photo-swipe-ui');

wp_enqueue_style(JKD_Core::$prefix . 'photo-swipe');

wp_enqueue_style(JKD_Core::$prefix . 'photo-swipe-ui');

wp_enqueue_script(JKD_Core::$prefix . 'images-gallery');

wp_enqueue_style(JKD_Core::$prefix . 'images-gallery');

$images = JKD_Helper::get_field('field_gallery_images');

$atts = array();

$field_gallery_count = (int)JKD_Helper::get_field('field_items_count');

$field_gallery_offset = (int)JKD_Helper::get_field('field_gallery_offset');

$field_gallery_layout = JKD_Helper::get_field('field_gallery_layout');

$field_gallery_grid_type = JKD_Helper::get_field('field_gallery_grid_type');

$field_gallery_load_more = JKD_Helper::get_field('field_gallery_load_more');

$classes = array();

if ($field_gallery_layout === 'boxed'):

    array_push($classes, 'container boxed');

elseif ($field_gallery_layout === 'full-width'):

    array_push($classes, 'full-width');

endif;

$classes = implode(' ', $classes);

$images = array_slice($images, 0, $field_gallery_count);

?>

<div class="images-gallery">

    <div class="images-grid-wrapper <?php echo esc_attr($classes); ?>"
         style="padding: <?php echo esc_attr($field_gallery_offset); ?>px">

        <div class="images-grid isotope-grid" data-layout="<?php echo esc_attr($field_gallery_grid_type); ?>" itemscope
             itemtype="http://schema.org/ImageGallery">

            <?php

            if ($images):

                foreach ($images as $image_id):

                    $atts['image_id'] = $image_id;

                    JKD_Core::template('front-scene/images-gallery/item', $atts);

                endforeach;

            endif;

            ?>

        </div>

        <?php if ($field_gallery_load_more): ?>

            <div class="load-more-wrapper">

                <button class="load-more-button jkd-button default-border-style animation-slide">

                   <span>

                       <span>

                            <?php echo esc_html__('Load More', 'jkd-core'); ?>

                       </span>

                   </span>

                </button>

                <p class="load-more-message">

                    <?php echo esc_html__('No more images...','jkd-core');?>

                </p>

            </div>

        <?php endif; ?>

    </div>

</div>
