<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_enqueue_script(JKD_Core::$prefix . 'interactive-showcase');

wp_enqueue_style(JKD_Core::$prefix . 'interactive-showcase');

$posts_count = JKD_Helper::get_field('field_items_count');

$args = array(
    'posts_per_page' => $posts_count,
    'order' => 'DESC',
    'post_type' => 'portfolio',
);

$field_page_portfolio_filters = JKD_Helper::get_field('field_page_portfolio_filters');

if ($field_page_portfolio_filters):

    $field_page_portfolio_filters_type = JKD_Helper::get_field('field_page_portfolio_filters_type');

    if ($field_page_portfolio_filters_type === 'categories'):

        $field_page_portfolio_filter_by_categories = JKD_Helper::get_field('field_page_portfolio_filter_by_categories');

    endif;

    if ($field_page_portfolio_filters_type === 'tags'):

        $field_page_portfolio_filter_by_tags = JKD_Helper::get_field('field_page_portfolio_filter_by_tags');

    endif;

endif;

if (!empty($field_page_portfolio_filter_by_categories)):

    $args['tax_query'] = array(
        array(
            'taxonomy' => 'portfolio-categories',
            'field' => 'id',
            'terms' => $field_page_portfolio_filter_by_categories
        )
    );

endif;

if (!empty($field_page_portfolio_filter_by_tags)):

    $args['tax_query'] = array(
        array(
            'taxonomy' => 'portfolio-tags',
            'field' => 'id',
            'terms' => $field_page_portfolio_filter_by_tags
        )
    );

endif;

$the_query = new WP_Query($args);

$atts = array(
    'counter' => 0
);

if (!empty($the_query)):

    ?>

    <div class="interactive-showcase">

        <div class="left-side">

            <ul class="titles-list">

                <?php

                if ($the_query->have_posts()) :

                    while ($the_query->have_posts()) : $the_query->the_post();

                        $atts['counter']++;

                        JKD_Core::template('front-scene/interactive-showcase/item', $atts);

                    endwhile;

                endif;

                ?>

            </ul>

        </div>

        <div class="right-side">

            <div class="images-wrapper">

                <?php

                if ($the_query->have_posts()) :

                    while ($the_query->have_posts()) : $the_query->the_post();

                        ?>

                        <div class="image-wrapper"
                             style="background-image: url('<?php the_post_thumbnail_url('jk-square-size-full'); ?>')">

                        </div>

                    <?php

                    endwhile;

                endif;

                ?>

            </div>

        </div>

    </div>

<?php

endif;
