<?php defined('ABSPATH') || exit; ?>

<article class="list-item">

    <div class="item-inner">

        <?php
        /*
 *
 */

        $post = get_post();

        $title = get_the_title();

        $category = get_the_terms(get_the_ID(), 'portfolio-categories');

        $excerpt = get_the_excerpt();

        ?>

        <div class="overflow-wrapper">

            <div class="post-meta">

                <?php if (!empty($category)): ?>

                    <!-- category name -->
                    <a class="category" href="<?php echo esc_url(get_term_link($category[0]->term_id)); ?>">

                        <?php echo esc_html__('In ', 'jkd-core') . $category[0]->name; ?>

                    </a>

                <?php endif; ?>

                <p class="date">

                    <?php echo esc_html(get_the_date()); ?>

                </p>

            </div>

        </div>

        <div class="overflow-wrapper">

            <h3 class="post-title">

                <a href="<?php the_permalink(); ?>">

                    <?php echo esc_html(wp_trim_words($title, 10, '...')); ?>

                </a>

            </h3>

        </div>

        <div class="overflow-wrapper">

            <p class="excerpt">

                <?php echo wp_trim_words($excerpt, 25, '...'); ?>

            </p>

        </div>

        <div class="overflow-wrapper">

            <div class="read-more-wrapper">

                <a href="<?php the_permalink(); ?>"
                   class="jkd-button default-border-style animation-fill size-large">

                    <?php echo esc_html__('Explore Project', 'jkd-core'); ?>

                    <?php

                    $rtl = get_theme_mod('general-rtl-toggle', false);

                    if (!empty($_GET['rtl'])):

                        $rtl = $_GET['rtl'];

                    endif;

                    if ($rtl):

                        ?>

                        <i class="ri-arrow-left-line right-icon"></i>

                    <?php

                    else:

                        ?>

                        <i class="ri-arrow-right-line right-icon"></i>

                    <?php

                    endif;

                    ?>

                </a>

            </div>

        </div>

    </div>

    <span class="line"></span>

</article>
