<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_enqueue_script(JKD_Core::$prefix . 'minimal-list');

wp_enqueue_style(JKD_Core::$prefix . 'minimal-list');

$heading = get_theme_mod('portfolio-minimal-list-heading', '');

$button_text = get_theme_mod('portfolio-minimal-list-button-text', '');

$button_url = get_theme_mod('portfolio-minimal-list-button-url', '#');

$posts_count = JKD_Helper::get_field('field_items_count');

$args = array(
    'posts_per_page' => $posts_count,
    'order' => 'DESC',
    'post_type' => 'portfolio',
);

$field_page_portfolio_filters = JKD_Helper::get_field('field_page_portfolio_filters');

if ($field_page_portfolio_filters):

    $field_page_portfolio_filters_type = JKD_Helper::get_field('field_page_portfolio_filters_type');

    if ($field_page_portfolio_filters_type === 'categories'):

        $field_page_portfolio_filter_by_categories = JKD_Helper::get_field('field_page_portfolio_filter_by_categories');

    endif;

    if ($field_page_portfolio_filters_type === 'tags'):

        $field_page_portfolio_filter_by_tags = JKD_Helper::get_field('field_page_portfolio_filter_by_tags');

    endif;

endif;

if (!empty($field_page_portfolio_filter_by_categories)):

    $args['tax_query'] = array(
        array(
            'taxonomy' => 'portfolio-categories',
            'field' => 'id',
            'terms' => $field_page_portfolio_filter_by_categories
        )
    );

endif;

if (!empty($field_page_portfolio_filter_by_tags)):

    $args['tax_query'] = array(
        array(
            'taxonomy' => 'portfolio-tags',
            'field' => 'id',
            'terms' => $field_page_portfolio_filter_by_tags
        )
    );

endif;

$the_query = new WP_Query($args);

if (!empty($the_query)):

    ?>

    <div class="minimal-list">

        <div class="inner-container container">

            <div class="list-wrapper">

                <div class="images-overlay-wrapper">

                    <div class="image-overlay">

                        <?php

                        if ($the_query->have_posts()) :

                            while ($the_query->have_posts()) : $the_query->the_post();

                                ?>

                                <div class="image-wrapper"
                                     style="background-image: url('<?php the_post_thumbnail_url('jk-square-size-medium'); ?>')">

                                </div>

                            <?php

                            endwhile;

                        endif;

                        ?>

                    </div>

                </div>

                <?php if ($the_query->have_posts()) : ?>

                    <?php while ($the_query->have_posts()) : $the_query->the_post();

                        JKD_Core::template('front-scene/minimal-list/item');

                    endwhile; ?>

                <?php endif; ?>

            </div>

        </div>

    </div>

<?php

endif;
