<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_enqueue_script('swiper');

wp_enqueue_style('swiper');

wp_enqueue_script(JKD_Core::$prefix . 'products-showcase');

wp_enqueue_style(JKD_Core::$prefix . 'products-showcase');

wp_enqueue_style(JKD_Core::$prefix . 'woocommerce');

$posts_count = JKD_Helper::get_field('field_items_count');

$args = array(
    'posts_per_page' => $posts_count,
    'order' => 'DESC',
    'post_type' => 'product',
);

$field_page_portfolio_filters = JKD_Helper::get_field('field_page_portfolio_filters');

if ($field_page_portfolio_filters):

    $field_page_portfolio_filters_type = JKD_Helper::get_field('field_page_portfolio_filters_type');

    if ($field_page_portfolio_filters_type === 'categories'):

        $field_page_portfolio_filter_by_categories = JKD_Helper::get_field('field_page_portfolio_filter_by_categories');

    endif;

    if ($field_page_portfolio_filters_type === 'tags'):

        $field_page_portfolio_filter_by_tags = JKD_Helper::get_field('field_page_portfolio_filter_by_tags');

    endif;

endif;

if (!empty($field_page_portfolio_filter_by_categories)):

    $args['tax_query'] = array(
        array(
            'taxonomy' => 'portfolio-categories',
            'field' => 'id',
            'terms' => $field_page_portfolio_filter_by_categories
        )
    );

endif;

if (!empty($field_page_portfolio_filter_by_tags)):

    $args['tax_query'] = array(
        array(
            'taxonomy' => 'portfolio-tags',
            'field' => 'id',
            'terms' => $field_page_portfolio_filter_by_tags
        )
    );

endif;

$the_query = new WP_Query($args);

$counter = 0;

$atts = array(
    'counter' => 0
);

if (!empty($the_query)):

    ?>

    <div class="products-showcase woocommerce">

        <div class="pagination-wrapper">

        </div>

        <div class="left-side">

            <div class="content-slider swiper-container">

                <div class="swiper-wrapper">

                    <?php

                    if ($the_query->have_posts()) :

                        while ($the_query->have_posts()) : $the_query->the_post();

                            $product = wc_get_product(get_the_ID());

                            $title = $product->get_title();

                            $excerpt = $product->get_short_description();

                            $permalink = $product->get_permalink();

                            $price = $product->get_price_html();

                            ?>

                            <div class="swiper-slide">

                                <div class="content-wrapper">

                                    <?php if (!empty($title)): ?>

                                        <h1 class="title">

                                            <a href="<?php echo esc_url($permalink); ?>">

                                                <?php echo esc_html(wp_trim_words($title, 10, '...')); ?>

                                            </a>

                                        </h1>

                                    <?php endif; ?>

                                    <?php if (!empty($price)): ?>

                                        <div class="price">

                                            <?php echo $price; ?>

                                        </div>

                                    <?php endif; ?>

                                    <?php if (!empty($excerpt)): ?>

                                        <p class="excerpt">

                                            <?php echo esc_html(wp_trim_words($excerpt, 18, '...')); ?>

                                        </p>

                                    <?php endif; ?>

                                    <?php if (!empty($permalink)): ?>

                                        <div class="read-more-wrapper">

                                            <a href="<?php echo esc_url($permalink); ?>"
                                               class="jkd-button default-border-style animation-fill size-large">

                                                <?php echo esc_html__('Buy Now', 'jkd-core'); ?>

                                                <?php

                                                $rtl = get_theme_mod('general-rtl-toggle', false);

                                                if (!empty($_GET['rtl'])):

                                                    $rtl = $_GET['rtl'];

                                                endif;

                                                if ($rtl):

                                                    ?>

                                                    <i class="ri-arrow-left-line right-icon"></i>

                                                <?php

                                                else:

                                                    ?>

                                                    <i class="ri-arrow-right-line right-icon"></i>

                                                <?php

                                                endif;

                                                ?>

                                            </a>

                                        </div>

                                    <?php endif; ?>

                                </div>

                            </div>

                        <?php

                        endwhile;

                    endif;

                    ?>

                </div>

            </div>

        </div>

        <div class="right-side">

            <div class="swiper-container navigation-slider">

                <div class="swiper-wrapper">

                    <?php

                    if ($the_query->have_posts()) :

                        while ($the_query->have_posts()) : $the_query->the_post();

                            $post = get_post();

                            $product = wc_get_product(get_the_ID());

                            $title = $product->get_title();

                            $price = $product->get_price_html();

                            $rating = wc_get_rating_html($product->get_average_rating());

                            ?>

                            <div class="swiper-slide">

                                <div class="product-card">

                                    <div class="cart-inner">

                                        <div class="rating-wrapper">

                                            <?php echo $rating; ?>

                                        </div>

                                        <span class="badges-wrapper">

                                        <?php

                                        $newness_days = (int)get_theme_mod('shop-newest-items-treshhold', '3');

                                        if (!empty($_GET['newness_days'])):

                                            $newness_days = $_GET['newness_days'];

                                        endif;

                                        $field_new_label = JKD_Helper::get_field('field_new_label', get_the_ID());

                                        $created = strtotime($product->get_date_created());

                                        if ((time() - (60 * 60 * 24 * $newness_days)) < $created || $field_new_label) :

                                            echo '<span class="itsnew">' . esc_html__('New!', 'jkd-core') . '</span>';

                                        endif;

                                        if (!$product->is_in_stock()) :

                                            echo '<span class="sold-out-badge">' . esc_html__("Sold Out", "jkd-core") . '</span>';

                                        endif;

                                        if ($product->is_on_sale()) :

                                            echo apply_filters('woocommerce_sale_flash', '<span class="onsale">' . esc_html__('Sale!', 'jkd-core') . '</span>', $post, $product);

                                        endif;

                                        ?>

                                    </span>

                                        <?php

                                        echo JKD_Theme::render_image($product->get_image_id(),
                                            'jk-vertical-size-large');

                                        ?>

                                        <div class="cart-content">

                                        </div>

                                    </div>

                                </div>

                            </div>

                        <?php

                        endwhile;

                    endif;

                    ?>

                </div>

            </div>

            <div class="slider-navigation-bar">

                <div class="navigation-arrows">

                    <div class="arrow-button prev-arrow">

                        <i class="ri-arrow-left-s-line"></i>

                    </div>

                    <div class="arrow-button next-arrow">

                        <i class="ri-arrow-right-s-line"></i>

                    </div>

                </div>

                <div class="pagination-numbers">


                </div>

            </div>

        </div>

    </div>

<?php

endif;
