<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_enqueue_script('swiper');

wp_enqueue_style('swiper');

wp_enqueue_script(JKD_Core::$prefix . 'product-slider');

wp_enqueue_style(JKD_Core::$prefix . 'product-slider');

wp_enqueue_style(JKD_Core::$prefix . 'woocommerce');

$posts_count = JKD_Helper::get_field('field_items_count');

$args = array(
    'posts_per_page' => $posts_count,
    'order' => 'DESC',
    'post_type' => 'product',
);

$the_query = new WP_Query($args);

$counter = 0;

$atts = array(
    'counter' => 0
);

if (!empty($the_query)):

    ?>

    <div class="product-slider-inner woocommerce">

        <div class="product-slider swiper-container">

            <div class="swiper-wrapper">

                <?php

                if ($the_query->have_posts()) :

                    while ($the_query->have_posts()) : $the_query->the_post();

                        $post = get_post(get_the_ID());

                        $product = wc_get_product(get_the_ID());

                        $title = $product->get_title();

                        $excerpt = $product->get_short_description();

                        $permalink = $product->get_permalink();

                        $price = $product->get_price_html();

                        $rating = wc_get_rating_html($product->get_average_rating());

                        ?>

                        <div class="swiper-slide">

                            <div class="inner-slide">

                                <a class="header-wrapper" href="<?php echo esc_url($permalink); ?>">

                                    <div class="rating-wrapper">

                                        <?php echo $rating; ?>

                                    </div>

                                    <span class="badges-wrapper">

                                        <?php

                                        $newness_days = (int)get_theme_mod('shop-newest-items-treshhold', '3');

                                        if (!empty($_GET['newness_days'])):

                                            $newness_days = $_GET['newness_days'];

                                        endif;

                                        $field_new_label = JKD_Helper::get_field('field_new_label', get_the_ID());

                                        $created = strtotime($product->get_date_created());

                                        if ((time() - (60 * 60 * 24 * $newness_days)) < $created || $field_new_label) :

                                            echo '<span class="itsnew">' . esc_html__('New!', 'jkd-core') . '</span>';

                                        endif;

                                        if (!$product->is_in_stock()) :

                                            echo '<span class="sold-out-badge">' . esc_html__("Sold Out", "jkd-core") . '</span>';

                                        endif;

                                        if ($product->is_on_sale()) :

                                            echo apply_filters('woocommerce_sale_flash', '<span class="onsale">' . esc_html__('Sale!', 'jkd-core') . '</span>', $post, $product);

                                        endif;

                                        ?>

                                    </span>

                                    <?php

                                    echo JKD_Theme::render_image($product->get_image_id(),
                                        'jk-vertical-size-medium');

                                    ?>

                                </a>

                                <div class="content-wrapper">

                                    <?php if (!empty($title)): ?>

                                        <h5 class="title">

                                            <a href="<?php echo esc_url($permalink); ?>">

                                                <?php echo esc_html(wp_trim_words($title, 10, '...')); ?>

                                            </a>

                                        </h5>

                                    <?php endif; ?>

                                    <?php if (!empty($price)): ?>

                                        <div class="price">

                                            <?php echo $price; ?>

                                        </div>

                                    <?php endif; ?>

                                </div>

                            </div>

                        </div>

                    <?php

                    endwhile;

                endif;

                ?>

            </div>

        </div>

        <div class="navigation-arrows">

            <div class="arrow-button prev-arrow">

                <?php

                $rtl = get_theme_mod('general-rtl-toggle', false);

                if (!empty($_GET['rtl'])):

                    $rtl = $_GET['rtl'];

                endif;

                if ($rtl):

                    ?>

                    <i class="ri-arrow-right-line"></i>

                <?php

                else:

                    ?>

                    <i class="ri-arrow-left-line"></i>

                <?php

                endif;

                ?>

            </div>

            <div class="arrow-button next-arrow">

                <?php

                $rtl = get_theme_mod('general-rtl-toggle', false);

                if (!empty($_GET['rtl'])):

                    $rtl = $_GET['rtl'];

                endif;

                if ($rtl):

                    ?>

                    <i class="ri-arrow-left-line"></i>

                <?php

                else:

                    ?>

                    <i class="ri-arrow-right-line"></i>

                <?php

                endif;

                ?>

            </div>

        </div>

        <div class="pagination-numbers">

        </div>

    </div>

<?php

endif;
