<?php defined('ABSPATH') || exit;
/*
 *
 */

$title = get_the_title();

$excerpt = get_the_excerpt();

$counter = $atts['counter'];

$image_id = get_post_thumbnail_id(get_the_ID());

$category = get_the_terms(get_the_ID(), 'portfolio-categories');

$date = get_the_date();

?>

<div class="swiper-slide">

    <div class="slide-inner">

        <div class="slide-header">

            <div class="top-wrapper">

                <span class="counter">

                    <?php

                    if ($atts['counter'] < 10):

                        echo esc_html('0' . $atts['counter']);

                    elseif ($atts['counter'] >= 10):

                        echo esc_html($atts['counter']);

                    endif;

                    ?>

                </span>

            </div>

            <div class="inner-body">

                <div class="meta-wrapper">

                    <?php if (!empty($category)): ?>

                        <!-- category name -->
                        <a class="category" href="<?php echo esc_url(get_term_link($category[0]->term_id)); ?>">

                            <?php echo esc_html('In ' . $category[0]->name); ?>

                        </a>

                    <?php endif; ?>

                    <p class="date">

                        <?php echo esc_html(get_the_date()); ?>

                    </p>

                </div>

                <h4 class="title">

                    <a href="<?php the_permalink(); ?>" class="multiline-hover">

                        <?php echo esc_html(wp_trim_words($title, 10, '...')); ?>

                    </a>

                </h4>

                <div class="excerpt">

                    <p> <?php echo esc_html(wp_trim_words($excerpt, 10, '...')); ?></p>

                </div>

                <div class="read-more-wrapper">

                    <a href="<?php the_permalink(); ?>" class="read-more-button">

                        <?php echo esc_html__('Explore Project', 'jkd-core'); ?>

                        <?php

                        $rtl = get_theme_mod('general-rtl-toggle', false);

                        if (!empty($_GET['rtl'])):

                            $rtl = $_GET['rtl'];

                        endif;

                        if ($rtl):

                            ?>

                            <i class="ri-arrow-left-line"></i>

                        <?php

                        else:

                            ?>

                            <i class="ri-arrow-right-line"></i>

                        <?php

                        endif;

                        ?>

                    </a>

                </div>

            </div>

        </div>

        <div class="slide-footer">

            <a class="image-wrapper" href="<?php the_permalink(); ?>"
               style="background-image: url(<?php echo esc_url(get_the_post_thumbnail_url(get_the_ID(), 'jk-wide-size-medium')); ?>);">

            </a>

        </div>

    </div>

</div>
