<?php defined('ABSPATH') || exit;
/*
 *
 */


wp_enqueue_script(JKD_Core::$prefix . 'showcase-slider');

wp_enqueue_style(JKD_Core::$prefix . 'showcase-slider');

wp_enqueue_script('swiper');

wp_enqueue_style('swiper');

$posts_count = JKD_Helper::get_field('field_items_count');

$image_bg = JKD_Helper::get_field('field_showcase_background');

$args = array(
    'posts_per_page' => $posts_count,
    'order' => 'DESC',
    'post_type' => 'portfolio',
);

$field_page_portfolio_filters = JKD_Helper::get_field('field_page_portfolio_filters');

if ($field_page_portfolio_filters):

    $field_page_portfolio_filters_type = JKD_Helper::get_field('field_page_portfolio_filters_type');

    if ($field_page_portfolio_filters_type === 'categories'):

        $field_page_portfolio_filter_by_categories = JKD_Helper::get_field('field_page_portfolio_filter_by_categories');

    endif;

    if ($field_page_portfolio_filters_type === 'tags'):

        $field_page_portfolio_filter_by_tags = JKD_Helper::get_field('field_page_portfolio_filter_by_tags');

    endif;

endif;

if (!empty($field_page_portfolio_filter_by_categories)):

    $args['tax_query'] = array(
        array(
            'taxonomy' => 'portfolio-categories',
            'field' => 'id',
            'terms' => $field_page_portfolio_filter_by_categories
        )
    );

endif;

if (!empty($field_page_portfolio_filter_by_tags)):

    $args['tax_query'] = array(
        array(
            'taxonomy' => 'portfolio-tags',
            'field' => 'id',
            'terms' => $field_page_portfolio_filter_by_tags
        )
    );

endif;

$field_page_portfolio_filters = JKD_Helper::get_field('field_page_portfolio_filters');

if ($field_page_portfolio_filters):

    $field_page_portfolio_filters_type = JKD_Helper::get_field('field_page_portfolio_filters_type');

    if ($field_page_portfolio_filters_type === 'categories'):

        $field_page_portfolio_filter_by_categories = JKD_Helper::get_field('field_page_portfolio_filter_by_categories');

    endif;

    if ($field_page_portfolio_filters_type === 'tags'):

        $field_page_portfolio_filter_by_tags = JKD_Helper::get_field('field_page_portfolio_filter_by_tags');

    endif;

endif;

if (!empty($field_page_portfolio_filter_by_categories)):

    $args['tax_query'] = array(
        array(
            'taxonomy' => 'portfolio-categories',
            'field' => 'id',
            'terms' => $field_page_portfolio_filter_by_categories
        )
    );

endif;

if (!empty($field_page_portfolio_filter_by_tags)):

    $args['tax_query'] = array(
        array(
            'taxonomy' => 'portfolio-tags',
            'field' => 'id',
            'terms' => $field_page_portfolio_filter_by_tags
        )
    );

endif;

$the_query = new WP_Query($args);

$counter = 0;

$atts = array(
    'counter' => 0
);

if (!empty($the_query)):

    ?>

    <div class="slider-wrapper container"
         style="background-image: url(<?php echo esc_url(wp_get_attachment_image_url($image_bg, 'full')); ?>)">

        <div class="navigation-wrapper container">

            <ul class="navigation-list">

                <?php

                if ($the_query->have_posts()) :

                    while ($the_query->have_posts()) : $the_query->the_post();

                        $title = get_the_title();

                        ?>

                        <li class="list-item">

                            <?php echo esc_html($title); ?>

                        </li>

                    <?php

                    endwhile;

                endif;

                ?>

            </ul>

        </div>

        <div class="swiper-carousel showcase-slider">

            <div class="swiper-wrapper">

                <?php

                if ($the_query->have_posts()) :

                    while ($the_query->have_posts()) : $the_query->the_post();

                        $atts['counter']++;

                        JKD_Core::template('front-scene/showcase-slider/item', $atts);

                    endwhile;

                endif;

                ?>

            </div>

        </div>

        <div class="bottom-wrapper container">

            <div class="pagination-wrapper">

            </div>

            <div class="navigation-arrows">

                <div class="navigation-button navigation-button-prev">

                    <?php

                    $rtl = get_theme_mod('general-rtl-toggle', false);

                    if (!empty($_GET['rtl'])):

                        $rtl = $_GET['rtl'];

                    endif;

                    if ($rtl):

                        ?>

                        <i class="ri-arrow-right-line"></i>

                    <?php

                    else:

                        ?>

                        <i class="ri-arrow-left-line"></i>

                    <?php

                    endif;

                    ?>

                </div>

                <div class="navigation-button navigation-button-next">

                    <?php

                    $rtl = get_theme_mod('general-rtl-toggle', false);

                    if (!empty($_GET['rtl'])):

                        $rtl = $_GET['rtl'];

                    endif;

                    if ($rtl):

                        ?>

                        <i class="ri-arrow-left-line"></i>

                    <?php

                    else:

                        ?>

                        <i class="ri-arrow-right-line"></i>

                    <?php

                    endif;

                    ?>

                </div>

            </div>

        </div>

    </div>

<?php

endif;
