<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_enqueue_script(JKD_Core::$prefix . 'isotope');

wp_enqueue_script(JKD_Core::$prefix . 'tiles-grid');

wp_enqueue_style(JKD_Core::$prefix . 'tiles-grid');

$posts_count = JKD_Helper::get_field('field_items_count');

$args = array(
    'posts_per_page' => $posts_count,
    'order' => 'DESC',
    'post_type' => 'portfolio',
);

$field_page_portfolio_filters = JKD_Helper::get_field('field_page_portfolio_filters');

if ($field_page_portfolio_filters):

    $field_page_portfolio_filters_type = JKD_Helper::get_field('field_page_portfolio_filters_type');

    if ($field_page_portfolio_filters_type === 'categories'):

        $field_page_portfolio_filter_by_categories = JKD_Helper::get_field('field_page_portfolio_filter_by_categories');

    endif;

    if ($field_page_portfolio_filters_type === 'tags'):

        $field_page_portfolio_filter_by_tags = JKD_Helper::get_field('field_page_portfolio_filter_by_tags');

    endif;

endif;

if (!empty($field_page_portfolio_filter_by_categories)):

    $args['tax_query'] = array(
        array(
            'taxonomy' => 'portfolio-categories',
            'field' => 'id',
            'terms' => $field_page_portfolio_filter_by_categories
        )
    );

endif;

if (!empty($field_page_portfolio_filter_by_tags)):

    $args['tax_query'] = array(
        array(
            'taxonomy' => 'portfolio-tags',
            'field' => 'id',
            'terms' => $field_page_portfolio_filter_by_tags
        )
    );

endif;

$the_query = new WP_Query($args);

$atts = array(
    'counter' => 0
);

$ticker_text = JKD_Helper::get_field('field_tiles_grid_ticker');

/* get categories */
$categories = get_terms(array(
    'taxonomy' => 'portfolio-categories',
    'hide_empty' => false,
));

if (!empty($the_query)):

    ?>

    <div class="tiles-grid" data-layout="fitRows">

        <?php if (!empty($ticker_text)): ?>


        <?php endif; ?>

        <div class="tiles-grid-inner container-fluid">

            <div class="filter-sidebar">

                <div class="overflow-wrapper">

                    <h6 class="filter-by-title">

                        <?php echo esc_html__('Filter By', 'jkd-core'); ?>

                    </h6>

                </div>

                <?php

                $total = 0;

                foreach ($categories as $category):

                    $total += $category->count;

                endforeach;

                ?>

                <!-- portfolio filters -->
                <ul class="filters">

                    <!-- filter item -->
                    <li class="filter-item active" data-category="*">

                        <!-- filter value -->
                        <p class="filter-value">

                            <?php

                            /* output all */
                            echo esc_html__('All Items', 'jkd-core');

                            ?>

                            <span class="count-label">

                            <?php echo esc_attr($total); ?>

                        </span>

                        </p>

                    </li>

                    <?php

                    if (!empty($categories)):

                        /* categories loop */
                        foreach ($categories as $category):

                            if (!empty($category)):

                                ?>

                                <!-- filter item -->
                                <li class="filter-item"
                                    data-category="<?php echo esc_attr('.' . $category->slug); ?>">

                                    <!-- filter value -->
                                    <p class="filter-value">
                                        <?php

                                        /* output category name */
                                        echo esc_html($category->name);

                                        ?>

                                        <span class="count-label">

                                        <?php echo esc_html($category->count); ?>

                                    </span>

                                    </p>

                                </li>

                            <?php endif;

                        endforeach;

                    endif;

                    ?>

                </ul>

            </div>

            <div class="grid-wrapper">

                <div class="grid isotope-grid">

                    <?php

                    if ($the_query->have_posts()) :

                        while ($the_query->have_posts()) : $the_query->the_post();

                            $atts['counter']++;

                            JKD_Core::template('front-scene/tiles-grid/item', $atts);

                        endwhile;

                    endif;

                    ?>

                </div>

            </div>

        </div>

    </div>

<?php endif; ?>
