<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_enqueue_script('swiper');

wp_enqueue_style('swiper');

wp_enqueue_script(JKD_Core::$prefix . 'titles-slider');

wp_enqueue_style(JKD_Core::$prefix . 'titles-slider');

$posts_count = JKD_Helper::get_field('field_items_count');

$args = array(
    'posts_per_page' => $posts_count,
    'order' => 'DESC',
    'post_type' => 'portfolio',
);

$field_page_portfolio_filters = JKD_Helper::get_field('field_page_portfolio_filters');

if ($field_page_portfolio_filters):

    $field_page_portfolio_filters_type = JKD_Helper::get_field('field_page_portfolio_filters_type');

    if ($field_page_portfolio_filters_type === 'categories'):

        $field_page_portfolio_filter_by_categories = JKD_Helper::get_field('field_page_portfolio_filter_by_categories');

    endif;

    if ($field_page_portfolio_filters_type === 'tags'):

        $field_page_portfolio_filter_by_tags = JKD_Helper::get_field('field_page_portfolio_filter_by_tags');

    endif;

endif;

if (!empty($field_page_portfolio_filter_by_categories)):

    $args['tax_query'] = array(
        array(
            'taxonomy' => 'portfolio-categories',
            'field' => 'id',
            'terms' => $field_page_portfolio_filter_by_categories
        )
    );

endif;

if (!empty($field_page_portfolio_filter_by_tags)):

    $args['tax_query'] = array(
        array(
            'taxonomy' => 'portfolio-tags',
            'field' => 'id',
            'terms' => $field_page_portfolio_filter_by_tags
        )
    );

endif;

$the_query = new WP_Query($args);

$counter = 0;

$atts = array(
    'counter' => 0
);

if (!empty($the_query)):

    ?>

    <div class="titles-slider swiper-container">

        <div class="swiper-wrapper">

            <?php

            if ($the_query->have_posts()) :

                while ($the_query->have_posts()) : $the_query->the_post();

                    $field_portfolio_item_type = JKD_Helper::get_field('field_portfolio_item_type');

                    if ($field_portfolio_item_type !== 'gif' && $field_portfolio_item_type !== 'video'):

                        $title = get_the_title();

                        $category = get_the_terms(get_the_ID(), 'portfolio-categories');

                        $date = get_the_date();

                        $counter = $atts['counter'];

                        $atts['counter']++;

                        ?>

                        <div class="swiper-slide">

                            <a href="<?php the_permalink(); ?>" class="link-overlay"></a>

                            <div class="title-wrapper">

                            <span class="counter">

                            <?php

                            if ($atts['counter'] < 10):

                                echo esc_html('0' . $atts['counter']);

                            elseif ($atts['counter'] >= 10):

                                echo esc_html($atts['counter']);

                            endif;

                            ?>

                        </span>

                                <h1 class="extra-h1 title">

                                    <?php echo esc_html(wp_trim_words($title, 4, '...')); ?>

                                </h1>

                                <?php

                                $rtl = get_theme_mod('general-rtl-toggle', false);

                                if (!empty($_GET['rtl'])):

                                    $rtl = $_GET['rtl'];

                                endif;

                                if ($rtl):

                                    ?>

                                    <i class="ri-arrow-left-line"></i>

                                <?php

                                else:

                                    ?>

                                    <i class="ri-arrow-right-line"></i>

                                <?php

                                endif;

                                ?>

                            </div>

                        </div>

                    <?php

                    endif;

                endwhile;

            endif;

            ?>

        </div>

    </div>

    <div class="background-slider">

        <div class="swiper-wrapper">

            <?php

            if ($the_query->have_posts()) :

                while ($the_query->have_posts()) : $the_query->the_post();

                    $field_portfolio_item_type = JKD_Helper::get_field('field_portfolio_item_type');

                    if ($field_portfolio_item_type !== 'gif' && $field_portfolio_item_type !== 'video'):

                        ?>

                        <div class="swiper-slide">

                            <div class="image-wrapper"
                                 style="background-image: url(<?php echo esc_url(get_the_post_thumbnail_url(get_the_ID(), 'full')); ?>)">

                            </div>

                        </div>

                    <?php

                    endif;

                endwhile;

            endif;

            ?>

        </div>

    </div>

<?php

endif;
