<?php defined('ABSPATH') || exit;
/*
 *
 */

$title = get_the_title();

$excerpt = get_the_excerpt();

$category = get_the_terms(get_the_ID(), 'portfolio-categories');

$date = get_the_date();

$counter = $atts['counter'];

$max = $atts['max'];

?>

<div class="swiper-slide">

    <div class="background-overlay"
         style="background-image: url(<?php echo esc_url(get_the_post_thumbnail_url(get_the_ID(), 'full')) ?>)">


    </div>

    <div class="container content-overlay">

        <p class="date">

            <?php echo esc_html($date); ?>

        </p>

        <h1 class="project-title extra-h1">

            <a href="<?php the_permalink(); ?>" class="multiline-hover white-hover">

                <?php echo esc_html(wp_trim_words($title, 10, '...')); ?>

            </a>

        </h1>

        <p class="project-description">

            <?php echo esc_html(wp_trim_words($excerpt, 15, '...')); ?>

        </p>

        <ul class="meta-wrapper">

            <li class="meta-item">

                <span class="meta-title">

                    <?php echo esc_html__('Slide:', 'jkd-core'); ?>

                </span>

                <p class="value">

                    <?php if ($counter < 10): ?>

                        <?php echo esc_html('0' . $counter); ?>

                    <?php else: ?>

                        <?php echo esc_html($counter); ?>

                    <?php endif; ?>

                    /

                    <?php echo esc_html($max); ?>

                </p>

            </li>

            <li class="meta-item">

                <span class="meta-title">

                    <?php echo esc_html__('Category:', 'jkd-core'); ?>

                </span>

                <a href="<?php echo esc_url(get_term_link($category[0]->term_id)) ?>" class="value">

                    <?php echo esc_html($category[0]->name); ?>

                </a>

            </li>

        </ul>

        <div class="buttons-wrapper">

            <a href="<?php the_permalink(); ?>" class="learn-more-button">

                <?php echo esc_html__('Learn More', 'jkd-core'); ?>

            </a>

        </div>

    </div>

</div>
