<?php defined('ABSPATH') || exit;
/*
 *
 */

$title = get_the_title();

$category = get_the_terms(get_the_ID(), 'portfolio-categories');

$image_id = get_post_thumbnail_id(get_the_ID());

$counter = $atts['counter'];

?>

    <div class="swiper-slide">

        <div class="overflow-wrapper">

            <div class="portfolio-card <?php echo esc_attr('portfolio-card' . $counter); ?>"
                 data-image-id="<?php echo esc_attr($image_id); ?>"
                 data-card-index="<?php echo esc_attr($counter); ?>">

                <?php if (!empty($image_id)): ?>

                    <div class="card-header image-wrapper plane <?php echo esc_attr('plane' . $counter); ?>">

                        <a id="<?php echo esc_attr('canvas' . $counter); ?>" class="canvas" href="<?php the_permalink(); ?>">

                        </a>

                        <p class="loader">

                            <i class="ri-loader-4-fill"></i>

                        </p>

                        <img data-sampler="texture0" alt="<?php echo esc_html__('webgl plane', 'jkd-core'); ?>"
                             class="attachment-jk-vertical-size-large size-jk-vertical-size-large"
                             sizes="(max-width: 300px) 300px, (max-width: 540px) 540px, (max-width: 768px) 768px, (max-width: 1024px) 1024px"
                             srcset="<?php echo wp_get_attachment_image_url($image_id, 'jk-vertical-size-large') . ' 1024w'
                                 . ',' . wp_get_attachment_image_url($image_id, 'jk-vertical-size-medium') . ' 768w'
                                 . ',' . wp_get_attachment_image_url($image_id, 'jk-vertical-size-small') . ' 540w'
                                 . ',' . wp_get_attachment_image_url($image_id, 'jk-vertical-size-extra-small') . ' 300w'; ?>"
                             src="<?php echo esc_url(get_the_post_thumbnail_url(get_the_ID(), 'jk-vertical-size-large')); ?>"
                             crossorigin="anonymous"/>

                    </div>

                <?php endif; ?>

                <?php if (!empty($title)): ?>

                    <div class="card-body">

                        <a href="<?php the_permalink(); ?>" class="link-overlay"></a>

                        <h5 class="title">

                            <?php echo esc_html(wp_trim_words($title, 5, '...')); ?>

                        </h5>

                        <div class="card-counter">

                            <?php if ($counter < 10): ?>

                                <?php echo esc_html('0' . $counter); ?>

                            <?php else: ?>

                                <?php echo esc_html($counter); ?>

                            <?php endif; ?>

                            <?php if (!empty($category)): ?>

                                <p class="category-name">

                                    <?php echo esc_html($category[0]->name); ?>

                                </p>

                            <?php endif; ?>

                        </div>

                    </div>

                <?php endif; ?>

            </div>

        </div>

    </div>

<?php
