<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_enqueue_script(JKD_Core::$prefix . 'navigation-default');

wp_enqueue_style(JKD_Core::$prefix . 'navigation-default');

$labels_toggle = get_theme_mod('nav-labels-toggle', 0);

$color_switcher_toggle = get_theme_mod('nav-color-switcher-toggle', 1);

$logotype_toggle = get_theme_mod('nav-logotype-toggle', 1);

$account_toggle = get_theme_mod('nav-my-account-toggle', '1');

$account_modal_toggle = get_theme_mod('authorization-modal-toggle', '1');

$newsletter_toggle = get_theme_mod('nav-newsletter-toggle', '1');

$newsletter_form_toggle = get_theme_mod('newsletter-form-toggle', '1');

$cart_toggle = get_theme_mod('nav-cart-toggle', 1);

$wishlist_toggle = get_theme_mod('nav-wishlist-toggle', 1);

$logotype = get_theme_mod('branding-logotype');

$additional_icons = get_theme_mod('navigation-additional-icons-list');

$search_form_toggle = get_theme_mod('search-form-toggle', 1);

$search_form_toggle_location = get_theme_mod('search-form-toggle-location', 'sticky');

if (!empty($_GET['logotype'])):

    $logotype = $_GET['logotype'];

endif;

$logotype_mobile = get_theme_mod('branding-mini-logotype');

$logotype_dark = get_theme_mod('branding-logotype-dark');

if (!empty($_GET['logotype_mobile'])):

    $logotype_dark = $_GET['logotype_mobile'];

endif;

$logotype_mobile_dark = get_theme_mod('branding-mini-logotype-dark');

$logotype_width = get_theme_mod('branding-logotype-width', '150');

$logotype_mobile_width = get_theme_mod('branding-logotype-mobile-width', '75');

?>

<?php if ($logotype_toggle && !empty($logotype)): ?>

    <div class="overflow-wrapper">

        <?php if (!empty($logotype)): ?>

            <!-- Theme Logotype -->
            <div class="theme-logo nav-item">

                <a href="<?php echo esc_url(home_url('/')); ?>">

                    <img src="<?php echo esc_url($logotype); ?>"
                         alt="<?php echo esc_attr(get_bloginfo('name')); ?>"
                         style="width: <?php echo esc_attr($logotype_width . 'px'); ?>">

                </a>

            </div>

        <?php else: ?>

            <br>

        <?php endif; ?>

        <?php if (!empty($logotype_dark)): ?>

            <!-- Theme Logotype -->
            <div class="theme-logo-dark nav-item">

                <a href="<?php echo esc_url(home_url('/')); ?>">

                    <img src="<?php echo esc_url($logotype_dark); ?>"
                         alt="<?php echo esc_attr(get_bloginfo('name')); ?>"
                         style="width: <?php echo esc_attr($logotype_width . 'px'); ?>">

                </a>

            </div>

        <?php else: ?>

            <br>

        <?php endif; ?>

    </div>

<?php endif; ?>

    <div class="navigation-menu-side">

        <?php if (has_nav_menu('primary_menu')) : ?>

            <div class="menu-list-wrapper">

                <?php

                wp_nav_menu(array(
                    'theme_location' => 'primary_menu',
                    'menu' => 'primary_menu',
                    'menu_class' => 'menu-list active-list',
                    'container' => '',
                    'walker' => new JKD_Walker()
                ));

                ?>

            </div>

        <?php else: ?>

            <p class="empty-menu-message">

                <i class="ri-error-warning-line"></i>

                <?php echo esc_html__('Please setup your navigation menu', 'jkd-core'); ?>

            </p>

        <?php endif; ?>

        <?php if ($cart_toggle || $account_toggle || $account_modal_toggle || $wishlist_toggle || $newsletter_toggle || $newsletter_form_toggle): ?>

            <div class="actions-side">

                <?php

                if (class_exists('WooCommerce')):

                    if ($cart_toggle):

                        $cart_style = get_theme_mod('nav-cart-style', 'sub-menu');

                        if (!empty($_GET['cart-style'])):

                            $cart_style = $_GET['cart-style'];

                        endif;

                        ?>

                        <div class="action-toggle shopping-cart-toggle">

                            <div class="overflow-wrapper">

                                <a class="toggle-inner nav-item"
                                   data-tippy-content="<?php echo esc_html__('Cart', 'jkd-core'); ?>"
                                   data-tippy-placement="bottom"
                                    <?php if ($cart_style === 'default'): ?>
                                        href="<?php echo esc_url(wc_get_cart_url()); ?>"
                                    <?php endif; ?>>

                                    <?php if (!empty(WC()->cart->cart_contents_count)): ?>

                                        <span class="count-label cart-count">

                                    <?php echo esc_html(WC()->cart->cart_contents_count); ?>

                                </span>

                                    <?php endif; ?>

                                    <i class="ri-shopping-bag-2-line toggle-icon"></i>

                                </a>

                            </div>

                            <?php

                            if ($cart_style === 'sub-menu'):

                                JKD_Core::template('shop/cart/cart-sub-menu');

                            elseif ($cart_style === 'panel'):

                                JKD_Core::template('shop/cart/cart-panel');

                            endif;

                            ?>

                        </div>

                    <?php

                    endif;

                    if (function_exists('tinv_get_option_defaults') && $wishlist_toggle):

                        $wlisturl = tinv_url_wishlist_default();

                        $wlicount = tinvwl_get_wishlist_products();

                        ?>

                        <a class="action-toggle wishlist-toggle" href="<?php echo esc_url($wlisturl); ?>">

                            <div class="overflow-wrapper">

                                <div class="toggle-inner nav-item"
                                     data-tippy-content="<?php echo esc_html__('Wishlist', 'jkd-core'); ?>"
                                     data-tippy-placement="bottom">

                                    <?php if (!empty($wlicount)): ?>

                                        <p class="count-label">

                                            <?php echo esc_html(count($wlicount)); ?>

                                        </p>

                                    <?php endif; ?>

                                    <i class="ri-heart-line toggle-icon"></i>

                                </div>

                            </div>

                        </a>

                    <?php

                    endif;

                endif;

                if ($account_toggle && $account_modal_toggle): ?>

                    <div class="action-toggle authorize-toggle">

                        <div class="overflow-wrapper">

                            <?php if (is_user_logged_in()): ?>

                                <a href="<?php echo esc_url(get_author_posts_url(get_current_user_id())); ?>"
                                   class="toggle-inner nav-item"
                                   data-tippy-content="<?php echo esc_html__('My Account', 'jkd-core'); ?>"
                                   data-tippy-placement="bottom">

                                    <i class="ri-user-3-line toggle-icon"></i>

                                </a>

                            <?php else: ?>

                                <div class="toggle-inner nav-item"
                                     data-tippy-content="<?php echo esc_html__('Authorization', 'jkd-core'); ?>"
                                     data-tippy-placement="bottom">

                                    <i class="ri-user-3-line toggle-icon"></i>

                                </div>

                            <?php endif; ?>

                        </div>

                    </div>

                <?php

                endif;

                if ($newsletter_toggle && $newsletter_form_toggle): ?>

                    <div class="action-toggle newsletter-toggle">

                        <div class="overflow-wrapper">

                            <div class="toggle-inner nav-item"
                                 data-tippy-content="<?php echo esc_html__('Newsletter', 'jkd-core'); ?>"
                                 data-tippy-placement="bottom">

                                <i class="ri-mail-line toggle-icon"></i>

                            </div>

                        </div>

                    </div>

                <?php endif; ?>

                <?php if ($search_form_toggle_location === 'navigation' && $search_form_toggle): ?>

                    <div class="action-toggle search-form-toggle">

                        <div class="overflow-wrapper">

                            <div class="toggle-inner nav-item"
                                 data-tippy-content="<?php echo esc_html__('Search', 'jkd-core'); ?>"
                                 data-tippy-placement="bottom">

                                <i class="ri-search-2-line toggle-icon"></i>

                            </div>

                        </div>

                    </div>

                <?php endif; ?>

                <?php

                if (!empty($additional_icons)):

                    /* social list loop */
                    foreach ($additional_icons as $setting) :

                        $url = $setting['url'];

                        $text = $setting['text'];

                        $icon = $setting['icon'];

                        if (!empty($url) || !empty($text) || !empty($icon)):

                            ?>

                            <!-- list item -->
                            <div class="action-toggle">

                                <div class="overflow-wrapper">

                                    <!-- social link -->
                                    <a href="<?php echo esc_url($url); ?>" class="toggle-inner nav-item"
                                        <?php if (!empty($text)): ?>
                                            data-tippy-content="<?php echo esc_html($text); ?>"
                                            data-tippy-placement="bottom" <?php endif; ?>>

                                        <?php if (!empty($icon)): ?>

                                            <i class="<?php echo esc_attr($icon); ?>"></i>

                                        <?php endif; ?>

                                    </a>

                                </div>

                            </div>

                        <?php endif; ?>

                    <?php endforeach;

                endif;

                ?>

            </div>

        <?php endif; ?>

        <?php if ($color_switcher_toggle): ?>

            <?php JKD_Core::template('other/color-scheme-switcher'); ?>

        <?php endif; ?>

    </div>

<?php
