<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_enqueue_script(JKD_Core::$prefix . 'navigation-mobile');

wp_enqueue_style(JKD_Core::$prefix . 'navigation-mobile');

$logotype_mobile = get_theme_mod('branding-mini-logotype');

$logotype_mobile_dark = get_theme_mod('branding-mini-logotype-dark');

$logotype_mobile_width = get_theme_mod('branding-logotype-mobile-width', '75');

$search_form_toggle = get_theme_mod('nav-search-form-toggle', 1);

$account_toggle = get_theme_mod('nav-my-account-toggle', '1');

$account_modal_toggle = get_theme_mod('authorization-modal-toggle', '1');

$newsletter_toggle = get_theme_mod('nav-newsletter-toggle', '1');

$newsletter_form_toggle = get_theme_mod('newsletter-form-toggle', '1');

$cart_toggle = get_theme_mod('nav-cart-toggle', 1);

$wishlist_toggle = get_theme_mod('nav-wishlist-toggle', 1);

$color_switcher_toggle = get_theme_mod('nav-color-switcher-toggle', 1);

$social_toggle = get_theme_mod('nav-mobile-social-toggle', 1);

$social = get_theme_mod('social-list');

?>

<nav class="navigation-mobile">

    <div class="inner-wrapper">

        <div class="overflow-wrapper left-side">

            <?php if (!empty($logotype_mobile)): ?>

                <!-- Theme Logotype -->
                <div class="theme-logo-mobile nav-item">

                    <a href="<?php echo esc_url(home_url('/')); ?>">

                        <img src="<?php echo esc_url($logotype_mobile); ?>"
                             alt="<?php echo esc_attr(get_bloginfo('name')); ?>"
                             style="width: <?php echo esc_attr($logotype_mobile_width . 'px'); ?>">

                    </a>

                </div>

            <?php else: ?>

                <br>

            <?php endif; ?>

            <?php if (!empty($logotype_mobile_dark)): ?>

                <!-- Theme Logotype -->
                <div class="theme-logo-mobile-dark nav-item">

                    <a href="<?php echo esc_url(home_url('/')); ?>">

                        <img src="<?php echo esc_url($logotype_mobile_dark); ?>"
                             alt="<?php echo esc_attr(get_bloginfo('name')); ?>"
                             style="width: <?php echo esc_attr($logotype_mobile_width . 'px'); ?>">

                    </a>

                </div>

            <?php else: ?>

                <br>

            <?php endif; ?>

            <?php if ($color_switcher_toggle): ?>

                <?php JKD_Core::template('other/color-scheme-switcher'); ?>

            <?php endif; ?>

        </div>

        <div class="actions-wrapper">

            <div class="mobile-search-form-toggle">

                <i class="ri-search-2-line"></i>

            </div>

            <div class="menu-toggle">

                <span></span><span></span><span></span>

            </div>

        </div>

    </div>

    <div class="navigation-panel">

        <div class="panel-inner">

            <?php if (has_nav_menu('primary_menu')) : ?>

                <div class="menu-list-wrapper">

                    <?php

                    wp_nav_menu(array(
                        'theme_location' => 'primary_menu',
                        'menu' => 'primary_menu',
                        'menu_class' => 'menu-list active-list',
                        'container' => '',
                        'walker' => new JKD_Walker()
                    ));

                    ?>

                </div>

            <?php else: ?>

                <p class="empty-menu-message">

                    <i class="ri-error-warning-line"></i>

                    <?php echo esc_html__('Please setup your navigation menu', 'jkd-core'); ?>

                </p>

            <?php endif; ?>

            <div class="actions-wrapper">

                <?php if ($account_toggle && $account_modal_toggle): ?>

                    <div class="action-toggle authorize-toggle">

                        <?php if (is_user_logged_in()): ?>

                            <a href="<?php echo esc_url(get_author_posts_url(get_current_user_id())); ?>"
                               class="toggle-inner">

                                 <span class="action-label">

                            <?php echo esc_html__('Sign In / Sign Up', 'jkd-core'); ?>

                        </span>

                                <div class="icon-wrapper">

                                    <i class="ri-user-3-line action-icon"></i>

                                </div>

                            </a>

                        <?php else: ?>

                            <span class="action-label">

                            <?php echo esc_html__('Sign In / Sign Up', 'jkd-core'); ?>

                        </span>

                            <div class="icon-wrapper">

                                <i class="ri-user-3-line action-icon"></i>

                            </div>

                        <?php endif; ?>

                    </div>

                <?php endif; ?>

                <?php if ($newsletter_toggle && $newsletter_form_toggle): ?>

                    <div class="action-toggle newsletter-toggle">

                        <span class="action-label">

                            <?php echo esc_html__('Newsletter', 'jkd-core'); ?>

                        </span>

                        <div class="icon-wrapper">

                            <i class="ri-mail-line action-icon"></i>

                        </div>

                    </div>

                <?php endif; ?>

                <?php if (class_exists('WooCommerce')): ?>

                    <?php if ($cart_toggle): ?>

                        <a class="action-toggle shopping-cart-toggle" href="<?php echo esc_url(wc_get_cart_url()); ?>">

                            <span class="action-label">

                            <?php echo esc_html__('Shopping Bag', 'jkd-core'); ?>

                        </span>

                            <div class="icon-wrapper">

                                <?php if (!empty(WC()->cart->cart_contents_count)): ?>

                                    <span class="count-label cart-count">

                                    <?php echo esc_html(WC()->cart->cart_contents_count); ?>

                                </span>

                                <?php endif; ?>

                                <div class="icon-wrapper">

                                    <i class="ri-shopping-bag-2-line action-icon"></i>

                                </div>

                            </div>

                        </a>

                    <?php endif; ?>

                    <?php if (function_exists('tinv_get_option_defaults') && $wishlist_toggle): ?>

                        <?php

                        $wlisturl = tinv_url_wishlist_default();

                        $wlicount = tinvwl_get_wishlist_products();

                        ?>

                        <a class="action-toggle wishlist-toggle" href="<?php echo esc_url($wlisturl); ?>">

                              <span class="action-label">

                            <?php echo esc_html__('Wishlist', 'jkd-core'); ?>

                        </span>

                            <div class="icon-wrapper">

                                <?php if (!empty($wlicount)): ?>

                                    <p class="count-label">

                                        <?php echo esc_html(count($wlicount)); ?>

                                    </p>

                                <?php endif; ?>

                                <div class="icon-wrapper">

                                    <i class="ri-heart-line action-icon"></i>

                                </div>

                            </div>

                        </a>

                    <?php endif; ?>

                <?php endif; ?>

            </div>

            <ul class="social-list">

                <?php foreach ($social as $setting) : ?>

                    <li>

                        <a href="<?php echo esc_url($setting['social_url']); ?>">

                            <?php if (!empty($setting['social_icon'])): ?>

                                <i class="<?php echo esc_html(($setting['social_icon'])); ?>"></i>

                            <?php endif; ?>

                            <?php if (!empty($setting['social_text'])): ?>

                                <span class="text"
                                      data-text=" <?php echo esc_html($setting['social_text'] . '.'); ?>"></span>

                            <?php endif; ?>

                        </a>

                    </li>

                <?php endforeach; ?>

            </ul>

        </div>

    </div>

</nav>
