<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_enqueue_script(JKD_Core::$prefix . 'navigation-overlay');

wp_enqueue_style(JKD_Core::$prefix . 'navigation-overlay');

$labels_toggle = get_theme_mod('nav-labels-toggle', 0);

if (!empty($_GET['labels-toggle']) && $_GET['labels-toggle'] === 'on'):

    $labels_toggle = true;

endif;

if (!empty($_GET['labels']) && $_GET['labels'] === 'off'):

    $labels_toggle = false;

endif;

$color_switcher_toggle = get_theme_mod('nav-color-switcher-toggle', 1);

$account_toggle = get_theme_mod('nav-my-account-toggle', '1');

$account_modal_toggle = get_theme_mod('authorization-modal-toggle', '1');

$newsletter_toggle = get_theme_mod('nav-newsletter-toggle', '1');

$newsletter_form_toggle = get_theme_mod('newsletter-form-toggle', '1');

$cart_toggle = get_theme_mod('nav-cart-toggle', 1);

$wishlist_toggle = get_theme_mod('nav-wishlist-toggle', 1);

$search_form_toggle = get_theme_mod('search-form-toggle', 1);

$search_form_toggle_location = get_theme_mod('search-form-toggle-location', 'sticky');

$additional_icons = get_theme_mod('navigation-additional-icons-list');

$logotype_toggle = get_theme_mod('nav-logotype-toggle', 1);

$logotype = get_theme_mod('branding-logotype');

if (!empty($_GET['logotype'])):

    $logotype = $_GET['logotype'];

endif;

$logotype_dark = get_theme_mod('branding-logotype-dark');

if (!empty($_GET['logotype_mobile'])):

    $logotype_dark = $_GET['logotype_mobile'];

endif;

$logotype_width = get_theme_mod('branding-logotype-width', '150');

?>

<?php if ($logotype_toggle && !empty($logotype)): ?>

    <div class="overflow-wrapper">

        <?php if (!empty($logotype)): ?>

            <!-- Theme Logotype -->
            <div class="theme-logo nav-item">

                <a href="<?php echo esc_url(home_url('/')); ?>">

                    <img src="<?php echo esc_url($logotype); ?>"
                         alt="<?php echo esc_attr(get_bloginfo('name')); ?>"
                         style="width: <?php echo esc_attr($logotype_width . 'px'); ?>">

                </a>

            </div>

        <?php else: ?>

            <br>

        <?php endif; ?>

        <?php if (!empty($logotype_dark)): ?>

            <!-- Theme Logotype -->
            <div class="theme-logo-dark nav-item">

                <a href="<?php echo esc_url(home_url('/')); ?>">

                    <img src="<?php echo esc_url($logotype_dark); ?>"
                         alt="<?php echo esc_attr(get_bloginfo('name')); ?>"
                         style="width: <?php echo esc_attr($logotype_width . 'px'); ?>">

                </a>

            </div>

        <?php else: ?>

            <br>

        <?php endif; ?>

        <?php if ($color_switcher_toggle): ?>

            <?php JKD_Core::template('other/color-scheme-switcher'); ?>

        <?php endif; ?>

    </div>

<?php else: ?>

    <br>

<?php endif; ?>

    <div class="actions-side">

        <?php if (class_exists('WooCommerce')): ?>

            <?php if ($cart_toggle):

                $cart_style = get_theme_mod('nav-cart-style', 'sub-menu');

                if (!empty($_GET['cart-style'])):

                    $cart_style = $_GET['cart-style'];

                endif;

                ?>

                <div class="action-toggle shopping-cart-toggle">

                    <div class="overflow-wrapper">

                        <a class="toggle-inner nav-item"
                            <?php if ($cart_style === 'default'): ?>
                                href="<?php echo esc_url(wc_get_cart_url()); ?>"
                            <?php endif; ?>>

                            <?php if ($labels_toggle): ?>

                                <span class="toggle-label">

                                    <?php echo esc_html__('Bag', 'jkd-core'); ?>

                                </span>

                            <?php endif; ?>

                            <?php if (!empty(WC()->cart->cart_contents_count)): ?>

                                <span class="count-label cart-count">

                                    <?php echo esc_html(WC()->cart->cart_contents_count); ?>

                                </span>

                            <?php endif; ?>

                            <i class="ri-shopping-bag-2-line toggle-icon"></i>

                        </a>

                    </div>

                    <?php

                    if ($cart_style === 'sub-menu'):

                        JKD_Core::template('shop/cart/cart-sub-menu');

                    elseif ($cart_style === 'panel'):

                        JKD_Core::template('shop/cart/cart-panel');

                    endif;

                    ?>

                </div>

            <?php endif; ?>

            <?php if ($wishlist_toggle): ?>

                <?php if (function_exists('tinv_get_option_defaults')): ?>

                    <?php

                    $wlisturl = tinv_url_wishlist_default();

                    $wlicount = tinvwl_get_wishlist_products();

                    ?>

                    <a class="action-toggle wishlist-toggle" href="<?php echo esc_url($wlisturl); ?>">

                        <div class="overflow-wrapper">

                            <div class="toggle-inner nav-item">

                                <?php if ($labels_toggle): ?>

                                    <p class="toggle-label">

                                        <?php echo esc_html__('Wishlist', 'jkd-core'); ?>

                                    </p>

                                <?php endif; ?>

                                <?php if (!empty($wlicount)): ?>

                                    <p class="count-label">

                                        <?php echo esc_html(count($wlicount)); ?>

                                    </p>

                                <?php endif; ?>

                                <i class="ri-heart-line toggle-icon"></i>

                            </div>

                        </div>

                    </a>

                <?php endif; ?>

            <?php endif; ?>

        <?php endif; ?>

        <?php if ($account_toggle && $account_modal_toggle): ?>

            <div class="action-toggle authorize-toggle">

                <div class="overflow-wrapper">

                    <?php if (is_user_logged_in()): ?>

                        <a href="<?php echo esc_url(get_author_posts_url(get_current_user_id())); ?>"
                           class="toggle-inner nav-item">

                            <?php if ($labels_toggle): ?>

                                <p class="toggle-label">

                                    <?php echo esc_html__('My Account', 'jkd-core'); ?>

                                </p>

                            <?php endif; ?>

                            <i class="ri-user-3-line toggle-icon"></i>

                        </a>

                    <?php else: ?>

                        <div class="toggle-inner nav-item">

                            <?php if ($labels_toggle): ?>

                                <p class="toggle-label">

                                    <?php echo esc_html__('My Account', 'jkd-core'); ?>

                                </p>

                            <?php endif; ?>

                            <i class="ri-user-3-line toggle-icon"></i>

                        </div>

                    <?php endif; ?>

                </div>

            </div>

        <?php endif; ?>

        <?php if ($newsletter_toggle && $newsletter_form_toggle): ?>

            <div class="action-toggle newsletter-toggle">

                <div class="overflow-wrapper">

                    <div class="toggle-inner nav-item">

                        <?php if ($labels_toggle): ?>

                            <p class="toggle-label">

                                <?php echo esc_html__('Newsletter', 'jkd-core'); ?>

                            </p>

                        <?php endif; ?>

                        <i class="ri-mail-line toggle-icon"></i>

                    </div>

                </div>

            </div>

        <?php endif; ?>

        <?php if ($search_form_toggle && $search_form_toggle_location === 'navigation'): ?>

            <div class="action-toggle search-form-toggle">

                <div class="overflow-wrapper">

                    <div class="toggle-inner nav-item">

                        <?php if ($labels_toggle): ?>

                            <p class="toggle-label">

                                <?php echo esc_html__('Search', 'jkd-core'); ?>

                            </p>

                        <?php endif; ?>

                        <i class="ri-search-2-line toggle-icon"></i>

                    </div>

                </div>

            </div>

        <?php endif; ?>

        <?php

        if (!empty($additional_icons)):

            /* social list loop */
            foreach ($additional_icons as $setting) :

                $url = $setting['url'];

                $text = $setting['text'];

                $icon = $setting['icon'];

                if (!empty($url) || !empty($text) || !empty($icon)):

                    ?>

                    <!-- list item -->
                    <div class="action-toggle">

                        <div class="overflow-wrapper">

                            <!-- social link -->
                            <a href="<?php echo esc_url($url); ?>" class="toggle-inner nav-item">

                                <?php if ($labels_toggle): ?>

                                    <p class="toggle-label">

                                        <?php echo esc_html($text); ?>

                                    </p>

                                <?php endif; ?>

                                <?php if (!empty($icon)): ?>

                                    <i class="<?php echo esc_attr($icon); ?>"></i>

                                <?php endif; ?>

                            </a>

                        </div>

                    </div>

                <?php endif; ?>

            <?php endforeach;

        endif;

        ?>

        <div class="action-toggle menu-toggle">

            <div class="overflow-wrapper">

                <div class="toggle-inner nav-item">

                    <?php if ($labels_toggle): ?>

                        <p class="toggle-label">

                            <?php echo esc_html__('Menu', 'jkd-core'); ?>

                        </p>

                    <?php endif; ?>

                    <i class="ri-menu-3-fill toggle-icon"></i>

                </div>

            </div>

        </div>

    </div>

<?php

wp_reset_postdata();

$copyright = get_theme_mod('branding-copyright');

$copyright = str_replace('{year}', date('Y'), $copyright);

$logotype = get_theme_mod('branding-logotype');

if (!empty($_GET['logotype'])):

    $logotype = $_GET['logotype'];

endif;

$logotype_dark = get_theme_mod('branding-logotype-dark');

if (!empty($_GET['logotype_mobile'])):

    $logotype_dark = $_GET['logotype_mobile'];

endif;

$social = get_theme_mod('social-list');

$nav_overlay_logotype_toggle = get_theme_mod('nav-overlay-logotype-toggle', 1);

$nav_overlay_copyright_toggle = get_theme_mod('nav-overlay-copyright-toggle', 1);

$nav_overlay_social_toggle = get_theme_mod('nav-overlay-social-toggle', 1);

?>

    <div class="navigation-menu-overlay">

        <div class="overflow-wrapper close-toggle-wrapper">

            <div class="close-toggle">

                <i class="ri-close-line"></i>

            </div>

        </div>

        <div class="inner-wrapper">

            <?php if ($nav_overlay_logotype_toggle && !empty($logotype)): ?>

                <!-- Theme Logotype -->
                <div class="theme-logo  overflow-wrapper">

                    <a href="<?php echo esc_url(home_url('/')); ?>" class="logotype">

                        <img src="<?php echo esc_url($logotype); ?>"
                             alt="<?php echo esc_attr(get_bloginfo('name')); ?>"
                             style="width: <?php echo esc_attr($logotype_width . 'px'); ?>">

                    </a>

                </div>

                <!-- Theme Logotype -->
                <div class="theme-logo-dark overflow-wrapper">

                    <a href="<?php echo esc_url(home_url('/')); ?>" class="logotype">

                        <img src="<?php echo esc_url($logotype_dark); ?>"
                             alt="<?php echo esc_attr(get_bloginfo('name')); ?>"
                             style="width: <?php echo esc_attr($logotype_width . 'px'); ?>">

                    </a>

                </div>

            <?php endif; ?>

            <div class="menu-items-background">

                <div class="menu-canvas-wrapper">


                </div>

            </div>

            <?php if (has_nav_menu('primary_menu')) : ?>

                <div class="menu-wrapper overflow-wrapper">

                    <?php

                    wp_nav_menu(array(
                        'theme_location' => 'primary_menu',
                        'menu' => 'primary_menu',
                        'menu_class' => 'menu-list active-list',
                        'container' => '',
                        'walker' => new JKD_Walker()
                    ));

                    ?>

                </div>

            <?php else: ?>

                <p class="empty-menu-message">

                    <i class="ri-error-warning-line"></i>

                    <?php echo esc_html__('Please setup your navigation menu', 'jkd-core'); ?>

                </p>

            <?php endif; ?>

            <div class="bottom-side">

                <?php if ($nav_overlay_social_toggle || !empty($social)): ?>

                    <div class="overflow-wrapper">

                        <ul class="social-list">

                            <?php foreach ($social as $setting) : ?>

                                <li>

                                    <a href="<?php echo esc_url($setting['social_url']); ?>">

                                        <?php if (!empty($setting['social_icon'])): ?>

                                            <i class="<?php echo esc_attr(($setting['social_icon'])); ?>"></i>

                                        <?php endif; ?>

                                    </a>

                                </li>

                            <?php endforeach; ?>

                        </ul>

                    </div>

                <?php endif; ?>

                <?php if ($nav_overlay_copyright_toggle && !empty($copyright)): ?>

                    <div class="overflow-wrapper">

                        <p class="copyright">

                            <span>

                                <?php echo esc_html($copyright); ?>

                            </span>

                        </p>

                    </div>

                <?php endif; ?>

            </div>

        </div>

    </div>

<?php

wp_reset_postdata();
