<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_enqueue_script(JKD_Core::$prefix . 'navigation-side');

wp_enqueue_style(JKD_Core::$prefix . 'navigation-side');

$account_toggle = get_theme_mod('nav-my-account-toggle', '1');

$color_switcher_toggle = get_theme_mod('nav-color-switcher-toggle', 1);

$account_modal_toggle = get_theme_mod('authorization-modal-toggle', '1');

$newsletter_toggle = get_theme_mod('nav-newsletter-toggle', '1');

$newsletter_form_toggle = get_theme_mod('newsletter-form-toggle', '1');

$cart_toggle = get_theme_mod('nav-cart-toggle', 1);

$wishlist_toggle = get_theme_mod('nav-wishlist-toggle', 1);

$logotype_toggle = get_theme_mod('nav-logotype-toggle', 1);

$logotype = get_theme_mod('branding-mini-logotype');

$logotype_dark = get_theme_mod('branding-mini-logotype-dark');

$logotype_width = get_theme_mod('branding-logotype-mobile-width', '35');

$copyright_toggle = get_theme_mod('nav-side-copyright-toggle', 1);

$copyright = get_theme_mod('branding-copyright');

$copyright = str_replace('{year}', date('Y'), $copyright);

$search_form_toggle = get_theme_mod('search-form-toggle', 1);

$search_form_toggle_location = get_theme_mod('search-form-toggle-location', 'sticky');

$additional_icons = get_theme_mod('navigation-additional-icons-list');

if ($logotype_toggle && !empty($logotype)): ?>

    <div class="overflow-wrapper">

        <?php if (!empty($logotype)): ?>

            <!-- Theme Logotype -->
            <div class="theme-logo nav-item">

                <a href="<?php echo esc_url(home_url('/')); ?>">

                    <img src="<?php echo esc_url($logotype); ?>"
                         alt="<?php echo esc_attr(get_bloginfo('name')); ?>"
                         style="width: <?php echo esc_attr($logotype_width . 'px'); ?>">

                </a>

            </div>

        <?php else: ?>

            <br>

        <?php endif; ?>

        <?php if (!empty($logotype_dark)): ?>

            <!-- Theme Logotype -->
            <div class="theme-logo-dark nav-item">

                <a href="<?php echo esc_url(home_url('/')); ?>">

                    <img src="<?php echo esc_url($logotype_dark); ?>"
                         alt="<?php echo esc_attr(get_bloginfo('name')); ?>"
                         style="width: <?php echo esc_attr($logotype_width . 'px'); ?>">

                </a>

            </div>

        <?php else: ?>

            <br>

        <?php endif; ?>

    </div>

<?php else: ?>

    <br>

<?php endif; ?>

<?php if ($color_switcher_toggle): ?>

    <?php JKD_Core::template('other/color-scheme-switcher'); ?>

<?php endif; ?>

<div class="menu-toggle" data-tippy-content="<?php echo esc_attr__('Menu Toggle', 'jkd-core'); ?>"
     data-tippy-placement="right">

    <span></span><span></span><span></span>

</div>

<div class="actions-side">

    <?php if (class_exists('WooCommerce')): ?>

        <?php if ($cart_toggle):

            $cart_style = get_theme_mod('nav-cart-style', 'sub-menu');

            if (!empty($_GET['cart-style'])):

                $cart_style = $_GET['cart-style'];

            endif;

            ?>

            <div class="action-toggle shopping-cart-toggle">

                <div class="overflow-wrapper">

                    <a class="toggle-inner nav-item" data-tippy-content="<?php echo esc_attr__('Cart', 'jkd-core'); ?>"
                       data-tippy-placement="right"
                        <?php if ($cart_style === 'default'): ?>
                            href="<?php echo esc_url(wc_get_cart_url()); ?>"
                        <?php endif; ?>>

                        <?php if (!empty(WC()->cart->cart_contents_count)): ?>

                            <span class="count-label cart-count">

                                    <?php echo esc_html(WC()->cart->cart_contents_count); ?>

                                </span>

                        <?php endif; ?>

                        <i class="ri-shopping-bag-2-line toggle-icon"></i>

                    </a>

                </div>

                <?php

                if ($cart_style === 'sub-menu'):

                    JKD_Core::template('shop/cart/cart-sub-menu');

                elseif ($cart_style === 'panel'):

                    JKD_Core::template('shop/cart/cart-panel');

                endif;

                ?>

            </div>

        <?php endif; ?>

        <?php if (function_exists('tinv_get_option_defaults') && $wishlist_toggle): ?>

            <?php

            $wlisturl = tinv_url_wishlist_default();

            $wlicount = tinvwl_get_wishlist_products();

            ?>

            <a class="action-toggle wishlist-toggle" href="<?php echo esc_url($wlisturl); ?>">

                <div class="overflow-wrapper">

                    <div class="toggle-inner nav-item"
                         data-tippy-content="<?php echo esc_attr__('Wishlist', 'jkd-core'); ?>"
                         data-tippy-placement="right">

                        <?php if (!empty($wlicount)): ?>

                            <p class="count-label">

                                <?php echo esc_html(count($wlicount)); ?>

                            </p>

                        <?php endif; ?>

                        <i class="ri-heart-line toggle-icon"></i>

                    </div>

                </div>

            </a>

        <?php endif; ?>

    <?php endif; ?>

    <?php if ($newsletter_toggle && $newsletter_form_toggle): ?>

        <div class="action-toggle newsletter-toggle">

            <div class="overflow-wrapper">

                <div class="toggle-inner nav-item"
                     data-tippy-content="<?php echo esc_attr__('Newsletter', 'jkd-core'); ?>"
                     data-tippy-placement="right">

                    <i class="ri-mail-line toggle-icon"></i>

                </div>

            </div>

        </div>

    <?php endif; ?>

    <?php if ($account_toggle && $account_modal_toggle): ?>

        <div class="action-toggle authorize-toggle">

            <div class="overflow-wrapper">

                <?php if (is_user_logged_in()): ?>

                    <a href="<?php echo esc_url(get_author_posts_url(get_current_user_id())); ?>"
                       class="toggle-inner nav-item"
                       data-tippy-content="<?php echo esc_attr__('My Account', 'jkd-core'); ?>"
                       data-tippy-placement="right">

                        <i class="ri-user-3-line toggle-icon"></i>

                    </a>

                <?php else: ?>

                    <div class="toggle-inner nav-item"
                         data-tippy-content="<?php echo esc_attr__('Authorization', 'jkd-core'); ?>"
                         data-tippy-placement="right">

                        <i class="ri-user-3-line toggle-icon"></i>

                    </div>

                <?php endif; ?>

            </div>

        </div>

    <?php endif; ?>

    <?php if ($search_form_toggle && $search_form_toggle_location === 'navigation'): ?>

        <div class="action-toggle search-form-toggle">

            <div class="overflow-wrapper">

                <div class="toggle-inner nav-item" data-tippy-content="<?php echo esc_attr__('Search', 'jkd-core'); ?>"
                     data-tippy-placement="right">

                    <i class="ri-search-2-line toggle-icon"></i>

                </div>

            </div>

        </div>

    <?php endif; ?>

    <?php

    if (!empty($additional_icons)):

        /* social list loop */
        foreach ($additional_icons as $setting) :

            $url = $setting['url'];

            $text = $setting['text'];

            $icon = $setting['icon'];

            if (!empty($url) || !empty($text) || !empty($icon)):

                ?>

                <!-- list item -->
                <div class="action-toggle">

                    <div class="overflow-wrapper">

                        <!-- social link -->
                        <a href="<?php echo esc_url($url); ?>" class="toggle-inner nav-item"
                            <?php if (!empty($text)): ?>
                                data-tippy-content="<?php echo esc_html($text); ?>"
                                data-tippy-placement="right" <?php endif; ?>>

                            <?php if (!empty($icon)): ?>

                                <i class="<?php echo esc_attr($icon); ?>"></i>

                            <?php endif; ?>

                        </a>

                    </div>

                </div>

            <?php endif; ?>

        <?php endforeach;

    endif;

    ?>

</div>

<div class="navigation-panel">

    <div class="inner-panel">

        <?php if (!empty(get_bloginfo('name')) || !empty(get_bloginfo('description'))): ?>

            <div class="top-section">

                <div class="site-info">

                    <h5 class="site-name"><?php echo esc_html(get_bloginfo('name')); ?></h5>

                    <p class="site-description"><?php echo esc_html(get_bloginfo('description')); ?></p>

                </div>

                <div class="navigation-close-button">

                    <i class="ri-close-line"></i>

                </div>

            </div>

        <?php endif; ?>

        <?php if (has_nav_menu('primary_menu')) : ?>

            <div class="menu-list-wrapper">

                <?php

                wp_nav_menu(array(
                    'theme_location' => 'primary_menu',
                    'menu' => 'primary_menu',
                    'menu_class' => 'menu-list active-list',
                    'container' => '',
                    'walker' => new JKD_Walker()
                ));

                ?>

            </div>

        <?php else: ?>

            <p class="empty-menu-message">

                <i class="ri-error-warning-line"></i>

                <?php echo esc_html__('Please setup your navigation menu', 'jkd-core'); ?>

            </p>

        <?php endif; ?>

        <?php if ($copyright_toggle && !empty($copyright)): ?>

            <div class="copyright-section">

                <p>

                    <?php echo esc_html($copyright); ?>

                </p>

            </div>

        <?php endif; ?>

    </div>

</div>
