<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_reset_postdata();

$id = get_the_ID();

if (class_exists('Woocommerce') && is_shop() || class_exists('Woocommerce') && is_product_taxonomy()):

    $id = wc_get_page_id('shop');

endif;

if (is_home() || is_post_type_archive('post')):

    $id = get_option('page_for_posts');

endif;

$navigation_toggle = JKD_Helper::get_field('field_navigation', $id);

if (!empty($_GET['navigation']) && $_GET['navigation'] === 'on'):

    $navigation_toggle = true;

endif;

if (!empty($_GET['navigation']) && $_GET['navigation'] === 'off'):

    $navigation_toggle = false;

endif;

if ($navigation_toggle):

    $nav_type = get_theme_mod('nav-type', 'default');

    if (!empty(JKD_Helper::get_field('field_navigation_type'))):

        $nav_type = JKD_Helper::get_field('field_navigation_type',$id);

    endif;

    if (!empty($_GET['nav_type'])):

        $nav_type = $_GET['nav_type'];

    endif;

    $nav_position = get_theme_mod('nav-position', 'static');

    if (!empty($_GET['nav_position'])):

        $nav_position = $_GET['nav_position'];

    endif;

    $nav_layout = get_theme_mod('nav-layout', 'wide');

    if (!empty($_GET['nav_layout'])):

        $nav_layout = $_GET['nav_layout'];

    endif;

    $nav_megamenu_style = get_theme_mod('nav-megamenu-style', 'style-1');

    if (!empty($_GET['nav_megamenu_style'])):

        $nav_megamenu_style = $_GET['nav_megamenu_style'];

    endif;

    $ajax_cart = get_theme_mod('nav-cart-ajax-toggle', '1');

    if (!empty($_GET['cart-ajax']) && $_GET['cart-ajax'] === 'on'):

        $ajax_cart = true;

    endif;

    if (!empty($_GET['cart-ajax']) && $_GET['cart-ajax'] === 'off'):

        $ajax_cart = false;

    endif;

    $cart_style = get_theme_mod('nav-cart-style', 'sub-menu');

    if (!empty($_GET['cart-style'])):

        $cart_style = $_GET['cart-style'];

    endif;

    $classes = array();

    array_push($classes, 'navigation-' . $nav_type);

    if ($nav_type === 'overlay' || $nav_type === 'default'):

        array_push($classes, 'navigation-' . $nav_position);

        array_push($classes, 'navigation-' . $nav_layout);

    endif;

    if ($nav_type === 'default'):

        array_push($classes, 'megamenu-' . $nav_megamenu_style);

    endif;

    if ($ajax_cart):

        array_push($classes, 'ajax-cart');

    endif;

    array_push($classes, 'cart-' . $cart_style);

    $classes = implode(' ', $classes);

    JKD_Core::template('navigation/navigation-mobile/navigation');

    ?>

    <nav class="navigation <?php echo esc_attr($classes); ?>">

        <div class="inner-wrapper <?php if ($nav_layout === 'boxed' && ($nav_type == 'default' || $nav_type === 'overlay')): echo esc_attr('container'); endif; ?>">

            <?php

            if ($nav_type === 'default'):

                JKD_Core::template('navigation/navigation-default/navigation');

            elseif ($nav_type === 'overlay'):

                JKD_Core::template('navigation/navigation-overlay/navigation');

            elseif ($nav_type === 'side'):

                JKD_Core::template('navigation/navigation-side/navigation');

            endif;

            ?>

        </div>

    </nav>

<?php

endif;

wp_reset_postdata();
