<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_enqueue_script(JKD_Core::$prefix . 'authorization');

wp_enqueue_style(JKD_Core::$prefix . 'authorization');

$authorization_form_image = get_theme_mod('authorization-modal-image', '1');

$open = false;

if (!empty($_GET['authorization_modal']) && $_GET['authorization_modal'] === 'open'):

    $open = true;

endif;

if (!empty($_GET['login']) && $_GET['login'] === 'failed'):

    $open = true;

endif;

if (!is_user_logged_in()): ?>

    <div class="authorization-popup-overlay login-form <?php if ($open): ?>active<?php endif; ?>">

        <div class="jkd-overlay">

        </div>

        <div class="authorization-popup">

            <?php if (!empty($authorization_form_image)): ?>

                <div class="left-side">

                    <?php

                    echo JKD_Theme::render_image($authorization_form_image,
                        'jk-vertical-size-medium');

                    ?>

                </div>

            <?php endif; ?>

            <div class="right-side">

                <div class="close-toggle">

                    <i class="ri-close-line"></i>

                </div>

                <div class="content-wrapper">

                    <h4 class="form-title">

                        <?php echo esc_html__('Login', 'jkd-core'); ?>

                    </h4>

                    <?php

                    wp_login_form(array(
                        'echo' => true,
                        'redirect' => site_url($_SERVER['REQUEST_URI']),
                        'form_id' => 'loginform',
                        'label_username' => __('Username or email address *', 'jkd-core'),
                        'label_password' => __('Password *', 'jkd-core'),
                        'label_remember' => __('Remember Me', 'jkd-core'),
                        'label_log_in' => __('Log In', 'jkd-core'),
                        'id_username' => 'user_login',
                        'id_password' => 'user_pass',
                        'id_remember' => 'rememberme',
                        'id_submit' => 'wp-submit',
                        'remember' => true,
                        'value_username' => NULL,
                        'value_remember' => false
                    ));

                    ?>

                    <?php if (!empty($_GET['login']) && $_GET['login'] === 'failed'): ?>

                        <div class="error-wrapper">

                            <?php echo esc_html('Please fill in all fields correctly', 'jkd-core'); ?>

                        </div>

                    <?php endif; ?>

                    <div class="auth-redirect-wrapper">

                        <p class="info-message">

                            <?php echo esc_html__('Don’t have an account?', 'jkd-core'); ?>

                        </p>

                        <button class="auth-switcher">

                            <?php echo esc_html__('Register', 'jkd-core'); ?>

                        </button>

                    </div>

                </div>

            </div>

        </div>

    </div>

<?php endif; ?>
