<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_enqueue_style(JKD_Core::$prefix . 'error');

$error_page_title = get_theme_mod('error-page-title', 'Oops! Page not Found.');

$error_page_links = get_theme_mod('error-page-links', 1);

?>

    <header class="error-menu-header">

        <div class="inner-wrapper container">

            <i class="ri-close-circle-line error-icon"></i>

            <h1 class="error">

                <?php echo esc_html__('404', 'jkd-core'); ?>

            </h1>

            <?php if (!empty($error_page_title)): ?>

                <h3 class="error-title">

                    <?php echo esc_html($error_page_title); ?>

                </h3>

            <?php endif; ?>

            <?php if ($error_page_links): ?>

                <div class="additional-links">

                    <?php

                    if (has_nav_menu('error_menu')) :

                        wp_nav_menu(array(
                            'theme_location' => 'error_menu',
                            'menu' => 'error_menu',
                            'menu_class' => 'menu-list',
                            'container' => '',
                        ));

                    endif;

                    ?>

                </div>

            <?php endif; ?>

        </div>

    </header>

<?php
