<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_enqueue_script(JKD_Core::$prefix . 'fixed-social-list');

wp_enqueue_style(JKD_Core::$prefix . 'fixed-social-list');

$fixed_social_list_toggle = get_theme_mod('fixed-social-list-toggle', 1);

if ($fixed_social_list_toggle):

    $fixed_social_list_toggle = JKD_Helper::get_field('field_fixed_social_list_toggle');

endif;

$social = get_theme_mod('social-list');

if (!empty($social) && $fixed_social_list_toggle): ?>

    <div class="fixed-social-list">

        <ul class="social-list">

            <?php foreach ($social as $setting) : ?>

                <li>

                    <a href="<?php echo esc_url($setting['social_url']); ?>">

                        <?php if (!empty($setting['social_icon'])): ?>

                            <i class="<?php echo esc_html(($setting['social_icon'])); ?>"></i>

                        <?php endif; ?>

                        <?php if (!empty($setting['social_text'])): ?>

                            <span class="text" data-text=" <?php echo esc_html($setting['social_text'] . '.'); ?>"></span>

                        <?php endif; ?>

                    </a>

                </li>

            <?php endforeach; ?>

        </ul>

    </div>

<?php endif; ?>
