<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_enqueue_script(JKD_Core::$prefix . 'newsletter');

wp_enqueue_style(JKD_Core::$prefix . 'newsletter');

$newsletter_form_title = get_theme_mod('newsletter-form-title', esc_html__('Subscribe to Our Newsletter', 'jkd-core'));

$newsletter_form_subtitle = get_theme_mod('newsletter-form-subtitle', esc_html__('Subscribe now and thank us later', 'jkd-core'));

$newsletter_form_shortcode = get_theme_mod('newsletter-form-shortcode', '');

$newsletter_form_image = get_theme_mod('newsletter-form-image', '');

$newsletter_form_delay = get_theme_mod('newsletter-form-delay-before-showing', '5000');

$newsletter_modal_avoid_checkbox_toggle = get_theme_mod('newsletter-modal-avoid-checkbox-toggle', '1');

$open = false;

if (!empty($_GET['newsletter_modal']) && $_GET['newsletter_modal'] === 'open'):

    $open = true;

endif;

$ip = JKD_Helper::get_ip_address();

$avoid_newsletter_modal = get_transient('avoid_newsletter_modal_for_' . $ip);

?>

<div class="newsletter-form-overlay <?php if ($open): ?>active<?php endif; ?>"
     <?php if (!$avoid_newsletter_modal): ?>data-auto-showing="1"<?php endif; ?>
     data-delay="<?php echo esc_attr($newsletter_form_delay); ?>">

    <div class="jkd-overlay">

    </div>

    <div class="popup-wrapper">

        <?php if (!empty($newsletter_form_image)): ?>

            <div class="left-side">

                <?php

                echo JKD_Theme::render_image($newsletter_form_image,
                    'jk-vertical-size-medium');

                ?>

            </div>

        <?php endif; ?>

        <div class="right-side">

            <div class="close-toggle">

                <i class="ri-close-fill"></i>

            </div>

            <div class="content-wrapper">

                <i class="ri-mail-send-line popup-icon"></i>

                <?php if (!empty($newsletter_form_title)): ?>

                    <h4 class="popup-title">

                        <?php echo esc_html($newsletter_form_title); ?>

                    </h4>

                <?php endif; ?>

                <?php if (!empty($newsletter_form_subtitle)): ?>

                    <p class="popup-subtitle">

                        <?php echo esc_html($newsletter_form_subtitle); ?>

                    </p>

                <?php endif; ?>

                <?php if (!empty($newsletter_form_shortcode)): ?>

                    <div class="form-wrapper">

                        <?php echo do_shortcode($newsletter_form_shortcode); ?>

                    </div>

                <?php endif; ?>

                <?php if ($newsletter_modal_avoid_checkbox_toggle): ?>

                    <div class="checkbox-wrapper">

                        <input type="checkbox" class="jkd-checkbox" id="prevent-popup"
                               <?php if ($avoid_newsletter_modal): ?>checked<?php endif; ?>>

                        <label for="prevent-popup">

                            <?php echo esc_html__('Prevent This Pop-up', 'jkd-core'); ?>

                        </label>

                    </div>

                <?php endif; ?>

            </div>

        </div>

    </div>

</div>
