<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_reset_postdata();

wp_enqueue_script(JKD_Core::$prefix . 'search-form');

wp_enqueue_style(JKD_Core::$prefix . 'search-form');

$ajax_handler_toggle = get_theme_mod('search-form-ajax-search', 1);

$search_form_toggle_location = get_theme_mod('search-form-toggle-location', 'sticky');

if($search_form_toggle_location==='sticky'):

?>

    <div class="action-toggle search-form-toggle sticky-search-form-toggle" data-tippy-content="<?php echo esc_attr__('Search Form','jkd-core'); ?>">

        <div class="toggle-inner">

            <i class="ri-search-2-line toggle-icon"></i>

        </div>

    </div>

<?php endif; ?>

    <div class="search-form-wrapper">

        <div class="close-toggle-wrapper">

            <div class="close-toggle">

                <i class="ri-close-line"></i>

            </div>

        </div>

        <div class="inner-wrapper container">

            <form role="search" method="get" action="<?php echo esc_url(home_url('/')); ?>" class="search-form">

                <i class="ri-search-2-line search-icon"></i>

                <input type="search" class="search-field"
                       placeholder="<?php echo esc_attr__('Type some keywords...', 'jkd-core'); ?>"
                       value="<?php echo get_search_query(); ?>" name="s"
                       title="<?php echo esc_attr__('Type some keywords...', 'jkd-core'); ?>">

            </form>

            <?php if ($ajax_handler_toggle): ?>

                <form class="checkboxes-wrapper">

                    <label class="checkbox-label" for="search-checkbox-posts">

                        <input type="checkbox" class="jkd-checkbox" data-pt="<?php echo esc_attr('posts'); ?>"
                               id="search-checkbox-posts" checked>

                        <?php echo esc_html__('Posts', 'jkd-core'); ?>

                    </label>

                    <label class="checkbox-label" for="search-checkbox-pages">

                        <input type="checkbox" class="jkd-checkbox" data-pt="<?php echo esc_attr('pages'); ?>"
                               id="search-checkbox-pages" checked>

                        <?php echo esc_html__('Pages', 'jkd-core'); ?>

                    </label>

                    <label class="checkbox-label" for="search-checkbox-portfolio">

                        <input type="checkbox" class="jkd-checkbox" data-pt="<?php echo esc_attr('portfolio'); ?>"
                               id="search-checkbox-portfolio" checked>

                        <?php echo esc_html__('Portfolio', 'jkd-core'); ?>

                    </label>

                    <?php if (class_exists('WooCommerce')): ?>

                        <label class="checkbox-label" for="search-checkbox-products">

                            <input type="checkbox" class="jkd-checkbox" data-pt="<?php echo esc_attr('products'); ?>"
                                   id="search-checkbox-products" checked>

                            <?php echo esc_html__('Products', 'jkd-core'); ?>

                        </label>

                    <?php endif; ?>

                    <?php if (function_exists('tribe_is_not_min_php_version')): ?>

                        <label class="checkbox-label" for="search-checkbox-events">

                            <input type="checkbox" class="jkd-checkbox" data-pt="<?php echo esc_attr('events'); ?>"
                                   id="search-checkbox-events" checked>

                            <?php echo esc_html__('Events', 'jkd-core'); ?>

                        </label>

                    <?php endif; ?>

                </form>

                <div class="results-wrapper">

                    <div class="title-wrapper">

                        <h5 class="results-title">

                            <?php echo esc_html__('Search Results', 'jkd-core'); ?>

                        </h5>

                        <p class="start-message">

                            <?php echo esc_html__('so far empty...', 'jkd-core'); ?>

                        </p>

                        <p class="loading-message">

                            <?php echo esc_html__('Loading', 'jkd-core'); ?>

                        </p>

                    </div>

                    <div class="results">


                    </div>

                </div>

            <?php endif; ?>

        </div>

    </div>

<?php

wp_reset_postdata();
