<script id="blog-vertex-shader" type="x-shader/x-vertex">
            #ifdef GL_ES
    precision mediump float;
    #endif
    #define PI 3.14159265359
    #define S(a,b,n) smoothstep(a,b,n)
    uniform vec2 uDirection;
    attribute vec3 aVertexPosition;
    attribute vec2 aTextureCoord;
    uniform mat4 uMVMatrix;
    uniform mat4 uPMatrix;
    uniform mat4 activeTextureMatrix;
    varying vec3 vVertexPosition;
    varying vec2 vActiveTextureCoord;
    varying vec2 vDirection;
    vec2 deformationCurve(vec2 uv, vec2 direction){
      float x = sin(vActiveTextureCoord.y * PI) * direction.x;
      float y = sin(vActiveTextureCoord.x * PI) * direction.y;
      return vec2(x, y);
    }
    void main() {
      vec3 vertexPosition = aVertexPosition;
      vDirection = uDirection;
      vActiveTextureCoord = (activeTextureMatrix * vec4(aTextureCoord, 0., 1.)).xy;
      vertexPosition.xy += deformationCurve(vActiveTextureCoord, uDirection);
      gl_Position = uPMatrix * uMVMatrix * vec4(vertexPosition, 1.0);
      vVertexPosition = vertexPosition;
    }



    </script>

<script id="blog-fragment-shader" type="x-shader/x-fragment">
         #ifdef GL_ES
    precision mediump float;
    #endif
    #define S(a,b,n) smoothstep(a,b,n)
    uniform float uAlpha;
    uniform vec2 uMouse;
    varying vec2 vActiveTextureCoord;
    varying vec2 vDirection;
    uniform sampler2D activeTexture;
    void main(){
        vec2 uv0 = vActiveTextureCoord;
        float r = texture2D(activeTexture, uv0 + vDirection * 0.2).r;
        float g = texture2D(activeTexture, uv0).g;
        float b = texture2D(activeTexture, uv0 - vDirection * 0.2).b;
        gl_FragColor = vec4(vec3(r, g, b), 1.0) * uAlpha;
    }
    </script>
