<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_reset_postdata();

global $wp_query;

$results_count = $wp_query->found_posts;

$id = get_the_ID();

if (class_exists('Woocommerce') && is_shop() || class_exists('Woocommerce') && is_product_taxonomy()):

    $id = wc_get_page_id('shop');

endif;

if (is_home() || is_post_type_archive('post')):

    $id = get_option('page_for_posts');

endif;

$classes = array();

$page_header_toggle = JKD_Helper::get_field('field_page_header', $id);

$page_header_breadcrumbs_toggle = false;

$page_header_bottom_border = false;

$page_header_style = 'default';

$field_page_header_parallax = false;

$page_header_alignment = 'left';

if (!empty(JKD_Helper::get_field('field_page_header_bottom_border', $id))):

    $page_header_bottom_border = JKD_Helper::get_field('field_page_header_bottom_border', $id);

endif;

if (!empty(JKD_Helper::get_field('field_page_header_style', $id))):

    $page_header_style = JKD_Helper::get_field('field_page_header_style', $id);

endif;

if (!empty(JKD_Helper::get_field('field_page_header_alignment', $id))):

    $page_header_alignment = JKD_Helper::get_field('field_page_header_alignment', $id);

endif;

if (!empty(JKD_Helper::get_field('field_page_header_breadcrumbs', $id))):

    $page_header_breadcrumbs_toggle = JKD_Helper::get_field('field_page_header_breadcrumbs', $id);

endif;

if (is_post_type_archive('portfolio') || is_tax('portfolio-categories') || is_tax('portfolio-tags')):

    $page_header_toggle = get_theme_mod('page-header-portfolio-toggle', $id);

    $page_header_bottom_border = get_theme_mod('page-header-portfolio-bottom-border', 0);

    $page_header_style = get_theme_mod('page-header-portfolio-style', 'default');

    $page_header_alignment = get_theme_mod('page-header-portfolio-alignment', 'center');

    $page_header_breadcrumbs_toggle = get_theme_mod('page-header-portfolio-breadcrumbs-toggle', '1');

endif;

if (function_exists('tribe_is_not_min_php_version') && tribe_is_event_query()):

    $page_header_toggle = get_theme_mod('page-header-events-toggle', $id);

    $page_header_bottom_border = get_theme_mod('page-header-events-bottom-border', 0);

    $page_header_style = get_theme_mod('page-header-events-style', 'default');

    $page_header_alignment = get_theme_mod('page-header-events-alignment', 'center');

    $page_header_breadcrumbs_toggle = get_theme_mod('page-header-events-breadcrumbs-toggle', '1');

endif;

if (!empty($_GET['page_header_border']) && $_GET['page_header_border'] === 'on'):

    $page_header_bottom_border = true;

endif;

if (!empty($_GET['page_header_border']) && $_GET['page_header_border'] === 'off'):

    $page_header_bottom_border = false;

endif;

if (!empty($_GET['page_header_style'])):

    $page_header_style = $_GET['page_header_style'];

endif;

if (!empty($_GET['page_header_alignment'])):

    $page_header_alignment = $_GET['page_header_alignment'];

endif;

if (!empty($_GET['page_header_breadcrumbs'])):

    $page_header_breadcrumbs_toggle = $_GET['page_header_breadcrumbs'];

endif;

if (!empty($_GET['page_header']) && $_GET['page_header'] === 'on'):

    $page_header_toggle = true;

endif;

if (!empty($_GET['page_header']) && $_GET['page_header'] === 'off'):

    $page_header_toggle = false;

endif;

if (is_search()):

    $page_header_toggle = true;

    $page_header_bottom_border = false;

    $page_header_alignment = 'center';

    $page_header_style = 'classic';

endif;

array_push($classes, $page_header_style);

array_push($classes, $page_header_alignment);

if ($page_header_bottom_border):

    array_push($classes, 'enable-border');

endif;

if ($page_header_style === 'image'):

    $image_background = JKD_Helper::get_field('field_page_header_image', $id);

    $image_background_url = wp_get_attachment_image_url($image_background, 'full');

    $field_page_header_parallax = JKD_Helper::get_field('field_page_header_parallax', $id);

endif;

if ($field_page_header_parallax):

    wp_enqueue_script(JKD_Core::$prefix . 'jarallax');

    array_push($classes, 'page-header-parallax');

endif;

$classes = implode(' ', $classes);

if (is_search() && $results_count === 0):

    $page_header_toggle = false;

endif;

if ($page_header_toggle):

    ?>

    <div class="page-header <?php echo esc_attr($classes); ?>"
         <?php if ($page_header_style === 'image'): ?>style="background-image: url(<?php echo esc_url($image_background_url); ?>);" <?php endif; ?>>

        <div class="container inner-wrapper">

            <div class="overflow-wrapper">

                <?php if ($page_header_style === 'minimal'): ?>

                <h5 class="page-title">

                    <?php else: ?>

                    <h1 class="page-title <?php if ($page_header_style === 'classic'): echo esc_attr('extra-h1'); endif; ?>">

                        <?php endif; ?>

                        <?php

                        if (is_search()):

                            echo esc_html__('Search Results', 'jkd-core');

                        elseif (is_post_type_archive('product')):

                            echo esc_html__('Shop', 'jkd-core');

                        elseif (is_post_type_archive('portfolio')):

                            echo esc_html__('Portfolio', 'jkd-core');

                        elseif (is_post_type_archive('tribe_events')):

                            echo esc_html__('Events', 'jkd-core');

                        elseif (is_404()):

                            echo esc_html__('Page not Found', 'jkd-core');

                        elseif (is_archive()):

                            echo get_the_archive_title();

                        elseif (is_home()):

                            echo esc_html__('The Blog', 'jkd-core');

                        elseif (class_exists('Woocommerce') && is_shop()):

                            echo esc_html__('Shop', 'jkd-core');

                        else:

                            echo wp_get_document_title();

                        endif;

                        ?>

                        <?php if ($page_header_style === 'minimal'): ?>

                </h5>

            <?php else: ?>

                </h1>

            <?php endif; ?>

            </div>

            <div class="overflow-wrapper">

                <?php

                if ($page_header_breadcrumbs_toggle):

                    JKD_Core::the_breadcrumbs();

                endif;

                ?>

            </div>

            <?php if (is_search()): ?>

                <div class="overflow-wrapper">

                    <h6 class="search-query">

                        <?php echo esc_attr('"' . get_search_query() . '"'); ?>

                    </h6>

                </div>

            <?php endif; ?>

        </div>

    </div>

<?php endif;

wp_reset_postdata();

?>
