<?php defined('ABSPATH') || exit;
/*
 *
 */

$filters = get_theme_mod('portfolio-actions-filters', 1);

$direction = get_theme_mod('portfolio-actions-direction', 1);

$count_labels = get_theme_mod('portfolio-filter-count-labels', 1);

$categories = $atts['categories'];

if (!empty($filters) || !empty($direction)):

    ?>

    <!-- portfolio actions -->
    <div class="portfolio-actions">

        <?php

        /* check if is portfolio categories || tags */
        if (!is_tax('portfolio-tags') && $filters):

            if ($count_labels && !empty($categories)):

                $total = 0;

                foreach ($categories as $category):

                    $total += $category->count;

                endforeach;

            endif;

            ?>

            <!-- portfolio filters -->
            <ul class="portfolio-filters">

                <!-- filter item -->
                <li class="filter-item <?php if (!is_tax('portfolio-categories')): ?>active<?php endif; ?>"
                    data-category="*">

                    <!-- filter value -->
                    <a class="filter-value" href="<?php echo esc_url(get_post_type_archive_link('portfolio')); ?>">

                        <?php if ($count_labels && !empty($categories)): ?>

                            <span class="count-label">

                            <?php echo esc_attr($total); ?>

                        </span>

                        <?php endif; ?>

                        <?php

                        /* output all */
                        echo esc_html__('All Items', 'jkd-core');

                        ?>

                    </a>

                </li>

                <?php

                if (!empty($categories)):

                    /* categories loop */
                    foreach ($categories as $category):

                        if (!empty($category)):

                            ?>

                            <!-- filter item -->
                            <li class="filter-item <?php if (is_tax('portfolio-categories', $category->slug)): ?>active<?php endif; ?>"
                                data-category="<?php echo esc_attr($category->slug); ?>">

                                <!-- filter value -->
                                <a class="filter-value"
                                   href="<?php echo esc_url(get_term_link($category->term_id)); ?>">

                                    <?php if ($count_labels): ?>

                                        <span class="count-label">

                                        <?php echo esc_html($category->count); ?>

                                    </span>

                                    <?php endif; ?>

                                    <?php

                                    /* output category name */
                                    echo esc_html($category->name);

                                    ?>

                                </a>

                            </li>

                        <?php endif;

                    endforeach;

                endif;

                ?>

            </ul>

        <?php endif; ?>

    </div>

<?php endif; ?>
