<?php defined('ABSPATH') || exit;
/*
 *
 */

$date = get_the_date('Y.d.m');

$date_toggle = get_theme_mod('portfolio-date-toggle', 1);

if (!empty($_GET['date']) && $_GET['date'] === 'on'):

    $date_toggle = true;

endif;

if (!empty($_GET['date']) && $_GET['date'] === 'off'):

    $date_toggle = false;

endif;

$author_toggle = get_theme_mod('portfolio-author-toggle', 0);

if (!empty($_GET['author']) && $_GET['author'] === 'on'):

    $author_toggle = true;

endif;

if (!empty($_GET['author']) && $_GET['author'] === 'off'):

    $author_toggle = false;

endif;

$link_icon_toggle = get_theme_mod('portfolio-link-icon-toggle', 0);

if (!empty($_GET['link_icon']) && $_GET['link_icon'] === 'on'):

    $link_icon_toggle = true;

endif;

if (!empty($_GET['link_icon']) && $_GET['link_icon'] === 'off'):

    $link_icon_toggle = false;

endif;

$featured_image_toggle = get_theme_mod('portfolio-featured-image-toggle', 1);

if (!empty($_GET['featured_image']) && $_GET['featured_image'] === 'on'):

    $featured_image_toggle = true;

endif;

if (!empty($_GET['featured_image']) && $_GET['featured_image'] === 'off'):

    $featured_image_toggle = false;

endif;

if ($author_toggle):

    $author_id = get_the_author_meta('ID');

    $author_name = get_the_author();

    $author_url = get_author_posts_url($author_id);

    $author_avatar_url = get_avatar_url($author_id);

endif;

$title = get_the_title();

$category = get_the_terms(get_the_ID(), 'portfolio-categories');

$items_offset = get_theme_mod('portfolio-items-offset', 30);

if (!empty($_GET['offset'])):

    $items_offset = $_GET['offset'];

endif;

$hover_style = get_theme_mod('portfolio-hover-style', 'default');

if (!empty($_GET['hover'])):

    $hover_style = $_GET['hover'];

endif;

$field_portfolio_item_type = JKD_Helper::get_field('field_portfolio_item_type');

$portfolio_masonry_toggle = get_theme_mod('portfolio-masonry-toggle', 1);

if (!empty($_GET['masonry']) && $_GET['masonry'] === 'on'):

    $portfolio_masonry_toggle = true;

endif;

if (!empty($_GET['masonry']) && $_GET['masonry'] === 'off'):

    $portfolio_masonry_toggle = false;

endif;

if ($field_portfolio_item_type === 'gif'):

    $field_portfolio_item_gif_file = JKD_Helper::get_field('field_portfolio_item_gif_file');

endif;

if ($field_portfolio_item_type === 'gallery'):

    $field_portfolio_item_gallery = JKD_Helper::get_field('field_portfolio_item_gallery');

endif;

if ($field_portfolio_item_type === 'video'):

    $field_portfolio_item_video_type = JKD_Helper::get_field('field_portfolio_item_video_type');

    if ($field_portfolio_item_video_type === 'html'):

        $field_portfolio_item_video_file = JKD_Helper::get_field('field_portfolio_item_video_file');

    endif;

    if ($field_portfolio_item_video_type === 'youtube' || $field_portfolio_item_video_type === 'video'):

        $field_portfolio_item_video_url = JKD_Helper::get_field('field_portfolio_item_video_url');

    endif;

endif;

$classes = array();

if ($field_portfolio_item_type === 'video'):

    array_push($classes, 'video-item');

endif;

if ($field_portfolio_item_type === 'gallery'):

    array_push($classes, 'gallery-item');

endif;

array_push($classes, 'item-type-' . $field_portfolio_item_type);

$classes = implode(' ', $classes);

$image_id = get_post_thumbnail_id(get_the_ID());

?>

    <div class="grid-item grid-item-hidden"
         style="padding:<?php echo esc_attr($items_offset); ?>px;">

        <div class="grid-inner <?php echo esc_attr($classes); ?>">

            <?php if ($featured_image_toggle): ?>

                <div class="overflow-wrapper header-wrapper <?php if ($hover_style === 'tilt' || $hover_style === 'tilt-boxed' || $hover_style === 'tilt-zoom' || $hover_style === 'tilt-zoom-out'): ?>js-tilt<?php endif; ?>">

                    <?php

                    if ($field_portfolio_item_type === 'default'):

                        if (!empty($image_id)):

                            ?>

                            <a class="item-header" href="<?php the_permalink(); ?>">

                                <?php

                                if ($portfolio_masonry_toggle):

                                    echo JKD_Theme::render_image($image_id,
                                        'medium');

                                else:

                                    echo JKD_Theme::render_image($image_id,
                                        'jk-square-size-small');

                                endif;

                                ?>

                            </a>

                        <?php endif;

                    elseif ($field_portfolio_item_type === 'gif'):

                        if (!empty($field_portfolio_item_gif_file)):

                            $gif = wp_get_attachment_image_url($field_portfolio_item_gif_file, 'medium');

                            if (!empty($gif)):

                                ?>

                                <a class="gif-wrapper item-header" href="<?php the_permalink(); ?>">

                                    <?php

                                    echo JKD_Theme::render_image($image_id,
                                        'medium', 'overlay-image');

                                    ?>

                                    <img src="<?php echo esc_url($gif); ?>"
                                         alt="<?php echo esc_attr($title); ?>">

                                </a>

                            <?php

                            endif;

                        endif;

                    elseif ($field_portfolio_item_type === 'gallery'):

                        ?>

                        <div class="gallery-wrapper">

                            <div class="swiper-container gallery-slider"
                                 <?php if ($field_portfolio_item_type === 'gallery'): ?>id="<?php echo esc_attr('gallery-item-' . get_the_ID()); ?>"<?php endif; ?>>

                                <div class="swiper-wrapper">

                                    <?php foreach ($field_portfolio_item_gallery as $item): ?>

                                        <?php if (!empty($item)): ?>

                                            <div class="swiper-slide">

                                                <?php

                                                echo JKD_Theme::render_image($item,
                                                    'jk-square-size-small');

                                                ?>

                                            </div>

                                        <?php endif; ?>

                                    <?php endforeach; ?>

                                </div>

                                <div class="navigation-button navigation-button-prev">

                                    <?php

                                    $rtl = get_theme_mod('general-rtl-toggle', false);

                                    if (!empty($_GET['rtl'])):

                                        $rtl = $_GET['rtl'];

                                    endif;

                                    if ($rtl):

                                        ?>

                                        <i class="ri-arrow-right-line"></i>

                                    <?php

                                    else:

                                        ?>

                                        <i class="ri-arrow-left-line"></i>

                                    <?php

                                    endif;

                                    ?>

                                </div>

                                <div class="navigation-button navigation-button-next">

                                    <?php

                                    $rtl = get_theme_mod('general-rtl-toggle', false);

                                    if (!empty($_GET['rtl'])):

                                        $rtl = $_GET['rtl'];

                                    endif;

                                    if ($rtl):

                                        ?>

                                        <i class="ri-arrow-left-line"></i>

                                    <?php

                                    else:

                                        ?>

                                        <i class="ri-arrow-right-line"></i>

                                    <?php

                                    endif;

                                    ?>

                                </div>

                            </div>

                            <a href="<?php the_permalink(); ?>" class="link-overlay"></a>

                        </div>

                    <?php

                    elseif ($field_portfolio_item_type === 'video'):

                        if ($field_portfolio_item_video_type === 'html'):

                            ?>

                            <div class="video-wrapper item-header">

                                <video class="video">

                                    <source src="<?php echo esc_url($field_portfolio_item_video_file); ?>"
                                            type="video/mp4"/>

                                </video>

                            </div>

                        <?php

                        elseif ($field_portfolio_item_video_type === 'youtube' || $field_portfolio_item_video_type === 'vimeo'):

                            if (!empty($field_portfolio_item_video_url)):

                                ?>

                                <div class="plyr__video-embed video-player player">

                                    <iframe src="<?php echo esc_url($field_portfolio_item_video_url); ?>&amp;byline=false&amp;portrait=false&amp;title=false&amp;speed=true&amp;transparent=0&amp;gesture=media">

                                    </iframe>

                                </div>

                            <?php

                            endif;

                        endif;

                    endif;

                    ?>

                </div>

            <?php endif; ?>

            <div class="content-wrapper">

                <?php if (!empty($title)): ?>

                    <div class="overflow-wrapper">

                        <div class="item-body">

                            <div class="overflow-wrapper">

                                <h5 class="item-title <?php if ($link_icon_toggle): ?>icon-enabled<?php endif; ?>">

                                    <a href="<?php the_permalink(); ?>" class="multiline-hover">

                                        <?php echo esc_html(wp_trim_words($title, 10, '...')); ?>

                                    </a>

                                    <?php if ($link_icon_toggle): ?>

                                        <i class="ri-arrow-right-down-line"></i>

                                    <?php endif; ?>

                                </h5>

                            </div>

                        </div>

                    </div>

                <?php endif; ?>

                <?php if (!empty($date) && ($date_toggle || $author_toggle)): ?>

                    <div class="overflow-wrapper">

                        <div class="item-footer">

                            <?php if ($date_toggle && !empty($date)): ?>

                                <p class="date">

                                    <?php echo esc_html($date); ?>

                                </p>

                            <?php endif; ?>

                            <?php if ($author_toggle && !empty($author_url) || !empty($author_avatar_url) || !empty($author_name)): ?>

                                <a class="author-wrapper" href="<?php echo esc_url($author_url); ?>">

                                    <?php if (!empty($author_avatar_url)): ?>

                                        <span class="author-image">

                                            <img src="<?php echo esc_url($author_avatar_url); ?>"

                                                 alt="<?php echo esc_attr($author_name); ?>"

                                                 class="img-fluid">

                                        </span>

                                    <?php endif; ?>

                                    <?php if (!empty($author_name)): ?>

                                        <span class="name">

                                          <span class="before-name">

                                                <?php echo esc_html__('By ', 'jkd-core'); ?>

                                          </span>

                                            <?php echo esc_html($author_name); ?>

                                        </span>

                                    <?php endif; ?>

                                </a>

                            <?php endif; ?>

                        </div>

                    </div>

                <?php endif; ?>

            </div>

        </div>

    </div>

<?php
