<?php defined('ABSPATH') || exit;
/*
 *
 */

/* reset postdata */
wp_reset_postdata();

wp_enqueue_script(JKD_Core::$prefix . 'plyr');

wp_enqueue_style(JKD_Core::$prefix . 'plyr');

wp_enqueue_script('swiper');

wp_enqueue_style('swiper');

$total_ajaxify = get_theme_mod('general-total-ajaxify-toggle', '0');

$classes = array();

$hover_style = get_theme_mod('portfolio-hover-style', 'default');

if (!empty($_GET['hover'])):

    $hover_style = $_GET['hover'];

endif;

/* get paged */
$paged = max(1, get_query_var('paged'));

/* get posts per page */
$posts_per_page = get_theme_mod('portfolio-front-items-count', 9);

if (!empty($_GET['posts_per_page'])):

    $posts_per_page = $_GET['posts_per_page'];

endif;

/* get columns */
$columns = get_theme_mod('portfolio-archive-number-of-columns', 3);

if (!empty($_GET['columns'])):

    $columns = $_GET['columns'];

endif;

$actions = get_theme_mod('portfolio-actions', 1);

if (!empty($_GET['actions']) && $_GET['actions'] === 'on'):

    $actions = true;

endif;

if (!empty($_GET['actions']) && $_GET['actions'] === 'off'):

    $actions = false;

endif;

$pagination = get_theme_mod('portfolio-pagination', 1);

$items_offset = get_theme_mod('portfolio-items-offset', 30);

if (!empty($_GET['offset'])):

    $items_offset = $_GET['offset'];

endif;

$portfolio_masonry_toggle = get_theme_mod('portfolio-masonry-toggle', 1);

if (!empty($_GET['masonry']) && $_GET['masonry'] === 'on'):

    $portfolio_masonry_toggle = true;

endif;

if (!empty($_GET['masonry']) && $_GET['masonry'] === 'off'):

    $portfolio_masonry_toggle = false;

endif;

$counter = 0;

if (!empty($_GET['columns'])):

    $columns = $_GET['columns'];

endif;

/* get categories */
$categories = get_terms(array(
    'taxonomy' => 'portfolio-categories',
    'hide_empty' => false,
));

/* portfolio args */
$portfolio_args = array(
    'order' => 'DESC',
    'post_type' => 'portfolio',
    'ignore_sticky_posts' => 1,
    'posts_per_page' => $posts_per_page,
    'paged' => $paged,
    'page' => $paged
);

/* check if is portfolio categories */
if (is_tax('portfolio-categories')):

    /* get category */
    $category = get_queried_object();

    /* push tax_query to the portfolio args */
    $portfolio_args['tax_query'] = array(
        array(
            'taxonomy' => 'portfolio-categories',
            'field' => 'slug',
            'terms' => $category->slug,
        )
    );

endif;

/* check if is portfolio tags */
if (is_tax('portfolio-tags')):

    /* get tag */
    $tag = get_queried_object();

    /* push tax_query to the portfolio args */
    $portfolio_args['tax_query'] = array(
        array(
            'taxonomy' => 'portfolio-tags',
            'field' => 'slug',
            'terms' => $tag->slug,
        )
    );

endif;

/* portfolio query */
$portfolio_query = new WP_Query($portfolio_args);

$atts = array();

$atts_actions = array();

$atts['query'] = $portfolio_query;

$atts['paged'] = $paged;

$atts_actions['categories'] = $categories;

array_push($classes, 'hover-style-' . $hover_style);

if ($portfolio_masonry_toggle):

    array_push($classes, 'portfolio-masonry');

else:

    array_push($classes, 'portfolio-default');

endif;

$classes = implode(' ', $classes);

wp_enqueue_script(JKD_Core::$prefix . 'isotope');

if ($hover_style === 'tilt' || $hover_style === 'tilt-boxed' || $hover_style === 'tilt-zoom' || $hover_style === 'tilt-zoom-out'):

    wp_enqueue_script(JKD_Core::$prefix . 'tilt');

endif;

if (!empty($portfolio_query) && get_option(THEME_SLUG. '_jkdevstudioactivation')):

    ?>

    <!-- portfolio archive -->
    <section class="portfolio-archive <?php echo esc_attr($classes); ?>"
             <?php if (!empty($tag)): ?>data-tag="<?php echo esc_attr($tag->slug); ?>"<?php endif; ?>
             <?php if (!empty($category)): ?>data-category="<?php echo esc_attr($category->slug); ?>"<?php endif; ?>>

        <!-- inner wrapper -->
        <div class="inner-wrapper container">

            <?php

            if ($actions):

                JKD_Core::template('portfolio/actions', $atts_actions);

            endif;

            ?>

            <!-- portfolio grid wrapper -->
            <div class="portfolio-grid-wrapper">

                <!-- portfolio grid -->
                <div class="portfolio-grid <?php echo esc_attr('columns-' . $columns); ?>"
                     data-paged="<?php echo esc_attr($paged); ?>"
                     style="margin: -<?php echo esc_attr($items_offset); ?>px;">

                    <?php

                    if (!$total_ajaxify):

                        /* portfolio loop */
                        if ($portfolio_query->have_posts()) :

                            while ($portfolio_query->have_posts()) : $portfolio_query->the_post();

                                /* item render */
                                JKD_Core::template('portfolio/grid/item');

                            endwhile;

                        endif;

                    else:

                        ?>

                        <div class="loading-wrapper">

                            <?php echo esc_html__('portfolio is loading...', 'jkd-core') ?>

                        </div>

                    <?php

                    endif;

                    ?>

                </div>

                <?php

                if ($pagination):

                    /* pagination render */
                    JKD_Core::template('portfolio/pagination', $atts);

                endif;

                ?>

            </div>

        </div>

    </section>

<?php

endif;

wp_reset_postdata();

wp_enqueue_script(JKD_Core::$prefix . 'portfolio');

wp_enqueue_style(JKD_Core::$prefix . 'portfolio');
