<?php defined('ABSPATH') || exit;
/*
 *
 */

$pagination_type = get_theme_mod('portfolio-archive-pagination-type', 'default');

if (!empty($_GET['pagination_type'])):

    $pagination_type = $_GET['pagination_type'];

endif;

$pagination_direction = get_theme_mod('portfolio-archive-pagination-alignment', 'center');

if (!empty($_GET['pagination_alignment'])):

    $pagination_direction = $_GET['pagination_alignment'];

endif;

$classes = array();

array_push($classes, 'pagination-' . $pagination_type);

array_push($classes, 'pagination-direction-' . $pagination_direction);

$classes = implode(' ', $classes);

$portfolio_query = $atts['query'];

$paged = $atts['paged'];

/* check of portfolio max num pages > 1 */
if ($portfolio_query->max_num_pages > 1): ?>

    <!-- pagination wrapper -->
    <div class="jkd-pagination <?php echo esc_attr($classes); ?>">

        <?php

        /* if pagination style == default */
        if ($pagination_type === 'default'):

            $rtl = get_theme_mod('general-rtl-toggle', false);

            if (!empty($_GET['rtl'])):

                $rtl = $_GET['rtl'];

            endif;

            if ($rtl):

                /* paginate links */
                echo paginate_links(array(
                    'current' => $paged,
                    'end_size' => 1,
                    'mid_size' => 1,
                    'prev_next' => true,
                    'total' => $portfolio_query->max_num_pages,
                    'prev_text' => '<div class="pagination-arrow prev-arrow">' . '<i class="ri-arrow-right-line"></i>' . esc_html__('Previous', 'jkd-core') . '</div>',
                    'next_text' => '<div class="pagination-arrow next-arrow">' . esc_html__('Next', 'jkd-core') . '<i class="ri-arrow-left-line"></i>' . '</div>',
                ));

            else:

                /* paginate links */
                echo paginate_links(array(
                    'current' => $paged,
                    'end_size' => 1,
                    'mid_size' => 1,
                    'prev_next' => true,
                    'total' => $portfolio_query->max_num_pages,
                    'prev_text' => '<div class="pagination-arrow prev-arrow">' . '<i class="ri-arrow-left-line"></i>' . esc_html__('Previous', 'jkd-core') . '</div>',
                    'next_text' => '<div class="pagination-arrow next-arrow">' . esc_html__('Next', 'jkd-core') . '<i class="ri-arrow-right-line"></i>' . '</div>',
                ));

            endif;

        /* if pagination style == load-more */
        elseif ($pagination_type === 'load-more'): ?>

            <!-- load more button -->
            <button class="jkd-button default-border-style animation-slide load-more-button">

            <span>

                <span>

                <?php echo esc_html__('Load More', 'jkd-core'); ?>

                </span>

                </span>

            </button>

        <?php endif; ?>

    </div>

<?php endif; ?>
