<?php defined('ABSPATH') || exit;
/*
 *
 */

$hover_style = get_theme_mod('portfolio-hover-style', 'default');

if (!empty($_GET['hover'])):

    $hover_style = $_GET['hover'];

endif;

$single_project_style = get_theme_mod('single-project-style', 'default');

if (!empty($_GET['style'])):

    $single_project_style = $_GET['style'];

endif;

$field_portfolio_item_type = JKD_Helper::get_field('field_portfolio_item_type');

if ($field_portfolio_item_type === 'gif'):

    $field_portfolio_item_gif_file = JKD_Helper::get_field('field_portfolio_item_gif_file');

endif;

if ($field_portfolio_item_type === 'gallery'):

    $field_portfolio_item_gallery = JKD_Helper::get_field('field_portfolio_item_gallery');

endif;

if ($field_portfolio_item_type === 'video'):

    wp_enqueue_script(JKD_Core::$prefix . 'plyr');

    wp_enqueue_style(JKD_Core::$prefix . 'plyr');

    $field_portfolio_item_video_type = JKD_Helper::get_field('field_portfolio_item_video_type');

    if ($field_portfolio_item_video_type === 'html'):

        $field_portfolio_item_video_file = JKD_Helper::get_field('field_portfolio_item_video_file');

    endif;

    if ($field_portfolio_item_video_type === 'youtube' || $field_portfolio_item_video_type === 'video'):

        $field_portfolio_item_video_url = JKD_Helper::get_field('field_portfolio_item_video_url');

    endif;

endif;

$title = get_the_title();

$image_id = get_post_thumbnail_id();

$date = get_the_date();

$tags = get_the_terms(get_the_ID(), 'portfolio-tags');

$categories = get_the_terms(get_the_ID(), 'portfolio-categories');

$author_id = get_the_author_meta('ID');

$author_name = get_the_author();

$author_url = get_author_posts_url($author_id);

$author_avatar_url = get_avatar_url($author_id);

$single_project_recent = get_theme_mod('single-project-recent', '1');

if (!empty($_GET['recent']) && $_GET['recent'] === 'on'):

    $single_project_recent = true;

endif;

if (!empty($_GET['recent']) && $_GET['recent'] === 'off'):

    $single_project_recent = false;

endif;

$single_project_recent_by = get_theme_mod('single-project-recent-by', 'categories');

if (!empty($_GET['recent_by'])):

    $single_project_recent_by = $_GET['recent_by'];

endif;

$single_project_number_of_recent_items = get_theme_mod('single-project-number-of-recent-items', 6);

if (!empty($_GET['recent_number'])):

    $single_project_number_of_recent_items = $_GET['recent_number'];

endif;

$single_project_navigation = get_theme_mod('single-project-navigation', '1');

$share_toggle = get_theme_mod('single-project-share-toggle', '1');

$share_list = get_theme_mod('single-project-share-list');

$field_portfolio_author = JKD_Helper::get_field('field_portfolio_author');

$field_portfolio_date = JKD_Helper::get_field('field_portfolio_date');

$field_portfolio_categories = JKD_Helper::get_field('field_portfolio_categories');

$field_portfolio_tags = JKD_Helper::get_field('field_portfolio_tags');

/* gen next post */
$next_post = get_next_post();

?>

<div class="single-project-wrapper style-<?php echo esc_attr($single_project_style); ?>">

    <div class="inner-wrapper <?php if ($single_project_style === 'sticky'): ; ?>container<?php endif; ?>">

        <div class="project-header">

            <?php if ($single_project_style === 'default' || $single_project_style === 'full-width'): ?>

                <div class="meta-wrapper container">

                    <?php if (!empty($author_url) || !empty($author_name) || !empty($date)): ?>

                        <?php if ($field_portfolio_author || $field_portfolio_date): ?>

                            <div class="meta-info-top">

                                <a class="author-wrapper" href="<?php echo esc_url($author_url); ?>">

                                    <?php if ($field_portfolio_author): ?>

                                        <?php if (!empty($author_avatar_url)): ?>

                                            <span class="author-image">

                                            <img src="<?php echo esc_url($author_avatar_url); ?>"

                                                 alt="<?php echo esc_attr($author_name); ?>"

                                                 class="img-fluid">

                                        </span>

                                        <?php endif; ?>

                                    <?php endif; ?>

                                    <?php if (!empty($author_name) || !empty($date)): ?>

                                        <div class="right-side">

                                            <?php if (!empty($author_name) && $field_portfolio_author): ?>

                                                <p class="name">

                                                    <?php echo esc_html($author_name); ?>

                                                </p>

                                            <?php endif; ?>

                                            <?php if (!empty($date) && $field_portfolio_date): ?>

                                                <p class="date">

                                                    <?php echo esc_html($date); ?>

                                                </p>

                                            <?php endif; ?>

                                        </div>

                                    <?php endif; ?>

                                </a>

                            </div>

                        <?php endif; ?>

                    <?php endif; ?>

                    <?php if (!empty($title)): ?>

                        <div class="title-wrapper">

                            <h1 class="project-title extra-h1">

                                <?php echo esc_html($title); ?>

                            </h1>

                        </div>

                    <?php endif; ?>

                    <?php if ($field_portfolio_categories || $field_portfolio_tags): ?>

                        <?php if (!empty($categories) || !empty($tags)): ?>

                            <div class="terms-wrapper">

                                <?php if (!empty($categories) && $field_portfolio_categories): ?>

                                    <div class="categories-wrapper term-wrapper">

                                        <p class="categories-title term-title">

                                            <?php echo esc_html__('Categories: ', 'jkd-core'); ?>

                                        </p>

                                        <ul class="categories-list term-list">

                                            <?php foreach ($categories as $category): ?>

                                                <li class="category">

                                                    <a href="<?php echo esc_url(get_term_link($category->term_id)); ?>">

                                                        <?php echo esc_html($category->name); ?>

                                                    </a>

                                                </li>

                                            <?php endforeach; ?>

                                        </ul>

                                    </div>

                                <?php endif; ?>

                                <?php if (!empty($tags) && $field_portfolio_tags): ?>

                                    <div class="tags-wrapper term-wrapper">

                                        <p class="tags-title term-title">

                                            <?php echo esc_html__('Tags: ', 'jkd-core'); ?>

                                        </p>

                                        <ul class="tags-list term-list">

                                            <?php foreach ($tags as $tag): ?>

                                                <li class="tag">

                                                    <a href="<?php echo esc_url(get_term_link($tag->term_id)); ?>">

                                                        <?php echo esc_html($tag->name); ?>

                                                    </a>

                                                </li>

                                            <?php endforeach; ?>

                                        </ul>

                                    </div>

                                <?php endif; ?>

                            </div>

                        <?php endif; ?>

                    <?php endif; ?>

                </div>

            <?php endif; ?>

            <div class="featured-wrapper">

                <?php

                if ($field_portfolio_item_type === 'default'):

                    if (!empty($image_id)):

                        if ($single_project_style === 'default'):

                            if (!empty($image_id)):

                                ?>

                                <div class="image-wrapper container">

                                    <?php

                                    echo JKD_Theme::render_image($image_id,
                                        'jk-wide-size-full');
                                    ?>

                                </div>

                            <?php endif; ?>

                        <?php elseif ($single_project_style === 'full-width' || $single_project_style === 'side' || $single_project_style === 'sticky'): ?>

                            <?php if (has_post_thumbnail()): ?>

                                <div class="full-width-image-wrapper image-wrapper"
                                     style="background-image: url(<?php echo esc_url(get_the_post_thumbnail_url(get_the_ID(), 'jk-wide-size-full')); ?>);">

                                </div>

                            <?php endif; ?>

                        <?php endif; ?>

                    <?php endif;

                elseif ($field_portfolio_item_type === 'gif'):

                    if (!empty($field_portfolio_item_gif_file)):

                        $gif = wp_get_attachment_image_url($field_portfolio_item_gif_file, 'full');

                        if ($single_project_style === 'default'):

                            if (!empty($gif)):

                                ?>

                                <div class="image-wrapper container">

                                    <div class="gif-wrapper">

                                        <img src="<?php echo esc_url($gif); ?>"
                                             alt="<?php echo esc_attr($title); ?>">

                                    </div>

                                </div>

                            <?php endif; ?>

                        <?php elseif ($single_project_style === 'full-width' || $single_project_style === 'side' || $single_project_style === 'sticky'): ?>

                            <?php if (!empty($gif)): ?>

                                <div class="image-wrapper">

                                    <div class="gif-wrapper">

                                        <img src="<?php echo esc_url($gif); ?>"
                                             alt="<?php echo esc_attr($title); ?>">

                                    </div>

                                </div>

                            <?php endif; ?>

                        <?php endif; ?>

                    <?php endif;

                elseif ($field_portfolio_item_type === 'gallery'):

                    wp_enqueue_script('swiper');

                    wp_enqueue_style('swiper');

                    if ($single_project_style === 'default'):

                        if (!empty($field_portfolio_item_gallery)):

                            ?>

                            <div class="single-gallery-wrapper container">

                                <div class="swiper-container single-gallery-slider"
                                     <?php if ($field_portfolio_item_type === 'gallery'): ?>id="<?php echo esc_attr('gallery-item-' . get_the_ID()); ?>"<?php endif; ?>>

                                    <div class="swiper-wrapper">

                                        <?php foreach ($field_portfolio_item_gallery as $item): ?>

                                            <?php if (!empty($item)): ?>

                                                <div class="swiper-slide">

                                                    <?php

                                                    echo JKD_Theme::render_image($item,
                                                        'jk-wide-size-full');

                                                    ?>

                                                </div>

                                            <?php endif; ?>

                                        <?php endforeach; ?>

                                    </div>

                                    <div class="navigation-wrapper">

                                        <div class="navigation-button navigation-button-prev">

                                            <?php

                                            $rtl = get_theme_mod('general-rtl-toggle', false);

                                            if (!empty($_GET['rtl'])):

                                                $rtl = $_GET['rtl'];

                                            endif;

                                            if ($rtl):

                                                ?>

                                                <i class="ri-arrow-right-line"></i>

                                            <?php

                                            else:

                                                ?>

                                                <i class="ri-arrow-left-line"></i>

                                            <?php

                                            endif;

                                            ?>

                                        </div>

                                        <div class="navigation-button navigation-button-next">

                                            <?php

                                            $rtl = get_theme_mod('general-rtl-toggle', false);

                                            if (!empty($_GET['rtl'])):

                                                $rtl = $_GET['rtl'];

                                            endif;

                                            if ($rtl):

                                                ?>

                                                <i class="ri-arrow-left-line"></i>

                                            <?php

                                            else:

                                                ?>

                                                <i class="ri-arrow-right-line"></i>

                                            <?php

                                            endif;

                                            ?>

                                        </div>

                                    </div>

                                    <div class="pagination-wrapper">

                                    </div>

                                </div>

                            </div>

                        <?php endif; ?>

                    <?php elseif ($single_project_style === 'full-width' || $single_project_style === 'side' || $single_project_style === 'sticky'): ?>

                        <?php if (!empty($field_portfolio_item_gallery)): ?>

                            <div class="single-gallery-wrapper">

                                <div class="swiper-container single-gallery-slider"
                                     <?php if ($field_portfolio_item_type === 'gallery'): ?>id="<?php echo esc_attr('gallery-item-' . get_the_ID()); ?>"<?php endif; ?>>

                                    <div class="swiper-wrapper">

                                        <?php foreach ($field_portfolio_item_gallery as $item):

                                            ?>

                                            <?php if (!empty($item)): ?>

                                            <div class="swiper-slide">

                                                <div class="full-width-image-wrapper image-wrapper"
                                                     style="background-image: url(<?php echo esc_url(wp_get_attachment_image_url($item, 'full')); ?>);">

                                                </div>

                                            </div>

                                        <?php endif; ?>

                                        <?php endforeach; ?>

                                    </div>

                                    <div class="navigation-wrapper">

                                        <div class="navigation-button navigation-button-prev">

                                            <?php

                                            $rtl = get_theme_mod('general-rtl-toggle', false);

                                            if (!empty($_GET['rtl'])):

                                                $rtl = $_GET['rtl'];

                                            endif;

                                            if ($rtl):

                                                ?>

                                                <i class="ri-arrow-right-line"></i>

                                            <?php

                                            else:

                                                ?>

                                                <i class="ri-arrow-left-line"></i>

                                            <?php

                                            endif;

                                            ?>

                                        </div>

                                        <div class="navigation-button navigation-button-next">

                                            <?php

                                            $rtl = get_theme_mod('general-rtl-toggle', false);

                                            if (!empty($_GET['rtl'])):

                                                $rtl = $_GET['rtl'];

                                            endif;

                                            if ($rtl):

                                                ?>

                                                <i class="ri-arrow-left-line"></i>

                                            <?php

                                            else:

                                                ?>

                                                <i class="ri-arrow-right-line"></i>

                                            <?php

                                            endif;

                                            ?>

                                        </div>

                                    </div>

                                    <div class="pagination-wrapper">

                                    </div>

                                </div>

                            </div>

                        <?php endif; ?>

                    <?php endif;

                elseif ($field_portfolio_item_type === 'video'):

                    if ($single_project_style === 'default'):

                        ?>

                        <div class="single-video-wrapper container">

                            <?php

                            if ($field_portfolio_item_video_type === 'html'):

                                if (!empty($field_portfolio_item_video_file)):

                                    ?>

                                    <video class="video-player player" playsinline controls>

                                        <source src="<?php echo esc_url($field_portfolio_item_video_file); ?>"
                                                type="video/mp4"/>

                                    </video>

                                <?php

                                endif;

                            elseif ($field_portfolio_item_video_type === 'youtube'):

                                if (!empty($field_portfolio_item_video_url)):

                                    ?>

                                    <div class="plyr__video-embed video-player player">

                                        <iframe src="<?php echo esc_url($field_portfolio_item_video_url); ?>&amp;iv_load_policy=3&amp;modestbranding=0&amp;playsinline=0&amp;showinfo=0&amp;rel=0&amp;enablejsapi=1"
                                                allowfullscreen
                                                allowtransparency
                                                allow="autoplay">

                                        </iframe>

                                    </div>

                                <?php

                                endif;

                            elseif ($field_portfolio_item_video_type === 'vimeo'):

                                if (!empty($field_portfolio_item_video_url)):

                                    ?>

                                    <div class="plyr__video-embed video-player player">

                                        <iframe src="<?php echo esc_url($field_portfolio_item_video_url); ?>&amp;byline=false&amp;portrait=false&amp;title=false&amp;speed=true&amp;transparent=0&amp;gesture=media">

                                        </iframe>

                                    </div>

                                <?php

                                endif;

                            endif;

                            ?>

                        </div>

                    <?php elseif ($single_project_style === 'full-width' || $single_project_style === 'side'): ?>

                        <div class="single-video-wrapper-full-width">

                            <?php

                            if ($field_portfolio_item_video_type === 'html'):

                                if (!empty($field_portfolio_item_video_file)):

                                    ?>

                                    <video class="video-player player" playsinline controls>

                                        <source src="<?php echo esc_url($field_portfolio_item_video_file); ?>"
                                                type="video/mp4"/>

                                    </video>

                                <?php

                                endif;

                            elseif ($field_portfolio_item_video_type === 'youtube'):

                                if (!empty($field_portfolio_item_video_url)):

                                    ?>

                                    <div class="plyr__video-embed video-player player">

                                        <iframe src="<?php echo esc_url($field_portfolio_item_video_url); ?>&amp;iv_load_policy=3&amp;modestbranding=0&amp;playsinline=0&amp;showinfo=0&amp;rel=0&amp;enablejsapi=1"
                                                allowfullscreen
                                                allowtransparency
                                                allow="autoplay">

                                        </iframe>

                                    </div>

                                <?php

                                endif;

                            elseif ($field_portfolio_item_video_type === 'vimeo'):

                                if (!empty($field_portfolio_item_video_url)):

                                    ?>

                                    <div class="plyr__video-embed video-player player">

                                        <iframe src="<?php echo esc_url($field_portfolio_item_video_url); ?>&amp;byline=false&amp;portrait=false&amp;title=false&amp;speed=true&amp;transparent=0&amp;gesture=media">

                                        </iframe>

                                    </div>

                                <?php

                                endif;

                            endif;

                            ?>

                        </div>

                    <?php elseif ($single_project_style === 'sticky'): ?>

                        <div class="single-video-wrapper-vertical">

                            <?php

                            if ($field_portfolio_item_video_type === 'html'):

                                if (!empty($field_portfolio_item_video_file)):

                                    ?>

                                    <video class="video-player player" playsinline controls>

                                        <source src="<?php echo esc_url($field_portfolio_item_video_file); ?>"
                                                type="video/mp4"/>

                                    </video>

                                <?php

                                endif;

                            elseif ($field_portfolio_item_video_type === 'youtube'):

                                if (!empty($field_portfolio_item_video_url)):

                                    ?>

                                    <div class="plyr__video-embed video-player player">

                                        <iframe src="<?php echo esc_url($field_portfolio_item_video_url); ?>&amp;iv_load_policy=3&amp;modestbranding=0&amp;playsinline=0&amp;showinfo=0&amp;rel=0&amp;enablejsapi=1"
                                                allowfullscreen
                                                allowtransparency
                                                allow="autoplay">

                                        </iframe>

                                    </div>

                                <?php

                                endif;

                            elseif ($field_portfolio_item_video_type === 'vimeo'):

                                if (!empty($field_portfolio_item_video_url)):

                                    ?>

                                    <div class="plyr__video-embed video-player player">

                                        <iframe src="<?php echo esc_url($field_portfolio_item_video_url); ?>&amp;byline=false&amp;portrait=false&amp;title=false&amp;speed=true&amp;transparent=0&amp;gesture=media">

                                        </iframe>

                                    </div>

                                <?php

                                endif;

                            endif;

                            ?>

                        </div>

                    <?php endif; ?>

                <?php endif; ?>

            </div>

        </div>

        <div class="project-body">

            <?php if ($single_project_style === 'side' || $single_project_style === 'sticky'): ?>

                <div class="meta-wrapper container">

                    <div class="meta-info-top">

                        <?php if (!empty($author_url) || !empty($author_name) || !empty($date)): ?>

                            <a class="author-wrapper" href="<?php echo esc_url($author_url); ?>">

                                <?php if (!empty($author_avatar_url)): ?>

                                    <span class="author-image">

                                            <img src="<?php echo esc_url($author_avatar_url); ?>"

                                                 alt="<?php echo esc_attr($author_name); ?>"

                                                 class="img-fluid">

                                        </span>

                                <?php endif; ?>

                                <?php if (!empty($author_name) || !empty($date)): ?>

                                    <div class="right-side">

                                        <?php if (!empty($author_name)): ?>

                                            <p class="name">

                                                <?php echo esc_html($author_name); ?>

                                            </p>

                                        <?php endif; ?>

                                        <?php if (!empty($date)): ?>

                                            <p class="date">

                                                <?php echo esc_html($date); ?>

                                            </p>

                                        <?php endif; ?>

                                    </div>

                                <?php endif; ?>

                            </a>

                        <?php endif; ?>

                    </div>

                    <?php if (!empty($title)): ?>

                        <div class="title-wrapper">

                            <h1 class="project-title <?php if ($single_project_style !== 'sticky'): ?>extra-h1<?php endif; ?>">

                                <?php echo esc_html($title); ?>

                            </h1>

                        </div>

                    <?php endif; ?>

                    <?php if (!empty($categories) || !empty($tags)): ?>

                        <div class="terms-wrapper">

                            <?php if (!empty($categories)): ?>

                                <div class="categories-wrapper term-wrapper">

                                    <p class="categories-title term-title">

                                        <?php echo esc_html__('Categories: ', 'jkd-core'); ?>

                                    </p>

                                    <ul class="categories-list term-list">

                                        <?php foreach ($categories as $category): ?>

                                            <li class="category">

                                                <a href="<?php echo esc_url(get_term_link($category->term_id)); ?>">

                                                    <?php echo esc_html($category->name); ?>

                                                </a>

                                            </li>

                                        <?php endforeach; ?>

                                    </ul>

                                </div>

                            <?php endif; ?>

                            <?php if (!empty($tags)): ?>

                                <div class="tags-wrapper term-wrapper">

                                    <p class="tags-title term-title">

                                        <?php echo esc_html__('Tags: ', 'jkd-core'); ?>

                                    </p>

                                    <ul class="tags-list term-list">

                                        <?php foreach ($tags as $tag): ?>

                                            <li class="tag">

                                                <a href="<?php echo esc_url(get_term_link($tag->term_id)); ?>">

                                                    <?php echo esc_html($tag->name); ?>

                                                </a>

                                            </li>

                                        <?php endforeach; ?>

                                    </ul>

                                </div>

                            <?php endif; ?>

                        </div>

                    <?php endif; ?>

                </div>

            <?php endif; ?>

            <?php if (have_rows('field_portfolio_item_attributes')): ?>

                <div class="summary-wrapper container">

                    <div class="summary-inner">

                        <ul class="summary-list">

                            <?php

                            while (have_rows('field_portfolio_item_attributes')) : the_row();

                                $attr_title = JKD_Helper::get_sub_field('attr_title');

                                $attr_value = JKD_Helper::get_sub_field('attr_value');

                                if (!empty($attr_title) && !empty($attr_value)):

                                    ?>

                                    <li class="summary-item">

                                        <div class="summary-title">

                                            <?php echo esc_html($attr_title); ?>

                                        </div>

                                        <div class="summary-value">

                                            <?php echo esc_html($attr_value); ?>

                                        </div>

                                    </li>

                                <?php endif; ?>

                            <?php

                            endwhile;

                            ?>

                        </ul>

                    </div>

                </div>

            <?php endif; ?>

            <div class="body-wrapper">

                <?php the_content(); ?>

            </div>

        </div>

    </div>

    <div class="footer-wrapper">

        <?php if ($share_toggle && !empty($share_list)): ?>

            <div class="share-wrapper container">

                <p class="share-title">

                    <?php echo esc_html__('Share: ', 'jkd-core'); ?>

                </p>

                <?php JKD_Share::render_share_list($share_list, get_the_ID()); ?>

            </div>

        <?php endif; ?>

        <?php if ($single_project_recent):

            wp_enqueue_script('swiper');

            wp_enqueue_style('swiper');

            $args = array(
                'ignore_sticky_posts' => 1,
                'posts_per_page' => $single_project_number_of_recent_items,
                'order' => 'DESC',
                'post_type' => 'portfolio',
                'project__not_in' => array(get_the_ID())
            );

            if ($single_project_recent_by === 'categories' && !empty($categories)):

                $recent_categories = array();

                foreach ($categories as $category):

                    array_push($recent_categories, $category->term_id);

                endforeach;

                $args['tax_query'] = array(
                    array(
                        'taxonomy' => 'portfolio-categories',
                        'field' => 'id',
                        'terms' => $recent_categories,
                        'operator' => 'IN',
                    )
                );

            endif;

            if ($single_project_recent_by === 'tags' && !empty($tags)):

                $recent_tags = array();

                foreach ($tags as $tag):

                    array_push($recent_tags, $tag->term_id);

                endforeach;

                $args['tax_query'] = array(
                    array(
                        'taxonomy' => 'portfolio-tags',
                        'field' => 'id',
                        'terms' => $recent_tags,
                        'operator' => 'IN',
                    )
                );

            endif;

            if ($single_project_recent_by === 'author'):

                $args['author__in'] = array($author_id);

            endif;

            $the_query = new WP_Query($args);

            if ($the_query->have_posts() && $the_query->found_posts > 3) :

                ?>

                <div class="recent-projects-wrapper slider-style container">

                    <h4 class="recent-projects-title">

                        <?php echo esc_html__('Recent Projects', 'jkd-core'); ?>

                    </h4>

                    <div class="recent-projects-slider-wrapper">

                        <div class="swiper-container recent-projects-slider">

                            <div class="swiper-wrapper">

                                <?php while ($the_query->have_posts()) : $the_query->the_post();

                                    $project_date = get_the_date();

                                    $project_title = get_the_title();

                                    $project_author_id = get_the_author_meta('ID');

                                    $project_author_name = get_the_author();

                                    $project_author_url = get_author_posts_url($author_id);

                                    $project_author_avatar_url = get_avatar_url($project_author_id);

                                    $project_thumbnail_id = get_post_thumbnail_id();

                                    $project_category = get_the_terms(get_the_ID(), 'portfolio-categories');

                                    ?>

                                    <div <?php post_class('swiper-slide post-article'); ?>>

                                        <div class="post-inner">

                                            <?php if (has_post_thumbnail()): ?>

                                                <a class="recent-post-header" href="<?php the_permalink(); ?>">

                                                    <?php if (!empty($project_category)): ?>

                                                        <span class="category-label">

                                                       <?php echo esc_html($project_category[0]->name); ?>

                                                   </span>

                                                    <?php endif; ?>

                                                    <?php

                                                    the_post_thumbnail('jk-square-size-extra-small');

                                                    ?>

                                                </a>

                                            <?php endif; ?>

                                            <div class="recent-post-body">

                                                <?php if (!empty($project_date)): ?>

                                                    <p class="date">

                                                        <?php echo esc_html($project_date); ?>

                                                    </p>

                                                <?php endif; ?>

                                                <?php if (!empty($project_title)) : ?>

                                                    <h6 class="title">

                                                        <a href="<?php the_permalink(); ?>"
                                                           class="multiline-hover">

                                                            <?php echo esc_html(wp_trim_words($project_title, 8, '...')); ?>

                                                        </a>

                                                    </h6>

                                                <?php endif; ?>

                                                <?php if (!empty($project_author_url) || !empty($project_author_name)): ?>

                                                    <a class="author-wrapper"
                                                       href="<?php echo esc_url($project_author_url); ?>">

                                                        <?php if (!empty($project_author_avatar_url)): ?>

                                                            <span class="author-image">

                                            <img src="<?php echo esc_url($project_author_avatar_url); ?>"

                                                 alt="<?php echo esc_attr($project_author_name); ?>"

                                                 class="img-fluid">

                                        </span>

                                                        <?php endif; ?>

                                                        <?php if (!empty($project_author_name)): ?>

                                                            <span class="name">

                                          <span class="before-name">

                                                <?php echo esc_html__('By ', 'jkd-core'); ?>

                                          </span>

                                            <?php echo esc_html($project_author_name); ?>

                                        </span>

                                                        <?php endif; ?>

                                                    </a>

                                                <?php endif; ?>

                                            </div>

                                        </div>

                                    </div>

                                <?php endwhile; ?>

                            </div>

                            <div class="pagination-wrapper">

                            </div>

                        </div>

                        <div class="navigation-wrapper">

                            <div class="navigation-button navigation-button-prev">

                                <?php

                                $rtl = get_theme_mod('general-rtl-toggle', false);

                                if (!empty($_GET['rtl'])):

                                    $rtl = $_GET['rtl'];

                                endif;

                                if ($rtl):

                                    ?>

                                    <i class="ri-arrow-right-line"></i>

                                <?php

                                else:

                                    ?>

                                    <i class="ri-arrow-left-line"></i>

                                <?php

                                endif;

                                ?>

                            </div>

                            <div class="navigation-button navigation-button-next">

                                <?php

                                $rtl = get_theme_mod('general-rtl-toggle', false);

                                if (!empty($_GET['rtl'])):

                                    $rtl = $_GET['rtl'];

                                endif;

                                if ($rtl):

                                    ?>

                                    <i class="ri-arrow-left-line"></i>

                                <?php

                                else:

                                    ?>

                                    <i class="ri-arrow-right-line"></i>

                                <?php

                                endif;

                                ?>

                            </div>

                        </div>

                    </div>

                </div>

            <?php endif; ?>

        <?php endif; ?>

        <?php if ($single_project_navigation && !empty($next_post)): ?>

            <div class="single-project-navigation-wrapper">

                <div class="navigation-inner container">

                    <?php if (!empty($next_post)): ?>

                        <div class="next-box nav-box">

                            <div class="image-overlay"
                                 style="background-image: url(<?php echo esc_url(get_the_post_thumbnail_url($next_post, 'jk-wide-size-extra-large')); ?>);">

                            </div>

                            <div class="text-wrapper">

                            <span class="upper-text">

                                        <?php echo esc_html__('Next Project', 'jkd-core'); ?>

                                   </span>

                                <h2 class="post-title">

                                    <a href="<?php the_permalink($next_post->ID); ?>"
                                       class="multiline-hover">

                                        <?php echo esc_html(wp_trim_words(get_the_title($next_post->ID), 10, '...')); ?>

                                    </a>

                                </h2>

                            </div>

                        </div>

                    <?php else: ?>

                        <br>

                    <?php endif; ?>

                </div>

            </div>

        <?php endif; ?>

    </div>

</div>
