<?php defined('ABSPATH') || exit;
/*
 *
 */

$shop_banner_alignment = get_theme_mod('shop-banner-alignment', 'top');

if (!empty($_GET['banner_alignment'])):

    $shop_banner_alignment = $_GET['banner_alignment'];

endif;

$shop_banner_background = get_theme_mod('shop-banner-background');

if (!empty($_GET['banner_background'])):

    $shop_banner_background = $_GET['banner_background'];

endif;

if (!empty($_GET['banner_background']) && $_GET['banner_background'] === 'no-background'):

    $shop_banner_background = false;

endif;

$shop_banner_text = get_theme_mod('shop-banner-text', esc_html__('Hurry up! Get 15% off now for a limited time offer.', 'jkd-core'));

if (!empty($_GET['banner_text'])):

    $shop_banner_text = $_GET['banner_text'];

endif;

$shop_banner_button_text = get_theme_mod('shop-banner-button-text', esc_html__('Learn Mode', 'jkd-core'));

if (!empty($_GET['banner_button_text'])):

    $shop_banner_button_text = $_GET['banner_button_text'];

endif;

$shop_banner_button_link = get_theme_mod('shop-banner-button-link', '#');

if (!empty($_GET['banner_button_link'])):

    $shop_banner_button_link = $_GET['banner_button_link'];

endif;

$classes = array();

array_push($classes, 'shop-banner-' . $shop_banner_alignment);

if (empty($shop_banner_background)):

    array_push($classes, 'no-background');

else:

    array_push($classes, 'background-enabled');

endif;

$classes = implode(' ', $classes);

?>


<div class="shop-banner <?php echo esc_attr($classes); ?>">

    <?php if (!empty($shop_banner_background)): ?>

        <div class="image-wrapper" style="background-image: url(<?php echo esc_url($shop_banner_background); ?>);">

        </div>

    <?php endif; ?>

    <div class="inner-wrapper container">

        <?php if (!empty($shop_banner_text)): ?>

            <p class="banner-text">

                <?php echo esc_html($shop_banner_text); ?>

            </p>

        <?php endif; ?>

        <?php if (!empty($shop_banner_button_text)): ?>

            <div class="button-wrapper">

                <a href="<?php echo esc_url($shop_banner_button_link); ?>"
                   class="jkd-button <?php if (empty($shop_banner_background)): ?>default-border-style <?php else: ?> white-border-style <?php endif; ?> animation-fill size-extra-small">

                    <?php echo esc_html($shop_banner_button_text); ?>

                    <?php

                    $rtl = get_theme_mod('general-rtl-toggle', false);

                    if (!empty($_GET['rtl'])):

                        $rtl = $_GET['rtl'];

                    endif;

                    if ($rtl):

                        ?>

                        <i class="ri-arrow-left-line right-icon"></i>

                    <?php

                    else:

                        ?>

                        <i class="ri-arrow-right-line right-icon"></i>

                    <?php

                    endif;

                    ?>

                </a>

            </div>

        <?php endif; ?>

    </div>

</div>
