<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_reset_postdata();

$items = WC()->cart->get_cart();

$count = 0;

if (!empty($items)):

    ?>

    <div class="products-list">

        <?php

        foreach ($items as $item => $values) :

            $product_id = $values['data']->get_id();

            $product = wc_get_product($product_id);

            $title = $product->get_title();

            $date = get_the_date('', $product_id);

            $category = get_the_terms($product_id, 'product_cat');

            $quantity = $values['quantity'];

            $image_id = get_post_thumbnail_id($product_id);

            ?>

            <article class="product product-article" data-product-id="<?php echo esc_attr($product_id); ?>">

                <div class="product-inner">

                    <?php if (!empty($image_id)): ?>

                        <a class="product-header" href="<?php echo esc_url($product->get_permalink()); ?>">

                            <?php

                            echo JKD_Theme::render_image($image_id,
                                'thumbnail');

                            ?>

                        </a>

                    <?php endif; ?>

                    <div class="product-body">

                        <h6 class="product-title">

                            <a href="<?php echo esc_url($product->get_permalink()); ?>" class="multiline-hover">

                                <?php echo esc_html(wp_trim_words($title, 6, '...')); ?>

                            </a>

                        </h6>

                        <?php if (!empty($product->get_price_html())): ?>

                            <p class="product-price">

                                <?php echo $product->get_price_html(); ?>

                            </p>

                        <?php endif; ?>

                        <div class="quantity">

                            <button class="decrease">

                                <i class="ri-subtract-line"></i>

                            </button>

                            <input type="number" class="quantity-input" min="1"
                                   value="<?php echo esc_attr($quantity); ?>">

                            <button class="increase">

                                <i class="ri-add-line"></i>

                            </button>

                        </div>

                        <div class="product-remote-button">

                            <i class="ri-close-line"></i>

                        </div>

                    </div>

                </div>

            </article>

        <?php

        endforeach;

        ?>

    </div>

<?php

endif;

?>

    <div class="empty-wrapper">

        <i class="ri-shopping-bag-3-line bg-icon"></i>

        <span class="title">

        <?php echo esc_html__('Your cart is empty', 'jkd-core'); ?>

    </span>

        <?php if (wc_get_page_id('shop') > 0) : ?>

            <p class="return-to-shop">

                <a class="jkd-button default-style size-small animation-color-fill"
                   href="<?php echo esc_url(apply_filters('woocommerce_return_to_shop_redirect',
                       wc_get_page_permalink('shop'))); ?>">

                    <?php

                    echo esc_html(apply_filters('woocommerce_return_to_shop_text', __('Keep Shopping', 'jkd-core')));

                    ?>

                </a>

            </p>

        <?php endif; ?>

    </div>

<?php

wp_reset_postdata();
