<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_enqueue_script(JKD_Core::$prefix . 'shopping-cart');

wp_enqueue_style(JKD_Core::$prefix . 'shopping-cart');

global $woocommerce;

$cart_totals = $woocommerce->cart->cart_contents_count;

$ajax_cart = JKD_Helper::get_theme_mod('nav-cart-ajax-toggle', '1');

if (!empty($_GET['cart-ajax']) && $_GET['cart-ajax'] === 'on'):

    $ajax_cart = true;

endif;

if (!empty($_GET['cart-ajax']) && $_GET['cart-ajax'] === 'off'):

    $ajax_cart = false;

endif;

$classes = array();

if ($cart_totals === 0):

    array_push($classes, 'empty-state');

endif;

$classes = implode(' ', $classes);

?>

<div class="shopping-cart-panel <?php echo esc_attr($classes); ?>">

    <div class="cart-inner">

        <div class="cart-header">

            <h6 class="cart-title">

                <?php echo esc_html__('Shopping Cart', 'jkd-core'); ?>

            </h6>

            <div class="close-button">

                <i class="ri-close-line"></i>

            </div>

        </div>

        <p class="loading-message">

            <?php echo esc_html__('Loading', 'jkd-core'); ?>

            <svg viewBox="0 0 58 58" xmlns="http://www.w3.org/2000/svg" class="loader">
                <g fill="none" fill-rule="evenodd">
                    <g transform="translate(2 1)" stroke-width="1.5" class="loader-stroke-color">
                        <circle cx="42.601" cy="11.462" r="5" fill-opacity="1" class="loader-color">
                            <animate attributeName="fill-opacity"
                                     begin="0s" dur="1.3s"
                                     values="1;0;0;0;0;0;0;0" calcMode="linear"
                                     repeatCount="indefinite"/>
                        </circle>
                        <circle cx="49.063" cy="27.063" r="5" fill-opacity="0" class="loader-color">
                            <animate attributeName="fill-opacity"
                                     begin="0s" dur="1.3s"
                                     values="0;1;0;0;0;0;0;0" calcMode="linear"
                                     repeatCount="indefinite"/>
                        </circle>
                        <circle cx="42.601" cy="42.663" r="5" fill-opacity="0" class="loader-color">
                            <animate attributeName="fill-opacity"
                                     begin="0s" dur="1.3s"
                                     values="0;0;1;0;0;0;0;0" calcMode="linear"
                                     repeatCount="indefinite"/>
                        </circle>
                        <circle cx="27" cy="49.125" r="5" fill-opacity="0" class="loader-color">
                            <animate attributeName="fill-opacity"
                                     begin="0s" dur="1.3s"
                                     values="0;0;0;1;0;0;0;0" calcMode="linear"
                                     repeatCount="indefinite"/>
                        </circle>
                        <circle cx="11.399" cy="42.663" r="5" fill-opacity="0" class="loader-color">
                            <animate attributeName="fill-opacity"
                                     begin="0s" dur="1.3s"
                                     values="0;0;0;0;1;0;0;0" calcMode="linear"
                                     repeatCount="indefinite"/>
                        </circle>
                        <circle cx="4.938" cy="27.063" r="5" fill-opacity="0" class="loader-color">
                            <animate attributeName="fill-opacity"
                                     begin="0s" dur="1.3s"
                                     values="0;0;0;0;0;1;0;0" calcMode="linear"
                                     repeatCount="indefinite"/>
                        </circle>
                        <circle cx="11.399" cy="11.462" r="5" fill-opacity="0" class="loader-color">
                            <animate attributeName="fill-opacity"
                                     begin="0s" dur="1.3s"
                                     values="0;0;0;0;0;0;1;0" calcMode="linear"
                                     repeatCount="indefinite"/>
                        </circle>
                        <circle cx="27" cy="5" r="5" fill-opacity="0" class="loader-color">
                            <animate attributeName="fill-opacity"
                                     begin="0s" dur="1.3s"
                                     values="0;0;0;0;0;0;0;1" calcMode="linear"
                                     repeatCount="indefinite"/>
                        </circle>
                    </g>
                </g>
            </svg>

        </p>

        <div class="cart-body">

            <?php

            if (!$ajax_cart):

                JKD_Core::template('shop/cart/cart-panel-content');

            endif;

            ?>

        </div>

        <?php if (!empty($cart_totals)): ?>

            <div class="cart-footer">

                <div class="top-side">

                    <?php if (!empty(WC()->cart->get_cart_total())): ?>

                        <div class="total">

                            <?php echo esc_html__('Total: ', 'jkd-core'); ?>

                            <p class="number">

                                <?php echo WC()->cart->get_cart_total(); ?>

                            </p>

                        </div>

                    <?php endif; ?>

                    <?php if (!empty($cart_totals)): ?>

                        <div class="count">

                            <?php echo esc_html__('Items: '); ?>

                            <p class="number">

                                <?php echo esc_html($cart_totals); ?>

                            </p>

                        </div>

                    <?php endif; ?>

                </div>

                <div class="buttons-wrapper">

                    <a href="<?php echo esc_url(wc_get_checkout_url()); ?>"
                       class="jkd-button default-style animation-color-fill size-small">

                        <?php echo esc_html__('checkout', 'jkd-core'); ?>

                    </a>

                    <a href="<?php echo esc_url(wc_get_cart_url()); ?>"
                       class="jkd-button default-border-style animation-fill size-small">

                        <?php echo esc_html__('view cart', 'jkd-core'); ?>

                    </a>

                </div>

            </div>

        <?php endif; ?>

    </div>

</div>
