<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_enqueue_script(JKD_Core::$prefix . 'categories-catalogue');

wp_enqueue_style(JKD_Core::$prefix . 'categories-catalogue');

$terms = get_terms('product_cat');

$alphas = range('a', 'z');

$hash_trigger = false;

?>

<div class="categories-catalogue">

    <div class="inner-wrapper container">

        <?php if (!empty($terms)): ?>

            <?php foreach ($terms as $term): ?>

                <?php

                $first_letter = strtolower($term->name[0]);

                if (!in_array($first_letter, $alphas)):

                    $hash_trigger = true;

                endif; ?>

            <?php endforeach; ?>

            <div class="categories-body">

                <ul class="categories-list">

                    <?php if ($hash_trigger): ?>

                        <li class="category-item" data-letter="#" id="#">

                            <h5 class="letter-title">

                                <?php echo esc_html('#'); ?>

                            </h5>

                            <ul class="categories-children-list">

                                <?php foreach ($terms as $term): ?>

                                    <?php

                                    $first_letter = strtolower($term->name[0]);

                                    if (!in_array($first_letter, $alphas)):

                                        $term_id = $term->term_id;

                                        $thumbnail_id = get_term_meta($term_id, 'thumbnail_id', true);

                                        ?>

                                        <li class="term-item">

                                            <?php if (!empty($thumbnail_id)): ?>

                                                <a class="term-header"
                                                   href="<?php echo esc_url(get_term_link($term_id)); ?>">

                                                    <?php

                                                    echo JKD_Theme::render_image($thumbnail_id,
                                                        'jk-square-size-extra-small');

                                                    ?>

                                                </a>

                                            <?php endif; ?>

                                            <?php if (!empty($term->name)): ?>

                                                <h6 class="term-title">

                                                    <a href="<?php echo esc_url(get_term_link($term_id)); ?>"
                                                       class="multiline-hover">

                                                        <?php echo esc_html($term->name); ?>

                                                    </a>

                                                    <span class="count">

                                                        <?php

                                                        echo esc_html($term->count);

                                                        ?>

                                                    </span>

                                                </h6>

                                            <?php endif; ?>

                                        </li>

                                    <?php endif; ?>

                                <?php endforeach; ?>

                            </ul>

                        </li>

                    <?php endif; ?>

                    <?php foreach ($alphas as $letter):

                        $check = false;

                        foreach ($terms as $term): ?>

                            <?php

                            $first_letter = strtolower($term->name[0]);

                            if ($first_letter === $letter):

                                $check = true;

                            endif;

                        endforeach;

                        if ($check):

                            ?>

                            <li class="category-item" data-letter="<?php echo esc_attr($letter); ?>"
                                id="<?php echo esc_attr($letter); ?>">

                                <?php if (!empty($letter)): ?>

                                    <h5 class="letter-title">

                                        <?php echo esc_html(strtoupper($letter)); ?>

                                    </h5>

                                <?php endif; ?>

                                <ul class="categories-children-list">

                                    <?php foreach ($terms as $term): ?>

                                        <?php

                                        $first_letter = strtolower($term->name[0]);

                                        if ($first_letter === $letter):

                                            $term_id = $term->term_id;

                                            $thumbnail_id = get_term_meta($term_id, 'thumbnail_id', true);

                                            ?>

                                            <li class="term-item">

                                                <?php if (!empty($thumbnail_id)): ?>

                                                    <a class="term-header"
                                                       href="<?php echo esc_url(get_term_link($term_id)); ?>">

                                                        <?php

                                                        echo JKD_Theme::render_image($thumbnail_id,
                                                            'jk-square-size-extra-small');

                                                        ?>

                                                    </a>

                                                <?php endif; ?>

                                                <?php if (!empty($term->name)): ?>

                                                    <h6 class="term-title">

                                                        <a href="<?php echo esc_url(get_term_link($term_id)); ?>"
                                                           class="multiline-hover">

                                                            <?php echo esc_html($term->name); ?>

                                                        </a>

                                                        <span class="count">

                                                        <?php

                                                        echo esc_html($term->count);

                                                        ?>

                                                    </span>

                                                    </h6>

                                                <?php endif; ?>

                                            </li>

                                        <?php endif; ?>

                                    <?php endforeach; ?>

                                </ul>

                            </li>

                        <?php

                        endif;

                    endforeach;

                    ?>

                </ul>

            </div>

        <?php endif; ?>

    </div>

</div>
