<?php defined('ABSPATH') || exit;

/*
 *
 */

/**
 * Class jkd_cf7_form_widget
 */
class jkd_cf7_form_widget extends \Elementor\Widget_Base
{

    /**
     * @return string
     */
    public function get_name()
    {

        /* return widget name (slug) */
        return 'jk-cf7-form';

    }

    /**
     * @return string|void
     */
    public function get_title()
    {

        /* return widget title */
        return __('CF7 Contact Form', 'jkd-core');

    }

    /**
     * @return string
     */
    public function get_icon()
    {

        /* return icon */
        return 'eicon-form-horizontal';

    }

    /**
     * @return array
     */
    public function get_categories()
    {

        /* return jk category */
        return ['jkd-widgets'];

    }

    /**
     * register controls
     */
    protected function register_controls()
    {

        $this->start_controls_section(
            'cf7_form_options',
            [
                'label' => __('CF7 Options', 'jkd-core'),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        /* get contact forms */
        $contact_forms = JKD_Helper::get_cf7();

        /* form id */
        $this->add_control(
            'cf7_form',
            [
                'label' => __('Contact form', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::SELECT,
                'description' => __('Select the contact form', 'jkd-core'),
                'options' => $contact_forms,
            ]
        );

        $this->end_controls_section();

    }

    /**
     * render widget
     */
    protected function render()
    {

        /* array of widget settings */
        $settings = $this->get_settings_for_display();

        /* widget id */
        $id = $this->get_id();

        $shortcode = $settings['cf7_form'];

        /* enqueue contact-form-7 */
        wp_enqueue_style('contact-form-7');

        /* enqueue contact-form-7 */
        wp_enqueue_script('contact-form-7');

        if (!empty($shortcode)):

            ?>

            <!-- cf7 wrapper -->
            <div class="cf7-main-wrapper">

                <?php

                /* do shortcode with id from settings */
                echo do_shortcode('[contact-form-7 id="' . $shortcode . '" ]');

                ?>

            </div>

        <?php

        endif;

    }
}
