<?php
/*
 *
 */

class jkd_countdown_widget extends \Elementor\Widget_Base
{

    public function __construct($data = [], $args = null)
    {

        parent::__construct($data, $args);

        wp_enqueue_script(JKD_Core::$prefix . 'countdown');

    }

    /* Get name */
    public function get_name()
    {
        return 'jkd-countdown';
    }

    /* Get title */
    public function get_title()
    {
        return __('Countdown', 'jkd-core');
    }

    /* Get icon */
    public function get_icon()
    {
        return 'eicon-countdown';
    }

    /* Get categories */
    public function get_categories()
    {
        /* return jk category */
        return ['jkd-widgets'];
    }

    /* Register controls */
    protected function register_controls()
    {
        /* General Options */
        $this->start_controls_section(
            'general_options',
            [
                'label' => esc_html__('General Options', 'jkd-core'),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );
        $this->add_control(
            'countdown_time',
            [
                'label' => esc_html__('Countdown Due Date', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::DATE_TIME,
                'default' => date("Y-m-d", strtotime("+ 1 day")),
                'description' => esc_html__('Set the due date and time', 'jkd-core'),
            ]
        );
        $this->end_controls_section();
        /* Meta Options */
        $this->start_controls_section(
            'meta_options',
            [
                'label' => esc_html__('Meta Options', 'jkd-core'),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );
        // UI Control - Days Settings
        $this->add_control(
            'days_settings',
            [
                'label' => __('Days Settings', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::HEADING,
            ]
        );
        // Show days
        $this->add_control(
            'show_days',
            [
                'label' => esc_html__('Show days', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::SWITCHER,
                'label_on' => __('yes', 'jkd-core'),
                'label_off' => __('no', 'jkd-core'),
                'description' => __('If true, will be displayed the days title', 'jkd-core'),
                'default' => 'yes',
                'return_value' => 'yes',
            ]
        );
        // Days title
        $this->add_control(
            'countdown_days_title',
            [
                'label' => esc_html__('Title for days', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => esc_html__('Days', 'jkd-core'),
                'description' => esc_html__('Set the title of days label', 'jkd-core'),
                'condition' => [
                    'show_days' => ['yes']
                ],
            ]
        );
        // UI Control - Hours Settings
        $this->add_control(
            'hours_settings',
            [
                'label' => __('Hours Settings', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::HEADING,
                'separator' => 'before',
            ]
        );
        // Show hours
        $this->add_control(
            'show_hours',
            [
                'label' => esc_html__('Show hours', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::SWITCHER,
                'label_on' => __('yes', 'jkd-core'),
                'label_off' => __('no', 'jkd-core'),
                'description' => __('If true, will be displayed the hours title', 'jkd-core'),
                'default' => 'yes',
                'return_value' => 'yes',
            ]
        );
        // Hours title
        $this->add_control(
            'countdown_hours_title',
            [
                'label' => esc_html__('Title for hours', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => esc_html__('Hours', 'jkd-core'),
                'description' => esc_html__('Set the title of hours label', 'jkd-core'),
                'condition' => [
                    'show_hours' => ['yes']
                ],
            ]
        );
        // UI Control - Minutes Settings
        $this->add_control(
            'minutes_settings',
            [
                'label' => __('Minutes Settings', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::HEADING,
                'separator' => 'before',
            ]
        );
        // Show minutes
        $this->add_control(
            'show_minutes',
            [
                'label' => esc_html__('Show minutes', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::SWITCHER,
                'label_on' => __('yes', 'jkd-core'),
                'label_off' => __('no', 'jkd-core'),
                'description' => __('If true, will be displayed the minutes title', 'jkd-core'),
                'default' => 'yes',
                'return_value' => 'yes',
            ]
        );
        // Minutes title
        $this->add_control(
            'countdown_minutes_title',
            [
                'label' => esc_html__('Title for minutes', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => esc_html__('Minutes', 'jkd-core'),
                'description' => esc_html__('Set the title of minutes label', 'jkd-core'),
                'condition' => [
                    'show_minutes' => ['yes']
                ],
            ]
        );
        // UI Control - Seconds Settings
        $this->add_control(
            'seconds_settings',
            [
                'label' => __('Seconds Settings', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::HEADING,
                'separator' => 'before',
            ]
        );
        // Show seconds
        $this->add_control(
            'show_seconds',
            [
                'label' => esc_html__('Show seconds', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::SWITCHER,
                'label_on' => __('yes', 'jkd-core'),
                'label_off' => __('no', 'jkd-core'),
                'description' => __('If true, will be displayed the seconds title', 'jkd-core'),
                'default' => 'yes',
                'return_value' => 'yes',
            ]
        );
        // Seconds title
        $this->add_control(
            'countdown_seconds_title',
            [
                'label' => esc_html__('Title for seconds', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => esc_html__('Seconds', 'jkd-core'),
                'description' => esc_html__('Set the title of seconds label', 'jkd-core'),
                'condition' => [
                    'show_seconds' => ['yes']
                ],
            ]
        );
        $this->end_controls_section();
        /* List Styles */
        $this->start_controls_section(
            'list_styles',
            [
                'label' => esc_html__('List Styles', 'jkd-core'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );
        // List direction
        $this->add_control(
            'list_direction',
            [
                'label' => __('Direction', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::SELECT,
                'default' => 'row',
                'description' => __('Select the direction of countdown list', 'jkd-core'),
                'options' => [
                    'row' => __('Row', 'jkd-core'),
                    'column' => __('Column', 'jkd-core'),
                ],
                'prefix_class' => 'countdown-list-direction-',
                'selectors' => [
                    '{{WRAPPER}} .countdown-list' => 'flex-direction: {{VALUE}}',
                ],
            ]
        );
        // Alignment
        $this->add_responsive_control(
            'list_align',
            [
                'label' => __('Alignment', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::CHOOSE,
                'options' => [
                    'flex-start' => [
                        'title' => __('Left', 'jkd-core'),
                        'icon' => 'eicon-text-align-left',
                    ],
                    'center' => [
                        'title' => __('Center', 'jkd-core'),
                        'icon' => 'eicon-text-align-center',
                    ],
                    'flex-end' => [
                        'title' => __('Right', 'jkd-core'),
                        'icon' => 'eicon-text-align-right',
                    ],
                    'space-between' => [
                        'title' => __('Right', 'jkd-core'),
                        'icon' => 'eicon-text-align-justify',
                    ],
                ],
                'default' => 'left',
                'description' => __('Set the list alignment', 'jkd-core'),
                'selectors' => [
                    '{{WRAPPER}}.countdown-list-direction-row .countdown-list' => 'justify-content: {{VALUE}}',
                    '{{WRAPPER}}.countdown-list-direction-column .countdown-list' => 'align-items: {{VALUE}}',
                ],
            ]
        );
        $this->end_controls_section();
        /* Item Styles */
        $this->start_controls_section(
            'item_styles',
            [
                'label' => esc_html__('Item Styles', 'jkd-core'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );
        // Direction
        $this->add_control(
            'item_direction',
            [
                'label' => __('Direction', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::SELECT,
                'default' => 'row',
                'description' => __('Select the direction of item', 'jkd-core'),
                'options' => [
                    'row' => __('Row', 'jkd-core'),
                    'column' => __('Column', 'jkd-core'),
                ],
                'prefix_class' => 'countdown-item-direction-',
                'selectors' => [
                    '{{WRAPPER}} .inner-wrapper' => 'flex-direction: {{VALUE}}',
                ],
            ]
        );
        // Alignment
        $this->add_responsive_control(
            'item_align',
            [
                'label' => __('Alignment', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::CHOOSE,
                'options' => [
                    'flex-start' => [
                        'title' => __('Left', 'jkd-core'),
                        'icon' => 'eicon-text-align-left',
                    ],
                    'center' => [
                        'title' => __('Center', 'jkd-core'),
                        'icon' => 'eicon-text-align-center',
                    ],
                    'flex-end' => [
                        'title' => __('Right', 'jkd-core'),
                        'icon' => 'eicon-text-align-right',
                    ],
                ],
                'default' => 'left',
                'description' => __('Set the item alignment', 'jkd-core'),
                'selectors' => [
                    '{{WRAPPER}}.countdown-item-direction-row .inner-label' => 'align-items: {{VALUE}}',
                    '{{WRAPPER}}.countdown-item-direction-column .inner-label' => 'justify-content: {{VALUE}}',
                    '{{WRAPPER}}.countdown-item-direction-row .inner-wrapper' => 'justify-content: center;',
                    '{{WRAPPER}}.countdown-item-direction-column .inner-wrapper' => 'justify-content: center;',
                ],
            ]
        );
        // UI Control - Box Styles
        $this->add_control(
            'item_box_styles',
            [
                'label' => __('Box Styles', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::HEADING,
                'separator' => 'before',
            ]
        );
        // Item size
        $this->add_control(
            'item_size',
            [
                'label' => __('Item size', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::SLIDER,
                'description' => __('Set the size of item', 'jkd-core'),
                'range' => [
                    'px' => [
                        'min' => 0,
                        'max' => 200,
                        'step' => 1,
                    ],
                ],
                'default' => [
                    'size' => 75,
                ],
                'selectors' => [
                    '{{WRAPPER}} .countdown-item' => 'width: {{SIZE}}{{UNIT}}; height: {{SIZE}}{{UNIT}}; min-width: {{SIZE}}{{UNIT}}; min-height: {{SIZE}}{{UNIT}};',
                ],
            ]
        );
        // Background color
        $this->add_control(
            'item_background_color',
            [
                'label' => __('Background color', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .countdown-item' => 'background-color: {{VALUE}}',
                ],
            ]
        );
        // Border
        $this->add_group_control(
            \Elementor\Group_Control_Border::get_type(),
            [
                'name' => 'item_border',
                'label' => __('Border', 'jkd-core'),
                'description' => __('Set the border of item', 'jkd-core'),
                'selector' => '{{WRAPPER}} .countdown-item',
            ]
        );
        // Border radius
        $this->add_responsive_control(
            'item_border_radius',
            [
                'label' => __('Border radius', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::DIMENSIONS,
                'description' => __('Set the border radius of item', 'jkd-core'),
                'size_units' => ['px', '%'],
                'selectors' => [
                    '{{WRAPPER}} .countdown-item' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
            ]
        );
        // Margin
        $this->add_responsive_control(
            'item_margin',
            [
                'label' => __('Margin', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::DIMENSIONS,
                'size_units' => ['px', 'em', '%'],
                'description' => __('Set the margin of item', 'jkd-core'),
                'selectors' => [
                    '{{WRAPPER}} .countdown-item' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                    '{{WRAPPER}} .countdown-list' => 'margin: -{{TOP}}{{UNIT}} -{{RIGHT}}{{UNIT}} -{{BOTTOM}}{{UNIT}} -{{LEFT}}{{UNIT}};',
                ],
            ]
        );
        $this->end_controls_section();
        /* Title Styles */
        $this->start_controls_section(
            'title_styles',
            [
                'label' => esc_html__('Title Styles', 'jkd-core'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );
        // Typography
        $this->add_group_control(
            \Elementor\Group_Control_Typography::get_type(),
            [
                'name' => 'digits_typography',
                'label' => __('Digits', 'jkd-core'),
                'selector' => '{{WRAPPER}} .countdown-digits',
            ]
        );
        // Color
        $this->add_control(
            'digits_color',
            [
                'label' => __('Color', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .countdown-digits' => 'color: {{VALUE}}',
                ],
            ]
        );
        // Margin
        $this->add_responsive_control(
            'digits_margin',
            [
                'label' => __('Margin', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::DIMENSIONS,
                'size_units' => ['px', 'em', '%'],
                'description' => __('Set the margin of digits', 'jkd-core'),
                'selectors' => [
                    '{{WRAPPER}} .countdown-digits' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
            ]
        );
        // UI Control - Countdown Label
        $this->add_control(
            'countdown_label_styles',
            [
                'label' => __('Countdown Label', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::HEADING,
                'separator' => 'before',
            ]
        );
        // Typography
        $this->add_group_control(
            \Elementor\Group_Control_Typography::get_type(),
            [
                'name' => 'label_typography',
                'label' => __('Label', 'jkd-core'),
                'selector' => '{{WRAPPER}} .countdown-label',
            ]
        );
        // Color
        $this->add_control(
            'label_color',
            [
                'label' => __('Color', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .countdown-label' => 'color: {{VALUE}}',
                ],
            ]
        );
        // Margin
        $this->add_responsive_control(
            'label_margin',
            [
                'label' => __('Margin', 'jkd-core'),
                'type' => \Elementor\Controls_Manager::DIMENSIONS,
                'size_units' => ['px', 'em', '%'],
                'description' => __('Set the margin of label', 'jkd-core'),
                'selectors' => [
                    '{{WRAPPER}} .countdown-label' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
            ]
        );
        $this->end_controls_section();
    }

    /* Render */
    protected function render()
    {
        // get array of values (from controls)
        $settings = $this->get_settings_for_display();
        // get widget id
        $id = $this->get_id();
        // get countdown time
        $get_due_date = esc_attr($settings['countdown_time']);
        // gue date
        $due_date = date("M d Y G:i:s", strtotime($get_due_date)); ?>

        <?php if ($settings['show_days'] === 'yes'
        || $settings['show_hours'] === 'yes'
        || $settings['show_minutes'] === 'yes'
        || $settings['show_seconds'] === 'yes'): ?>

        <!-- Countdown wrapper -->
        <div class="countdown-wrapper">
            <!-- Countdown -->
            <ul id="countdown-<?php echo esc_attr($this->get_id()); ?>" class="countdown-list reset-list"
                data-date="<?php echo esc_attr($due_date); ?>">
                <?php if ($settings['show_days'] === 'yes'): ?>
                    <!-- List item (Days) -->
                    <li class="countdown-item">
                        <div class="inner-wrapper">
                            <span data-days class="inner-label countdown-digits">00</span>
                            <?php if (!empty($settings['countdown_days_title'])) : ?>
                                <span class="inner-label countdown-label">
                                <?php echo esc_attr($settings['countdown_days_title']); ?>
                                </span>
                            <?php endif; ?>
                        </div>
                    </li>
                <?php endif; ?>
                <?php if ($settings['show_hours'] === 'yes'): ?>
                    <!-- List item (Hours) -->
                    <li class="countdown-item">
                        <div class="inner-wrapper">
                            <span data-hours class="inner-label countdown-digits">00</span>
                            <?php if (!empty($settings['countdown_hours_title'])) : ?>
                                <span class="inner-label countdown-label">
                                <?php echo esc_attr($settings['countdown_hours_title']); ?>
                                </span>
                            <?php endif; ?>
                        </div>
                    </li>
                <?php endif; ?>
                <?php if ($settings['show_minutes'] === 'yes'): ?>
                    <!-- List item (Minutes) -->
                    <li class="countdown-item">
                        <div class="inner-wrapper">
                            <span data-minutes class="inner-label countdown-digits">00</span>
                            <?php if (!empty($settings['countdown_minutes_title'])) : ?>
                                <span class="inner-label countdown-label">
                                    <?php echo esc_attr($settings['countdown_minutes_title']); ?>
                                </span>
                            <?php endif; ?>
                        </div>
                    </li>
                <?php endif; ?>
                <?php if ($settings['show_seconds'] === 'yes'): ?>
                    <!-- List item (Seconds) -->
                    <li class="countdown-item">
                        <div class="inner-wrapper">
                            <span data-seconds class="inner-label countdown-digits">00</span>
                            <?php if (!empty($settings['countdown_seconds_title'])) : ?>
                                <span class="inner-label countdown-label">
                                    <?php echo esc_attr($settings['countdown_seconds_title']); ?>
                                </span>
                            <?php endif; ?>
                        </div>
                    </li>
                <?php endif; ?>
            </ul>
        </div>
        <script>
            jQuery(document).ready(function ($) {
                'use strict';
                $("#countdown-<?php echo esc_attr($this->get_id()); ?>").countdown();
            });
        </script>
    <?php endif; ?>
        <?php
    }
}

?>
