<?php defined('ABSPATH') || exit;

/*
 *
 */

/**
 * Class jkd_social_widget
 */
class jkd_social_widget extends \Elementor\Widget_Base
{

    /**
     * @return string
     */
    public function get_name()
    {

        /* return widget name (slug) */
        return 'jk-social-icons';

    }

    /**
     * @return string|void
     */
    public function get_title()
    {

        /* return widget title */
        return esc_attr__('Social Icons', 'jkd-core');

    }

    /**
     * @return string
     */
    public function get_icon()
    {

        /* return icon */
        return 'eicon-social-icons';

    }

    /**
     * @return array
     */
    public function get_categories()
    {

        /* return jk category */
        return ['jkd-widgets'];

    }

    /**
     * register controls
     */
    protected function register_controls()
    {

        $this->start_controls_section(
            'social_options',
            [
                'label' => __('Social Options', 'jkd-core'),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->end_controls_section();

    }

    /**
     * render widget
     */
    protected function render()
    {

        /* array of widget settings */
        $settings = $this->get_settings_for_display();

        /* widget id */
        $id = $this->get_id();

        /* social list */
        $social = get_theme_mod('social-list');

        /* check if social empty */
        if (!empty($social)):

            ?>

            <!-- social list widget -->
            <ul class="social-list-widget">

                <?php

                /* social list loop */
                foreach ($social as $setting) :

                    $url = $setting['social_url'];

                    $text = $setting['social_text'];

                    $icon = $setting['social_icon'];

                    if (!empty($url) || !empty($text) || !empty($icon)):

                        ?>

                        <!-- list item -->
                        <li>

                            <!-- social link -->
                            <a href="<?php echo esc_url($url); ?>">

                                <?php if (!empty($text)): ?>

                                    <i class="<?php echo esc_attr($icon); ?>"></i>

                                <?php endif; ?>

                            </a>

                        </li>

                    <?php endif; ?>

                <?php endforeach; ?>

            </ul>

        <?php endif; ?>

        <?php

    }
}
